/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 635 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EVENT = 461,
     EXCEPT = 462,
     EXCLUDE = 463,
     EXCLUDING = 464,
     EXCLUSIVE = 465,
     EXECUTE = 466,
     EXISTS = 467,
     EXPLAIN = 468,
     EXTENSION = 469,
     EXTERNAL = 470,
     EXTRACT = 471,
     FALSE_P = 472,
     FAMILY = 473,
     FETCH = 474,
     FIRST_P = 475,
     FLOAT_P = 476,
     FOLLOWING = 477,
     FOR = 478,
     FORCE = 479,
     FOREIGN = 480,
     FORWARD = 481,
     FREEZE = 482,
     FROM = 483,
     FULL = 484,
     FUNCTION = 485,
     FUNCTIONS = 486,
     GLOBAL = 487,
     GRANT = 488,
     GRANTED = 489,
     GREATEST = 490,
     GROUP_P = 491,
     HANDLER = 492,
     HAVING = 493,
     HEADER_P = 494,
     HOLD = 495,
     HOUR_P = 496,
     IDENTITY_P = 497,
     IF_P = 498,
     ILIKE = 499,
     IMMEDIATE = 500,
     IMMUTABLE = 501,
     IMPLICIT_P = 502,
     IN_P = 503,
     INCLUDING = 504,
     INCREMENT = 505,
     INDEX = 506,
     INDEXES = 507,
     INHERIT = 508,
     INHERITS = 509,
     INITIALLY = 510,
     INLINE_P = 511,
     INNER_P = 512,
     INOUT = 513,
     INPUT_P = 514,
     INSENSITIVE = 515,
     INSERT = 516,
     INSTEAD = 517,
     INT_P = 518,
     INTEGER = 519,
     INTERSECT = 520,
     INTERVAL = 521,
     INTO = 522,
     INVOKER = 523,
     IS = 524,
     ISNULL = 525,
     ISOLATION = 526,
     JOIN = 527,
     KEY = 528,
     LABEL = 529,
     LANGUAGE = 530,
     LARGE_P = 531,
     LAST_P = 532,
     LATERAL_P = 533,
     LC_COLLATE_P = 534,
     LC_CTYPE_P = 535,
     LEADING = 536,
     LEAKPROOF = 537,
     LEAST = 538,
     LEFT = 539,
     LEVEL = 540,
     LIKE = 541,
     LIMIT = 542,
     LISTEN = 543,
     LOAD = 544,
     LOCAL = 545,
     LOCALTIME = 546,
     LOCALTIMESTAMP = 547,
     LOCATION = 548,
     LOCK_P = 549,
     MAPPING = 550,
     MATCH = 551,
     MATERIALIZED = 552,
     MAXVALUE = 553,
     MINUTE_P = 554,
     MINVALUE = 555,
     MODE = 556,
     MONTH_P = 557,
     MOVE = 558,
     NAME_P = 559,
     NAMES = 560,
     NATIONAL = 561,
     NATURAL = 562,
     NCHAR = 563,
     NEXT = 564,
     NO = 565,
     NONE = 566,
     NOT = 567,
     NOTHING = 568,
     NOTIFY = 569,
     NOTNULL = 570,
     NOWAIT = 571,
     NULL_P = 572,
     NULLIF = 573,
     NULLS_P = 574,
     NUMERIC = 575,
     OBJECT_P = 576,
     OF = 577,
     OFF = 578,
     OFFSET = 579,
     OIDS = 580,
     ON = 581,
     ONLY = 582,
     OPERATOR = 583,
     OPTION = 584,
     OPTIONS = 585,
     OR = 586,
     ORDER = 587,
     OUT_P = 588,
     OUTER_P = 589,
     OVER = 590,
     OVERLAPS = 591,
     OVERLAY = 592,
     OWNED = 593,
     OWNER = 594,
     PARSER = 595,
     PARTIAL = 596,
     PARTITION = 597,
     PASSING = 598,
     PASSWORD = 599,
     PLACING = 600,
     PLANS = 601,
     POSITION = 602,
     PRECEDING = 603,
     PRECISION = 604,
     PRESERVE = 605,
     PREPARE = 606,
     PREPARED = 607,
     PRIMARY = 608,
     PRIOR = 609,
     PRIVILEGES = 610,
     PROCEDURAL = 611,
     PROCEDURE = 612,
     PROGRAM = 613,
     QUOTE = 614,
     RANGE = 615,
     READ = 616,
     REAL = 617,
     REASSIGN = 618,
     RECHECK = 619,
     RECURSIVE = 620,
     REF = 621,
     REFERENCES = 622,
     REFRESH = 623,
     REINDEX = 624,
     RELATIVE_P = 625,
     RELEASE = 626,
     RENAME = 627,
     REPEATABLE = 628,
     REPLACE = 629,
     REPLICA = 630,
     RESET = 631,
     RESTART = 632,
     RESTRICT = 633,
     RETURNING = 634,
     RETURNS = 635,
     REVOKE = 636,
     RIGHT = 637,
     ROLE = 638,
     ROLLBACK = 639,
     ROW = 640,
     ROWS = 641,
     RULE = 642,
     SAVEPOINT = 643,
     SCHEMA = 644,
     SCROLL = 645,
     SEARCH = 646,
     SECOND_P = 647,
     SECURITY = 648,
     SELECT = 649,
     SEQUENCE = 650,
     SEQUENCES = 651,
     SERIALIZABLE = 652,
     SERVER = 653,
     SESSION = 654,
     SESSION_USER = 655,
     SET = 656,
     SETOF = 657,
     SHARE = 658,
     SHOW = 659,
     SIMILAR = 660,
     SIMPLE = 661,
     SMALLINT = 662,
     SNAPSHOT = 663,
     SOME = 664,
     STABLE = 665,
     STANDALONE_P = 666,
     START = 667,
     STATEMENT = 668,
     STATISTICS = 669,
     STDIN = 670,
     STDOUT = 671,
     STORAGE = 672,
     STRICT_P = 673,
     STRIP_P = 674,
     SUBSTRING = 675,
     SYMMETRIC = 676,
     SYSID = 677,
     SYSTEM_P = 678,
     TABLE = 679,
     TABLES = 680,
     TABLESPACE = 681,
     TEMP = 682,
     TEMPLATE = 683,
     TEMPORARY = 684,
     TEXT_P = 685,
     THEN = 686,
     TIME = 687,
     TIMESTAMP = 688,
     TO = 689,
     TRAILING = 690,
     TRANSACTION = 691,
     TREAT = 692,
     TRIGGER = 693,
     TRIM = 694,
     TRUE_P = 695,
     TRUNCATE = 696,
     TRUSTED = 697,
     TYPE_P = 698,
     TYPES_P = 699,
     UNBOUNDED = 700,
     UNCOMMITTED = 701,
     UNENCRYPTED = 702,
     UNION = 703,
     UNIQUE = 704,
     UNKNOWN = 705,
     UNLISTEN = 706,
     UNLOGGED = 707,
     UNTIL = 708,
     UPDATE = 709,
     USER = 710,
     USING = 711,
     VACUUM = 712,
     VALID = 713,
     VALIDATE = 714,
     VALIDATOR = 715,
     VALUE_P = 716,
     VALUES = 717,
     VARCHAR = 718,
     VARIADIC = 719,
     VARYING = 720,
     VERBOSE = 721,
     VERSION_P = 722,
     VIEW = 723,
     VOLATILE = 724,
     WHEN = 725,
     WHERE = 726,
     WHITESPACE_P = 727,
     WINDOW = 728,
     WITH = 729,
     WITHOUT = 730,
     WORK = 731,
     WRAPPER = 732,
     WRITE = 733,
     XML_P = 734,
     XMLATTRIBUTES = 735,
     XMLCONCAT = 736,
     XMLELEMENT = 737,
     XMLEXISTS = 738,
     XMLFOREST = 739,
     XMLPARSE = 740,
     XMLPI = 741,
     XMLROOT = 742,
     XMLSERIALIZE = 743,
     YEAR_P = 744,
     YES_P = 745,
     ZONE = 746,
     NULLS_FIRST = 747,
     NULLS_LAST = 748,
     WITH_TIME = 749,
     POSTFIXOP = 750,
     UMINUS = 751
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 564 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1184 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1209 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   107764

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  516
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  699
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2791
/* YYNRULES -- Number of states.  */
#define YYNSTATES  5104

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   751

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   503,     2,     2,
     508,   509,   501,   499,   511,   500,   510,   502,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   513,   512,
     496,   495,   497,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   506,     2,   507,   504,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   514,     2,   515,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     498,   505
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   265,   267,   269,   271,   272,   278,   280,
     281,   284,   285,   288,   289,   292,   295,   299,   303,   305,
     309,   313,   316,   318,   320,   323,   326,   329,   333,   337,
     343,   349,   350,   354,   360,   366,   372,   377,   381,   387,
     391,   397,   403,   410,   412,   414,   418,   424,   431,   436,
     446,   454,   456,   457,   460,   461,   463,   465,   467,   469,
     471,   473,   476,   480,   484,   487,   493,   495,   499,   503,
     507,   511,   515,   519,   522,   525,   528,   531,   535,   539,
     543,   547,   549,   553,   555,   559,   561,   563,   566,   569,
     572,   574,   576,   578,   580,   582,   584,   586,   590,   597,
     599,   601,   603,   605,   607,   608,   610,   612,   615,   619,
     624,   628,   631,   634,   636,   639,   641,   645,   650,   656,
     661,   664,   669,   671,   673,   675,   677,   679,   682,   685,
     688,   691,   696,   703,   708,   715,   720,   727,   732,   739,
     745,   753,   755,   759,   762,   766,   771,   778,   785,   792,
     798,   804,   811,   818,   823,   832,   837,   840,   844,   851,
     856,   860,   864,   868,   872,   876,   881,   886,   890,   894,
     898,   902,   906,   910,   915,   920,   924,   927,   931,   934,
     937,   941,   945,   948,   951,   953,   957,   960,   962,   964,
     965,   968,   969,   972,   973,   977,   980,   981,   983,   987,
     991,   993,   999,  1003,  1008,  1010,  1014,  1019,  1026,  1031,
    1040,  1043,  1046,  1058,  1066,  1068,  1070,  1072,  1073,  1075,
    1077,  1079,  1081,  1085,  1088,  1089,  1091,  1093,  1095,  1099,
    1103,  1105,  1107,  1111,  1115,  1119,  1123,  1128,  1131,  1133,
    1134,  1137,  1138,  1142,  1143,  1145,  1146,  1148,  1152,  1155,
    1157,  1159,  1161,  1165,  1166,  1168,  1172,  1174,  1186,  1201,
    1212,  1226,  1228,  1230,  1233,  1236,  1239,  1242,  1244,  1245,
    1247,  1248,  1252,  1253,  1255,  1259,  1261,  1265,  1267,  1269,
    1271,  1273,  1275,  1280,  1285,  1288,  1289,  1293,  1295,  1297,
    1300,  1303,  1305,  1309,  1314,  1320,  1323,  1329,  1331,  1334,
    1337,  1340,  1344,  1348,  1352,  1353,  1355,  1357,  1359,  1361,
    1363,  1365,  1369,  1371,  1377,  1385,  1389,  1398,  1403,  1413,
    1425,  1428,  1429,  1433,  1434,  1436,  1440,  1442,  1445,  1448,
    1451,  1452,  1454,  1458,  1462,  1469,  1474,  1475,  1477,  1479,
    1482,  1485,  1486,  1490,  1494,  1497,  1499,  1501,  1504,  1507,
    1512,  1513,  1516,  1519,  1522,  1523,  1527,  1532,  1537,  1538,
    1541,  1542,  1547,  1548,  1552,  1558,  1561,  1565,  1566,  1575,
    1580,  1582,  1583,  1589,  1595,  1600,  1607,  1609,  1610,  1612,
    1615,  1618,  1620,  1623,  1627,  1630,  1633,  1636,  1639,  1643,
    1647,  1649,  1653,  1655,  1656,  1658,  1661,  1663,  1665,  1669,
    1676,  1687,  1689,  1690,  1692,  1695,  1698,  1699,  1702,  1705,
    1707,  1708,  1714,  1722,  1724,  1725,  1732,  1735,  1736,  1740,
    1746,  1752,  1761,  1764,  1765,  1768,  1771,  1774,  1780,  1783,
    1784,  1787,  1795,  1806,  1813,  1820,  1827,  1834,  1842,  1850,
    1860,  1870,  1877,  1885,  1892,  1901,  1910,  1919,  1928,  1935,
    1942,  1950,  1958,  1967,  1974,  1981,  1989,  1992,  1995,  1998,
    2001,  2003,  2006,  2008,  2009,  2016,  2025,  2033,  2040,  2045,
    2046,  2048,  2052,  2057,  2059,  2063,  2065,  2068,  2071,  2074,
    2077,  2079,  2081,  2092,  2095,  2096,  2099,  2102,  2104,  2105,
    2110,  2117,  2123,  2128,  2133,  2144,  2158,  2164,  2172,  2181,
    2183,  2185,  2187,  2195,  2205,  2214,  2230,  2251,  2253,  2255,
    2258,  2260,  2264,  2266,  2268,  2270,  2274,  2276,  2280,  2281,
    2283,  2284,  2286,  2288,  2293,  2294,  2296,  2300,  2301,  2303,
    2305,  2307,  2309,  2312,  2313,  2314,  2317,  2320,  2322,  2325,
    2328,  2331,  2334,  2341,  2350,  2362,  2376,  2378,  2382,  2388,
    2390,  2394,  2400,  2402,  2405,  2408,  2410,  2419,  2424,  2430,
    2435,  2440,  2445,  2449,  2457,  2466,  2473,  2480,  2487,  2494,
    2501,  2506,  2512,  2516,  2518,  2522,  2526,  2528,  2530,  2532,
    2534,  2536,  2538,  2542,  2546,  2550,  2552,  2556,  2560,  2562,
    2563,  2565,  2569,  2577,  2587,  2597,  2601,  2602,  2616,  2618,
    2622,  2628,  2635,  2640,  2648,  2651,  2653,  2654,  2657,  2658,
    2661,  2666,  2667,  2669,  2670,  2677,  2686,  2695,  2697,  2701,
    2707,  2713,  2721,  2731,  2739,  2749,  2755,  2762,  2769,  2774,
    2780,  2788,  2790,  2792,  2794,  2797,  2799,  2802,  2805,  2807,
    2809,  2811,  2813,  2815,  2817,  2821,  2825,  2829,  2833,  2835,
    2839,  2841,  2844,  2847,  2851,  2857,  2860,  2863,  2864,  2871,
    2879,  2887,  2895,  2904,  2913,  2920,  2929,  2939,  2949,  2957,
    2968,  2976,  2978,  2980,  2982,  2984,  2986,  2988,  2990,  2992,
    2994,  2997,  2999,  3001,  3003,  3005,  3007,  3010,  3012,  3016,
    3019,  3023,  3027,  3031,  3035,  3037,  3039,  3048,  3058,  3068,
    3078,  3088,  3091,  3092,  3094,  3096,  3099,  3102,  3104,  3106,
    3108,  3110,  3112,  3114,  3116,  3118,  3121,  3123,  3125,  3128,
    3131,  3135,  3140,  3146,  3151,  3157,  3161,  3166,  3170,  3175,
    3177,  3180,  3184,  3188,  3192,  3196,  3201,  3206,  3210,  3214,
    3219,  3224,  3229,  3234,  3236,  3238,  3240,  3241,  3249,  3257,
    3268,  3270,  3272,  3275,  3280,  3286,  3288,  3292,  3295,  3298,
    3301,  3304,  3306,  3309,  3312,  3317,  3321,  3324,  3327,  3330,
    3333,  3337,  3340,  3343,  3346,  3352,  3358,  3364,  3366,  3370,
    3372,  3375,  3379,  3380,  3382,  3386,  3389,  3396,  3403,  3413,
    3417,  3418,  3422,  3423,  3429,  3432,  3433,  3437,  3441,  3445,
    3453,  3461,  3472,  3474,  3476,  3478,  3480,  3495,  3497,  3498,
    3500,  3501,  3503,  3504,  3507,  3508,  3510,  3514,  3520,  3526,
    3534,  3537,  3538,  3540,  3543,  3544,  3546,  3548,  3549,  3551,
    3553,  3554,  3564,  3577,  3585,  3588,  3589,  3593,  3596,  3598,
    3602,  3606,  3609,  3611,  3615,  3619,  3623,  3626,  3629,  3631,
    3633,  3635,  3637,  3640,  3642,  3644,  3646,  3648,  3653,  3659,
    3661,  3665,  3669,  3671,  3674,  3679,  3685,  3687,  3689,  3691,
    3693,  3697,  3701,  3704,  3707,  3709,  3712,  3715,  3718,  3720,
    3723,  3726,  3728,  3730,  3732,  3736,  3739,  3740,  3743,  3745,
    3749,  3755,  3757,  3760,  3762,  3763,  3769,  3777,  3783,  3791,
    3797,  3805,  3809,  3815,  3821,  3827,  3829,  3833,  3836,  3838,
    3841,  3843,  3846,  3858,  3869,  3880,  3883,  3886,  3887,  3897,
    3900,  3901,  3906,  3911,  3916,  3918,  3920,  3922,  3923,  3931,
    3938,  3945,  3952,  3959,  3968,  3977,  3984,  3991,  3999,  4009,
    4019,  4026,  4033,  4040,  4049,  4056,  4065,  4072,  4081,  4089,
    4099,  4106,  4115,  4123,  4133,  4142,  4153,  4163,  4175,  4184,
    4194,  4206,  4215,  4224,  4232,  4239,  4246,  4253,  4259,  4265,
    4274,  4283,  4292,  4301,  4308,  4318,  4320,  4321,  4324,  4325,
    4333,  4340,  4347,  4354,  4361,  4368,  4376,  4386,  4396,  4403,
    4412,  4421,  4430,  4439,  4448,  4455,  4464,  4471,  4480,  4488,
    4498,  4506,  4516,  4523,  4531,  4538,  4545,  4552,  4559,  4566,
    4574,  4582,  4590,  4600,  4610,  4617,  4624,  4631,  4640,  4649,
    4658,  4665,  4673,  4687,  4689,  4691,  4695,  4699,  4701,  4703,
    4705,  4707,  4709,  4711,  4713,  4714,  4716,  4718,  4720,  4722,
    4724,  4726,  4727,  4734,  4743,  4747,  4750,  4751,  4754,  4757,
    4760,  4763,  4767,  4771,  4774,  4777,  4780,  4783,  4787,  4790,
    4796,  4801,  4805,  4809,  4813,  4815,  4817,  4818,  4822,  4825,
    4828,  4830,  4833,  4835,  4839,  4842,  4844,  4845,  4855,  4867,
    4879,  4893,  4897,  4902,  4907,  4908,  4911,  4917,  4920,  4921,
    4925,  4929,  4933,  4937,  4941,  4945,  4949,  4953,  4957,  4961,
    4965,  4969,  4973,  4978,  4982,  4986,  4988,  4989,  4995,  5002,
    5007,  5010,  5011,  5016,  5020,  5026,  5033,  5038,  5045,  5052,
    5058,  5066,  5076,  5083,  5085,  5086,  5093,  5105,  5117,  5129,
    5143,  5153,  5165,  5176,  5181,  5184,  5190,  5193,  5194,  5199,
    5205,  5211,  5216,  5223,  5225,  5229,  5231,  5233,  5235,  5237,
    5240,  5245,  5247,  5249,  5251,  5252,  5254,  5255,  5257,  5258,
    5262,  5263,  5266,  5271,  5275,  5281,  5283,  5285,  5287,  5289,
    5291,  5293,  5295,  5297,  5299,  5301,  5305,  5308,  5310,  5312,
    5314,  5316,  5317,  5323,  5328,  5332,  5333,  5335,  5337,  5339,
    5341,  5346,  5356,  5360,  5361,  5368,  5370,  5375,  5378,  5380,
    5384,  5387,  5391,  5392,  5400,  5403,  5404,  5410,  5414,  5415,
    5418,  5421,  5424,  5428,  5430,  5434,  5436,  5439,  5441,  5442,
    5451,  5453,  5457,  5459,  5461,  5465,  5471,  5474,  5476,  5480,
    5488,  5490,  5492,  5493,  5497,  5500,  5503,  5506,  5507,  5510,
    5513,  5515,  5517,  5521,  5525,  5527,  5530,  5535,  5540,  5543,
    5547,  5553,  5559,  5561,  5563,  5573,  5575,  5578,  5583,  5588,
    5593,  5596,  5600,  5602,  5606,  5613,  5615,  5616,  5619,  5621,
    5622,  5626,  5630,  5635,  5640,  5645,  5650,  5654,  5657,  5659,
    5661,  5662,  5664,  5666,  5667,  5669,  5675,  5677,  5678,  5680,
    5681,  5685,  5687,  5691,  5696,  5700,  5703,  5706,  5708,  5710,
    5712,  5713,  5716,  5721,  5727,  5730,  5734,  5736,  5738,  5740,
    5742,  5746,  5747,  5749,  5751,  5753,  5755,  5757,  5761,  5762,
    5765,  5766,  5768,  5772,  5774,  5775,  5777,  5780,  5784,  5787,
    5792,  5795,  5799,  5802,  5803,  5806,  5810,  5813,  5814,  5816,
    5820,  5823,  5826,  5830,  5833,  5837,  5839,  5844,  5848,  5853,
    5859,  5864,  5870,  5875,  5881,  5884,  5889,  5891,  5893,  5894,
    5896,  5901,  5907,  5912,  5913,  5916,  5919,  5922,  5924,  5926,
    5927,  5932,  5935,  5937,  5940,  5943,  5948,  5950,  5954,  5956,
    5959,  5963,  5965,  5968,  5969,  5972,  5977,  5978,  5980,  5981,
    5983,  5987,  5991,  5994,  5998,  6004,  6011,  6014,  6018,  6022,
    6027,  6028,  6030,  6032,  6034,  6036,  6038,  6041,  6047,  6049,
    6051,  6053,  6055,  6058,  6062,  6066,  6067,  6069,  6071,  6073,
    6075,  6077,  6080,  6083,  6086,  6089,  6092,  6094,  6098,  6099,
    6101,  6103,  6105,  6107,  6113,  6116,  6118,  6120,  6122,  6124,
    6130,  6133,  6136,  6139,  6141,  6145,  6149,  6152,  6154,  6155,
    6159,  6160,  6166,  6169,  6175,  6178,  6180,  6183,  6187,  6188,
    6190,  6192,  6194,  6196,  6198,  6200,  6204,  6208,  6212,  6216,
    6220,  6224,  6228,  6229,  6231,  6236,  6238,  6242,  6246,  6252,
    6255,  6258,  6262,  6266,  6270,  6274,  6278,  6282,  6286,  6290,
    6294,  6298,  6301,  6304,  6308,  6312,  6315,  6319,  6325,  6330,
    6337,  6341,  6347,  6352,  6359,  6364,  6371,  6377,  6385,  6389,
    6392,  6397,  6400,  6404,  6408,  6413,  6417,  6422,  6426,  6431,
    6437,  6444,  6451,  6459,  6466,  6474,  6481,  6489,  6493,  6498,
    6503,  6510,  6513,  6517,  6522,  6524,  6528,  6531,  6534,  6538,
    6542,  6546,  6550,  6554,  6558,  6562,  6566,  6570,  6574,  6577,
    6580,  6586,  6593,  6600,  6608,  6612,  6617,  6619,  6621,  6624,
    6629,  6631,  6633,  6635,  6638,  6641,  6644,  6647,  6649,  6654,
    6660,  6667,  6676,  6683,  6691,  6699,  6705,  6711,  6713,  6715,
    6720,  6722,  6727,  6729,  6734,  6736,  6741,  6743,  6745,  6747,
    6749,  6751,  6753,  6760,  6765,  6770,  6775,  6780,  6787,  6793,
    6799,  6805,  6810,  6817,  6822,  6827,  6832,  6837,  6843,  6851,
    6859,  6869,  6875,  6880,  6887,  6893,  6901,  6909,  6917,  6920,
    6924,  6928,  6932,  6937,  6938,  6943,  6945,  6949,  6953,  6955,
    6957,  6959,  6962,  6965,  6966,  6969,  6974,  6979,  6986,  6989,
    6990,  6992,  6996,  7000,  7003,  7006,  7007,  7014,  7016,  7017,
    7021,  7022,  7025,  7028,  7029,  7031,  7036,  7039,  7042,  7045,
    7048,  7051,  7056,  7060,  7066,  7068,  7070,  7072,  7074,  7076,
    7078,  7080,  7082,  7084,  7086,  7088,  7090,  7092,  7094,  7096,
    7101,  7103,  7108,  7110,  7115,  7117,  7120,  7122,  7125,  7127,
    7131,  7133,  7137,  7139,  7143,  7145,  7149,  7153,  7157,  7160,
    7162,  7166,  7170,  7171,  7173,  7175,  7177,  7179,  7181,  7183,
    7185,  7187,  7192,  7196,  7199,  7203,  7204,  7208,  7212,  7215,
    7218,  7220,  7221,  7224,  7227,  7231,  7234,  7236,  7238,  7242,
    7248,  7250,  7253,  7258,  7261,  7262,  7264,  7265,  7267,  7270,
    7273,  7276,  7280,  7286,  7288,  7291,  7292,  7295,  7297,  7298,
    7300,  7302,  7304,  7308,  7312,  7314,  7318,  7322,  7325,  7327,
    7329,  7331,  7335,  7337,  7340,  7342,  7346,  7348,  7350,  7352,
    7354,  7356,  7358,  7360,  7363,  7365,  7367,  7369,  7371,  7373,
    7376,  7382,  7385,  7389,  7396,  7398,  7400,  7402,  7404,  7406,
    7408,  7410,  7412,  7414,  7417,  7420,  7422,  7424,  7426,  7428,
    7430,  7432,  7434,  7436,  7438,  7440,  7442,  7444,  7446,  7448,
    7450,  7452,  7454,  7456,  7458,  7460,  7462,  7464,  7466,  7468,
    7470,  7472,  7474,  7476,  7478,  7480,  7482,  7484,  7486,  7488,
    7490,  7492,  7494,  7496,  7498,  7500,  7502,  7504,  7506,  7508,
    7510,  7512,  7514,  7516,  7518,  7520,  7522,  7524,  7526,  7528,
    7530,  7532,  7534,  7536,  7538,  7540,  7542,  7544,  7546,  7548,
    7550,  7552,  7554,  7556,  7558,  7560,  7562,  7564,  7566,  7568,
    7570,  7572,  7574,  7576,  7578,  7580,  7582,  7584,  7586,  7588,
    7590,  7592,  7594,  7596,  7598,  7600,  7602,  7604,  7606,  7608,
    7610,  7612,  7614,  7616,  7618,  7620,  7622,  7624,  7626,  7628,
    7630,  7632,  7634,  7636,  7638,  7640,  7642,  7644,  7646,  7648,
    7650,  7652,  7654,  7656,  7658,  7660,  7662,  7664,  7666,  7668,
    7670,  7672,  7674,  7676,  7678,  7680,  7682,  7684,  7686,  7688,
    7690,  7692,  7694,  7696,  7698,  7700,  7702,  7704,  7706,  7708,
    7710,  7712,  7714,  7716,  7718,  7720,  7722,  7724,  7726,  7728,
    7730,  7732,  7734,  7736,  7738,  7740,  7742,  7744,  7746,  7748,
    7750,  7752,  7754,  7756,  7758,  7760,  7762,  7764,  7766,  7768,
    7770,  7772,  7774,  7776,  7778,  7780,  7782,  7784,  7786,  7788,
    7790,  7792,  7794,  7796,  7798,  7800,  7802,  7804,  7806,  7808,
    7810,  7812,  7814,  7816,  7818,  7820,  7822,  7824,  7826,  7828,
    7830,  7832,  7834,  7836,  7838,  7840,  7842,  7844,  7846,  7848,
    7850,  7852,  7854,  7856,  7858,  7860,  7862,  7864,  7866,  7868,
    7870,  7872,  7874,  7876,  7878,  7880,  7882,  7884,  7886,  7888,
    7890,  7892,  7894,  7896,  7898,  7900,  7902,  7904,  7906,  7908,
    7910,  7912,  7914,  7916,  7918,  7920,  7922,  7924,  7926,  7928,
    7930,  7932,  7934,  7936,  7938,  7940,  7942,  7944,  7946,  7948,
    7950,  7952,  7954,  7956,  7958,  7960,  7962,  7964,  7966,  7968,
    7970,  7972,  7974,  7976,  7978,  7980,  7982,  7984,  7986,  7988,
    7990,  7992,  7994,  7996,  7998,  8000,  8002,  8004,  8006,  8008,
    8010,  8012,  8014,  8016,  8018,  8020,  8022,  8024,  8026,  8028,
    8030,  8032,  8034,  8036,  8038,  8040,  8042,  8044,  8046,  8048,
    8050,  8052,  8054,  8056,  8058,  8060,  8062,  8064,  8066,  8068,
    8070,  8072,  8074,  8076,  8078,  8080,  8082,  8084,  8086,  8088,
    8090,  8092,  8094,  8096,  8098,  8100,  8102,  8104,  8106,  8108,
    8110,  8112,  8114,  8116,  8118,  8120,  8122,  8124,  8126,  8128,
    8130,  8132,  8134,  8136,  8138,  8140,  8142,  8144,  8146,  8148,
    8150,  8152,  8154,  8156,  8158,  8160,  8162,  8164,  8166,  8168,
    8170,  8172,  8174,  8176,  8178,  8180,  8182,  8184,  8186,  8188,
    8190,  8192,  8194,  8196,  8198,  8200,  8202,  8203,  8206,  8211,
    8215,  8218,  8220,  8222,  8224,  8226,  8228,  8229,  8238,  8241,
    8247,  8251,  8254,  8257,  8261,  8269,  8271,  8273,  8275,  8276,
    8279,  8282,  8284,  8285,  8287,  8291,  8293,  8296,  8297,  8300,
    8301,  8304,  8305,  8307,  8311,  8316,  8320,  8322,  8324,  8326,
    8328,  8331,  8332,  8335,  8340,  8341,  8344,  8347,  8350,  8352,
    8354,  8362,  8366,  8368,  8370,  8372,  8374,  8377,  8378,  8380,
    8384,  8388,  8392,  8396,  8397,  8402,  8408,  8414,  8415,  8417,
    8419,  8421,  8424,  8427,  8429,  8432,  8433,  8441,  8442,  8448,
    8449,  8454,  8457,  8460,  8461,  8464,  8466,  8468,  8470,  8472,
    8474,  8476,  8478,  8480,  8482,  8484,  8486,  8492,  8495,  8497,
    8501,  8504,  8507,  8511,  8512,  8518,  8520,  8521,  8527,  8530,
    8533,  8535,  8537,  8539,  8542,  8545,  8549,  8551,  8554,  8557,
    8561,  8565,  8570,  8573,  8575,  8578,  8580,  8582,  8585,  8588,
    8592,  8594,  8596,  8598,  8600,  8601,  8603,  8607,  8613,  8614,
    8617,  8618,  8620,  8623,  8627,  8630,  8632,  8634,  8636,  8637,
    8639,  8641,  8643,  8645,  8647,  8650,  8653,  8657,  8658,  8660,
    8663,  8665,  8670,  8674,  8679,  8683,  8686,  8688,  8692,  8694,
    8696,  8698,  8700,  8703,  8706,  8708,  8711,  8714,  8716,  8718,
    8720,  8725,  8730,  8735,  8740,  8745,  8747,  8748,  8752,  8756,
    8761,  8763,  8767,  8771,  8776,  8778,  8782,  8786,  8788,  8790,
    8792,  8799,  8801,  8805,  8809,  8816,  8818,  8822,  8826,  8828,
    8830,  8833,  8836,  8838,  8840,  8842,  8844,  8846,  8848,  8850,
    8852,  8854,  8856,  8858,  8860,  8862,  8864,  8866,  8868,  8873,
    8878,  8880,  8882,  8887,  8892,  8896,  8897,  8905,  8907,  8908,
    8909,  8917,  8921,  8926,  8930,  8932,  8934,  8936,  8939,  8943,
    8949,  8952,  8958,  8961,  8963,  8965,  8967,  8969,  8971,  8973,
    8975,  8977,  8979,  8981,  8983,  8985,  8987,  8989,  8991,  8993,
    8995,  8997,  8999,  9001,  9003,  9005,  9007,  9009,  9011,  9013,
    9015,  9017,  9019,  9021,  9023,  9025,  9027,  9029,  9031,  9033,
    9035,  9037,  9039,  9041,  9043,  9045,  9047,  9049,  9051,  9053,
    9055,  9057,  9059,  9061,  9063,  9065,  9067,  9069,  9071,  9073,
    9075,  9077,  9079,  9081,  9083,  9085,  9087,  9089,  9091,  9093,
    9095,  9097,  9099,  9101,  9103,  9105,  9107,  9109,  9111,  9113,
    9115,  9117,  9119,  9121,  9123,  9125,  9127,  9129,  9131,  9133,
    9135,  9137,  9139,  9141,  9143,  9145,  9147,  9149,  9151,  9153,
    9155,  9157,  9161,  9163,  9164,  9166,  9169,  9171,  9174,  9176,
    9178,  9180,  9183,  9186,  9188,  9190,  9192,  9194,  9196,  9198,
    9200,  9202,  9204,  9206,  9208,  9210,  9212,  9214,  9216,  9218,
    9221,  9225,  9227,  9230,  9232,  9236,  9238,  9242,  9244,  9246,
    9248,  9250,  9252,  9254,  9256,  9258,  9260,  9262,  9264,  9266,
    9268,  9270,  9272,  9274,  9276,  9278,  9280,  9282,  9284,  9286,
    9288,  9290,  9292,  9294,  9296,  9298,  9300,  9302,  9304,  9306,
    9308,  9310,  9312,  9314,  9316,  9318,  9320,  9322,  9324,  9326,
    9328,  9330,  9332,  9334,  9336,  9338,  9340,  9342,  9344,  9346,
    9348,  9350,  9352,  9354,  9356,  9358,  9360,  9362,  9364,  9367,
    9371,  9374,  9378,  9380,  9384,  9388,  9392,  9396,  9400,  9404,
    9406,  9408,  9409,  9412,  9415,  9417,  9419,  9422,  9424,  9426,
    9428,  9429
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     517,     0,    -1,  1066,    -1,   705,    -1,   852,    -1,   853,
      -1,   770,    -1,   858,    -1,   720,    -1,   657,    -1,   660,
      -1,   666,    -1,   680,    -1,   682,    -1,   805,    -1,   534,
      -1,   826,    -1,   827,    -1,   636,    -1,   561,    -1,   572,
      -1,   528,    -1,   526,    -1,   861,    -1,   860,    -1,   686,
      -1,   530,    -1,   529,    -1,   868,    -1,   559,    -1,   575,
      -1,   863,    -1,   744,    -1,   556,    -1,   576,    -1,  1068,
      -1,   707,    -1,   816,    -1,   862,    -1,   857,    -1,   654,
      -1,   661,    -1,   675,    -1,   681,    -1,   786,    -1,   533,
      -1,   631,    -1,   722,    -1,   729,    -1,   730,    -1,   643,
      -1,   537,    -1,   635,    -1,   592,    -1,   651,    -1,   687,
      -1,   701,    -1,   519,    -1,   525,    -1,   683,    -1,   848,
      -1,  1209,    -1,   903,    -1,   709,    -1,   890,    -1,   560,
      -1,   813,    -1,   708,    -1,   818,    -1,   665,    -1,   679,
      -1,   536,    -1,   733,    -1,   734,    -1,   735,    -1,   649,
      -1,   835,    -1,   737,    -1,   653,    -1,   700,    -1,   531,
      -1,   532,    -1,   685,    -1,   856,    -1,   883,    -1,   874,
      -1,   751,    -1,   755,    -1,   766,    -1,   775,    -1,   885,
      -1,   838,    -1,   634,    -1,   847,    -1,   892,    -1,   836,
      -1,   880,    -1,   736,    -1,   820,    -1,   809,    -1,   808,
      -1,   810,    -1,   823,    -1,   756,    -1,   767,    -1,   828,
      -1,   747,    -1,   907,    -1,   840,    -1,   742,    -1,   839,
      -1,   896,    -1,   865,    -1,   552,    -1,   541,    -1,   555,
      -1,   845,    -1,  1145,    -1,  1071,    -1,  1088,    -1,  1146,
      -1,  1128,    -1,  1143,    -1,  1129,    -1,  1089,    -1,  1133,
      -1,  1155,    -1,  1147,    -1,  1134,    -1,  1163,    -1,  1165,
      -1,  1158,    -1,  1150,    -1,  1166,    -1,  1169,    -1,  1171,
      -1,    -1,   160,   383,  1059,   520,   521,    -1,   474,    -1,
      -1,   521,   524,    -1,    -1,   522,   523,    -1,    -1,   344,
    1199,    -1,   344,   317,    -1,   202,   344,  1199,    -1,   447,
     344,  1199,    -1,   253,    -1,   152,   287,  1060,    -1,   458,
     453,  1199,    -1,   455,  1049,    -1,  1201,    -1,   523,    -1,
     422,  1058,    -1,    96,  1049,    -1,   383,  1049,    -1,   248,
     383,  1049,    -1,   248,   236,  1049,    -1,   160,   455,  1059,
     520,   521,    -1,   101,   383,  1059,   520,   522,    -1,    -1,
     248,   174,  1051,    -1,   101,   383,  1059,   527,   553,    -1,
     101,   383,    99,   527,   553,    -1,   101,   455,  1059,   520,
     522,    -1,   101,   455,  1059,   553,    -1,   197,   383,  1049,
      -1,   197,   383,   243,   212,  1049,    -1,   197,   455,  1049,
      -1,   197,   455,   243,   212,  1049,    -1,   160,   236,  1059,
     520,   521,    -1,   101,   236,  1059,   535,   455,  1049,    -1,
      95,    -1,   197,    -1,   197,   236,  1049,    -1,   197,   236,
     243,   212,  1049,    -1,   160,   389,   538,   115,  1059,   539,
      -1,   160,   389,  1179,   539,    -1,   160,   389,   243,   312,
     212,   538,   115,  1059,   539,    -1,   160,   389,   243,   312,
     212,  1179,   539,    -1,  1179,    -1,    -1,   539,   540,    -1,
      -1,   592,    -1,   775,    -1,   635,    -1,   687,    -1,   755,
      -1,   845,    -1,   401,   542,    -1,   401,   290,   542,    -1,
     401,   399,   542,    -1,   436,   843,    -1,   399,   136,   108,
     436,   843,    -1,   543,    -1,   544,   434,   545,    -1,   544,
     495,   545,    -1,   544,   434,   180,    -1,   544,   495,   180,
      -1,   544,   228,   163,    -1,   432,   491,   549,    -1,   132,
    1199,    -1,   389,  1199,    -1,   305,   550,    -1,   383,   551,
      -1,   399,   115,   551,    -1,   399,   115,   180,    -1,   479,
     329,   996,    -1,   436,   408,  1199,    -1,  1178,    -1,   544,
     510,  1179,    -1,   546,    -1,   545,   511,   546,    -1,   548,
      -1,   641,    -1,   361,   446,    -1,   361,   149,    -1,   373,
     361,    -1,   397,    -1,   440,    -1,   217,    -1,   326,    -1,
     551,    -1,  1199,    -1,  1201,    -1,   983,  1199,   985,    -1,
     983,   508,  1058,   509,  1199,   985,    -1,   641,    -1,   180,
      -1,   290,    -1,  1199,    -1,   180,    -1,    -1,  1061,    -1,
    1199,    -1,   376,   544,    -1,   376,   432,   491,    -1,   376,
     436,   271,   285,    -1,   376,   399,   115,    -1,   376,    99,
      -1,   401,   542,    -1,   552,    -1,   401,   543,    -1,   552,
      -1,   404,   544,  1212,    -1,   404,   432,   491,  1212,    -1,
     404,   436,   271,   285,  1212,    -1,   404,   399,   115,  1212,
      -1,   404,    99,    -1,   401,   154,   557,   558,    -1,    99,
      -1,  1047,    -1,   183,    -1,   245,    -1,   138,    -1,   191,
      99,    -1,   191,   427,    -1,   191,   429,    -1,   191,   346,
      -1,   101,   424,   954,   562,    -1,   101,   424,   243,   212,
     954,   562,    -1,   101,   251,  1048,   562,    -1,   101,   251,
     243,   212,  1048,   562,    -1,   101,   395,  1048,   562,    -1,
     101,   395,   243,   212,  1048,   562,    -1,   101,   468,  1048,
     562,    -1,   101,   468,   243,   212,  1048,   562,    -1,   101,
     297,   468,  1048,   562,    -1,   101,   297,   468,   243,   212,
    1048,   562,    -1,   563,    -1,   562,   511,   563,    -1,    95,
     600,    -1,    95,   145,   600,    -1,   101,   824,  1179,   564,
      -1,   101,   824,  1179,   197,   312,   317,    -1,   101,   824,
    1179,   401,   312,   317,    -1,   101,   824,  1179,   401,   414,
    1060,    -1,   101,   824,  1179,   401,   568,    -1,   101,   824,
    1179,   376,   568,    -1,   101,   824,  1179,   401,   417,  1179,
      -1,   197,   824,   243,   212,  1179,   565,    -1,   197,   824,
    1179,   565,    -1,   101,   824,  1179,   825,   443,   963,   566,
     567,    -1,   101,   824,  1179,   669,    -1,    95,   609,    -1,
     459,   153,  1050,    -1,   197,   153,   243,   212,  1050,   565,
      -1,   197,   153,  1050,   565,    -1,   401,   474,   325,    -1,
     401,   475,   325,    -1,   141,   326,  1050,    -1,   401,   475,
     141,    -1,   200,   438,  1050,    -1,   200,   102,   438,  1050,
      -1,   200,   375,   438,  1050,    -1,   200,   438,    99,    -1,
     200,   438,   455,    -1,   190,   438,  1050,    -1,   190,   438,
      99,    -1,   190,   438,   455,    -1,   200,   387,  1050,    -1,
     200,   102,   387,  1050,    -1,   200,   375,   387,  1050,    -1,
     190,   387,  1050,    -1,   253,  1048,    -1,   310,   253,  1048,
      -1,   322,   740,    -1,   312,   322,    -1,   339,   434,  1059,
      -1,   401,   426,  1050,    -1,   401,   568,    -1,   376,   568,
      -1,   669,    -1,   401,   180,   987,    -1,   197,   180,    -1,
     128,    -1,   378,    -1,    -1,   143,   740,    -1,    -1,   456,
     987,    -1,    -1,   508,   570,   509,    -1,   474,   568,    -1,
      -1,   571,    -1,   570,   511,   571,    -1,  1181,   495,   713,
      -1,  1181,    -1,  1181,   510,  1181,   495,   713,    -1,  1181,
     510,  1181,    -1,   101,   443,   740,   573,    -1,   574,    -1,
     573,   511,   574,    -1,    95,   114,   962,   565,    -1,   197,
     114,   243,   212,  1179,   565,    -1,   197,   114,  1179,   565,
      -1,   101,   114,  1179,   825,   443,   963,   566,   565,    -1,
     140,   904,    -1,   140,    99,    -1,   158,   583,  1048,   612,
     584,   577,   578,   579,   585,   520,   580,    -1,   158,   908,
     434,   578,   579,   520,   580,    -1,   228,    -1,   434,    -1,
     358,    -1,    -1,  1199,    -1,   415,    -1,   416,    -1,   581,
      -1,   508,   587,   509,    -1,   581,   582,    -1,    -1,   121,
      -1,   325,    -1,   227,    -1,   186,   859,  1199,    -1,   317,
     859,  1199,    -1,   162,    -1,   239,    -1,   359,   859,  1199,
      -1,   205,   859,  1199,    -1,   224,   359,   613,    -1,   224,
     359,   501,    -1,   224,   312,   317,   613,    -1,   201,  1199,
      -1,   121,    -1,    -1,   474,   325,    -1,    -1,   586,   187,
    1199,    -1,    -1,   456,    -1,    -1,   588,    -1,   587,   511,
     588,    -1,  1181,   589,    -1,   548,    -1,   641,    -1,   501,
      -1,   508,   590,   509,    -1,    -1,   591,    -1,   590,   511,
     591,    -1,   548,    -1,   160,   593,   424,  1048,   508,   594,
     509,   623,   624,   625,   626,    -1,   160,   593,   424,   243,
     312,   212,  1048,   508,   594,   509,   623,   624,   625,   626,
      -1,   160,   593,   424,  1048,   322,   740,   595,   624,   625,
     626,    -1,   160,   593,   424,   243,   312,   212,  1048,   322,
     740,   595,   624,   625,   626,    -1,   429,    -1,   427,    -1,
     290,   429,    -1,   290,   427,    -1,   232,   429,    -1,   232,
     427,    -1,   452,    -1,    -1,   596,    -1,    -1,   508,   597,
     509,    -1,    -1,   598,    -1,   596,   511,   598,    -1,   599,
      -1,   597,   511,   599,    -1,   600,    -1,   606,    -1,   609,
      -1,   601,    -1,   609,    -1,  1179,   963,   667,   602,    -1,
    1179,   474,   330,   602,    -1,   602,   603,    -1,    -1,   153,
    1050,   604,    -1,   604,    -1,   605,    -1,   143,   740,    -1,
     312,   317,    -1,   317,    -1,   449,   802,   627,    -1,   353,
     273,   802,   627,    -1,   137,   508,   987,   509,   611,    -1,
     180,   988,    -1,   367,  1048,   612,   615,   619,    -1,   182,
      -1,   312,   182,    -1,   255,   183,    -1,   255,   245,    -1,
     286,  1048,   607,    -1,   607,   249,   608,    -1,   607,   209,
     608,    -1,    -1,   181,    -1,   154,    -1,   252,    -1,   417,
      -1,   147,    -1,    99,    -1,   153,  1050,   610,    -1,   610,
      -1,   137,   508,   987,   509,   698,    -1,   449,   508,   613,
     509,   802,   627,   698,    -1,   449,   628,   698,    -1,   353,
     273,   508,   613,   509,   802,   627,   698,    -1,   353,   273,
     628,   698,    -1,   208,   779,   508,   616,   509,   802,   627,
     618,   698,    -1,   225,   273,   508,   613,   509,   367,  1048,
     612,   615,   619,   698,    -1,   310,   253,    -1,    -1,   508,
     613,   509,    -1,    -1,   614,    -1,   613,   511,   614,    -1,
    1179,    -1,   296,   229,    -1,   296,   341,    -1,   296,   406,
      -1,    -1,   617,    -1,   616,   511,   617,    -1,   781,   474,
     812,    -1,   781,   474,   328,   508,   812,   509,    -1,   471,
     508,   987,   509,    -1,    -1,   620,    -1,   621,    -1,   620,
     621,    -1,   621,   620,    -1,    -1,   326,   454,   622,    -1,
     326,   185,   622,    -1,   310,    94,    -1,   378,    -1,   128,
      -1,   401,   317,    -1,   401,   180,    -1,   254,   508,  1047,
     509,    -1,    -1,   474,   568,    -1,   474,   325,    -1,   475,
     325,    -1,    -1,   326,   148,   197,    -1,   326,   148,   185,
     386,    -1,   326,   148,   350,   386,    -1,    -1,   426,  1050,
      -1,    -1,   456,   251,   426,  1050,    -1,    -1,   456,   251,
    1054,    -1,  1048,   612,   624,   625,   626,    -1,   474,   173,
      -1,   474,   310,   173,    -1,    -1,   160,   633,   297,   468,
     632,   108,   907,   630,    -1,  1048,   612,   569,   626,    -1,
     452,    -1,    -1,   368,   297,   468,  1048,   630,    -1,   160,
     593,   395,  1048,   637,    -1,   101,   395,  1048,   638,    -1,
     101,   395,   243,   212,  1048,   638,    -1,   638,    -1,    -1,
     639,    -1,   638,   639,    -1,   126,   641,    -1,   172,    -1,
     310,   172,    -1,   250,   640,   641,    -1,   298,   641,    -1,
     300,   641,    -1,   310,   298,    -1,   310,   300,    -1,   338,
     125,   740,    -1,   412,   520,   641,    -1,   377,    -1,   377,
     520,   641,    -1,   125,    -1,    -1,  1198,    -1,   500,  1198,
      -1,  1060,    -1,   641,    -1,   642,   511,   641,    -1,   160,
     787,   644,   650,   275,   551,    -1,   160,   787,   644,   650,
     275,   551,   237,   645,   646,   648,    -1,   442,    -1,    -1,
    1050,    -1,  1050,   741,    -1,   256,   645,    -1,    -1,   460,
     645,    -1,   310,   460,    -1,   647,    -1,    -1,   197,   650,
     275,   551,   565,    -1,   197,   650,   275,   243,   212,   551,
     565,    -1,   356,    -1,    -1,   160,   426,  1050,   652,   293,
    1199,    -1,   339,  1050,    -1,    -1,   197,   426,  1050,    -1,
     197,   426,   243,   212,  1050,    -1,   160,   214,  1050,   520,
     655,    -1,   160,   214,   243,   312,   212,  1050,   520,   655,
      -1,   655,   656,    -1,    -1,   389,  1050,    -1,   467,   551,
      -1,   228,   551,    -1,   101,   214,  1050,   454,   658,    -1,
     658,   659,    -1,    -1,   434,   551,    -1,   101,   214,  1050,
     535,    98,  1056,   714,    -1,   101,   214,  1050,   535,   131,
     508,   963,   108,   963,   509,    -1,   101,   214,  1050,   535,
     144,   740,    -1,   101,   214,  1050,   535,   157,   740,    -1,
     101,   214,  1050,   535,   195,   740,    -1,   101,   214,  1050,
     535,   230,   765,    -1,   101,   214,  1050,   535,   650,   275,
    1050,    -1,   101,   214,  1050,   535,   328,   812,   811,    -1,
     101,   214,  1050,   535,   328,   139,   740,   456,  1052,    -1,
     101,   214,  1050,   535,   328,   218,   740,   456,  1052,    -1,
     101,   214,  1050,   535,   389,  1050,    -1,   101,   214,  1050,
     535,   206,   438,  1050,    -1,   101,   214,  1050,   535,   424,
     740,    -1,   101,   214,  1050,   535,   430,   391,   340,   740,
      -1,   101,   214,  1050,   535,   430,   391,   189,   740,    -1,
     101,   214,  1050,   535,   430,   391,   428,   740,    -1,   101,
     214,  1050,   535,   430,   391,   151,   740,    -1,   101,   214,
    1050,   535,   395,   740,    -1,   101,   214,  1050,   535,   468,
     740,    -1,   101,   214,  1050,   535,   297,   468,   740,    -1,
     101,   214,  1050,   535,   225,   424,   740,    -1,   101,   214,
    1050,   535,   225,   173,   477,  1050,    -1,   101,   214,  1050,
     535,   398,  1050,    -1,   101,   214,  1050,   535,   443,   740,
      -1,   160,   225,   173,   477,  1050,   664,   667,    -1,   237,
     645,    -1,   310,   237,    -1,   460,   645,    -1,   310,   460,
      -1,   662,    -1,   663,   662,    -1,   663,    -1,    -1,   197,
     225,   173,   477,  1050,   565,    -1,   197,   225,   173,   477,
     243,   212,  1050,   565,    -1,   101,   225,   173,   477,  1050,
     664,   669,    -1,   101,   225,   173,   477,  1050,   663,    -1,
     330,   508,   668,   509,    -1,    -1,   672,    -1,   668,   511,
     672,    -1,   330,   508,   670,   509,    -1,   671,    -1,   670,
     511,   671,    -1,   672,    -1,   401,   672,    -1,    95,   672,
      -1,   197,   673,    -1,   673,   674,    -1,  1181,    -1,  1199,
      -1,   160,   398,  1050,   676,   678,   225,   173,   477,  1050,
     667,    -1,   443,  1199,    -1,    -1,   467,  1199,    -1,   467,
     317,    -1,   677,    -1,    -1,   197,   398,  1050,   565,    -1,
     197,   398,   243,   212,  1050,   565,    -1,   101,   398,  1050,
     677,   669,    -1,   101,   398,  1050,   677,    -1,   101,   398,
    1050,   669,    -1,   160,   225,   424,  1048,   508,   594,   509,
     398,  1050,   667,    -1,   160,   225,   424,   243,   312,   212,
    1048,   508,   594,   509,   398,  1050,   667,    -1,   101,   225,
     424,   954,   562,    -1,   101,   225,   424,   243,   212,   954,
     562,    -1,   160,   455,   295,   223,   684,   398,  1050,   667,
      -1,   170,    -1,   455,    -1,  1059,    -1,   197,   455,   295,
     223,   684,   398,  1050,    -1,   197,   455,   295,   243,   212,
     223,   684,   398,  1050,    -1,   101,   455,   295,   223,   684,
     398,  1050,   669,    -1,   160,   438,  1050,   688,   689,   326,
    1048,   691,   694,   211,   357,  1056,   508,   695,   509,    -1,
     160,   153,   438,  1050,    97,   689,   326,  1048,   697,   698,
     223,   198,   385,   694,   211,   357,  1056,   508,   695,   509,
      -1,   117,    -1,    97,    -1,   262,   322,    -1,   690,    -1,
     689,   331,   690,    -1,   261,    -1,   185,    -1,   454,    -1,
     454,   322,   613,    -1,   441,    -1,   223,   692,   693,    -1,
      -1,   198,    -1,    -1,   385,    -1,   413,    -1,   470,   508,
     987,   509,    -1,    -1,   696,    -1,   695,   511,   696,    -1,
      -1,  1058,    -1,  1198,    -1,  1199,    -1,  1181,    -1,   228,
    1048,    -1,    -1,    -1,   698,   699,    -1,   312,   182,    -1,
     182,    -1,   255,   245,    -1,   255,   183,    -1,   312,   458,
      -1,   310,   253,    -1,   197,   438,  1050,   326,   740,   565,
      -1,   197,   438,   243,   212,  1050,   326,   740,   565,    -1,
     160,   206,   438,  1050,   326,  1181,   211,   357,  1056,   508,
     509,    -1,   160,   206,   438,  1050,   326,  1181,   470,   702,
     211,   357,  1056,   508,   509,    -1,   703,    -1,   702,   105,
     703,    -1,  1179,   248,   508,   704,   509,    -1,    82,    -1,
     704,   511,    82,    -1,   101,   206,   438,  1050,   706,    -1,
     200,    -1,   200,   375,    -1,   200,   102,    -1,   190,    -1,
     160,   110,  1050,   137,   508,   987,   509,   698,    -1,   197,
     110,  1050,   565,    -1,   160,    98,  1056,   714,   710,    -1,
     160,    98,  1056,   715,    -1,   160,   328,   812,   710,    -1,
     160,   443,   740,   710,    -1,   160,   443,   740,    -1,   160,
     443,   740,   108,   508,   960,   509,    -1,   160,   443,   740,
     108,   204,   508,   718,   509,    -1,   160,   443,   740,   108,
     360,   710,    -1,   160,   430,   391,   340,   740,   710,    -1,
     160,   430,   391,   189,   740,   710,    -1,   160,   430,   391,
     428,   740,   710,    -1,   160,   430,   391,   151,   740,   710,
      -1,   160,   144,   740,   710,    -1,   160,   144,   740,   228,
     740,    -1,   508,   711,   509,    -1,   712,    -1,   711,   511,
     712,    -1,  1181,   495,   713,    -1,  1181,    -1,   796,    -1,
    1065,    -1,  1014,    -1,   641,    -1,  1199,    -1,   508,  1019,
     509,    -1,   508,   501,   509,    -1,   508,   716,   509,    -1,
     717,    -1,   716,   511,   717,    -1,  1201,   495,   713,    -1,
     719,    -1,    -1,  1199,    -1,   719,   511,  1199,    -1,   101,
     443,   740,    95,   461,   721,  1199,    -1,   101,   443,   740,
      95,   461,   721,  1199,   117,  1199,    -1,   101,   443,   740,
      95,   461,   721,  1199,    97,  1199,    -1,   243,   312,   212,
      -1,    -1,   160,   328,   139,   740,   725,   223,   443,   963,
     456,  1052,   726,   108,   723,    -1,   724,    -1,   723,   511,
     724,    -1,   328,  1058,   812,   727,   728,    -1,   328,  1058,
     812,   811,   727,   728,    -1,   230,  1058,  1056,   788,    -1,
     230,  1058,   508,  1019,   509,  1056,   788,    -1,   417,   963,
      -1,   180,    -1,    -1,   218,   740,    -1,    -1,   223,   391,
      -1,   223,   332,   125,   740,    -1,    -1,   364,    -1,    -1,
     160,   328,   218,   740,   456,  1052,    -1,   101,   328,   218,
     740,   456,  1052,    95,   723,    -1,   101,   328,   218,   740,
     456,  1052,   197,   731,    -1,   732,    -1,   731,   511,   732,
      -1,   328,  1058,   508,  1019,   509,    -1,   230,  1058,   508,
    1019,   509,    -1,   197,   328,   139,   740,   456,  1052,   565,
      -1,   197,   328,   139,   243,   212,   740,   456,  1052,   565,
      -1,   197,   328,   218,   740,   456,  1052,   565,    -1,   197,
     328,   218,   243,   212,   740,   456,  1052,   565,    -1,   197,
     338,   125,  1049,   565,    -1,   363,   338,   125,  1049,   434,
    1050,    -1,   197,   738,   243,   212,   739,   565,    -1,   197,
     738,   739,   565,    -1,   197,   251,   150,   739,   565,    -1,
     197,   251,   150,   243,   212,   739,   565,    -1,   424,    -1,
     395,    -1,   468,    -1,   297,   468,    -1,   251,    -1,   225,
     424,    -1,   206,   438,    -1,   443,    -1,   195,    -1,   144,
      -1,   157,    -1,   389,    -1,   214,    -1,   430,   391,   340,
      -1,   430,   391,   189,    -1,   430,   391,   428,    -1,   430,
     391,   151,    -1,   740,    -1,   739,   511,   740,    -1,  1179,
      -1,  1179,   741,    -1,   510,  1053,    -1,   741,   510,  1053,
      -1,   441,   918,   955,   743,   565,    -1,   156,   242,    -1,
     377,   242,    -1,    -1,   146,   326,   745,   740,   269,   746,
      -1,   146,   326,    98,  1056,   714,   269,   746,    -1,   146,
     326,   230,  1056,   788,   269,   746,    -1,   146,   326,   328,
     812,   811,   269,   746,    -1,   146,   326,   153,  1050,   326,
     740,   269,   746,    -1,   146,   326,   387,  1050,   326,   740,
     269,   746,    -1,   146,   326,   387,  1050,   269,   746,    -1,
     146,   326,   438,  1050,   326,   740,   269,   746,    -1,   146,
     326,   328,   139,   740,   456,  1052,   269,   746,    -1,   146,
     326,   328,   218,   740,   456,  1052,   269,   746,    -1,   146,
     326,   276,   321,   641,   269,   746,    -1,   146,   326,   131,
     508,   963,   108,   963,   509,   269,   746,    -1,   146,   326,
     650,   275,   740,   269,   746,    -1,   145,    -1,   174,    -1,
     389,    -1,   251,    -1,   395,    -1,   424,    -1,   195,    -1,
     443,    -1,   468,    -1,   297,   468,    -1,   144,    -1,   157,
      -1,   426,    -1,   214,    -1,   383,    -1,   225,   424,    -1,
     398,    -1,   225,   173,   477,    -1,   206,   438,    -1,   430,
     391,   151,    -1,   430,   391,   189,    -1,   430,   391,   340,
      -1,   430,   391,   428,    -1,  1199,    -1,   317,    -1,   393,
     274,   748,   326,   749,   740,   269,   750,    -1,   393,   274,
     748,   326,    98,  1056,   714,   269,   750,    -1,   393,   274,
     748,   326,   230,  1056,   788,   269,   750,    -1,   393,   274,
     748,   326,   276,   321,   641,   269,   750,    -1,   393,   274,
     748,   326,   650,   275,   740,   269,   750,    -1,   223,   551,
      -1,    -1,   145,    -1,   174,    -1,   206,   438,    -1,   225,
     424,    -1,   389,    -1,   395,    -1,   424,    -1,   195,    -1,
     383,    -1,   426,    -1,   443,    -1,   468,    -1,   297,   468,
      -1,  1199,    -1,   317,    -1,   219,   752,    -1,   303,   752,
      -1,   219,   752,  1213,    -1,   219,   226,   904,  1214,    -1,
     219,   226,   753,   904,  1214,    -1,   219,   116,   904,  1214,
      -1,   219,   116,   753,   904,  1214,    -1,   303,   226,   904,
      -1,   303,   226,   753,   904,    -1,   303,   116,   904,    -1,
     303,   116,   753,   904,    -1,   904,    -1,   753,   904,    -1,
     309,   754,   904,    -1,   354,   754,   904,    -1,   220,   754,
     904,    -1,   277,   754,   904,    -1,    92,  1060,   754,   904,
      -1,   370,  1060,   754,   904,    -1,  1060,   754,   904,    -1,
      99,   754,   904,    -1,   226,  1060,   754,   904,    -1,   226,
      99,   754,   904,    -1,   116,  1060,   754,   904,    -1,   116,
      99,   754,   904,    -1,   228,    -1,   248,    -1,   753,    -1,
      -1,   233,   757,   326,   760,   434,   761,   763,    -1,   381,
     757,   326,   760,   228,   761,   565,    -1,   381,   233,   329,
     223,   757,   326,   760,   228,   761,   565,    -1,   758,    -1,
      99,    -1,    99,   355,    -1,    99,   508,   613,   509,    -1,
      99,   355,   508,   613,   509,    -1,   759,    -1,   758,   511,
     759,    -1,   394,   612,    -1,   367,   612,    -1,   160,   612,
      -1,  1179,   612,    -1,  1047,    -1,   424,  1047,    -1,   395,
    1047,    -1,   225,   173,   477,  1049,    -1,   225,   398,  1049,
      -1,   230,   764,    -1,   174,  1049,    -1,   195,   739,    -1,
     275,  1049,    -1,   276,   321,   642,    -1,   389,  1049,    -1,
     426,  1049,    -1,   443,   739,    -1,    99,   425,   248,   389,
    1049,    -1,    99,   396,   248,   389,  1049,    -1,    99,   231,
     248,   389,  1049,    -1,   762,    -1,   761,   511,   762,    -1,
    1059,    -1,   236,  1059,    -1,   474,   233,   329,    -1,    -1,
     765,    -1,   764,   511,   765,    -1,  1056,   788,    -1,   233,
     758,   434,  1049,   768,   769,    -1,   381,   758,   228,  1049,
     769,   565,    -1,   381,    96,   329,   223,   758,   228,  1049,
     769,   565,    -1,   474,    96,   329,    -1,    -1,   234,   125,
    1059,    -1,    -1,   101,   180,   355,   771,   773,    -1,   771,
     772,    -1,    -1,   248,   389,  1049,    -1,   223,   383,  1049,
      -1,   223,   455,  1049,    -1,   233,   757,   326,   774,   434,
     761,   763,    -1,   381,   757,   326,   774,   228,   761,   565,
      -1,   381,   233,   329,   223,   757,   326,   774,   228,   761,
     565,    -1,   425,    -1,   231,    -1,   396,    -1,   444,    -1,
     160,   776,   251,   777,   778,   326,  1048,   779,   508,   780,
     509,   569,   626,   958,    -1,   449,    -1,    -1,   150,    -1,
      -1,  1054,    -1,    -1,   456,  1052,    -1,    -1,   781,    -1,
     780,   511,   781,    -1,  1179,   782,   783,   784,   785,    -1,
     990,   782,   783,   784,   785,    -1,   508,   987,   509,   782,
     783,   784,   785,    -1,   143,   740,    -1,    -1,   740,    -1,
     456,   740,    -1,    -1,   109,    -1,   188,    -1,    -1,   492,
      -1,   493,    -1,    -1,   160,   787,   230,  1056,   790,   380,
     795,   798,   802,    -1,   160,   787,   230,  1056,   790,   380,
     424,   508,   804,   509,   798,   802,    -1,   160,   787,   230,
    1056,   790,   798,   802,    -1,   331,   374,    -1,    -1,   508,
     789,   509,    -1,   508,   509,    -1,   792,    -1,   789,   511,
     792,    -1,   508,   791,   509,    -1,   508,   509,    -1,   797,
      -1,   791,   511,   797,    -1,   793,   794,   796,    -1,   794,
     793,   796,    -1,   794,   796,    -1,   793,   796,    -1,   796,
      -1,   248,    -1,   333,    -1,   258,    -1,   248,   333,    -1,
     464,    -1,  1180,    -1,   796,    -1,   963,    -1,  1180,   741,
     503,   443,    -1,   402,  1180,   741,   503,   443,    -1,   792,
      -1,   792,   180,   987,    -1,   792,   495,   987,    -1,   800,
      -1,   798,   800,    -1,   127,   326,   317,   259,    -1,   380,
     317,   326,   317,   259,    -1,   418,    -1,   246,    -1,   410,
      -1,   469,    -1,   215,   393,   184,    -1,   215,   393,   268,
      -1,   393,   184,    -1,   393,   268,    -1,   282,    -1,   312,
     282,    -1,   159,   641,    -1,   386,   641,    -1,   554,    -1,
     108,   801,    -1,   275,   551,    -1,   473,    -1,   799,    -1,
    1199,    -1,  1199,   511,  1199,    -1,   474,   710,    -1,    -1,
     794,   796,    -1,   803,    -1,   804,   511,   803,    -1,   101,
     230,   765,   806,   807,    -1,   799,    -1,   806,   799,    -1,
     378,    -1,    -1,   197,   230,  1056,   788,   565,    -1,   197,
     230,   243,   212,  1056,   788,   565,    -1,   197,    98,  1056,
     714,   565,    -1,   197,    98,   243,   212,  1056,   714,   565,
      -1,   197,   328,   812,   811,   565,    -1,   197,   328,   243,
     212,   812,   811,   565,    -1,   508,   963,   509,    -1,   508,
     963,   511,   963,   509,    -1,   508,   311,   511,   963,   509,
      -1,   508,   963,   511,   311,   509,    -1,  1011,    -1,  1179,
     510,   812,    -1,   193,   814,    -1,   815,    -1,   814,   815,
      -1,  1199,    -1,   275,   551,    -1,   160,   131,   508,   963,
     108,   963,   509,   474,   230,   765,   817,    -1,   160,   131,
     508,   963,   108,   963,   509,   475,   230,   817,    -1,   160,
     131,   508,   963,   108,   963,   509,   474,   258,   817,    -1,
     108,   247,    -1,   108,   111,    -1,    -1,   197,   131,   819,
     508,   963,   108,   963,   509,   565,    -1,   243,   212,    -1,
      -1,   369,   821,  1048,   822,    -1,   369,   423,  1050,   822,
      -1,   369,   174,  1050,   822,    -1,   251,    -1,   424,    -1,
     224,    -1,    -1,   101,    98,  1056,   714,   372,   434,  1050,
      -1,   101,   144,   740,   372,   434,  1050,    -1,   101,   157,
     740,   372,   434,  1050,    -1,   101,   174,  1051,   372,   434,
    1051,    -1,   101,   195,   740,   372,   434,  1050,    -1,   101,
     195,   740,   372,   153,  1050,   434,  1050,    -1,   101,   225,
     173,   477,  1050,   372,   434,  1050,    -1,   101,   230,   765,
     372,   434,  1050,    -1,   101,   236,  1059,   372,   434,  1059,
      -1,   101,   650,   275,  1050,   372,   434,  1050,    -1,   101,
     328,   139,   740,   456,  1052,   372,   434,  1050,    -1,   101,
     328,   218,   740,   456,  1052,   372,   434,  1050,    -1,   101,
     389,  1050,   372,   434,  1050,    -1,   101,   398,  1050,   372,
     434,  1050,    -1,   101,   424,   954,   372,   434,  1050,    -1,
     101,   424,   243,   212,   954,   372,   434,  1050,    -1,   101,
     395,  1048,   372,   434,  1050,    -1,   101,   395,   243,   212,
    1048,   372,   434,  1050,    -1,   101,   468,  1048,   372,   434,
    1050,    -1,   101,   468,   243,   212,  1048,   372,   434,  1050,
      -1,   101,   297,   468,  1048,   372,   434,  1050,    -1,   101,
     297,   468,   243,   212,  1048,   372,   434,  1050,    -1,   101,
     251,  1048,   372,   434,  1050,    -1,   101,   251,   243,   212,
    1048,   372,   434,  1050,    -1,   101,   225,   424,   954,   372,
     434,  1050,    -1,   101,   225,   424,   243,   212,   954,   372,
     434,  1050,    -1,   101,   424,   954,   372,   824,  1050,   434,
    1050,    -1,   101,   424,   243,   212,   954,   372,   824,  1050,
     434,  1050,    -1,   101,   297,   468,  1048,   372,   824,  1050,
     434,  1050,    -1,   101,   297,   468,   243,   212,  1048,   372,
     824,  1050,   434,  1050,    -1,   101,   424,   954,   372,   153,
    1050,   434,  1050,    -1,   101,   225,   424,   954,   372,   824,
    1050,   434,  1050,    -1,   101,   225,   424,   243,   212,   954,
     372,   824,  1050,   434,  1050,    -1,   101,   387,  1050,   326,
    1048,   372,   434,  1050,    -1,   101,   438,  1050,   326,  1048,
     372,   434,  1050,    -1,   101,   206,   438,  1050,   372,   434,
    1050,    -1,   101,   383,  1059,   372,   434,  1059,    -1,   101,
     455,  1059,   372,   434,  1059,    -1,   101,   426,  1050,   372,
     434,  1050,    -1,   101,   426,  1050,   401,   568,    -1,   101,
     426,  1050,   376,   568,    -1,   101,   430,   391,   340,   740,
     372,   434,  1050,    -1,   101,   430,   391,   189,   740,   372,
     434,  1050,    -1,   101,   430,   391,   428,   740,   372,   434,
    1050,    -1,   101,   430,   391,   151,   740,   372,   434,  1050,
      -1,   101,   443,   740,   372,   434,  1050,    -1,   101,   443,
     740,   372,   114,  1050,   434,  1050,   565,    -1,   145,    -1,
      -1,   401,   173,    -1,    -1,   101,    98,  1056,   714,   401,
     389,  1050,    -1,   101,   144,   740,   401,   389,  1050,    -1,
     101,   157,   740,   401,   389,  1050,    -1,   101,   195,   740,
     401,   389,  1050,    -1,   101,   214,   740,   401,   389,  1050,
      -1,   101,   230,   765,   401,   389,  1050,    -1,   101,   328,
     812,   811,   401,   389,  1050,    -1,   101,   328,   139,   740,
     456,  1052,   401,   389,  1050,    -1,   101,   328,   218,   740,
     456,  1052,   401,   389,  1050,    -1,   101,   424,   954,   401,
     389,  1050,    -1,   101,   424,   243,   212,   954,   401,   389,
    1050,    -1,   101,   430,   391,   340,   740,   401,   389,  1050,
      -1,   101,   430,   391,   189,   740,   401,   389,  1050,    -1,
     101,   430,   391,   428,   740,   401,   389,  1050,    -1,   101,
     430,   391,   151,   740,   401,   389,  1050,    -1,   101,   395,
    1048,   401,   389,  1050,    -1,   101,   395,   243,   212,  1048,
     401,   389,  1050,    -1,   101,   468,  1048,   401,   389,  1050,
      -1,   101,   468,   243,   212,  1048,   401,   389,  1050,    -1,
     101,   297,   468,  1048,   401,   389,  1050,    -1,   101,   297,
     468,   243,   212,  1048,   401,   389,  1050,    -1,   101,   225,
     424,   954,   401,   389,  1050,    -1,   101,   225,   424,   243,
     212,   954,   401,   389,  1050,    -1,   101,   443,   740,   401,
     389,  1050,    -1,   101,    98,  1056,   714,   339,   434,  1059,
      -1,   101,   144,   740,   339,   434,  1059,    -1,   101,   157,
     740,   339,   434,  1059,    -1,   101,   174,  1051,   339,   434,
    1059,    -1,   101,   195,   740,   339,   434,  1059,    -1,   101,
     230,   765,   339,   434,  1059,    -1,   101,   650,   275,  1050,
     339,   434,  1059,    -1,   101,   276,   321,   641,   339,   434,
    1059,    -1,   101,   328,   812,   811,   339,   434,  1059,    -1,
     101,   328,   139,   740,   456,  1052,   339,   434,  1059,    -1,
     101,   328,   218,   740,   456,  1052,   339,   434,  1059,    -1,
     101,   389,  1050,   339,   434,  1059,    -1,   101,   443,   740,
     339,   434,  1059,    -1,   101,   426,  1050,   339,   434,  1059,
      -1,   101,   430,   391,   189,   740,   339,   434,  1059,    -1,
     101,   430,   391,   151,   740,   339,   434,  1059,    -1,   101,
     225,   173,   477,  1050,   339,   434,  1059,    -1,   101,   398,
    1050,   339,   434,  1059,    -1,   101,   206,   438,  1050,   339,
     434,  1059,    -1,   160,   787,   387,  1050,   108,   326,   833,
     434,  1048,   958,   193,   834,   829,    -1,   313,    -1,   831,
      -1,   508,   830,   509,    -1,   830,   512,   832,    -1,   832,
      -1,   907,    -1,   885,    -1,   896,    -1,   890,    -1,   836,
      -1,   831,    -1,    -1,   394,    -1,   454,    -1,   185,    -1,
     261,    -1,   262,    -1,   100,    -1,    -1,   197,   387,  1050,
     326,   740,   565,    -1,   197,   387,   243,   212,  1050,   326,
     740,   565,    -1,   314,  1179,   837,    -1,   511,  1199,    -1,
      -1,   288,  1179,    -1,   451,  1179,    -1,   451,   501,    -1,
      91,   841,    -1,   118,   841,   844,    -1,   412,   436,   844,
      -1,   148,   841,    -1,   203,   841,    -1,   384,   841,    -1,
     388,  1179,    -1,   371,   388,  1179,    -1,   371,  1179,    -1,
     384,   841,   434,   388,  1179,    -1,   384,   841,   434,  1179,
      -1,   351,   436,  1199,    -1,   148,   352,  1199,    -1,   384,
     352,  1199,    -1,   476,    -1,   436,    -1,    -1,   271,   285,
     547,    -1,   361,   327,    -1,   361,   478,    -1,   182,    -1,
     312,   182,    -1,   842,    -1,   843,   511,   842,    -1,   843,
     842,    -1,   843,    -1,    -1,   160,   593,   468,  1048,   612,
     569,   108,   907,   846,    -1,   160,   331,   374,   593,   468,
    1048,   612,   569,   108,   907,   846,    -1,   160,   593,   365,
     468,  1048,   508,   613,   509,   569,   108,   907,    -1,   160,
     331,   374,   593,   365,   468,  1048,   508,   613,   509,   569,
     108,   907,    -1,   474,   137,   329,    -1,   474,   129,   137,
     329,    -1,   474,   290,   137,   329,    -1,    -1,   289,  1055,
      -1,   160,   174,  1051,   520,   849,    -1,   849,   850,    -1,
      -1,   426,   851,  1050,    -1,   426,   851,   180,    -1,   293,
     851,  1199,    -1,   293,   851,   180,    -1,   428,   851,  1050,
      -1,   428,   851,   180,    -1,   201,   851,  1199,    -1,   201,
     851,  1058,    -1,   201,   851,   180,    -1,   279,   851,  1199,
      -1,   279,   851,   180,    -1,   280,   851,  1199,    -1,   280,
     851,   180,    -1,   152,   287,   851,  1060,    -1,   339,   851,
    1050,    -1,   339,   851,   180,    -1,   495,    -1,    -1,   101,
     174,  1051,   520,   854,    -1,   101,   174,  1051,   401,   426,
    1050,    -1,   101,   174,  1051,   553,    -1,   854,   855,    -1,
      -1,   152,   287,   851,  1060,    -1,   197,   174,  1051,    -1,
     197,   174,   243,   212,  1051,    -1,   160,   195,   740,   859,
     963,   602,    -1,   101,   195,   740,   564,    -1,   101,   195,
     740,   197,   312,   317,    -1,   101,   195,   740,   401,   312,
     317,    -1,   101,   195,   740,    95,   609,    -1,   101,   195,
     740,   197,   153,  1050,   565,    -1,   101,   195,   740,   197,
     153,   243,   212,  1050,   565,    -1,   101,   195,   740,   459,
     153,  1050,    -1,   108,    -1,    -1,   101,   430,   391,   189,
     740,   710,    -1,   101,   430,   391,   151,   740,    95,   295,
     223,  1049,   474,   739,    -1,   101,   430,   391,   151,   740,
     101,   295,   223,  1049,   474,   739,    -1,   101,   430,   391,
     151,   740,   101,   295,   374,   740,   474,   740,    -1,   101,
     430,   391,   151,   740,   101,   295,   223,  1049,   374,   740,
     474,   740,    -1,   101,   430,   391,   151,   740,   197,   295,
     223,  1049,    -1,   101,   430,   391,   151,   740,   197,   295,
     243,   212,   223,  1049,    -1,   160,   725,   157,   740,   223,
    1199,   434,  1199,   228,   740,    -1,   141,   870,  1048,   864,
      -1,   141,   870,    -1,   141,   870,  1054,   326,  1048,    -1,
     456,  1054,    -1,    -1,   457,   871,   872,   870,    -1,   457,
     871,   872,   870,  1048,    -1,   457,   871,   872,   870,   868,
      -1,   457,   508,   866,   509,    -1,   457,   508,   866,   509,
    1048,   873,    -1,   867,    -1,   866,   511,   867,    -1,   869,
      -1,   466,    -1,   227,    -1,   229,    -1,   869,   870,    -1,
     869,   870,  1048,   873,    -1,   104,    -1,   103,    -1,   466,
      -1,    -1,   229,    -1,    -1,   227,    -1,    -1,   508,  1049,
     509,    -1,    -1,   213,   875,    -1,   213,   869,   870,   875,
      -1,   213,   466,   875,    -1,   213,   508,   876,   509,   875,
      -1,   907,    -1,   885,    -1,   896,    -1,   890,    -1,   903,
      -1,  1068,    -1,   631,    -1,   634,    -1,   883,    -1,   877,
      -1,   876,   511,   877,    -1,   878,   879,    -1,  1061,    -1,
     869,    -1,   548,    -1,   641,    -1,    -1,   351,  1087,   881,
     108,   882,    -1,   351,  1087,   228,  1132,    -1,   508,  1019,
     509,    -1,    -1,   907,    -1,   885,    -1,   896,    -1,   890,
      -1,   211,  1087,   884,  1211,    -1,   160,   593,   424,   629,
     108,   211,  1050,   884,   630,    -1,   508,  1016,   509,    -1,
      -1,   915,   261,   267,  1048,   886,   889,    -1,   907,    -1,
     508,   887,   509,   907,    -1,   180,   462,    -1,   888,    -1,
     887,   511,   888,    -1,  1179,  1040,    -1,   379,  1045,  1212,
      -1,    -1,   915,   185,   228,   956,   891,   959,   889,    -1,
     456,   945,    -1,    -1,   294,   918,   955,   893,   895,    -1,
     248,   894,   301,    -1,    -1,    93,   403,    -1,   385,   403,
      -1,   385,   210,    -1,   403,   454,   210,    -1,   403,    -1,
     403,   385,   210,    -1,   210,    -1,    93,   210,    -1,   316,
      -1,    -1,   915,   454,   956,   401,   897,   944,   959,   889,
      -1,   898,    -1,   897,   511,   898,    -1,   899,    -1,   900,
      -1,   901,   495,  1042,    -1,   508,   902,   509,   495,  1044,
      -1,  1179,  1040,    -1,   901,    -1,   902,   511,   901,    -1,
     179,   904,   905,   171,   906,   223,   907,    -1,  1050,    -1,
    1192,    -1,    -1,   905,   310,   390,    -1,   905,   390,    -1,
     905,   121,    -1,   905,   260,    -1,    -1,   474,   240,    -1,
     475,   240,    -1,   909,    -1,   908,    -1,   508,   909,   509,
      -1,   508,   908,   509,    -1,   911,    -1,   910,   922,    -1,
     910,   921,   937,   926,    -1,   910,   921,   925,   938,    -1,
     912,   910,    -1,   912,   910,   922,    -1,   912,   910,   921,
     937,   926,    -1,   912,   910,   921,   925,   938,    -1,   911,
      -1,   908,    -1,   394,   920,  1045,   916,   944,   958,   935,
     936,   999,    -1,   943,    -1,   424,   954,    -1,   910,   448,
     919,   910,    -1,   910,   265,   919,   910,    -1,   910,   207,
     919,   910,    -1,   474,   913,    -1,   474,   365,   913,    -1,
     914,    -1,   913,   511,   914,    -1,  1050,   873,   108,   508,
     882,   509,    -1,   912,    -1,    -1,   267,   917,    -1,  1212,
      -1,    -1,   429,   918,  1048,    -1,   427,   918,  1048,    -1,
     290,   429,   918,  1048,    -1,   290,   427,   918,  1048,    -1,
     232,   429,   918,  1048,    -1,   232,   427,   918,  1048,    -1,
     452,   918,  1048,    -1,   424,  1048,    -1,  1048,    -1,   424,
      -1,    -1,    99,    -1,   192,    -1,    -1,   192,    -1,   192,
     326,   508,  1016,   509,    -1,    99,    -1,    -1,   922,    -1,
      -1,   332,   125,   923,    -1,   924,    -1,   923,   511,   924,
      -1,   987,   456,  1014,   785,    -1,   987,   784,   785,    -1,
     927,   928,    -1,   928,   927,    -1,   927,    -1,   928,    -1,
     925,    -1,    -1,   287,   929,    -1,   287,   929,   511,   930,
      -1,   219,   934,   931,   933,   327,    -1,   324,   930,    -1,
     324,   932,   933,    -1,   987,    -1,    99,    -1,   987,    -1,
    1060,    -1,   508,   987,   509,    -1,    -1,   989,    -1,   385,
      -1,   386,    -1,   220,    -1,   309,    -1,   236,   125,  1016,
      -1,    -1,   238,   987,    -1,    -1,   939,    -1,   223,   361,
     327,    -1,   937,    -1,    -1,   940,    -1,   939,   940,    -1,
     941,   942,   895,    -1,   223,   454,    -1,   223,   310,   273,
     454,    -1,   223,   403,    -1,   223,   273,   403,    -1,   322,
    1047,    -1,    -1,   462,  1044,    -1,   943,   511,  1044,    -1,
     228,   945,    -1,    -1,   946,    -1,   945,   511,   946,    -1,
     954,   949,    -1,   957,   950,    -1,   278,   957,   950,    -1,
     908,   949,    -1,   278,   908,   949,    -1,   947,    -1,   508,
     947,   509,   948,    -1,   508,   947,   509,    -1,   946,   161,
     272,   946,    -1,   946,   951,   272,   946,   953,    -1,   946,
     272,   946,   953,    -1,   946,   307,   951,   272,   946,    -1,
     946,   307,   272,   946,    -1,   108,  1179,   508,  1049,   509,
      -1,   108,  1179,    -1,  1179,   508,  1049,   509,    -1,  1179,
      -1,   948,    -1,    -1,   948,    -1,   108,   508,   961,   509,
      -1,   108,  1179,   508,   961,   509,    -1,  1179,   508,   961,
     509,    -1,    -1,   229,   952,    -1,   284,   952,    -1,   382,
     952,    -1,   257,    -1,   334,    -1,    -1,   456,   508,  1049,
     509,    -1,   326,   987,    -1,  1048,    -1,  1048,   501,    -1,
     327,  1048,    -1,   327,   508,  1048,   509,    -1,   954,    -1,
     955,   511,   954,    -1,   954,    -1,   954,  1179,    -1,   954,
     108,  1179,    -1,   990,    -1,   471,   987,    -1,    -1,   471,
     987,    -1,   471,   163,   322,   904,    -1,    -1,   961,    -1,
      -1,   962,    -1,   961,   511,   962,    -1,  1179,   963,   566,
      -1,   965,   964,    -1,   402,   965,   964,    -1,   965,   107,
     506,  1058,   507,    -1,   402,   965,   107,   506,  1058,   507,
      -1,   965,   107,    -1,   402,   965,   107,    -1,   964,   506,
     507,    -1,   964,   506,  1210,   507,    -1,    -1,   967,    -1,
     969,    -1,   971,    -1,   975,    -1,   982,    -1,   983,   985,
      -1,   983,   508,  1058,   509,   985,    -1,   969,    -1,   972,
      -1,   976,    -1,   982,    -1,  1180,   968,    -1,  1180,   741,
     968,    -1,   508,  1016,   509,    -1,    -1,   263,    -1,   264,
      -1,   407,    -1,   120,    -1,   362,    -1,   221,   970,    -1,
     196,   349,    -1,   178,   968,    -1,   177,   968,    -1,   320,
     968,    -1,   123,    -1,   508,  1058,   509,    -1,    -1,   973,
      -1,   974,    -1,   973,    -1,   974,    -1,   122,   980,   508,
    1016,   509,    -1,   122,   980,    -1,   977,    -1,   978,    -1,
     977,    -1,   978,    -1,   979,   508,  1058,   509,   981,    -1,
     979,   981,    -1,   135,   980,    -1,   134,   980,    -1,   463,
      -1,   306,   135,   980,    -1,   306,   134,   980,    -1,   308,
     980,    -1,   465,    -1,    -1,   135,   401,  1179,    -1,    -1,
     433,   508,  1058,   509,   984,    -1,   433,   984,    -1,   432,
     508,  1058,   509,   984,    -1,   432,   984,    -1,   266,    -1,
     494,   491,    -1,   475,   432,   491,    -1,    -1,   489,    -1,
     302,    -1,   175,    -1,   241,    -1,   299,    -1,   986,    -1,
     489,   434,   302,    -1,   175,   434,   241,    -1,   175,   434,
     299,    -1,   175,   434,   986,    -1,   241,   434,   299,    -1,
     241,   434,   986,    -1,   299,   434,   986,    -1,    -1,   392,
      -1,   392,   508,  1058,   509,    -1,   989,    -1,   987,    88,
     963,    -1,   987,   143,   740,    -1,   987,   113,   432,   491,
     987,    -1,   499,   987,    -1,   500,   987,    -1,   987,   499,
     987,    -1,   987,   500,   987,    -1,   987,   501,   987,    -1,
     987,   502,   987,    -1,   987,   503,   987,    -1,   987,   504,
     987,    -1,   987,   496,   987,    -1,   987,   497,   987,    -1,
     987,   495,   987,    -1,   987,  1013,   987,    -1,  1013,   987,
      -1,   987,  1013,    -1,   987,   105,   987,    -1,   987,   331,
     987,    -1,   312,   987,    -1,   987,   286,   987,    -1,   987,
     286,   987,   205,   987,    -1,   987,   312,   286,   987,    -1,
     987,   312,   286,   987,   205,   987,    -1,   987,   244,   987,
      -1,   987,   244,   987,   205,   987,    -1,   987,   312,   244,
     987,    -1,   987,   312,   244,   987,   205,   987,    -1,   987,
     405,   434,   987,    -1,   987,   405,   434,   987,   205,   987,
      -1,   987,   312,   405,   434,   987,    -1,   987,   312,   405,
     434,   987,   205,   987,    -1,   987,   269,   317,    -1,   987,
     270,    -1,   987,   269,   312,   317,    -1,   987,   315,    -1,
    1009,   336,  1009,    -1,   987,   269,   440,    -1,   987,   269,
     312,   440,    -1,   987,   269,   217,    -1,   987,   269,   312,
     217,    -1,   987,   269,   450,    -1,   987,   269,   312,   450,
      -1,   987,   269,   192,   228,   987,    -1,   987,   269,   312,
     192,   228,   987,    -1,   987,   269,   322,   508,  1019,   509,
      -1,   987,   269,   312,   322,   508,  1019,   509,    -1,   987,
     119,  1041,   988,   105,   988,    -1,   987,   312,   119,  1041,
     988,   105,   988,    -1,   987,   119,   421,   988,   105,   988,
      -1,   987,   312,   119,   421,   988,   105,   988,    -1,   987,
     248,  1031,    -1,   987,   312,   248,  1031,    -1,   987,  1015,
    1010,   908,    -1,   987,  1015,  1010,   508,   987,   509,    -1,
     449,   908,    -1,   987,   269,   194,    -1,   987,   269,   312,
     194,    -1,   989,    -1,   988,    88,   963,    -1,   499,   988,
      -1,   500,   988,    -1,   988,   499,   988,    -1,   988,   500,
     988,    -1,   988,   501,   988,    -1,   988,   502,   988,    -1,
     988,   503,   988,    -1,   988,   504,   988,    -1,   988,   496,
     988,    -1,   988,   497,   988,    -1,   988,   495,   988,    -1,
     988,  1013,   988,    -1,  1013,   988,    -1,   988,  1013,    -1,
     988,   269,   192,   228,   988,    -1,   988,   269,   312,   192,
     228,   988,    -1,   988,   269,   322,   508,  1019,   509,    -1,
     988,   269,   312,   322,   508,  1019,   509,    -1,   988,   269,
     194,    -1,   988,   269,   312,   194,    -1,  1037,    -1,  1057,
      -1,  1196,  1040,    -1,   508,   987,   509,  1040,    -1,  1032,
      -1,   990,    -1,   908,    -1,   908,  1039,    -1,   212,   908,
      -1,   107,   908,    -1,   107,  1020,    -1,  1009,    -1,  1056,
     508,   509,  1002,    -1,  1056,   508,  1017,   509,  1002,    -1,
    1056,   508,   464,  1018,   509,  1002,    -1,  1056,   508,  1017,
     511,   464,  1018,   509,  1002,    -1,  1056,   508,  1017,   922,
     509,  1002,    -1,  1056,   508,    99,  1017,   921,   509,  1002,
      -1,  1056,   508,   192,  1017,   921,   509,  1002,    -1,  1056,
     508,   501,   509,  1002,    -1,   144,   223,   508,   987,   509,
      -1,   165,    -1,   168,    -1,   168,   508,  1058,   509,    -1,
     169,    -1,   169,   508,  1058,   509,    -1,   291,    -1,   291,
     508,  1058,   509,    -1,   292,    -1,   292,   508,  1058,   509,
      -1,   166,    -1,   170,    -1,   400,    -1,   455,    -1,   164,
      -1,   167,    -1,   131,   508,   987,   108,   963,   509,    -1,
     216,   508,  1022,   509,    -1,   337,   508,  1024,   509,    -1,
     347,   508,  1026,   509,    -1,   420,   508,  1027,   509,    -1,
     437,   508,   987,   108,   963,   509,    -1,   439,   508,   124,
    1030,   509,    -1,   439,   508,   281,  1030,   509,    -1,   439,
     508,   435,  1030,   509,    -1,   439,   508,  1030,   509,    -1,
     318,   508,   987,   511,   987,   509,    -1,   142,   508,  1016,
     509,    -1,   235,   508,  1016,   509,    -1,   283,   508,  1016,
     509,    -1,   481,   508,  1016,   509,    -1,   482,   508,   304,
    1181,   509,    -1,   482,   508,   304,  1181,   511,   993,   509,
      -1,   482,   508,   304,  1181,   511,  1016,   509,    -1,   482,
     508,   304,  1181,   511,   993,   511,  1016,   509,    -1,   483,
     508,   989,   998,   509,    -1,   484,   508,   994,   509,    -1,
     485,   508,   996,   987,   997,   509,    -1,   486,   508,   304,
    1181,   509,    -1,   486,   508,   304,  1181,   511,   987,   509,
      -1,   487,   508,   987,   511,   991,   992,   509,    -1,   488,
     508,   996,   987,   108,   965,   509,    -1,   467,   987,    -1,
     467,   310,   461,    -1,   511,   411,   490,    -1,   511,   411,
     310,    -1,   511,   411,   310,   461,    -1,    -1,   480,   508,
     994,   509,    -1,   995,    -1,   994,   511,   995,    -1,   987,
     108,  1181,    -1,   987,    -1,   194,    -1,   155,    -1,   350,
     472,    -1,   419,   472,    -1,    -1,   343,   989,    -1,   343,
     989,   125,   366,    -1,   343,   125,   366,   989,    -1,   343,
     125,   366,   989,   125,   366,    -1,   473,  1000,    -1,    -1,
    1001,    -1,  1000,   511,  1001,    -1,  1179,   108,  1003,    -1,
     335,  1003,    -1,   335,  1179,    -1,    -1,   508,  1004,  1005,
     921,  1006,   509,    -1,  1179,    -1,    -1,   342,   125,  1016,
      -1,    -1,   360,  1007,    -1,   386,  1007,    -1,    -1,  1008,
      -1,   119,  1008,   105,  1008,    -1,   445,   348,    -1,   445,
     222,    -1,   163,   385,    -1,   987,   348,    -1,   987,   222,
      -1,   385,   508,  1016,   509,    -1,   385,   508,   509,    -1,
     508,  1016,   511,   987,   509,    -1,   106,    -1,   409,    -1,
      99,    -1,    85,    -1,  1012,    -1,   499,    -1,   500,    -1,
     501,    -1,   502,    -1,   503,    -1,   504,    -1,   496,    -1,
     497,    -1,   495,    -1,    85,    -1,   328,   508,   812,   509,
      -1,  1011,    -1,   328,   508,   812,   509,    -1,  1011,    -1,
     328,   508,   812,   509,    -1,   286,    -1,   312,   286,    -1,
     244,    -1,   312,   244,    -1,   987,    -1,  1016,   511,   987,
      -1,  1018,    -1,  1017,   511,  1018,    -1,   987,    -1,   794,
      90,   987,    -1,   963,    -1,  1019,   511,   963,    -1,   506,
    1016,   507,    -1,   506,  1021,   507,    -1,   506,   507,    -1,
    1020,    -1,  1021,   511,  1020,    -1,  1023,   228,   987,    -1,
      -1,  1201,    -1,   489,    -1,   302,    -1,   175,    -1,   241,
      -1,   299,    -1,   392,    -1,  1199,    -1,   987,  1025,  1028,
    1029,    -1,   987,  1025,  1028,    -1,   345,   987,    -1,   988,
     248,   988,    -1,    -1,   987,  1028,  1029,    -1,   987,  1029,
    1028,    -1,   987,  1028,    -1,   987,  1029,    -1,  1016,    -1,
      -1,   228,   987,    -1,   223,   987,    -1,   987,   228,  1016,
      -1,   228,  1016,    -1,  1016,    -1,   908,    -1,   508,  1016,
     509,    -1,   130,  1036,  1033,  1035,   203,    -1,  1034,    -1,
    1033,  1034,    -1,   470,   987,   431,   987,    -1,   199,   987,
      -1,    -1,   987,    -1,    -1,  1179,    -1,  1179,  1039,    -1,
     510,  1053,    -1,   510,   501,    -1,   506,   987,   507,    -1,
     506,   987,   513,   987,   507,    -1,  1038,    -1,  1039,  1038,
      -1,    -1,  1040,  1038,    -1,   112,    -1,    -1,   987,    -1,
     180,    -1,  1042,    -1,  1043,   511,  1042,    -1,   508,  1043,
     509,    -1,  1046,    -1,  1045,   511,  1046,    -1,   987,   108,
    1181,    -1,   987,  1201,    -1,   987,    -1,   501,    -1,  1048,
      -1,  1047,   511,  1048,    -1,  1179,    -1,  1179,  1039,    -1,
    1050,    -1,  1049,   511,  1050,    -1,  1179,    -1,  1179,    -1,
    1179,    -1,  1181,    -1,  1179,    -1,  1199,    -1,  1180,    -1,
    1179,  1039,    -1,  1058,    -1,  1198,    -1,  1199,    -1,  1197,
      -1,    84,    -1,  1056,  1199,    -1,  1056,   508,  1017,   509,
    1199,    -1,   966,  1199,    -1,   983,  1199,   985,    -1,   983,
     508,  1058,   509,  1199,   985,    -1,   440,    -1,   217,    -1,
     317,    -1,  1193,    -1,  1191,    -1,    86,    -1,  1061,    -1,
    1058,    -1,  1193,    -1,   499,  1058,    -1,   500,  1058,    -1,
    1201,    -1,  1062,    -1,  1063,    -1,  1064,    -1,    91,    -1,
      92,    -1,    93,    -1,    94,    -1,    95,    -1,    96,    -1,
      97,    -1,    98,    -1,   100,    -1,   101,    -1,   102,    -1,
     110,    -1,   111,    -1,   113,    -1,   114,    -1,   116,    -1,
     117,    -1,   118,    -1,   125,    -1,   126,    -1,   127,    -1,
     128,    -1,   129,    -1,   132,    -1,   133,    -1,   136,    -1,
     138,    -1,   139,    -1,   140,    -1,   141,    -1,   146,    -1,
     147,    -1,   148,    -1,   149,    -1,   151,    -1,   154,    -1,
     155,    -1,   156,    -1,   157,    -1,   158,    -1,   159,    -1,
     162,    -1,   171,    -1,   172,    -1,   173,    -1,   174,    -1,
     176,    -1,   179,    -1,   181,    -1,   183,    -1,   184,    -1,
     185,    -1,   186,    -1,   187,    -1,   189,    -1,   190,    -1,
     191,    -1,   194,    -1,   195,    -1,   196,    -1,   197,    -1,
     198,    -1,   200,    -1,   201,    -1,   202,    -1,   204,    -1,
     205,    -1,   206,    -1,   208,    -1,   209,    -1,   210,    -1,
     211,    -1,   213,    -1,   214,    -1,   215,    -1,   218,    -1,
     220,    -1,   222,    -1,   224,    -1,   226,    -1,   230,    -1,
     231,    -1,   232,    -1,   234,    -1,   237,    -1,   239,    -1,
     240,    -1,   242,    -1,   243,    -1,   245,    -1,   246,    -1,
     247,    -1,   249,    -1,   250,    -1,   251,    -1,   252,    -1,
     253,    -1,   254,    -1,   256,    -1,   260,    -1,   261,    -1,
     262,    -1,   268,    -1,   271,    -1,   273,    -1,   274,    -1,
     275,    -1,   276,    -1,   277,    -1,   279,    -1,   280,    -1,
     282,    -1,   285,    -1,   288,    -1,   289,    -1,   290,    -1,
     293,    -1,   294,    -1,   295,    -1,   296,    -1,   297,    -1,
     298,    -1,   300,    -1,   301,    -1,   303,    -1,   304,    -1,
     305,    -1,   309,    -1,   310,    -1,   313,    -1,   314,    -1,
     316,    -1,   319,    -1,   321,    -1,   322,    -1,   323,    -1,
     325,    -1,   328,    -1,   329,    -1,   330,    -1,   338,    -1,
     339,    -1,   340,    -1,   341,    -1,   342,    -1,   343,    -1,
     344,    -1,   346,    -1,   348,    -1,   351,    -1,   352,    -1,
     350,    -1,   354,    -1,   355,    -1,   356,    -1,   357,    -1,
     358,    -1,   359,    -1,   360,    -1,   361,    -1,   363,    -1,
     364,    -1,   365,    -1,   366,    -1,   368,    -1,   369,    -1,
     370,    -1,   371,    -1,   372,    -1,   373,    -1,   374,    -1,
     375,    -1,   376,    -1,   377,    -1,   378,    -1,   380,    -1,
     381,    -1,   383,    -1,   384,    -1,   386,    -1,   387,    -1,
     388,    -1,   389,    -1,   390,    -1,   391,    -1,   393,    -1,
     395,    -1,   396,    -1,   397,    -1,   398,    -1,   399,    -1,
     401,    -1,   403,    -1,   404,    -1,   406,    -1,   408,    -1,
     410,    -1,   411,    -1,   412,    -1,   413,    -1,   414,    -1,
     415,    -1,   416,    -1,   417,    -1,   418,    -1,   419,    -1,
     422,    -1,   423,    -1,   425,    -1,   426,    -1,   427,    -1,
     428,    -1,   429,    -1,   430,    -1,   436,    -1,   438,    -1,
     441,    -1,   442,    -1,   443,    -1,   444,    -1,   445,    -1,
     446,    -1,   447,    -1,   450,    -1,   451,    -1,   452,    -1,
     453,    -1,   454,    -1,   457,    -1,   458,    -1,   459,    -1,
     460,    -1,   461,    -1,   465,    -1,   467,    -1,   468,    -1,
     469,    -1,   472,    -1,   475,    -1,   476,    -1,   477,    -1,
     478,    -1,   479,    -1,   490,    -1,   491,    -1,   119,    -1,
     120,    -1,   122,    -1,   123,    -1,   135,    -1,   142,    -1,
     177,    -1,   178,    -1,   212,    -1,   216,    -1,   221,    -1,
     235,    -1,   258,    -1,   264,    -1,   266,    -1,   283,    -1,
     306,    -1,   308,    -1,   311,    -1,   318,    -1,   320,    -1,
     333,    -1,   337,    -1,   347,    -1,   349,    -1,   362,    -1,
     385,    -1,   402,    -1,   407,    -1,   420,    -1,   432,    -1,
     433,    -1,   437,    -1,   439,    -1,   463,    -1,   480,    -1,
     481,    -1,   482,    -1,   483,    -1,   484,    -1,   485,    -1,
     486,    -1,   487,    -1,   488,    -1,   115,    -1,   121,    -1,
     144,    -1,   150,    -1,   161,    -1,   167,    -1,   227,    -1,
     229,    -1,   244,    -1,   257,    -1,   269,    -1,   270,    -1,
     272,    -1,   284,    -1,   286,    -1,   307,    -1,   315,    -1,
     334,    -1,   335,    -1,   336,    -1,   382,    -1,   405,    -1,
     466,    -1,    99,    -1,   103,    -1,   104,    -1,   105,    -1,
     106,    -1,   107,    -1,   108,    -1,   109,    -1,   112,    -1,
     124,    -1,   130,    -1,   131,    -1,   137,    -1,   143,    -1,
     145,    -1,   153,    -1,   160,    -1,   164,    -1,   165,    -1,
     166,    -1,   168,    -1,   169,    -1,   170,    -1,   180,    -1,
     182,    -1,   188,    -1,   192,    -1,   193,    -1,   199,    -1,
     203,    -1,   207,    -1,   217,    -1,   219,    -1,   223,    -1,
     225,    -1,   228,    -1,   233,    -1,   236,    -1,   238,    -1,
     248,    -1,   255,    -1,   265,    -1,   267,    -1,   278,    -1,
     281,    -1,   287,    -1,   291,    -1,   292,    -1,   312,    -1,
     317,    -1,   324,    -1,   326,    -1,   327,    -1,   331,    -1,
     332,    -1,   345,    -1,   353,    -1,   367,    -1,   379,    -1,
     394,    -1,   400,    -1,   409,    -1,   421,    -1,   424,    -1,
     431,    -1,   435,    -1,   440,    -1,   449,    -1,   455,    -1,
     456,    -1,   464,    -1,   470,    -1,   471,    -1,   473,    -1,
     474,    -1,    -1,  1066,  1067,    -1,  1188,  1070,   518,   512,
      -1,  1188,   518,   512,    -1,  1188,  1090,    -1,  1095,    -1,
    1207,    -1,    73,    -1,   514,    -1,   515,    -1,    -1,   160,
     593,   424,   629,   108,  1069,   907,   630,    -1,   113,  1131,
      -1,     9,   434,  1072,  1079,  1080,    -1,     9,   434,   180,
      -1,     9,  1081,    -1,   174,  1072,    -1,  1073,  1076,  1078,
      -1,  1074,   513,  1075,  1078,   502,  1073,  1084,    -1,  1083,
      -1,  1199,    -1,  1051,    -1,    -1,  1201,  1195,    -1,    85,
    1077,    -1,  1075,    -1,    -1,  1179,    -1,  1179,   510,  1077,
      -1,    74,    -1,   513,  1058,    -1,    -1,   108,  1131,    -1,
      -1,   455,  1081,    -1,    -1,  1082,    -1,  1082,   502,  1082,
      -1,  1082,    21,   125,  1082,    -1,  1082,   456,  1082,    -1,
    1059,    -1,  1199,    -1,  1193,    -1,  1195,    -1,    85,  1085,
      -1,    -1,  1179,  1086,    -1,  1179,  1086,    85,  1085,    -1,
      -1,   495,  1058,    -1,   495,  1201,    -1,   495,  1193,    -1,
    1050,    -1,  1083,    -1,   179,   904,   905,   171,   906,   223,
    1087,    -1,   211,   245,  1132,    -1,  1091,    -1,  1102,    -1,
    1104,    -1,   641,    -1,   511,   641,    -1,    -1,   985,    -1,
     489,   434,   299,    -1,   489,   434,   392,    -1,   175,   434,
     175,    -1,   302,   434,   302,    -1,    -1,  1097,  1096,  1099,
    1098,    -1,  1188,   118,   179,    34,   512,    -1,  1188,   203,
     179,    34,   512,    -1,    -1,  1100,    -1,  1091,    -1,    73,
      -1,  1100,  1091,    -1,  1100,    73,    -1,  1104,    -1,  1101,
    1104,    -1,    -1,    70,  1103,  1111,  1127,  1183,   964,   512,
      -1,    -1,  1108,  1111,  1105,  1124,   512,    -1,    -1,  1111,
    1106,  1124,   512,    -1,  1114,   512,    -1,   513,  1058,    -1,
      -1,  1109,  1110,    -1,  1109,    -1,  1110,    -1,    56,    -1,
      67,    -1,    65,    -1,    50,    -1,    51,    -1,    69,    -1,
    1120,    -1,  1116,    -1,  1112,    -1,  1183,   508,  1092,  1093,
     509,    -1,  1183,  1094,    -1,  1118,    -1,   204,  1177,  1113,
      -1,   204,  1113,    -1,   204,  1177,    -1,   514,  1205,   515,
      -1,    -1,  1118,  1115,   514,  1101,   515,    -1,  1114,    -1,
      -1,  1119,  1117,   514,  1101,   515,    -1,    43,  1177,    -1,
     448,  1177,    -1,    43,    -1,   448,    -1,  1121,    -1,  1123,
    1122,    -1,    44,    35,    -1,    44,    35,   263,    -1,    44,
      -1,    44,   263,    -1,    44,    25,    -1,    44,    25,   263,
      -1,    44,    25,    25,    -1,    44,    25,    25,   263,    -1,
      44,   134,    -1,    35,    -1,    35,   263,    -1,   263,    -1,
      25,    -1,    25,   263,    -1,    25,    25,    -1,    25,    25,
     263,    -1,     5,    -1,   134,    -1,   196,    -1,    36,    -1,
      -1,  1125,    -1,  1124,   511,  1125,    -1,  1127,  1182,   964,
    1107,  1126,    -1,    -1,   495,  1206,    -1,    -1,   501,    -1,
     501,   501,    -1,   179,   413,  1201,    -1,    15,  1130,    -1,
    1131,    -1,   163,    -1,    99,    -1,    -1,  1051,    -1,   180,
      -1,  1083,    -1,  1083,    -1,    71,    -1,    17,   904,    -1,
      17,    99,    -1,    28,   904,  1135,    -1,    -1,  1136,    -1,
     456,  1140,    -1,  1137,    -1,   456,    37,    14,  1202,    -1,
     456,    14,  1050,    -1,   267,    37,    14,  1202,    -1,   267,
      14,  1050,    -1,   267,  1050,    -1,  1141,    -1,  1141,   511,
    1140,    -1,  1142,    -1,  1193,    -1,  1191,    -1,  1058,    -1,
     499,  1058,    -1,   500,  1058,    -1,  1198,    -1,   499,  1198,
      -1,   500,  1198,    -1,  1199,    -1,  1197,    -1,  1200,    -1,
      13,   259,  1087,  1137,    -1,    13,  1144,  1087,  1137,    -1,
      13,  1144,  1087,  1138,    -1,    13,   259,  1087,  1139,    -1,
      13,  1144,  1087,  1139,    -1,    29,    -1,    -1,     3,    14,
    1202,    -1,   176,    14,  1202,    -1,    18,    14,  1202,  1148,
      -1,  1149,    -1,  1148,   511,  1149,    -1,  1195,   495,  1154,
      -1,   401,    14,  1202,  1151,    -1,  1152,    -1,  1151,   511,
    1152,    -1,  1154,   495,  1153,    -1,  1058,    -1,  1195,    -1,
      10,    -1,    18,    14,  1202,   461,  1153,  1156,    -1,  1157,
      -1,  1156,   511,  1157,    -1,  1195,   495,  1162,    -1,   401,
      14,  1202,   461,  1153,  1159,    -1,  1160,    -1,  1159,   511,
    1160,    -1,  1162,   495,  1161,    -1,  1198,    -1,  1153,    -1,
     500,  1198,    -1,   500,  1058,    -1,  1199,    -1,     8,    -1,
     173,    -1,    11,    -1,    12,    -1,    22,    -1,    23,    -1,
      24,    -1,   304,    -1,    26,    -1,    27,    -1,   349,    -1,
      31,    -1,    32,    -1,    33,    -1,   443,    -1,   401,     4,
     495,  1164,    -1,   401,     4,   434,  1164,    -1,   326,    -1,
     323,    -1,   401,   152,   434,  1131,    -1,   401,   152,   495,
    1131,    -1,   401,   152,  1131,    -1,    -1,   443,  1167,  1183,
     269,  1111,   964,  1168,    -1,    30,    -1,    -1,    -1,    45,
    1170,  1181,   269,  1111,   964,  1168,    -1,    46,    38,  1172,
      -1,    46,   312,    16,  1172,    -1,    46,    40,  1172,    -1,
     156,    -1,    39,    -1,    42,    -1,    20,  1050,    -1,    19,
     434,  1050,    -1,   193,  1050,   508,  1189,   509,    -1,   193,
       6,    -1,     7,  1050,   508,  1189,   509,    -1,     7,  1050,
      -1,  1174,    -1,  1175,    -1,     6,    -1,     7,    -1,     8,
      -1,    10,    -1,    11,    -1,    12,    -1,    16,    -1,    19,
      -1,    20,    -1,    21,    -1,    22,    -1,    23,    -1,    24,
      -1,    26,    -1,    27,    -1,    31,    -1,    32,    -1,    33,
      -1,    34,    -1,    37,    -1,    38,    -1,    39,    -1,    40,
      -1,    42,    -1,     9,    -1,    13,    -1,    15,    -1,    28,
      -1,    45,    -1,    46,    -1,     5,    -1,    25,    -1,    29,
      -1,    35,    -1,    43,    -1,    36,    -1,    44,    -1,  1181,
      -1,  1201,    -1,  1062,    -1,  1063,    -1,  1186,    -1,  1173,
      -1,  1184,    -1,   134,    -1,   462,    -1,  1201,    -1,  1185,
      -1,  1063,    -1,  1173,    -1,  1184,    -1,   134,    -1,   462,
      -1,  1201,    -1,  1185,    -1,  1064,    -1,  1173,    -1,  1184,
      -1,  1176,    -1,  1182,    -1,  1176,    -1,   134,    -1,   163,
      -1,   259,    -1,   263,    -1,   434,    -1,   448,    -1,   462,
      -1,  1184,    -1,  1186,    -1,  1183,    -1,  1062,    -1,  1065,
      -1,  1175,    -1,   152,    -1,  1201,    -1,  1063,    -1,  1064,
      -1,  1174,    -1,    50,    -1,    51,    -1,    56,    -1,    65,
      -1,    67,    -1,    70,    -1,    69,    -1,  1062,    -1,  1186,
      -1,   152,    -1,   175,    -1,   241,    -1,   299,    -1,   302,
      -1,   392,    -1,   489,    -1,  1190,    -1,  1187,   511,  1190,
      -1,    41,    -1,    -1,  1205,    -1,  1195,  1194,    -1,  1195,
      -1,  1195,  1194,    -1,  1083,    -1,  1195,    -1,  1195,    -1,
      22,  1195,    -1,    22,  1050,    -1,    72,    -1,    87,    -1,
      83,    -1,    81,    -1,    82,    -1,    76,    -1,    77,    -1,
      78,    -1,    75,    -1,    84,    -1,    80,    -1,    71,    -1,
      79,    -1,  1050,    -1,  1083,    -1,  1208,    -1,   508,   509,
      -1,   508,  1204,   509,    -1,  1203,    -1,  1204,  1203,    -1,
    1206,    -1,  1205,   511,  1206,    -1,  1204,    -1,   514,  1205,
     515,    -1,  1208,    -1,   508,    -1,   509,    -1,   511,    -1,
     512,    -1,  1201,    -1,  1058,    -1,  1198,    -1,  1199,    -1,
     501,    -1,   499,    -1,   500,    -1,   502,    -1,   503,    -1,
     317,    -1,    47,    -1,    48,    -1,    49,    -1,    50,    -1,
      51,    -1,    52,    -1,    53,    -1,    54,    -1,    55,    -1,
      56,    -1,    57,    -1,    58,    -1,    60,    -1,    59,    -1,
      61,    -1,    62,    -1,    63,    -1,    64,    -1,    65,    -1,
      66,    -1,    67,    -1,    68,    -1,    70,    -1,    69,    -1,
       5,    -1,   204,    -1,   241,    -1,   263,    -1,    25,    -1,
     299,    -1,   302,    -1,   392,    -1,    35,    -1,    36,    -1,
      43,    -1,    44,    -1,   489,    -1,   134,    -1,   221,    -1,
     434,    -1,   448,    -1,   463,    -1,   506,    -1,   507,    -1,
     495,    -1,   513,    -1,   176,  1087,    -1,   176,   351,  1087,
      -1,   176,    99,    -1,   176,   351,    99,    -1,  1058,    -1,
     508,  1210,   509,    -1,  1210,   499,  1210,    -1,  1210,   500,
    1210,    -1,  1210,   501,  1210,    -1,  1210,   502,  1210,    -1,
    1210,   503,  1210,    -1,  1199,    -1,  1179,    -1,    -1,  1136,
    1212,    -1,  1212,  1136,    -1,  1136,    -1,  1212,    -1,   267,
    1187,    -1,  1138,    -1,  1212,    -1,  1137,    -1,    -1,  1213,
      -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1477,  1477,  1480,  1482,  1484,  1486,  1488,  1490,  1492,
    1494,  1496,  1498,  1500,  1502,  1504,  1506,  1508,  1510,  1512,
    1514,  1516,  1518,  1520,  1522,  1524,  1526,  1528,  1530,  1532,
    1534,  1552,  1554,  1556,  1558,  1560,  1562,  1564,  1566,  1568,
    1570,  1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,  1588,
    1590,  1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,  1608,
    1610,  1612,  1616,  1618,  1620,  1622,  1624,  1626,  1628,  1630,
    1632,  1634,  1636,  1638,  1640,  1642,  1644,  1646,  1648,  1650,
    1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,  1668,  1670,
    1672,  1674,  1676,  1678,  1680,  1682,  1684,  1691,  1693,  1695,
    1697,  1699,  1701,  1703,  1705,  1707,  1709,  1711,  1713,  1719,
    1721,  1723,  1725,  1727,  1729,  1731,  1733,  1735,  1741,  1751,
    1755,  1761,  1765,  1775,  1785,  1786,  1800,  1807,  1813,  1824,
    1830,  1839,  1846,  1852,  1861,  1868,  1876,  1881,  1889,  1894,
    1900,  1905,  1911,  1916,  1922,  1926,  1930,  1934,  1938,  1942,
    1946,  1950,  1954,  1962,  1966,  1970,  1974,  1978,  1982,  1990,
    1998,  2007,  2009,  2017,  2021,  2029,  2037,  2045,  2049,  2057,
    2061,  2069,  2077,  2085,  2089,  2097,  2101,  2109,  2113,  2117,
    2122,  2131,  2136,  2142,  2147,  2153,  2157,  2161,  2165,  2169,
    2173,  2181,  2185,  2189,  2197,  2201,  2205,  2213,  2217,  2221,
    2225,  2229,  2233,  2237,  2242,  2246,  2250,  2254,  2258,  2262,
    2266,  2274,  2278,  2286,  2290,  2298,  2302,  2316,  2320,  2324,
    2328,  2336,  2340,  2344,  2348,  2356,  2360,  2364,  2368,  2372,
    2376,  2380,  2388,  2392,  2397,  2403,  2407,  2415,  2419,  2423,
    2427,  2431,  2439,  2443,  2451,  2455,  2463,  2467,  2471,  2475,
    2479,  2488,  2496,  2500,  2508,  2512,  2520,  2528,  2532,  2536,
    2540,  2548,  2552,  2556,  2560,  2564,  2568,  2572,  2576,  2580,
    2584,  2592,  2596,  2604,  2608,  2612,  2616,  2620,  2624,  2628,
    2632,  2636,  2640,  2644,  2648,  2652,  2656,  2660,  2664,  2668,
    2672,  2676,  2680,  2684,  2688,  2692,  2696,  2700,  2704,  2708,
    2712,  2716,  2720,  2724,  2728,  2732,  2736,  2740,  2744,  2748,
    2752,  2756,  2760,  2764,  2768,  2776,  2780,  2788,  2792,  2797,
    2803,  2808,  2814,  2819,  2825,  2833,  2838,  2844,  2848,  2856,
    2860,  2864,  2868,  2876,  2884,  2888,  2896,  2900,  2904,  2908,
    2916,  2921,  2929,  2937,  2945,  2949,  2957,  2962,  2968,  2972,
    2976,  2984,  2988,  2996,  3001,  3007,  3011,  3015,  3019,  3023,
    3027,  3031,  3035,  3039,  3043,  3047,  3051,  3055,  3063,  3068,
    3074,  3079,  3085,  3090,  3096,  3101,  3107,  3111,  3119,  3127,
    3131,  3135,  3139,  3144,  3150,  3154,  3162,  3170,  3174,  3178,
    3182,  3190,  3194,  3198,  3202,  3206,  3210,  3214,  3219,  3225,
    3230,  3236,  3241,  3247,  3251,  3259,  3263,  3271,  3275,  3279,
    3287,  3291,  3299,  3307,  3315,  3320,  3326,  3330,  3334,  3338,
    3346,  3350,  3354,  3358,  3362,  3366,  3370,  3378,  3382,  3386,
    3390,  3398,  3406,  3410,  3415,  3421,  3425,  3429,  3433,  3437,
    3441,  3449,  3453,  3461,  3465,  3469,  3473,  3477,  3481,  3485,
    3493,  3498,  3504,  3509,  3515,  3519,  3527,  3535,  3539,  3544,
    3549,  3555,  3559,  3567,  3571,  3579,  3584,  3590,  3594,  3598,
    3602,  3607,  3613,  3621,  3629,  3633,  3637,  3641,  3645,  3653,
    3658,  3664,  3668,  3672,  3677,  3683,  3687,  3691,  3696,  3702,
    3707,  3713,  3718,  3724,  3732,  3740,  3744,  3749,  3755,  3763,
    3771,  3776,  3782,  3790,  3798,  3802,  3810,  3815,  3821,  3825,
    3833,  3837,  3841,  3845,  3849,  3853,  3857,  3861,  3865,  3869,
    3873,  3877,  3885,  3890,  3896,  3900,  3904,  3912,  3916,  3924,
    3928,  3936,  3941,  3947,  3951,  3959,  3964,  3970,  3974,  3982,
    3987,  3993,  3997,  4005,  4010,  4016,  4024,  4029,  4035,  4039,
    4047,  4051,  4059,  4064,  4070,  4074,  4078,  4086,  4094,  4099,
    4105,  4113,  4117,  4121,  4125,  4129,  4133,  4137,  4141,  4145,
    4149,  4153,  4157,  4161,  4165,  4169,  4173,  4177,  4181,  4185,
    4189,  4193,  4197,  4201,  4205,  4213,  4221,  4225,  4229,  4233,
    4241,  4245,  4253,  4258,  4264,  4268,  4276,  4280,  4288,  4293,
    4299,  4303,  4311,  4319,  4323,  4331,  4335,  4339,  4343,  4351,
    4359,  4367,  4375,  4383,  4388,  4394,  4398,  4406,  4411,  4417,
    4421,  4429,  4433,  4437,  4445,  4449,  4457,  4461,  4469,  4477,
    4481,  4485,  4493,  4497,  4505,  4513,  4517,  4525,  4529,  4533,
    4541,  4545,  4553,  4557,  4561,  4565,  4569,  4577,  4582,  4588,
    4593,  4599,  4603,  4611,  4616,  4622,  4626,  4631,  4637,  4641,
    4645,  4649,  4657,  4662,  4669,  4671,  4679,  4683,  4687,  4691,
    4695,  4699,  4707,  4711,  4719,  4723,  4731,  4735,  4743,  4751,
    4755,  4763,  4771,  4775,  4779,  4783,  4791,  4800,  4809,  4813,
    4817,  4821,  4825,  4829,  4833,  4837,  4841,  4845,  4849,  4853,
    4857,  4861,  4869,  4877,  4881,  4889,  4893,  4901,  4905,  4909,
    4913,  4917,  4925,  4929,  4937,  4945,  4949,  4957,  4965,  4970,
    4976,  4980,  4988,  4992,  4996,  5004,  5009,  5015,  5023,  5027,
    5035,  5039,  5043,  5047,  5051,  5059,  5064,  5070,  5075,  5081,
    5085,  5090,  5096,  5102,  5108,  5116,  5120,  5128,  5132,  5140,
    5144,  5152,  5156,  5164,  5168,  5176,  5184,  5192,  5196,  5200,
    5204,  5212,  5216,  5220,  5224,  5228,  5232,  5236,  5240,  5244,
    5248,  5252,  5256,  5260,  5264,  5268,  5272,  5276,  5284,  5288,
    5296,  5300,  5308,  5312,  5320,  5328,  5332,  5337,  5343,  5347,
    5351,  5355,  5359,  5363,  5367,  5371,  5375,  5379,  5383,  5387,
    5391,  5399,  5403,  5407,  5411,  5415,  5419,  5423,  5427,  5431,
    5435,  5439,  5443,  5447,  5451,  5455,  5459,  5463,  5467,  5471,
    5475,  5479,  5483,  5487,  5495,  5499,  5507,  5511,  5515,  5519,
    5523,  5531,  5536,  5542,  5546,  5550,  5554,  5558,  5562,  5566,
    5570,  5574,  5578,  5582,  5586,  5590,  5598,  5602,  5610,  5614,
    5618,  5622,  5628,  5634,  5640,  5646,  5652,  5658,  5664,  5674,
    5685,  5696,  5707,  5718,  5729,  5740,  5756,  5772,  5788,  5799,
    5815,  5826,  5842,  5857,  5861,  5869,  5874,  5880,  5888,  5892,
    5900,  5904,  5908,  5912,  5916,  5924,  5928,  5936,  5940,  5944,
    5948,  5956,  5960,  5964,  5968,  5972,  5976,  5980,  5984,  5988,
    5992,  5996,  6000,  6004,  6008,  6012,  6016,  6024,  6028,  6036,
    6040,  6048,  6053,  6059,  6063,  6071,  6079,  6087,  6091,  6099,
    6104,  6110,  6115,  6121,  6129,  6134,  6140,  6144,  6148,  6156,
    6160,  6164,  6172,  6176,  6180,  6184,  6192,  6200,  6205,  6211,
    6216,  6222,  6227,  6233,  6238,  6244,  6248,  6256,  6260,  6264,
    6272,  6277,  6283,  6287,  6292,  6298,  6302,  6307,  6313,  6317,
    6322,  6328,  6332,  6336,  6344,  6349,  6355,  6359,  6367,  6371,
    6379,  6383,  6391,  6395,  6403,  6407,  6411,  6415,  6419,  6427,
    6431,  6435,  6439,  6443,  6451,  6459,  6467,  6471,  6475,  6483,
    6487,  6491,  6499,  6503,  6511,  6515,  6519,  6523,  6527,  6531,
    6535,  6539,  6543,  6547,  6551,  6555,  6559,  6563,  6567,  6575,
    6579,  6583,  6587,  6595,  6599,  6607,  6612,  6618,  6626,  6630,
    6638,  6646,  6650,  6658,  6663,  6669,  6673,  6681,  6685,  6693,
    6697,  6705,  6709,  6713,  6717,  6725,  6729,  6737,  6745,  6749,
    6757,  6761,  6769,  6773,  6777,  6785,  6789,  6794,  6800,  6808,
    6813,  6819,  6823,  6827,  6835,  6839,  6847,  6852,  6858,  6862,
    6866,  6870,  6874,  6878,  6882,  6886,  6890,  6894,  6898,  6902,
    6906,  6910,  6914,  6918,  6922,  6926,  6930,  6934,  6938,  6942,
    6946,  6950,  6954,  6958,  6962,  6966,  6970,  6974,  6978,  6982,
    6986,  6990,  6994,  6998,  7002,  7006,  7010,  7014,  7018,  7022,
    7026,  7030,  7034,  7038,  7042,  7050,  7055,  7061,  7066,  7072,
    7076,  7080,  7084,  7088,  7092,  7096,  7100,  7104,  7108,  7112,
    7116,  7120,  7124,  7128,  7132,  7136,  7140,  7144,  7148,  7152,
    7156,  7160,  7164,  7172,  7176,  7180,  7184,  7188,  7192,  7196,
    7200,  7204,  7208,  7212,  7216,  7220,  7224,  7228,  7232,  7236,
    7240,  7244,  7252,  7260,  7264,  7268,  7276,  7280,  7288,  7292,
    7296,  7300,  7304,  7312,  7317,  7323,  7327,  7331,  7335,  7343,
    7347,  7352,  7358,  7362,  7370,  7378,  7383,  7389,  7397,  7401,
    7409,  7413,  7417,  7421,  7425,  7429,  7433,  7437,  7441,  7445,
    7449,  7453,  7457,  7461,  7469,  7473,  7478,  7484,  7488,  7492,
    7496,  7500,  7508,  7512,  7516,  7524,  7529,  7535,  7539,  7543,
    7547,  7555,  7560,  7565,  7571,  7577,  7585,  7593,  7598,  7604,
    7608,  7612,  7616,  7620,  7624,  7628,  7632,  7636,  7640,  7644,
    7648,  7652,  7656,  7660,  7664,  7672,  7677,  7683,  7687,  7695,
    7703,  7708,  7714,  7722,  7726,  7734,  7742,  7746,  7750,  7754,
    7758,  7762,  7766,  7774,  7779,  7785,  7793,  7797,  7801,  7805,
    7809,  7813,  7821,  7829,  7833,  7837,  7845,  7850,  7856,  7860,
    7864,  7868,  7872,  7880,  7884,  7892,  7896,  7900,  7904,  7912,
    7916,  7924,  7928,  7936,  7941,  7947,  7952,  7958,  7963,  7969,
    7974,  7980,  7984,  7988,  7992,  8000,  8004,  8008,  8012,  8016,
    8020,  8024,  8028,  8032,  8040,  8044,  8052,  8060,  8064,  8072,
    8076,  8081,  8087,  8093,  8103,  8108,  8114,  8118,  8122,  8126,
    8134,  8136,  8144,  8149,  8155,  8163,  8167,  8171,  8179,  8183,
    8191,  8199,  8204,  8210,  8218,  8223,  8229,  8237,  8242,  8248,
    8252,  8256,  8260,  8264,  8268,  8272,  8276,  8284,  8289,  8295,
    8303,  8307,  8315,  8319,  8327,  8335,  8343,  8351,  8355,  8363,
    8416,  8420,  8433,  8435,  8439,  8443,  8447,  8456,  8462,  8466,
    8474,  8478,  8486,  8490,  8498,  8502,  8506,  8510,  8514,  8518,
    8522,  8526,  8534,  8538,  8546,  8550,  8554,  8558,  8562,  8566,
    8574,  8578,  8586,  8590,  8598,  8606,  8611,  8617,  8622,  8624,
    8630,  8634,  8638,  8642,  8646,  8650,  8654,  8658,  8662,  8670,
    8675,  8681,  8685,  8690,  8696,  8700,  8704,  8709,  8715,  8720,
    8726,  8734,  8738,  8746,  8750,  8758,  8762,  8766,  8770,  8778,
    8783,  8789,  8793,  8798,  8806,  8810,  8818,  8822,  8830,  8838,
    8842,  8847,  8853,  8861,  8865,  8873,  8877,  8885,  8890,  8896,
    8901,  8907,  8911,  8919,  8924,  8930,  8934,  8942,  8950,  8954,
    8958,  8962,  8970,  8975,  8981,  8985,  8993,  8998,  9004,  9008,
    9016,  9020,  9024,  9028,  9035,  9042,  9046,  9054,  9058,  9062,
    9066,  9070,  9074,  9082,  9086,  9090,  9094,  9102,  9107,  9113,
    9117,  9121,  9125,  9130,  9136,  9140,  9144,  9148,  9156,  9161,
    9167,  9171,  9179,  9183,  9187,  9191,  9199,  9203,  9211,  9215,
    9219,  9227,  9235,  9240,  9246,  9250,  9256,  9262,  9267,  9273,
    9277,  9285,  9293,  9295,  9297,  9301,  9305,  9309,  9317,  9327,
    9338,  9347,  9351,  9355,  9359,  9363,  9367,  9371,  9379,  9383,
    9387,  9391,  9399,  9403,  9411,  9416,  9422,  9426,  9430,  9434,
    9438,  9442,  9446,  9450,  9454,  9458,  9462,  9470,  9475,  9481,
    9485,  9493,  9497,  9505,  9513,  9521,  9525,  9533,  9537,  9545,
    9553,  9561,  9565,  9569,  9573,  9577,  9581,  9589,  9594,  9600,
    9605,  9611,  9615,  9619,  9623,  9631,  9639,  9643,  9648,  9654,
    9658,  9662,  9666,  9670,  9674,  9678,  9682,  9686,  9690,  9694,
    9698,  9702,  9707,  9713,  9717,  9725,  9729,  9733,  9737,  9741,
    9745,  9749,  9753,  9757,  9761,  9765,  9769,  9773,  9777,  9781,
    9785,  9789,  9793,  9797,  9801,  9805,  9809,  9813,  9817,  9821,
    9825,  9829,  9833,  9837,  9841,  9845,  9849,  9853,  9857,  9861,
    9865,  9869,  9873,  9877,  9881,  9885,  9889,  9893,  9897,  9901,
    9905,  9909,  9913,  9917,  9921,  9925,  9929,  9933,  9937,  9941,
    9945,  9949,  9954,  9958,  9966,  9970,  9974,  9978,  9982,  9986,
    9990,  9994,  9998, 10002, 10006, 10010, 10014, 10018, 10022, 10026,
   10030, 10034, 10038, 10042, 10046, 10050, 10058, 10062, 10066, 10070,
   10074, 10078, 10082, 10086, 10090, 10094, 10098, 10102, 10110, 10114,
   10118, 10122, 10126, 10130, 10134, 10138, 10142, 10146, 10150, 10154,
   10158, 10162, 10166, 10170, 10174, 10178, 10182, 10186, 10190, 10194,
   10198, 10202, 10206, 10210, 10214, 10218, 10222, 10226, 10230, 10234,
   10238, 10242, 10246, 10250, 10254, 10258, 10262, 10266, 10270, 10274,
   10278, 10282, 10286, 10290, 10294, 10298, 10302, 10306, 10314, 10318,
   10326, 10330, 10334, 10339, 10345, 10353, 10357, 10365, 10369, 10377,
   10381, 10389, 10393, 10398, 10404, 10408, 10412, 10416, 10424, 10429,
   10435, 10439, 10447, 10455, 10459, 10464, 10470, 10478, 10482, 10489,
   10494, 10500, 10505, 10510, 10516, 10520, 10528, 10532, 10536, 10540,
   10544, 10552, 10556, 10560, 10568, 10572, 10576, 10584, 10588, 10596,
   10600, 10604, 10608, 10612, 10616, 10620, 10624, 10628, 10636, 10640,
   10648, 10652, 10660, 10664, 10668, 10672, 10676, 10680, 10688, 10692,
   10700, 10704, 10712, 10716, 10724, 10728, 10736, 10740, 10744, 10752,
   10756, 10764, 10769, 10775, 10779, 10783, 10787, 10791, 10795, 10799,
   10803, 10811, 10815, 10823, 10831, 10836, 10842, 10846, 10850, 10854,
   10858, 10863, 10869, 10877, 10885, 10889, 10893, 10901, 10905, 10913,
   10921, 10925, 10933, 10941, 10946, 10952, 10957, 10963, 10967, 10975,
   10979, 10983, 10987, 10995, 10999, 11008, 11010, 11018, 11023, 11029,
   11033, 11041, 11045, 11053, 11061, 11065, 11073, 11077, 11081, 11085,
   11093, 11097, 11105, 11109, 11117, 11121, 11129, 11137, 11145, 11153,
   11161, 11169, 11177, 11181, 11189, 11193, 11197, 11201, 11205, 11209,
   11213, 11217, 11221, 11225, 11229, 11233, 11237, 11241, 11242, 11247,
   11253, 11261, 11265, 11266, 11270, 11278, 11282, 11286, 11290, 11298,
   11302, 11306, 11310, 11314, 11318, 11322, 11326, 11330, 11334, 11338,
   11342, 11346, 11350, 11354, 11358, 11362, 11366, 11370, 11374, 11378,
   11382, 11386, 11390, 11394, 11398, 11402, 11406, 11410, 11414, 11418,
   11422, 11426, 11430, 11434, 11438, 11442, 11446, 11450, 11454, 11458,
   11462, 11466, 11470, 11474, 11478, 11482, 11486, 11490, 11494, 11498,
   11502, 11506, 11510, 11514, 11518, 11522, 11526, 11530, 11534, 11538,
   11542, 11546, 11550, 11554, 11558, 11562, 11566, 11570, 11574, 11578,
   11582, 11586, 11590, 11594, 11598, 11602, 11606, 11610, 11614, 11618,
   11622, 11626, 11630, 11634, 11638, 11642, 11646, 11650, 11654, 11658,
   11662, 11666, 11670, 11674, 11678, 11682, 11686, 11690, 11694, 11698,
   11702, 11706, 11710, 11714, 11718, 11722, 11726, 11730, 11734, 11738,
   11742, 11746, 11750, 11754, 11758, 11762, 11766, 11770, 11774, 11778,
   11782, 11786, 11790, 11794, 11798, 11802, 11806, 11810, 11814, 11818,
   11822, 11826, 11830, 11834, 11838, 11842, 11846, 11850, 11854, 11858,
   11862, 11866, 11870, 11874, 11878, 11882, 11886, 11890, 11894, 11898,
   11902, 11906, 11910, 11914, 11918, 11922, 11926, 11930, 11934, 11938,
   11942, 11946, 11950, 11954, 11958, 11962, 11966, 11970, 11974, 11978,
   11982, 11986, 11990, 11994, 11998, 12002, 12006, 12010, 12014, 12018,
   12022, 12026, 12030, 12034, 12038, 12042, 12046, 12050, 12054, 12058,
   12062, 12066, 12070, 12074, 12078, 12082, 12086, 12090, 12094, 12098,
   12102, 12106, 12110, 12114, 12118, 12122, 12126, 12130, 12134, 12138,
   12142, 12146, 12150, 12154, 12158, 12162, 12166, 12170, 12174, 12178,
   12182, 12186, 12190, 12194, 12198, 12202, 12206, 12210, 12214, 12218,
   12222, 12226, 12230, 12234, 12238, 12242, 12246, 12250, 12254, 12258,
   12262, 12266, 12270, 12274, 12282, 12286, 12290, 12294, 12298, 12302,
   12306, 12310, 12314, 12318, 12322, 12326, 12330, 12334, 12338, 12342,
   12346, 12350, 12354, 12358, 12362, 12366, 12370, 12374, 12378, 12382,
   12386, 12390, 12394, 12398, 12402, 12406, 12410, 12414, 12418, 12422,
   12426, 12430, 12434, 12438, 12442, 12446, 12450, 12454, 12462, 12466,
   12470, 12474, 12478, 12482, 12486, 12490, 12494, 12498, 12502, 12506,
   12510, 12514, 12518, 12522, 12526, 12530, 12534, 12538, 12542, 12546,
   12550, 12558, 12562, 12566, 12570, 12574, 12578, 12582, 12586, 12590,
   12594, 12598, 12602, 12606, 12610, 12614, 12618, 12622, 12626, 12630,
   12634, 12638, 12642, 12646, 12650, 12654, 12658, 12662, 12666, 12670,
   12674, 12678, 12682, 12686, 12690, 12694, 12698, 12702, 12706, 12710,
   12714, 12718, 12722, 12726, 12730, 12734, 12738, 12742, 12746, 12750,
   12754, 12758, 12762, 12766, 12770, 12774, 12778, 12782, 12786, 12790,
   12794, 12798, 12802, 12806, 12810, 12814, 12818, 12822, 12826, 12830,
   12834, 12838, 12842, 12846, 12850, 12854, 12864, 12865, 12868, 12869,
   12870, 12876, 12877, 12878, 12879, 12880, 12893, 12893, 12902, 12917,
   12919, 12922, 12924, 12928, 12940, 12956, 12960, 12971, 12972, 12975,
   12987, 12996, 12997, 13000, 13001, 13002, 13005, 13006, 13009, 13010,
   13013, 13014, 13017, 13019, 13021, 13023, 13027, 13034, 13041, 13057,
   13091, 13101, 13104, 13108, 13121, 13122, 13124, 13126, 13130, 13144,
   13151, 13212, 13221, 13223, 13224, 13227, 13229, 13230, 13233, 13234,
   13235, 13236, 13237, 13244, 13243, 13253, 13255, 13257, 13258, 13261,
   13262, 13263, 13264, 13267, 13268, 13272, 13271, 13288, 13286, 13302,
   13301, 13315, 13321, 13322, 13325, 13327, 13328, 13331, 13332, 13333,
   13334, 13337, 13338, 13341, 13349, 13366, 13374, 13397, 13503, 13537,
   13539, 13541, 13545, 13549, 13548, 13599, 13601, 13600, 13615, 13621,
   13628, 13633, 13639, 13640, 13643, 13644, 13645, 13646, 13647, 13648,
   13649, 13657, 13665, 13668, 13669, 13670, 13671, 13672, 13673, 13681,
   13689, 13690, 13691, 13694, 13695, 13698, 13700, 13704, 13792, 13793,
   13800, 13801, 13802, 13808, 13817, 13820, 13821, 13822, 13823, 13826,
   13827, 13828, 13831, 13833, 13841, 13842, 13848, 13856, 13857, 13860,
   13861, 13864, 13869, 13876, 13881, 13888, 13895, 13895, 13897, 13904,
   13905, 13908, 13909, 13910, 13911, 13912, 13913, 13914, 13915, 13916,
   13922, 13929, 13941, 13947, 13954, 13962, 13963, 13975, 13986, 13997,
   14001, 14002, 14005, 14010, 14014, 14015, 14018, 14024, 14032, 14038,
   14045, 14049, 14050, 14053, 14056, 14060, 14061, 14064, 14070, 14079,
   14084, 14094, 14104, 14116, 14117, 14118, 14119, 14120, 14121, 14122,
   14123, 14124, 14125, 14126, 14127, 14128, 14129, 14130, 14137, 14138,
   14141, 14142, 14149, 14150, 14151, 14158, 14157, 14174, 14175, 14182,
   14181, 14251, 14257, 14263, 14271, 14277, 14283, 14289, 14295, 14301,
   14307, 14313, 14319, 14330, 14331, 14334, 14335, 14336, 14337, 14338,
   14339, 14340, 14341, 14342, 14343, 14344, 14345, 14346, 14347, 14348,
   14349, 14350, 14351, 14352, 14353, 14354, 14355, 14356, 14357, 14360,
   14361, 14362, 14363, 14364, 14365, 14369, 14370, 14371, 14372, 14373,
   14374, 14375, 14378, 14381, 14382, 14383, 14384, 14385, 14386, 14387,
   14388, 14401, 14402, 14403, 14404, 14405, 14406, 14407, 14412, 14413,
   14414, 14415, 14416, 14417, 14423, 14424, 14425, 14426, 14427, 14428,
   14429, 14430, 14431, 14432, 14433, 14436, 14437, 14438, 14439, 14440,
   14443, 14444, 14445, 14446, 14449, 14450, 14451, 14452, 14453, 14454,
   14455, 14472, 14473, 14474, 14477, 14478, 14479, 14480, 14481, 14482,
   14486, 14486, 14489, 14495, 14496, 14499, 14501, 14506, 14516, 14527,
   14534, 14535, 14536, 14539, 14572, 14574, 14576, 14579, 14589, 14599,
   14609, 14610, 14613, 14615, 14616, 14617, 14620, 14622, 14630, 14631,
   14632, 14636, 14637, 14641, 14642, 14645, 14646, 14649, 14650, 14651,
   14652, 14653, 14656, 14657, 14658, 14659, 14660, 14661, 14662, 14663,
   14664, 14665, 14666, 14667, 14668, 14669, 14670, 14671, 14672, 14673,
   14674, 14675, 14676, 14677, 14678, 14679, 14680, 14681, 14682, 14683,
   14684, 14685, 14686, 14687, 14688, 14689, 14690, 14691, 14692, 14693,
   14694, 14695, 14696, 14697, 14698, 14699, 14700, 14701, 14702, 14703,
   14704, 14705, 14706, 14707, 14708, 14709, 14710, 14711, 14714, 14715,
   14716, 14717, 14720, 14721, 14722, 14723, 14724, 14725, 14726, 14727,
   14728, 14731, 14732, 14733, 14734, 14735, 14738, 14739, 14742, 14743,
   14754, 14755
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,    61,    60,    62,   750,    43,
      45,    42,    47,    37,    94,   751,    91,    93,    40,    41,
      46,    44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   516,   517,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   519,   520,   520,
     521,   521,   522,   522,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   525,
     526,   527,   527,   528,   528,   529,   530,   531,   531,   532,
     532,   533,   534,   535,   535,   536,   536,   537,   537,   537,
     537,   538,   538,   539,   539,   540,   540,   540,   540,   540,
     540,   541,   541,   541,   542,   542,   542,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   544,   544,   545,   545,   546,   546,   547,   547,   547,
     547,   548,   548,   548,   548,   549,   549,   549,   549,   549,
     549,   549,   550,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     555,   556,   557,   557,   558,   558,   559,   560,   560,   560,
     560,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   562,   562,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   564,   564,   565,   565,   565,
     566,   566,   567,   567,   568,   569,   569,   570,   570,   571,
     571,   571,   571,   572,   573,   573,   574,   574,   574,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     579,   580,   580,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   583,   583,
     584,   584,   585,   585,   586,   586,   587,   587,   588,   589,
     589,   589,   589,   589,   590,   590,   591,   592,   592,   592,
     592,   593,   593,   593,   593,   593,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   597,   598,   598,   598,
     599,   599,   600,   601,   602,   602,   603,   603,   603,   603,
     604,   604,   604,   604,   604,   604,   604,   605,   605,   605,
     605,   606,   607,   607,   607,   608,   608,   608,   608,   608,
     608,   609,   609,   610,   610,   610,   610,   610,   610,   610,
     611,   611,   612,   612,   613,   613,   614,   615,   615,   615,
     615,   616,   616,   617,   617,   618,   618,   619,   619,   619,
     619,   619,   620,   621,   622,   622,   622,   622,   622,   623,
     623,   624,   624,   624,   624,   625,   625,   625,   625,   626,
     626,   627,   627,   628,   629,   630,   630,   630,   631,   632,
     633,   633,   634,   635,   636,   636,   637,   637,   638,   638,
     639,   639,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   640,   640,   641,   641,   641,   642,   642,   643,
     643,   644,   644,   645,   645,   646,   646,   647,   647,   648,
     648,   649,   649,   650,   650,   651,   652,   652,   653,   653,
     654,   654,   655,   655,   656,   656,   656,   657,   658,   658,
     659,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   661,   662,   662,   662,   662,
     663,   663,   664,   664,   665,   665,   666,   666,   667,   667,
     668,   668,   669,   670,   670,   671,   671,   671,   671,   672,
     673,   674,   675,   676,   676,   677,   677,   678,   678,   679,
     679,   680,   680,   680,   681,   681,   682,   682,   683,   684,
     684,   684,   685,   685,   686,   687,   687,   688,   688,   688,
     689,   689,   690,   690,   690,   690,   690,   691,   691,   692,
     692,   693,   693,   694,   694,   695,   695,   695,   696,   696,
     696,   696,   697,   697,   698,   698,   699,   699,   699,   699,
     699,   699,   700,   700,   701,   701,   702,   702,   703,   704,
     704,   705,   706,   706,   706,   706,   707,   708,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   710,   711,   711,   712,   712,   713,   713,   713,
     713,   713,   714,   714,   715,   716,   716,   717,   718,   718,
     719,   719,   720,   720,   720,   721,   721,   722,   723,   723,
     724,   724,   724,   724,   724,   725,   725,   726,   726,   727,
     727,   727,   728,   728,   729,   730,   730,   731,   731,   732,
     732,   733,   733,   734,   734,   735,   736,   737,   737,   737,
     737,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   739,   739,
     740,   740,   741,   741,   742,   743,   743,   743,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   746,   746,   747,   747,   747,   747,
     747,   748,   748,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   750,   750,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   753,   753,   754,   754,   755,   756,   756,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   759,
     759,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   761,   761,   762,
     762,   763,   763,   764,   764,   765,   766,   767,   767,   768,
     768,   769,   769,   770,   771,   771,   772,   772,   772,   773,
     773,   773,   774,   774,   774,   774,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   780,   781,   781,   781,
     782,   782,   783,   783,   783,   784,   784,   784,   785,   785,
     785,   786,   786,   786,   787,   787,   788,   788,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   792,   792,   793,
     793,   793,   793,   793,   794,   795,   796,   796,   796,   797,
     797,   797,   798,   798,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   800,
     800,   800,   800,   801,   801,   802,   802,   803,   804,   804,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   811,   811,   812,   812,   813,   814,   814,
     815,   815,   816,   816,   816,   817,   817,   817,   818,   819,
     819,   820,   820,   820,   821,   821,   822,   822,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   824,   824,   825,   825,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   828,   829,   829,   829,   830,   830,   831,   831,
     831,   831,   831,   832,   832,   833,   833,   833,   833,   834,
     834,   834,   835,   835,   836,   837,   837,   838,   839,   839,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   841,   841,   841,   842,   842,   842,
     842,   842,   843,   843,   843,   844,   844,   845,   845,   845,
     845,   846,   846,   846,   846,   847,   848,   849,   849,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   851,   851,   852,   852,   853,
     854,   854,   855,   856,   856,   857,   858,   858,   858,   858,
     858,   858,   858,   859,   859,   860,   861,   861,   861,   861,
     861,   861,   862,   863,   863,   863,   864,   864,   865,   865,
     865,   865,   865,   866,   866,   867,   867,   867,   867,   868,
     868,   869,   869,   870,   870,   871,   871,   872,   872,   873,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   876,   877,   878,   878,   879,
     879,   879,   880,   880,   881,   881,   882,   882,   882,   882,
     883,   883,   884,   884,   885,   886,   886,   886,   887,   887,
     888,   889,   889,   890,   891,   891,   892,   893,   893,   894,
     894,   894,   894,   894,   894,   894,   894,   895,   895,   896,
     897,   897,   898,   898,   899,   900,   901,   902,   902,   903,
     904,   904,   905,   905,   905,   905,   905,   906,   906,   906,
     907,   907,   908,   908,   909,   909,   909,   909,   909,   909,
     909,   909,   910,   910,   911,   911,   911,   911,   911,   911,
     912,   912,   913,   913,   914,   915,   915,   916,   916,   916,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   918,
     918,   919,   919,   919,   920,   920,   920,   920,   921,   921,
     922,   923,   923,   924,   924,   925,   925,   925,   925,   926,
     926,   927,   927,   927,   928,   928,   929,   929,   930,   931,
     931,   931,   932,   933,   933,   934,   934,   935,   935,   936,
     936,   937,   937,   938,   938,   939,   939,   940,   941,   941,
     941,   941,   942,   942,   943,   943,   944,   944,   945,   945,
     946,   946,   946,   946,   946,   946,   946,   947,   947,   947,
     947,   947,   947,   948,   948,   948,   948,   949,   949,   950,
     950,   950,   950,   950,   951,   951,   951,   951,   952,   952,
     953,   953,   954,   954,   954,   954,   955,   955,   956,   956,
     956,   957,   958,   958,   959,   959,   959,   960,   960,   961,
     961,   962,   963,   963,   963,   963,   963,   963,   964,   964,
     964,   965,   965,   965,   965,   965,   965,   965,   966,   966,
     966,   966,   967,   967,   968,   968,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   970,   970,   971,
     971,   972,   972,   973,   974,   975,   975,   976,   976,   977,
     978,   979,   979,   979,   979,   979,   979,   980,   980,   981,
     981,   982,   982,   982,   982,   983,   984,   984,   984,   985,
     985,   985,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   986,   986,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   991,   991,
     992,   992,   992,   992,   993,   994,   994,   995,   995,   996,
     996,   997,   997,   997,   998,   998,   998,   998,   999,   999,
    1000,  1000,  1001,  1002,  1002,  1002,  1003,  1004,  1004,  1005,
    1005,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1008,  1008,
    1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,  1011,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1013,  1013,
    1014,  1014,  1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,
    1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,  1020,  1021,
    1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,  1023,  1023,
    1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,  1027,  1027,
    1027,  1027,  1028,  1029,  1030,  1030,  1030,  1031,  1031,  1032,
    1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,  1037,  1038,
    1038,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,  1042,
    1042,  1043,  1043,  1044,  1045,  1045,  1046,  1046,  1046,  1046,
    1047,  1047,  1048,  1048,  1049,  1049,  1050,  1051,  1052,  1053,
    1054,  1055,  1056,  1056,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1058,
    1059,  1060,  1060,  1060,  1060,  1061,  1061,  1061,  1061,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1069,  1068,  1070,  1071,
    1071,  1071,  1071,  1072,  1072,  1072,  1072,  1073,  1073,  1074,
    1075,  1076,  1076,  1077,  1077,  1077,  1078,  1078,  1079,  1079,
    1080,  1080,  1081,  1081,  1081,  1081,  1082,  1082,  1082,  1083,
    1084,  1084,  1085,  1085,  1086,  1086,  1086,  1086,  1087,  1087,
    1088,  1089,  1090,  1091,  1091,  1092,  1093,  1093,  1094,  1094,
    1094,  1094,  1094,  1096,  1095,  1097,  1098,  1099,  1099,  1100,
    1100,  1100,  1100,  1101,  1101,  1103,  1102,  1105,  1104,  1106,
    1104,  1104,  1107,  1107,  1108,  1108,  1108,  1109,  1109,  1109,
    1109,  1110,  1110,  1111,  1111,  1111,  1111,  1111,  1111,  1112,
    1112,  1112,  1113,  1115,  1114,  1116,  1117,  1116,  1118,  1118,
    1119,  1119,  1120,  1120,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1123,  1123,  1124,  1124,  1125,  1126,  1126,
    1127,  1127,  1127,  1128,  1129,  1130,  1130,  1130,  1130,  1131,
    1131,  1131,  1132,  1132,  1133,  1133,  1134,  1135,  1135,  1136,
    1136,  1137,  1137,  1138,  1138,  1139,  1140,  1140,  1141,  1141,
    1141,  1142,  1142,  1142,  1142,  1142,  1142,  1142,  1142,  1142,
    1143,  1143,  1143,  1143,  1143,  1144,  1144,  1145,  1146,  1147,
    1148,  1148,  1149,  1150,  1151,  1151,  1152,  1153,  1153,  1154,
    1155,  1156,  1156,  1157,  1158,  1159,  1159,  1160,  1161,  1161,
    1161,  1161,  1161,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1163,  1163,
    1164,  1164,  1165,  1165,  1165,  1167,  1166,  1168,  1168,  1170,
    1169,  1171,  1171,  1171,  1172,  1172,  1172,  1172,  1172,  1172,
    1172,  1172,  1172,  1173,  1173,  1174,  1174,  1174,  1174,  1174,
    1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,
    1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1175,
    1175,  1175,  1175,  1175,  1175,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1177,  1178,  1178,  1178,  1178,  1178,  1178,  1178,
    1178,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1180,  1180,
    1180,  1180,  1180,  1180,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,  1181,  1182,  1182,  1182,  1182,  1182,
    1183,  1183,  1183,  1183,  1184,  1184,  1184,  1184,  1184,  1184,
    1184,  1185,  1185,  1185,  1186,  1186,  1186,  1186,  1186,  1186,
    1187,  1187,  1188,  1189,  1189,  1190,  1190,  1191,  1192,  1193,
    1194,  1194,  1194,  1195,  1196,  1197,  1198,  1199,  1199,  1199,
    1199,  1199,  1200,  1201,  1201,  1201,  1202,  1202,  1203,  1203,
    1203,  1204,  1204,  1205,  1205,  1206,  1206,  1207,  1207,  1207,
    1207,  1207,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1209,  1209,
    1209,  1209,  1210,  1210,  1210,  1210,  1210,  1210,  1210,  1210,
    1210,  1211,  1211,  1211,  1211,  1211,  1212,  1212,  1213,  1213,
    1214,  1214
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     0,     3,     5,     5,     5,     4,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     9,
       7,     1,     0,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     3,     3,     2,     2,     2,     2,     3,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     6,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     3,     4,
       3,     2,     2,     1,     2,     1,     3,     4,     5,     4,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     4,     6,     4,     6,     4,     6,     4,     6,     5,
       7,     1,     3,     2,     3,     4,     6,     6,     6,     5,
       5,     6,     6,     4,     8,     4,     2,     3,     6,     4,
       3,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     1,     3,     2,     1,     1,     0,
       2,     0,     2,     0,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     4,     1,     3,     4,     6,     4,     8,
       2,     2,    11,     7,     1,     1,     1,     0,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,     4,
       1,     0,     5,     5,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     6,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     6,     7,     2,     2,     2,     2,
       1,     2,     1,     0,     6,     8,     7,     6,     4,     0,
       1,     3,     4,     1,     3,     1,     2,     2,     2,     2,
       1,     1,    10,     2,     0,     2,     2,     1,     0,     4,
       6,     5,     4,     4,    10,    13,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     1,     3,     3,     1,     0,
       1,     3,     7,     9,     9,     3,     0,    13,     1,     3,
       5,     6,     4,     7,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     5,
       7,     1,     1,     1,     2,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     3,     2,
       3,     3,     3,     3,     1,     1,     8,     9,     9,     9,
       9,     2,     0,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     2,
       3,     4,     5,     4,     5,     3,     4,     3,     4,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     4,
       4,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       3,     2,     2,     2,     5,     5,     5,     1,     3,     1,
       2,     3,     0,     1,     3,     2,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,    14,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     2,     0,     1,     1,     0,     1,     1,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     1,     2,
       2,     1,     1,     1,     3,     2,     0,     2,     1,     3,
       5,     1,     2,     1,     0,     5,     7,     5,     7,     5,
       7,     3,     5,     5,     5,     1,     3,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,     4,     4,     4,     1,     1,     1,     0,     7,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,     9,
      11,     8,     8,     7,     6,     6,     6,     5,     5,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    11,
      13,     3,     4,     4,     0,     2,     5,     2,     0,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     4,     3,     3,     1,     0,     5,     6,     4,
       2,     0,     4,     3,     5,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     4,     6,     1,     3,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     0,     5,     4,     3,     0,     1,     1,     1,     1,
       4,     9,     3,     0,     6,     1,     4,     2,     1,     3,
       2,     3,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     8,
       1,     3,     1,     1,     3,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     1,     2,     4,     4,     4,
       2,     3,     1,     3,     6,     1,     0,     2,     1,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     2,     3,     1,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     1,     3,     0,     2,
       0,     1,     3,     1,     0,     1,     2,     3,     2,     4,
       2,     3,     2,     0,     2,     3,     2,     0,     1,     3,
       2,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     1,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     4,     5,
       6,     8,     6,     7,     7,     5,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       5,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     1,     2,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     1,     2,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       2,     3,     1,     3,     3,     3,     3,     3,     3,     1,
       1,     0,     2,     2,     1,     1,     2,     1,     1,     1,
       0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2316,     0,     2,     1,  2746,  2750,  2754,  2755,  2672,  2756,
    2757,  2722,  2723,  2724,  2725,  2726,  2727,  2728,  2729,  2730,
    2731,  2732,  2733,  2735,  2734,  2736,  2737,  2738,  2739,  2740,
    2741,  2742,  2743,  2745,  2744,  2694,  2323,  2691,  2688,  2689,
    2690,  2695,  2693,  2686,  2687,  1919,  2759,  2747,  2760,  2748,
    2749,  2751,  2752,  2721,  2753,  2761,  2762,  2763,  2758,  2766,
    2717,  2718,  2716,  2719,  2720,  2764,  2765,  2708,  2709,  2710,
    2711,  2767,  2324,  2325,  2713,  2317,  2321,  2383,  2454,  2714,
    2715,  2712,  2322,  2707,  2454,     0,  2575,  2576,  2577,     0,
    2578,  2579,  2580,  2506,  2468,  2581,     0,     0,  2582,  2583,
    2584,  2585,  2586,  2587,  2588,  2589,     0,  2590,  2591,  2592,
    2593,  2453,  2594,  2595,  2596,  2597,  2598,  2430,  2436,  2559,
       0,  2410,  2411,  2407,  2409,  2408,  2412,  2395,  1196,   544,
    1282,  1281,     0,  2218,  1196,  2174,  2175,  2219,  2176,  2177,
    2178,   256,     0,  1284,  2179,  2220,     0,  1196,  2221,   369,
     965,  2222,  2223,  2338,     0,  2180,  2181,     0,     0,     0,
     544,  1196,     0,     0,  2182,  1396,  2183,     0,  2184,  2224,
    2225,     0,  2185,  2226,  2227,  2186,  2187,  2188,  2228,  2229,
    2230,  2189,  2231,  2232,     0,     0,  1410,     0,  2190,  2233,
    2191,  2192,     0,  2234,  2193,  2194,  2195,  2235,  2236,  2237,
    2196,  2197,  2198,     0,  2199,     0,     0,     0,     0,     0,
       0,  2238,  1196,  2200,     0,     0,  1417,     0,  2201,     0,
    2239,  2202,     0,  2203,     0,  2204,  2205,  2206,  2207,  1410,
    2555,  2431,     0,  1286,     0,  2208,  2240,     0,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2217,     0,     0,    57,
      58,    22,    21,    27,    26,    80,    81,    45,    15,    71,
      51,   114,   113,   115,    33,    29,    65,    19,    20,    30,
      34,    53,    46,    92,    52,    18,    50,    75,    54,    78,
      40,     9,    10,    41,    69,    11,    42,    70,    12,    43,
      13,    59,    82,    25,    55,    79,    56,     3,    36,    67,
      63,     8,    47,    48,    49,    72,    73,    74,    97,    77,
     109,    32,   106,    86,    87,   103,    88,   104,     6,    89,
      44,    14,   100,    99,   101,    66,    37,    68,    98,   102,
      16,    17,   105,    76,    95,    91,   110,   108,   116,    93,
      60,     4,     5,    83,    39,     7,    24,    23,    38,    31,
     112,    28,  1284,    85,    96,    84,    90,    64,    94,   111,
      62,   107,  1383,  1370,  1419,  1382,  1395,     0,  1385,  2651,
    2652,    35,  1396,   118,   119,   124,  2320,  2372,  2373,  2374,
    2454,  2405,  2406,  2399,  2415,  2425,  2414,  2418,  2426,  2413,
    2432,     0,   121,   123,   125,   128,   122,   117,   120,   127,
     132,   126,   131,   129,   130,   133,   134,   135,  2653,  1602,
    2650,    61,  2390,  2389,     0,  2454,     0,  2683,  1929,  1930,
    1931,  1932,  1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,
    1941,  1942,  1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,
    1951,  1952,  1953,  1954,  1955,  1956,  1957,  1958,  1959,  1960,
    1961,  1962,  1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,
    1971,  1972,  1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,
    1981,  1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,
    1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,
    2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,
    2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,
    2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,
    2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,
    2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,
    2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,
    2071,  2072,  2073,  2074,  2075,  2076,  2077,  2080,  2078,  2079,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,
    2101,  2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,
    2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,
    2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2338,  2143,  2144,  2145,  2146,  2147,  2148,  2149,
    2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
    2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2356,  1920,  1926,  1927,  1928,  2331,
    2352,  2358,  2679,  2357,  1925,  2505,     0,     0,  2599,  2600,
    2601,  2602,  2603,  2604,  2654,  2655,  2656,  2657,  2658,  2660,
    2659,  2467,  2626,  2663,  2466,  2664,  2470,  2665,  2666,  2667,
    2668,  2627,  2669,  2469,  2661,  2623,  2471,  2464,  2465,  2624,
    2573,  2574,  1897,  2625,  2622,  2662,  2359,  2621,  2475,  2474,
    1360,  2678,  1896,  1361,     0,  2477,  2605,  2606,  2607,  2608,
    2610,  2609,  2611,  2241,  2242,  2243,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,  2251,  2252,  2636,  2253,  2254,  2255,  2649,
    2256,  2257,  2637,  2258,  2259,  2260,  2261,  2262,  2263,  2264,
    2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,
    2275,  2276,  2277,  2278,  2279,  2280,  2281,  2638,  2639,  2282,
    2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,
    2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,
    2303,  2304,  2305,  2640,  2306,  2307,  2641,  2308,  2309,  2310,
    2642,  2311,  2312,  2313,  2314,  2315,  2646,  2647,  2648,  2635,
    2428,  2612,  2634,  2645,  2643,  2644,  2438,  2434,  2442,  2437,
       0,     0,     0,     0,  2454,  1195,  1194,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   543,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2328,     0,  1206,
     341,   340,  1283,  1264,   544,     0,  1183,   368,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,     0,     0,
     392,   391,     0,     0,     0,   937,   397,     0,     0,     0,
       0,     0,   532,  2337,  2332,  2342,     0,  2335,  2336,  2621,
       0,  2770,  2078,  2368,  2369,  2768,  2128,  1362,   257,   260,
     258,   259,     0,  1037,  1038,  1040,     0,     0,  1050,   770,
     771,     0,   769,     0,   773,     0,     0,     0,   765,     0,
       0,     0,     0,     0,   772,   762,     0,   761,     0,     0,
       0,   768,     0,   763,     0,     0,  1184,     0,  2420,  2421,
    2018,  1323,   398,     0,     0,  1396,     0,  1301,  1302,  1284,
    1291,  1303,  1296,  1298,  1297,  1299,  1295,  1300,  1930,   876,
    1944,   876,  2008,   873,   874,   876,   876,   876,  2095,     0,
       0,   848,     0,   859,  1921,   876,  1922,  2679,   881,   453,
     453,   453,     0,   880,   885,   453,  1177,  1215,  1901,  1409,
       0,  1944,  2008,   849,  1176,  2143,  1315,     0,     0,     0,
    1054,     0,  1055,     0,  2110,  1188,   241,  2619,  2119,  2204,
    2143,  2620,   237,  2614,  2615,  2617,   211,  2618,  2616,  2613,
    1934,     0,     0,   880,     0,  1185,  1186,   832,  1416,  1414,
       0,     0,     0,  1952,     0,  1964,  2044,   234,  2106,  2111,
    2119,  2204,  2143,  2171,   191,   196,     0,   250,  2119,  2204,
    2143,     0,  1206,     0,  1386,  1502,  1892,     0,     0,  2429,
    1179,  1178,  1285,     0,  1288,     0,  1464,  2091,  1390,  1392,
    1290,  1383,     0,     0,  2319,  1279,  1413,  1413,     0,  1413,
       0,  1375,  1383,  1378,  1382,     0,     0,     0,     0,  1196,
       0,  2397,  2425,  2404,  2460,  2401,     0,     0,  2450,  2446,
    2443,  2451,  2452,  2445,  2433,  1591,  1592,  1593,  1590,  1603,
    1589,     0,  2378,  1594,  2417,  2384,     0,  2392,  2391,  2696,
    2697,  2507,  2330,  2349,     0,     0,     0,     0,     0,     0,
       0,  2476,  2478,  2480,  2440,  2439,  2435,     0,     0,     0,
       0,  2565,  2566,  2564,     0,  2561,  2563,     0,  2460,     0,
    2630,  2624,  2633,     0,  1902,  2625,  2622,  2621,     0,   780,
       0,   139,   925,     0,     0,     0,     0,  1896,     0,     0,
       0,     0,     0,  2017,     0,     0,     0,  1797,  1956,  2004,
    1807,  1805,  1806,  1799,  1800,  1801,  1802,  1803,  1804,     0,
    1035,  1798,     0,   161,   139,     0,     0,  2017,     0,     0,
    2017,     0,     0,     0,     0,     0,  2047,   139,  2017,     0,
       0,     0,  1200,     0,     0,     0,  1202,  1205,  1181,  1267,
       0,  1892,     0,     0,   811,   801,     0,   812,   802,   807,
       0,   814,     0,     0,   804,     0,     0,     0,   815,     0,
     803,   805,   817,   806,   813,     0,     0,   808,   809,     0,
       0,  1192,   453,   347,     0,     0,     0,     0,     0,   139,
    1254,     0,  2017,   139,     0,     0,   396,   395,   139,   394,
     393,  1956,  2004,     0,   964,   139,  2017,     0,   184,   614,
     547,     0,     0,   692,  2047,   139,     0,     0,     0,     0,
       0,     0,   940,     0,     0,   531,   544,     0,  2341,  2347,
       0,  2339,  2508,  2771,  2769,  2463,     0,  1041,   235,   236,
    1039,  2017,     0,   319,     0,     0,  2017,  1243,   767,     0,
     766,  2017,     0,  2017,   175,  1894,     0,   764,  1956,  2004,
    2017,     0,     0,  2017,   167,  2017,     0,  2017,   319,  2017,
     548,     0,  2017,     0,  2017,  2047,   169,     0,  2017,   319,
     778,     0,     0,  2701,  2705,     0,  2703,  2698,  2419,  2473,
    2472,  2371,     0,  2781,     0,  1362,  1293,  1308,     0,  1304,
    1311,  1307,  1396,   876,   875,     0,   876,     0,  2790,   876,
       0,   876,     0,  2790,   876,     0,     0,     0,   876,  1923,
    1924,     0,     0,  2789,  2787,  2788,   850,   860,     0,   882,
       0,     0,   889,   888,   887,     0,     0,     0,   890,  1506,
    1338,     0,   857,     0,   855,     0,  1174,  1191,     0,     0,
       0,     0,     0,  1057,  1057,  1057,  1187,   240,   238,     0,
       0,     0,     0,     0,     0,  1193,     0,     0,     0,     0,
    2685,  1908,  1808,  2684,     0,  2175,  2176,  2177,  1866,     0,
    2626,  2178,  2179,  2220,  1720,  1707,  1716,  1721,  1708,  1710,
    1717,  2180,  2181,  1988,  2182,  2183,  1915,  2184,  2185,  1546,
    2187,  2188,  2189,  1712,  1714,  2190,  2191,     0,  1916,  2193,
    2194,  2066,  2196,  2197,  2199,  2200,  1718,  2202,  2203,  2204,
    2205,  2206,  2207,  1914,     0,  1719,  2208,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,     0,     0,  1889,     0,  1692,
       0,  1538,  1539,  1561,  1562,  1540,  1567,  1568,  1580,  1541,
       0,  1888,  1605,  1691,  1697,     0,  1690,  1686,  1399,  1884,
       0,  1687,  1904,  1867,  1918,  1917,  2679,  1875,  1907,  1905,
    1906,     0,     0,     0,   203,     0,     0,  2554,   252,     0,
     253,  1890,  2119,   192,   233,   205,   232,   206,   204,     0,
    1954,   193,     0,     0,   194,     0,     0,     0,     0,     0,
       0,     0,   246,  1182,     0,  1504,  1503,     0,     0,  1873,
    1893,   787,     0,  1277,  1278,  1276,     0,  1273,  1275,  1287,
    1284,  1880,  1879,  1881,     0,  1391,     0,     0,     0,  1373,
    1372,  1290,  1411,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,  1427,  1428,  1430,  1451,  1455,  1463,     0,
    1379,     0,     0,  1508,     0,  1465,  2318,  2460,  2461,     0,
    2455,     0,  2454,  2454,  2448,  2447,  2444,     0,     0,     0,
       0,     0,     0,     0,  2375,   526,  2377,   524,     0,     0,
    2351,     0,  2355,  2353,     0,  2500,  2503,     0,  2501,  2502,
    2504,     0,  2509,  2510,     0,     0,     0,  2692,     0,     0,
    2491,  2479,  2486,  2488,  2490,  2489,  2498,  2494,  2497,  2499,
    2441,  2454,  2572,     0,  2567,  2570,     0,  2562,     0,     0,
       0,  1903,     0,     0,     0,     0,   781,     0,     0,     0,
       0,     0,     0,   138,  1241,   243,  1239,     0,     0,     0,
       0,     0,     0,     0,  1246,     0,     0,   173,   174,   559,
     544,     0,  2017,     0,     0,     0,     0,   997,  1004,     0,
       0,     0,     0,     0,     0,     0,   998,   996,   999,   245,
    1008,  1021,  1024,     0,   915,     0,     0,     0,     0,  1106,
       0,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   263,   271,   314,     0,  2017,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   143,     0,
       0,     0,     0,     0,     0,   511,   523,     0,     0,     0,
       0,     0,   520,     0,   139,   265,   504,   508,     0,     0,
       0,   623,   622,     0,  1106,     0,   261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   333,   334,     0,     0,     0,   143,   166,     0,
       0,     0,   267,     0,  2385,     0,  1201,  1198,  1199,     0,
    1204,     0,  1263,     0,     0,     0,     0,   819,     0,   816,
       0,     0,   810,  1956,  2004,     0,     0,     0,     0,     0,
       0,   371,   346,     0,     0,     0,   689,     0,  1549,  1578,
    1556,  1578,  1578,  1545,  1545,  1558,  1547,  1585,     0,  1578,
    1545,  1550,     0,  1548,  1588,  1588,  1573,     0,  1530,  1531,
    1532,  1533,  1559,  1560,  1534,  1565,  1566,  1535,  1602,  2631,
    1545,  2632,  2629,  2628,     0,     0,   700,     0,  1218,  1253,
       0,     0,     0,   553,     0,  2017,     0,   141,   736,     0,
     690,   397,     0,   141,     0,     0,   178,     0,   618,     0,
       0,     0,     0,     0,     0,   638,   637,     0,     0,     0,
     691,     0,   141,     0,   507,  2017,     0,   453,   453,     0,
       0,   939,   942,     0,     0,     0,  2345,  2340,  2343,     0,
    2333,  2347,  1365,  1367,  1366,     0,  1364,     0,   319,   317,
     318,   687,  1049,     0,     0,     0,     0,   319,     0,     0,
    2017,   319,  2017,     0,  2017,     0,     0,   319,   319,     0,
       0,     0,     0,   619,     0,   777,   775,   774,   776,     0,
       0,     0,     0,     0,  2017,   319,     0,     0,   758,  2699,
       0,     0,  2702,     0,  2422,  1818,     0,  2784,  1320,  2785,
       0,     0,  1396,     0,   222,   223,   221,  1309,   224,  1310,
    1306,  1292,     0,   868,     0,  2790,  2791,   853,     0,   863,
       0,  2790,   851,     0,   864,   861,   862,     0,     0,     0,
    2786,  2670,  2676,   867,     0,     0,   454,   456,     0,     0,
    1974,  1987,     0,  2009,  2035,  2036,  2111,  2115,     0,  2138,
    2147,     0,   891,   920,   886,     0,     0,  1348,   858,   856,
    1175,  1313,  1824,     0,  1396,     0,   497,  1056,  1053,  1052,
    1051,   239,   212,     0,     0,     0,   922,  2110,  1190,   831,
     544,     0,     0,  1695,  1696,  1577,  1564,  1865,     0,     0,
    1572,  1571,     0,     0,     0,     0,     0,  1554,  1553,  1552,
    1694,  1832,     0,  1551,     0,     0,     0,     0,  1578,  1578,
    1576,  1625,     0,  1555,     0,     0,  1845,     0,  1851,     0,
       0,     0,  1584,     0,  1582,     0,     0,  1661,     0,     0,
       0,     0,     0,     0,     0,     0,  1609,  1610,  2627,  1692,
    1818,     0,  1693,  1911,     0,     0,  1570,     0,  1602,  1808,
       0,     0,     0,     0,  1878,     0,  1816,     0,     0,  1639,
    1814,     0,  1641,     0,     0,     0,  1807,  1805,  1806,  1799,
    1800,  1801,  1802,  1803,  1804,  1812,  1622,     0,  1887,     0,
    1621,     0,     0,  1467,  1398,     0,  1909,  1868,     0,  2677,
    2680,  1688,  2551,  2550,  2549,  2548,  2519,     0,  2513,  2514,
       0,  2552,  2553,   254,   255,   251,     0,     0,   208,   207,
       0,   230,   231,   202,   229,     0,   225,   226,   210,  1760,
    1759,   209,   201,   199,   197,   213,   215,   216,   200,   198,
     249,   247,     0,     0,     0,  1870,  1869,  1899,  1874,     0,
       0,   319,  2454,  1271,     0,  1268,  1883,     0,  1393,     0,
       0,  1280,  1389,  1388,  1420,  1421,   957,  1387,  1445,  1446,
    1441,     0,     0,     0,  1460,  1458,  1437,  1431,  1436,  1434,
       0,  1438,  1605,  1453,  1377,  1425,  1426,  1429,  1376,     0,
    1456,     0,  1348,  1454,  1430,  1335,     0,     0,  1509,     0,
       0,  2462,  2460,  2400,  1530,  2454,  2393,  2454,  2449,  2381,
    1596,  1597,  1598,  1599,  1600,  1601,  2382,     0,  2379,  1595,
    2380,   525,     0,     0,     0,  2348,     0,  2329,  2354,  2485,
    2594,  2517,     0,  2518,     0,     0,  2482,     0,  2492,  2495,
    2493,  2496,     0,  1530,  2673,  2568,  2673,  1530,     0,     0,
       0,     0,     0,     0,     0,     0,   782,     0,     0,     0,
       0,     0,     0,  2138,   242,  1237,     0,     0,     0,     0,
     924,   923,     0,     0,   944,     0,     0,     0,  1249,   442,
       0,   316,     0,     0,     0,     0,     0,     0,     0,     0,
     685,   682,     0,     0,   681,     0,   557,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   593,     0,  1106,     0,   626,
       0,  1006,     0,  1005,     0,     0,     0,  1007,  1002,  1003,
    2111,  2119,  2143,   244,  1023,     0,  1022,  1020,   979,   981,
     980,     0,   983,   967,     0,   968,     0,     0,   978,   986,
     984,     0,     0,     0,     0,  1997,   273,   286,     0,  1105,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     306,     0,   309,   308,     0,     0,     0,     0,   313,     0,
       0,     0,   312,     0,     0,     0,     0,  1106,     0,   269,
       0,     0,     0,     0,     0,     0,  1036,     0,   164,     0,
     160,   163,     0,     0,     0,     0,   510,   522,     0,   514,
     515,   512,   516,   517,     0,     0,     0,     0,     0,     0,
     509,     0,     0,   616,   615,   621,     0,     0,     0,     0,
       0,     0,     0,  1098,  1097,     0,     0,     0,     0,     0,
       0,   726,     0,     0,     0,     0,     0,     0,     0,   629,
     630,     0,   631,     0,   165,     0,     0,     0,     0,     0,
       0,     0,   220,  1197,  1203,  1266,  1900,  1265,     0,     0,
       0,   818,     0,     0,     0,     0,     0,     0,     0,   820,
     821,   822,   823,     0,     0,     0,     0,     0,   349,   350,
     139,   348,     0,   715,  2628,   688,     0,  1530,     0,  1526,
    1522,  1591,  1590,  1589,     0,  1536,  1545,  1542,   701,     0,
     703,   706,     0,  1216,   415,     0,     0,   550,   593,     0,
     400,   171,     0,     0,     0,     0,   137,   182,   184,   398,
       0,   183,   185,   187,   188,   189,   186,   190,   613,   617,
       0,   546,     0,     0,     0,     0,     0,   639,   643,   642,
     646,   644,     0,   640,     0,     0,  1518,     0,   159,     0,
     503,   506,     0,  2326,     0,   400,   484,   326,     0,   453,
       0,     0,   941,     0,     0,     0,     0,     0,  2346,     0,
       0,     0,     0,  1363,     0,  1027,     0,  1244,  2017,   319,
       0,  1025,   176,  1895,     0,   759,     0,     0,     0,     0,
       0,  1029,   755,   168,     0,   319,   319,   549,     0,   319,
     170,     0,     0,     0,   541,   319,   779,  2700,  2706,  2704,
    1322,     0,  2782,  2783,   453,  1367,  1294,  1305,   865,   872,
     854,   871,   870,   852,   869,   866,  2484,     0,     0,  2675,
       0,   883,     0,   452,     0,     0,     0,   897,   898,     0,
       0,   896,   913,   899,     0,   901,   893,   892,   902,   903,
       0,     0,   922,     0,  1345,     0,  1343,     0,  1507,  1347,
    1336,  1314,     0,  1312,  1317,  1319,  1318,  1316,     0,     0,
     502,     0,     0,   880,     0,     0,   319,  1189,     0,   833,
     834,   840,     0,     0,     0,     0,     0,   841,   837,   838,
     839,   842,   843,   844,     0,     0,     0,  1828,     0,  1829,
       0,     0,     0,  1864,  1860,     0,     0,     0,     0,     0,
       0,  1836,  1837,  1838,  1835,  1839,  1834,     0,     0,  1840,
    1833,     0,     0,     0,     0,     0,  1575,  1574,     0,     0,
       0,     0,     0,     0,     0,  1664,  1697,     0,     0,  1792,
       0,  1818,  1850,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,  1818,  1856,     0,     0,     0,     0,  1758,
       0,  1755,     0,     0,     0,     0,  1875,     0,     0,     0,
       0,  1912,  1606,  1623,  1886,     0,  1877,     0,     0,  1607,
    1630,     0,  1857,  1657,     0,  1662,  1645,     0,  1638,     0,
    1643,  1647,  1626,  1878,  1817,     0,  1815,     0,     0,  1624,
       0,  1619,  1617,  1618,  1611,  1612,  1613,  1614,  1615,  1616,
    1620,  1796,  1794,  1795,     0,     0,     0,  1642,  2011,  2044,
       0,  1410,  1410,  1410,  1397,  1408,  1885,     0,  1513,     0,
       0,     0,     0,  1775,     0,  1822,     0,  1820,  1902,  2682,
    2681,  1876,     0,     0,     0,  1891,     0,     0,  1602,     0,
     248,  1505,  1871,     0,   785,   786,   784,  1530,  1290,  1274,
    1270,  1269,  1882,  1289,  1396,     0,   955,   956,     0,   960,
       0,     0,  1439,  1461,     0,  1452,     0,  1443,  1444,  1435,
    1462,  1457,  1381,  1380,     0,  1516,     0,     0,  1332,  1325,
    1510,     0,  1467,  1350,  1352,  1353,     0,  1875,  2398,  2456,
    2403,  2424,  2394,  2427,  1604,  2376,  2416,     0,  2350,  2520,
    2521,     0,  2511,  2512,  2481,  2487,  2558,     0,  2674,     0,
       0,   713,   712,     0,     0,     0,  1134,  1059,  1110,   783,
    1135,  1060,  1111,  1136,  1061,  1238,     0,  1240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   664,  2017,   319,  1247,  1137,     0,  1062,   315,
    1248,  1112,  1252,   684,   683,     0,     0,  1113,     0,   558,
       0,     0,   563,   564,   565,     0,     0,     0,   566,     0,
    1956,  2004,     0,   571,   578,   583,   573,     0,   584,   579,
       0,     0,     0,     0,     0,     0,   590,   592,     0,     0,
       0,     0,     0,     0,  1000,  1001,  1138,  1065,     0,  1114,
     982,  1545,   966,     0,     0,   977,     0,   976,  1545,  1545,
    1066,   172,     0,   264,   274,   599,  1108,   292,   305,   300,
     301,   299,  2017,   319,  2017,   319,     0,     0,     0,     0,
     302,   297,   298,   294,   307,  1933,  1989,  2120,     0,   603,
     605,     0,   610,   310,  1080,     0,   327,   330,   311,   290,
     293,   291,   287,   272,     0,     0,     0,     0,     0,     0,
    1898,     0,     0,  1031,     0,     0,     0,   162,  1094,     0,
       0,   148,     0,     0,     0,     0,   142,   152,     0,  1144,
    1070,     0,     0,   266,   505,   513,   518,  1074,   521,  1124,
     519,  1150,  1071,  1106,     0,   262,     0,  1072,     0,  1118,
    1146,  1096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1255,     0,     0,     0,     0,     0,   319,     0,     0,
       0,  1108,  2017,   319,  1145,     0,  1103,  1132,     0,   335,
       0,  1095,     0,     0,   268,  1076,  1126,     0,     0,   218,
     217,   219,     0,     0,     0,     0,     0,     0,     0,     0,
     825,   794,   824,     0,     0,     0,   788,   370,   344,   345,
     347,   354,   714,     0,     0,     0,  1527,  1523,     0,     0,
       0,     0,     0,     0,  1543,   702,     0,     0,     0,     0,
    1236,  1236,  1236,  1236,  1236,  1236,  1236,  1217,  1245,     0,
     139,     0,     0,     0,   552,   592,   599,     0,     0,     0,
     399,   403,   407,   408,   409,     0,     0,     0,     0,   153,
     140,     0,   744,     0,   453,     0,   184,   177,     0,     0,
       0,   545,   699,   697,   696,   698,     0,     0,     0,   719,
     695,     0,  1517,  1519,     0,     0,     0,     0,     0,   402,
       0,   456,     0,     0,   488,     0,     0,     0,   326,     0,
       0,   971,     0,   989,   972,     0,     0,     0,  1011,  1016,
    1012,   992,     0,   529,  2344,  2338,  1368,  1369,     0,   319,
       0,     0,   594,   319,   319,     0,   319,     0,   319,   319,
       0,  1172,   620,     0,   672,     0,     0,   319,   757,  1819,
       0,  2483,  2671,   884,   455,     0,     0,     0,     0,   895,
       0,   527,   900,     0,   912,   907,   909,     0,   916,  1346,
    1339,  1341,  1340,     0,     0,  1337,  1825,   756,   495,     0,
       0,     0,   319,     0,   917,     0,   835,   836,     0,     0,
     845,     0,     0,  1415,  1826,  1827,     0,     0,     0,     0,
    1861,     0,     0,  1733,     0,  1709,  1711,  1544,  1723,     0,
    1557,  1734,  1735,  1713,  1715,     0,  1809,     0,     0,  1724,
    1666,  1667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1679,  1678,  1725,  1791,     0,
       0,  1848,  1849,  1726,  1587,  1588,  1588,     0,     0,  1855,
       0,     0,     0,  1731,  1736,     0,     0,     0,     0,  1742,
       0,  1763,     0,     0,     0,  1689,  1819,  1579,  1580,     0,
       0,     0,     0,     0,     0,     0,     0,  1663,  1646,  1640,
       0,  1644,  1648,     0,     0,     0,     0,  1632,  1658,  1628,
       0,     0,  1634,     0,  1659,  1410,  1410,  1410,  1410,  1407,
       0,     0,     0,     0,     0,  1488,  1466,  1468,  1475,  1488,
    1493,  1511,     0,  1892,     0,  1448,  1419,  1419,     0,  1775,
       0,  1698,     0,  1775,     0,     0,  2533,  2535,  2536,  2537,
    2538,  2539,  2541,  2542,  2544,  2545,  2546,  2534,  2540,  2543,
    2547,  2524,  2525,     0,  2515,  2516,   195,     0,   227,   214,
       0,  2558,  1272,     0,  1422,     0,  1810,   960,   958,   959,
    1424,     0,     0,  1459,  1432,  1334,     0,  1332,  1327,     0,
    1328,  1875,     0,  1324,  1357,     0,     0,  1516,     0,  1356,
       0,  2458,  2386,     0,     0,  2557,  2560,  2571,  2569,  2396,
    1133,  1058,  1109,  1236,   927,   928,     0,   926,     0,     0,
       0,   441,   943,     0,     0,     0,   664,     0,     0,   445,
       0,  1250,     0,  1151,  1093,   560,   561,     0,   572,     0,
     581,   580,     0,     0,   568,     0,     0,     0,     0,   567,
     586,   533,   587,   589,     0,     0,   588,   591,   596,  1106,
       0,   627,  1082,     0,  1130,   994,     0,  1545,   969,   974,
     975,     0,     0,     0,   415,     0,     0,     0,   275,   285,
       0,     0,   289,     0,   283,   303,   295,   304,   296,   607,
     608,   606,   602,     0,   609,   611,   324,     0,     0,     0,
    1140,  1106,     0,   270,  1078,     0,  1128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1141,  1115,
       0,     0,   145,   144,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   336,
     321,     0,   722,     0,     0,     0,   338,     0,     0,     0,
       0,  1139,  1067,   789,     0,     0,   790,   798,     0,     0,
     791,     0,     0,   800,     0,     0,   343,   351,   716,     0,
    2066,  1799,  1800,   710,   717,   707,   709,   708,   711,   664,
       0,     0,     0,  1528,     0,  2772,  2780,  2779,     0,  1602,
     704,   705,     0,  1236,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,     0,     0,   421,
       0,     0,  1016,   414,   417,   418,     0,     0,   553,   556,
     554,   555,   585,     0,   434,     0,     0,   155,     0,     0,
     156,   154,     0,     0,   326,     0,   180,   398,     0,     0,
     645,   648,   641,     0,   718,   720,   693,     0,   599,     0,
       0,  1323,   497,     0,   484,   480,   482,   481,   483,     0,
     490,   325,     0,   497,   490,     0,   944,   970,     0,     0,
       0,  1009,  1013,  1010,     0,     0,   985,     0,   993,   963,
    1167,  1168,  1165,  1166,     0,     0,  2361,  1359,  2370,  1028,
       0,   319,  1026,   760,     0,   751,     0,   753,  1030,   319,
     319,   632,     0,   542,     0,     0,     0,     0,   894,   914,
       0,   910,     0,     0,   877,   919,  1344,  1342,   496,   922,
       0,   878,   921,     0,     0,     0,     0,     0,  1830,  1563,
       0,  1863,  1859,     0,  1706,  1831,     0,  1843,  1842,  1665,
    1844,     0,  1684,     0,     0,  1676,  1674,  1675,  1668,  1669,
    1670,  1671,  1672,  1673,  1677,  1853,  1852,  1846,  1847,  1583,
    1581,     0,  1728,  1729,  1730,  1854,  1737,     0,  1947,  1764,
    1741,  1757,  1756,     0,     0,     0,  1744,     0,     0,  1753,
       0,  1793,  1569,  1602,  1608,     0,     0,  1631,  1858,  1649,
       0,     0,     0,  1627,     0,     0,     0,     0,  1636,  1809,
       0,     0,     0,     0,     0,     0,  1401,  1400,  1406,  1488,
    1493,  1383,     0,  1475,     0,  1487,  1473,  1486,     0,     0,
    1499,  1497,     0,  1499,     0,  1499,     0,  1470,     0,  1489,
    1471,  1486,     0,  1893,  1512,     0,  1450,     0,     0,  1418,
       0,  1775,  1705,  1778,  1773,  1774,  1823,  1699,  1910,     0,
    1821,  1775,     0,     0,     0,  1872,  2556,  1394,     0,  1423,
    1440,  1433,     0,  1514,  1333,     0,     0,  1330,     0,     0,
       0,  1351,  1332,  1354,  2402,     0,  2457,  2522,  2523,     0,
     933,   934,   932,   935,     0,     0,     0,   664,     0,     0,
     461,     0,   951,   951,     0,     0,   447,   493,  1016,   667,
       0,     0,     0,   665,   319,  1063,     0,   582,     0,     0,
     577,   575,   574,   576,   534,  1149,  1064,     0,     0,     0,
       0,   995,     0,   987,  1081,     0,   412,     0,   280,  1107,
       0,     0,     0,   279,     0,   319,   319,   604,   328,   329,
     332,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   745,   728,     0,     0,   746,   747,     0,     0,     0,
    1033,  1034,  1032,   149,   146,   147,   150,  1091,  1075,  1125,
    1073,     0,  1119,  1088,  1084,     0,     0,     0,     0,     0,
    1148,  1102,  1123,  1147,  1100,  1121,  1099,  1120,  1101,  1122,
    1092,     0,  1521,   725,     0,     0,     0,   319,   319,   634,
    1077,  1127,     0,   792,     0,     0,   793,   795,   373,     0,
     376,   383,   355,   360,  1254,     0,  1254,     0,   357,   361,
    1254,   356,  1254,   353,   686,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,  1529,  1537,   663,     0,  1227,
    1226,  1225,  1229,  1228,  1231,  1230,  1222,  1221,  1234,  1233,
    1220,  1219,  1224,  1223,     0,   419,     0,   425,   429,   430,
     428,   420,  1016,   453,   492,     0,     0,   676,     0,   551,
     400,   431,     0,   404,   158,   157,     0,     0,     0,   184,
       0,     0,   650,   654,   694,     0,  1520,   628,   326,     0,
     400,   497,  2327,     0,   405,   410,   411,     0,   488,     0,
     484,     0,     0,   494,  1214,   498,   499,     0,     0,   973,
     990,   991,     0,     0,  1016,  1015,     0,   536,     0,  2334,
     319,   595,   319,   319,  1173,   673,     0,   906,   905,   904,
     528,     0,   908,   319,     0,     0,     0,     0,     0,   847,
     826,   846,  1862,  1722,  1732,  1841,     0,     0,  1685,     0,
       0,  1727,  2209,     0,     0,     0,     0,  1761,  1762,  1743,
       0,  2057,  1748,     0,     0,     0,  1913,  1655,  1653,  1650,
       0,  1651,     0,     0,  1633,  1629,     0,  1635,  1660,  1405,
    1404,  1403,  1402,  1474,  1472,  1477,  1484,     0,  1469,     0,
    1498,  1494,     0,  1495,     0,     0,  1496,     0,     0,  1484,
       0,     0,     0,     0,  1769,  1775,  1775,  1700,  1780,  1777,
       0,  1702,  2526,     0,  2529,  2527,  2528,  2532,  1602,     0,
       0,  1326,  1329,  1331,     0,  1358,  1349,  2459,  1242,     0,
       0,     0,   443,     0,  1016,     0,     0,     0,   954,   954,
       0,  1016,   492,   669,   668,   671,   666,   670,  1251,     0,
     569,   570,  1083,     0,  1131,  1089,   988,     0,   600,   276,
     277,   278,   281,   321,   288,   282,     0,  1079,     0,  1129,
    1086,  1142,  1068,  1116,     0,     0,   734,     0,     0,     0,
       0,  1143,  1069,  1117,     0,     0,     0,     0,  1260,     0,
     320,   724,   723,   321,   337,  1104,     0,   796,   797,   374,
     139,     0,   352,     0,   381,     0,   379,   378,   380,     0,
     367,     0,     0,     0,     0,     0,  1525,     0,  1047,  1047,
    2773,  2774,  2775,  2776,  2777,  2778,     0,   664,  1232,     0,
       0,   416,   492,   460,     0,   422,     0,     0,     0,     0,
       0,     0,     0,   599,     0,     0,     0,   179,   400,   599,
     649,     0,     0,     0,   721,     0,   402,     0,  1321,   401,
       0,     0,   490,     0,   488,     0,   485,     0,   489,     0,
    1207,     0,     0,  1014,     0,  1018,     0,   984,   961,  1513,
       0,   540,  2360,  2364,  1048,   752,   754,   633,   911,   918,
     319,   827,   828,   829,   830,  1680,     0,     0,     0,     0,
    1738,     0,  1739,  1766,  1765,  1745,  1749,     0,  1746,  1747,
    1652,  1656,  1654,  1637,  1476,     0,     0,  1478,     0,     0,
    1480,  1482,     0,     0,     0,     0,     0,  1896,  1775,  1447,
    1449,     0,  1384,  1703,  1704,     0,  1419,  1775,  2531,  2530,
     228,  1811,  1515,  1355,   912,     0,   319,   951,   492,   462,
    2066,   463,   950,     0,   952,   957,   957,     0,   492,   664,
     562,     0,   598,     0,   323,   331,     0,     0,     0,   741,
     729,     0,     0,   748,  1085,     0,     0,     0,     0,     0,
     319,   799,   354,     0,   377,   386,     0,   384,   358,   363,
       0,   365,   364,   359,   362,  1047,     0,  1044,  1043,   662,
       0,   451,   423,     0,   471,     0,     0,   677,     0,     0,
       0,   440,   439,   436,   435,   437,   438,   433,   432,   624,
     738,   326,  1214,   612,   651,   652,   647,     0,     0,     0,
     484,   480,   406,   415,   389,     0,   490,   486,   487,     0,
       0,     0,  1262,     0,   945,  1017,     0,     0,     0,   535,
       0,     0,   539,   530,     0,  2362,   879,  1681,     0,  1682,
       0,     0,     0,  1751,  1750,     0,  1485,  1501,     0,  1481,
    1479,  1490,     0,  1492,  1768,  1770,     0,     0,  1783,  1701,
     929,     0,   930,   954,   466,     0,   953,   960,   960,   453,
     664,   444,  1090,   601,     0,   284,  1087,     0,   732,     0,
     743,   741,     0,     0,  1256,     0,  1257,  1258,  1261,   339,
     342,   372,   382,     0,   366,  1042,  1046,  1045,     0,     0,
     424,   457,   458,   459,     0,   426,   467,   468,     0,   674,
       0,   679,     0,     0,     0,     0,     0,  1208,     0,     0,
    1209,   488,   484,   413,   479,   387,     0,  1211,     0,   326,
       0,  1016,  1019,  1171,   538,   537,  2365,  2367,  2366,     0,
    1683,  1754,  1740,  1767,  1752,  1483,     0,  1491,     0,     0,
    1779,     0,     0,     0,     0,   957,     0,   664,     0,   948,
     947,   460,   446,   322,     0,     0,   739,   742,   730,   743,
     750,   749,     0,   385,     0,   450,     0,     0,     0,   469,
       0,   470,   491,     0,   678,     0,   599,   737,     0,     0,
     653,     0,   490,   488,  1212,  1213,   490,   946,   962,  1170,
    1169,  1396,  2363,  1500,  1771,  1772,  2174,     0,  2149,     0,
    1781,  1784,  1782,  1776,   319,   960,     0,   448,   464,   471,
       0,     0,   731,  1259,   654,   476,     0,   475,     0,   473,
     472,   675,   680,   625,   727,  1210,   657,   390,   490,  1513,
    1153,  1396,  1152,  1154,  1162,  1159,  1161,  1160,  1158,     0,
    1788,  1787,  1786,  1790,  1789,   931,   949,     0,   664,   733,
     740,     0,   474,   478,   477,     0,   655,   658,   661,   659,
     660,   388,   936,     0,  1163,  1157,  1383,  1370,     0,   465,
     449,     0,   635,     0,  1155,  1396,  1785,     0,   656,  1156,
       0,   657,     0,   636
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   248,   249,  1734,  2661,  2540,  3369,  3370,   250,
     251,  1806,   252,   253,   254,   255,   256,   257,   258,  1750,
     259,   260,  1307,  1956,  2671,   261,  2404,  1075,  1076,  2274,
    2275,  2603,  2276,  2263,  1585,  2058,  1769,  1736,  1770,   263,
     264,  1579,  2255,   265,   266,   267,  1794,  1795,  1744,  2001,
    4282,  4885,  2522,  3406,  3205,  3206,   268,  1852,  1853,   269,
     270,  3320,  1893,  2630,  3856,  3857,  4313,   878,  2627,  4590,
    4591,  4299,  4300,  4597,  4776,  4777,  2672,  1952,  3400,  3944,
    3360,  4383,  3361,  4384,  3362,  4385,  3348,  3903,  3904,  3905,
    3363,  4361,  4807,  3364,  2419,  4910,  2706,  2088,  2086,  4794,
    4179,  4180,  4967,  4915,  4916,  4917,  5039,  4390,  3404,  3950,
    4393,  4625,  3102,  1976,  2820,   977,  2708,   909,   978,  2673,
     275,  2700,  1826,  1827,  2548,  3863,  3462,   276,  1326,  3730,
    4671,  4842,  4843,   277,   866,   278,  1960,   279,   280,  2657,
    3354,   281,  2436,  3119,   282,   283,  3146,  3147,  3148,   284,
     285,  3754,  4547,  1796,  3198,  3199,  3200,  3201,  3774,   286,
    1958,  1832,  2680,   287,   288,   289,   290,   291,  2591,   292,
     293,  2674,  1968,  2692,  2693,  4373,  4641,  4816,  4643,  5075,
    5076,  4617,  3709,  4193,   295,   296,  4356,  4357,  4922,   297,
    2434,   298,   299,   300,  1936,  2649,  2650,  3864,  1720,  1896,
    2632,  2633,  3933,  3934,   301,  3280,   302,  4241,  4242,   910,
    4925,  4890,  4978,   303,   304,  4245,  4246,   305,   306,   307,
     308,   309,   965,  1379,  1380,  1726,   310,  2291,   311,  1280,
    3311,   312,  1468,  2845,  4430,   313,  1001,  1404,  1405,  2675,
     315,  1012,  2823,  1014,  2101,  3464,  3465,  4004,  2791,  1200,
     316,   317,  2802,  2826,   318,  1737,  2410,  2411,  4174,  2676,
     911,  1982,  2711,  3097,  4833,  4181,  4528,  4745,  3019,  3660,
     320,   912,  1774,  2484,  2714,  3412,  3413,  2486,  2984,  3965,
    2488,  3414,  3419,  3420,  3421,  3961,  3969,  4665,  4666,   321,
    1772,  2477,   322,   323,   324,  1803,  1219,   325,   933,   934,
     326,  4787,   327,  1345,   328,  1033,  2118,   329,  2500,  3760,
     330,   331,   332,  5052,  5083,  5084,  5085,  3974,  5011,   333,
    5054,  1446,   335,   336,   337,   869,  1246,  1247,  1248,  2677,
    4660,   339,   340,  2653,  3347,  3885,   341,   342,  2405,  3087,
     343,   344,   345,  1940,   346,   347,   348,   349,  1872,   350,
    1616,  1617,   351,   352,   873,  1094,  1620,  1628,   353,   980,
    1398,  1399,  1400,  2060,   354,  1450,  2813,   981,  1393,   982,
    3038,  3669,  3670,  3673,   983,  3035,   358,  2107,  2807,  2810,
     984,  3042,  3043,  3044,  3045,  3046,  3675,   985,  1003,  1336,
    2722,   986,  1539,   363,   364,   365,  1103,  1098,  1099,   367,
    2233,  2974,  1020,  1634,  1060,  1110,  4129,  2304,  2305,  2327,
    2328,  1643,  1644,  2317,  2319,  3021,  2320,  3029,  2310,  4126,
    4494,  2323,  2324,  1646,  1647,  1648,  2332,   368,  2978,  3606,
    3607,  3608,  4105,  4106,  4120,  4116,  4481,  4710,  3609,  1440,
    1654,  3610,  3615,  3667,  3391,  3392,  3393,  2489,  2640,  1918,
    1540,  1919,  2647,  1541,  2153,  1921,  1542,  1543,  1544,  1924,
    1545,  1546,  1547,  1548,  2136,  2196,  1549,  1550,  2172,  1142,
    1143,  2045,  2884,  1552,  1553,  4069,  4454,  4443,  2910,  2911,
    2271,  4065,  3557,  4722,  4864,  4865,  4137,  4134,  4498,  4726,
    4963,  5020,  5021,  1554,  2964,  2225,  1221,  1555,  3866,  2227,
    2904,  2986,  2987,  2389,  2134,  2850,  2867,  2868,  2881,  3518,
    2888,  2893,  3541,  3542,  2905,  2933,  1556,  2853,  2854,  3501,
    2138,  1557,  1609,  1610,  2241,  2928,  1623,  1624,  1096,  1558,
    1559,  2102,  1085,  4706,  1355,   703,  3219,  2286,  1250,  1017,
    1560,  1561,  1562,  3466,  1675,   665,   704,   705,  1180,   817,
       2,    75,   987,  3398,   372,   373,   914,   915,   916,  1328,
    1329,  1987,  1990,  1680,  2367,   669,   670,   721,  4409,  4672,
    4845,   971,   374,   375,   376,   377,  1676,  2363,  1144,    76,
      84,    77,  1145,   414,   415,  2345,   378,   834,   379,  1657,
    1124,  3681,   380,   381,   382,   383,   384,   968,   385,  1126,
     386,  1127,   387,   388,   389,   390,  1134,   391,  1659,  1660,
    4166,  1661,   392,   393,   707,   708,  1391,   394,   395,  1161,
    1162,  1423,  1424,  1686,  1701,  1702,  1703,   396,   677,   397,
     398,   399,  1692,  1693,   400,  2248,  2249,  2372,  2250,   401,
    3059,  3060,   402,  3641,  3642,  4505,  3643,   403,  2244,   404,
     405,  1088,  3686,   406,   830,   407,  1175,   709,   710,   711,
    1182,   820,  1046,   722,  1184,  3202,   822,   823,   713,   714,
     715,  2080,    78,  3067,  2081,  1564,   723,  1565,  2239,  1566,
    1567,  1568,  1569,  1570,  1709,   717,  1151,  1383,  1384,  3068,
    1386,    82,  1387,   411,  3878,  2048,  1425,  2066,  2067
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4443
static const int yypact[] =
{
   -4443,   356, 13230, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, 25257, -4443,
   -4443, -4443, -4443, -4443, 98267,   434, -4443, -4443, -4443,102672,
   -4443, -4443, -4443,   317, 65219, -4443, 68135,   913, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, 71537, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, 54515,  1269, -4443,
     778, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  1496, 14480,
   -4443, -4443, 68621, -4443,   110, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, 69107,   578, -4443, -4443,   927,  1245, -4443,   100,
   14011, -4443, -4443, 61817, 66191, -4443, -4443, 72023,   452,  2021,
    7527,  1496, 24768, 72509, -4443,   896, -4443, 51071, -4443, -4443,
   -4443, 65705, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, 79313,  2598,  1074, 51566, -4443, -4443,
   -4443, -4443, 79313, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, 72995, -4443,  1295,  1100,  1011, 79799, 80285,
   63275, -4443,  1428, -4443, 79313,  1458,  1167, 53541, -4443, 80771,
   -4443, -4443,  1331, -4443, 73481, -4443, -4443, -4443, -4443,  1074,
   -4443, 54515, 50097,    70,  1277, -4443, -4443, 81257, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443,  1886,  1339, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443,   578, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443,   759, -4443,   685,   765,  1938,   642,  1394, -4443,
   -4443, -4443, 21866, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   23123,  1645, -4443, -4443, -4443,  1482, -4443,  1426, -4443, -4443,
   -4443,  1653, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,   924,
   -4443, -4443, -4443, -4443,  1998, 98750, 71537, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, 61331, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
     178, -4443, -4443, -4443, -4443, -4443, 71537, 71537, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, 71537,  1576, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443,   309,  1844, -4443, -4443,
   54515,  2128,  2128,  2059, 23123, -4443, -4443, -4443, 55489, 79313,
   79313, 79313,  1791, 79313,  1719, 79313,   254, 55489,106437, 81743,
    1867,  1804, 45629, -4443,105601, 79313, 79313, 82229, 79313, 73967,
   79313,  1928, 79313, 79313,106855, 82715,  2002, -4443,  2293,  1674,
   -4443, -4443, -4443, 79313, 14856,  2598, -4443, -4443, 79313,  1851,
   55489, 79313,  1785, 79313,  1903, 79313, -4443, 79313,  1920, 83201,
     513,  1895,106437,  2025, 46128,  2023,106437, 83687, 79313, 79313,
   -4443, -4443,  1985, 79313, 79313, -4443,  2107,107273,  1982,  2115,
    2286,  2168,   724, -4443, -4443,  2372,  1959, -4443, -4443,  2405,
   71537, -4443, 69593, -4443, -4443, -4443,  2203, -4443, -4443, -4443,
   -4443, -4443,103929,  2021, -4443, -4443, 55976, 79313,  2237, -4443,
   -4443, 84173, -4443,  2054, -4443,   646, 56463, 84659,  2345,  2053,
   46627,  2374, 85145, 85631, -4443, -4443, 86117, -4443, 86603,  2148,
   87089, -4443, 87575, -4443,  2295, 88061, -4443, 16076, -4443,  2067,
    2138,  2080,  1091, 71537, 71537,    95,100552, -4443, -4443,   578,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,   139,  1707,
   52061,   730, 52556, -4443, -4443,   817,   843,   911,   139,  2516,
    2516,   558, 71537, -4443, -4443,  1707, -4443,   530,   771,  2111,
    2111,  2111,  2299,   -75, -4443,  2111, -4443, -4443, -4443, -4443,
   73481, 52061, 52556, -4443,  2074,  2598,   182,  2517,  2162, 79313,
   -4443, 79313, -4443, 79313, 79313, -4443, -4443, -4443,  2507,  2142,
    2384, -4443,  2161, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    2329,  2339,  2366,   109,  2598,  2244, -4443,  2477, -4443,  2396,
   29729,   441, 71537,  2598, 53051, 74453, 95837,   273,103929,  2598,
   88547,  2240,  1563,  2415, -4443, -4443,   681, -4443,  2646,  2265,
    2495,    35,  1674, 43170, -4443,  2264,  1912, 73481, 99716, -4443,
   -4443, -4443, -4443,   189,  2551, 30233, -4443, 79313,  2275, -4443,
    2263,  2281,  2284,  1938, -4443, 79313,  1493,  1493,  2664,  1493,
    1968,  2004, -4443,  2123, -4443,  2566,  2530, 73481,  1277,  1496,
    2288, -4443, -4443, -4443,  2300, -4443,  2314,  2321, -4443,   882,
    2546, -4443, -4443, -4443, -4443,  2413,  2418,  2423,  2430,  2338,
    2443,   192, -4443, -4443, -4443, -4443,  2680, -4443, -4443, -4443,
   -4443, -4443, -4443,  2779,  2769,103093,103093,   723,   726,   154,
     242, -4443, -4443, -4443,  2653, -4443, -4443,  2672, 79313,  2493,
   79313, -4443, -4443, -4443, 89033, -4443, -4443,  2128,  2300,  2464,
   -4443,   313, -4443,  1912, -4443,   329,   348,   357,  1897,  2440,
    2001,  1543, -4443,   574, 79313,  2561,   302,   953,  2513, 74939,
    4641,  2476,   779,  2773,  3870,   192, 89519, -4443, 79313, 79313,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  2481,
   -4443, -4443,  2489,  2758,  1364,  2701,  1909,  2816,  5604,  1907,
    2821,  4351,  2259,   766,  2713,   933,  2825,  2077,  2839,  4524,
   79313,  2557, -4443,  2776,  2888,    13, -4443,   791, -4443,  2631,
    2764,  1088, 55489,  2583, -4443, -4443, 79313, -4443, -4443, -4443,
    2661, -4443,   665, 55489, -4443,  2786,  2632, 47126, -4443, 79313,
   -4443, -4443, -4443, -4443, -4443,  2718, 79313, -4443, -4443,  2840,
   79313, -4443,  2111,  2759,  2610,  2986, 58898,   296, 79313,  2650,
    3017, 79313,  2814,  2650,  2651, 90005, -4443, -4443,  2650, -4443,
   -4443, 79313, 79313,  2619,  1502,  2650,  2817,  3015,  3018,  2689,
    2797,   880,  1578,   102,  2914,  2650,  2670, 79313, 90491, 79313,
    2671, 79313,  2990, 55489, 79313, -4443,  2785, 75425, -4443,  2629,
    2372, -4443, -4443, -4443, -4443, -4443,  1157, -4443, -4443, -4443,
   -4443,  2938,  2464,   160,  2939,  2644,  2941, -4443, -4443,  2677,
   -4443,  2943,  2476,  2944,  2647, -4443, 90977, -4443, 91463, 91949,
    2947,  2481, 79313,  2951,  2647,  2955,  2842,  2957,   160,  2958,
   -4443,   912,  2959,  2847,  2962,  1797,  2647,104347,  2963,   114,
   -4443, 17198, 16076, -4443, 24225,  1054, -4443, -4443, -4443, -4443,
   -4443, -4443, 33761,   861,  2752, -4443, -4443, -4443,  1977, -4443,
  101825, -4443,    95,  1707, -4443, 71537,  1707, 71537,   558,  1707,
   71537,  1707, 71537,   558,  1707, 71537, 71537, 71537,  1707, -4443,
   -4443,  1756,  1991, -4443, -4443, -4443, -4443, -4443, 71537,  2669,
   79313, 79313, -4443, -4443, -4443, 66677, 79313, 67163, -4443, -4443,
      33, 71537, -4443, 71537, -4443,  2598, -4443, -4443,  2138, 58898,
    3073, 79313, 79313,  2960,  2960,  2960, -4443, -4443, -4443,  2897,
   79313,  2964,  2965, 66677, 79313, -4443, 92435,103929,  2857,  2678,
   -4443, -4443, -4443, -4443,  2003,  2658,   408,  2766, 33761,  2681,
     175,   175,  2682,  2968, -4443, -4443, -4443,   391,  2684,  2688,
   -4443,   435,   435,  2836,  2690,  2691, -4443,   445,  2693, -4443,
    2826,   488,  2694,  2697,  2705,  2068,   175, 33761, -4443,  2706,
     435,  2708,  2710,  2711,  2905,  2723, -4443,  2916,  2724,   286,
     299,  2725,  2727, -4443,  2690, -4443,   427,  2729,  2730,  2731,
    2733,  2735,  2736,  2737,  2738, 33761, 33761, -4443, 28721,  1912,
    2598, -4443, -4443, -4443, -4443, -4443, -4443, -4443,    93, -4443,
     514,  5570, -4443, -4443,  2861, 33761, -4443, -4443,    45, -4443,
     522, -4443, -4443,  1912, -4443, -4443,  1292, -4443, -4443, -4443,
   -4443,  1685,  1685,   196, -4443, 68621, 68621, -4443, -4443,   177,
    2704, -4443,   305, -4443, -4443, -4443, -4443, -4443, -4443,103511,
    3113, -4443,  1001,  2598,   791,  1040,  3071,100973,101399,  2981,
    2981,  2970, -4443, -4443, 79313, -4443, -4443, 33761, 49123, -4443,
    1912,    82,  2984, -4443, -4443, -4443,  2031, -4443, -4443, -4443,
     578, -4443, 13810, -4443,  2100,  2275, 79313, 79313,  3142, -4443,
   -4443,  2263, -4443, -4443,  1938,  1938, 33761,  1938,   676,  1777,
   30737, 33761,  3033,  2933,  1255,  1349,  3035, -4443,  2937,  1968,
    2004, 73481, 79313, 92921,  2859, -4443, -4443,  2300,  2765,  1794,
   -4443, 60845, 99233, 99233,  3002, -4443, -4443,  1627,  1425,  2875,
    2966,  2516,  1110,  1769, -4443, -4443,  2760, -4443,  3090, 68621,
    2818,103093, -4443, -4443, 79313, -4443, -4443, 75911, -4443, -4443,
   -4443,   828,  2761, -4443,  2782, 79313,  3260, -4443,  1769,  1769,
   -4443, -4443,  2768, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, 23123,  2772, 79313, -4443,  2778,  2781, -4443, 99716, 49610,
    2015,  1912,  2853,  2856,  2892, 54515,  2783,  2858,  2860,  2902,
    2862,  2863, 96323, -4443, -4443, -4443, -4443,  1546,  1220,  1391,
    2864,   345,   748,  3149, -4443,  1564,  2917, -4443, -4443, -4443,
    3775, 79313,  3091,  4602,  2982,   192,  2918, -4443, -4443,  3027,
    2876,  2878,  2996,   192,   169, 96809, -4443, -4443, -4443, -4443,
   -4443, -4443,  2542, 27235, -4443,  2880,  2869, 79313, 62303,  3171,
    2991,  1057,  1059,   141, 79313,  3065,  3004, 79313,  2820,  2895,
    2896,  2824,  1812,  3183,  2827, -4443, -4443,  3000,  3128,  5347,
    2885,  2887, 57924,  1271, 47625,  3174,  1670,  2919, -4443,  1670,
   79313,  2920,  2923, 79313,   192, -4443,  3227,   192,   192,  1960,
    3236,  2931,   301,  1878,  2650,  2827,  1279, -4443,  2932,  2934,
    1651, -4443,  3037, 73481,   304,  1918,  2827,  2936,  2940,  2824,
    2824, 79313, 79313, 79313, 79313, 79313,   127,  3258,  3259,  2942,
     180,  2988,  2867, -4443,104765,  2945, 95837, -4443, -4443, 79313,
    2946,  1940,  2827,  1929, -4443,  2008, -4443, -4443, -4443,  1674,
   -4443, 79313, -4443, 79313,  2464, 58898,  3055, -4443,  2907, -4443,
    2476,   192, -4443, 79313, 79313,  2481,   923,  1036,  3061, 79313,
    3119,  2915, -4443,  1124, 49610,  2619, -4443,  2882, -4443,  2930,
   -4443,  2930,  2930,  2890,  2890,  2894, -4443, -4443,  2068,  2930,
    2890, -4443, 59872, -4443,  1664,  1800, -4443,  3292,  3296, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,   986, -4443,
    2102, -4443, -4443, -4443, 79313, 54515, -4443,  3307, -4443, -4443,
   58898,  3081,  3199, -4443, 79313,  3100,  2908, -4443,  3233,  2961,
   -4443, -4443,   -13, -4443,  3206,106437,   210,  2598,  2952, 79313,
    3129, 79313, 79313, 79313, 79313, -4443, -4443,  3102,  1305,   190,
   -4443,104765, -4443, 79313,  1279,  3114,  3319,    -1,  2111, 79313,
    3208, -4443, 79313,  2921,  3324,  3159, -4443, -4443,  2926,  2516,
   -4443,  2629, -4443,  1954, -4443,  3047, -4443, 55489,   160, -4443,
   -4443, -4443, -4443, 58898, 79313, 93407, 55489,   160, 79313, 79313,
    3226,   114,  3228,  2983,  3229,  2987, 47625,   160,   148, 79313,
   79313, 79313, 79313, -4443, 79313, -4443, -4443, -4443, -4443, 79313,
   79313, 79313,104765,  3230,  3234,   160, 79313, 79313, -4443, -4443,
   18899,  1902, -4443, 16076, -4443, 13810,  2134,  2981, -4443,  1576,
   79313,  1479,    95,105183, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, 71537, -4443, 71537,   558, -4443, -4443, 71537, -4443,
   71537,   558, -4443, 71537, -4443, -4443, -4443, 71537, 79313,  3433,
    2949, -4443,  1292, -4443, 79313,  2145, -4443, -4443,  2156,   946,
   79313, 79313,   750, 55489, 79313,  3130, 79313, 79313, 79313, 79313,
   79313,  3016,  2704,  1111, -4443,   454, 73481,  3138, -4443, -4443,
   -4443, -4443, -4443,  2175,  1886,   842,  2995, -4443, -4443, -4443,
   -4443, -4443, -4443, 67163, 65705,  3238,   284, 79313, -4443, -4443,
    3593, 33761, 29225, -4443, -4443, -4443,  2967, 13810,  2985, 33761,
   -4443, -4443, 33761,  2969,  2516,  2516, 33761, -4443, -4443, -4443,
   -4443,  2497,  2516, -4443, 33761, 33761,  2516,  2516,  2930,  2930,
   -4443,  4329, 33761, -4443, 47625, 33761, 35273, 26730, 33761,  3039,
    2989,  2516, -4443,  2516, -4443, 33761, 28217, -4443, 33761,  3168,
   36281, 33761,  1040,  3169, 33761,  1040,  3386,  3386,  1277,  1869,
    7716,  2971,  1912, -4443,  3075,  2516, -4443,  2516,   999,   166,
   58898, 33761, 54515,  3046,   232, 79313, 33761,  2976,  1574, -4443,
   33761,   214, -4443,  2978, 33761,  3045, 33761, 33761, 33761, 33761,
   33761, 33761, 33761, 33761, 33761, -4443, 37261,   237, -4443,   606,
    1835, 67649, 29729,  3262, -4443, 26225, -4443,   208, 71537, -4443,
   -4443,  1912, -4443, -4443, -4443, -4443, -4443,   828,  2994, -4443,
    3003, -4443, -4443, -4443, -4443, -4443, 79313,  3113, -4443, -4443,
    3063, -4443, -4443, -4443, -4443,   635, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443,  2998, -4443, -4443, -4443, -4443,  2998,
   -4443, -4443,  2981,  2993,  5004, -4443, -4443, -4443, -4443,  3269,
    3270,   160, 23123, 79313,   189, 70079, -4443, 30233, -4443,  2184,
    3006, -4443,  3251, -4443,  3007, -4443, 10954,  3251, -4443, -4443,
     150,  3116,  3244,  3196, -4443, -4443, -4443,  3023, 13810, -4443,
    2079, 13810,  2118, -4443, -4443, -4443, -4443, -4443, -4443,  1742,
   -4443, 79313,  3138,  3033,  1349,  3079,   626, 79313, -4443, 43660,
    2024, -4443,  2300, -4443, -4443, 23726, -4443, 25740, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443,  3030, -4443, -4443,
   -4443, -4443,   192,  3031,  3502, -4443,103093, -4443, -4443, -4443,
    3433, -4443,  2405, -4443,  2405,  3532, -4443, 71537, -4443, -4443,
   -4443, -4443,   885, -4443, 16076, -4443, 16076, -4443,  3034,  2199,
    3110,  3112,  3160,106437, 79313, 79313, -4443, 54515,106437, 79313,
   79313,106437, 79313, 79313, -4443,  3400,   827, 65705,  3164, 63761,
   -4443, -4443,  3049, 79313,  3099,  3286,  3287,   940, -4443, -4443,
   93893, -4443,  3245,106437, 79313, 79313, 33761,  3246, 79313, 79313,
   -4443,   375,  3127,  3131, -4443, 79313,  3132, 55489,  3056, 79313,
   79313, 79313,  3134,   668, 55489,  3101, 48124, 79313, 79313, 79313,
   79313,  3176, 79313, 79313,  3295,  1247, 73481,   125,  2019,  2827,
    3257, -4443,   658, -4443,106437, 79313,  3249, -4443, -4443, -4443,
   64247,  3461,  3170, -4443, -4443, 97295, -4443, -4443,  3247, -4443,
   -4443, 59872, -4443, -4443,  2206, -4443, 59385, 56950, -4443, -4443,
     932,106437, 79313,  6919, 79313,  1070, -4443, -4443, 58898, -4443,
   79313, 79313, 79313, 70565, 94379, 94865,  1117,  1188, 79313, 71051,
   -4443, 79313, -4443, -4443, 55002,106437, 79313, 54515, -4443, 79313,
    3252,   831, -4443, 79313,  8592,  3145, 79313,   240,  2042,  2827,
   79313, 79313,  3074,  2249,  3152,  3200, -4443, 79313, -4443,106437,
    1503, -4443,  3218,106437, 79313,  6449, -4443, -4443,   192, -4443,
   -4443, -4443, -4443, -4443, 79313, 79313,   192, 79313,   192,  1024,
   -4443,106437, 79313, -4443, -4443, -4443,  6966, 79313, 79313, 79313,
   79313,106437, 79313, -4443, -4443,  1180,  1540,  1457,  1536,  3221,
   79313,  3351, 79313, 95351,106437, 79313, 79313, 79313,  1776, -4443,
   -4443,  3197, -4443,106437,  1503,  7083, 79313, 79313,  3162,  3163,
     128,  3237, -4443, -4443, -4443, -4443, -4443, -4443,  3330,  3492,
   79313, -4443,  3334,  3335,  3150,  3151,  3336,  2044, 79313, -4443,
   -4443, -4443, -4443, 79313,  3339,  2044,  3284,   499, -4443, -4443,
    2650, -4443,  2253, -4443,  3115, -4443, 33761,  3504, 58898,  3107,
    3108,  3181, -4443,  3184,  2516, -4443,  2262, -4443, -4443,  2276,
   -4443,  3122,  1305,  1733, -4443, 54515, 79313,   556,   775,  3407,
   62789,  3204,  3398, 79313,  3155, 79313,  3204, 79313, -4443,  1468,
   65705, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    3399, -4443,  2598,  2619,  2619,  2619,  2619, -4443, -4443, -4443,
   -4443,  3303,  1621, -4443,  3120,  2619, 79313,  3232,  3204,  3123,
   -4443,  1279,  3415,  3421, 79313, 62789,  2172,  3165,  3525,  2111,
    2598,  3310, -4443, 27726,  5018,  3311,103929, 75425, -4443,  3136,
    3401,  3404,  3417, -4443,  2464, -4443,  3537, -4443,  3434,   160,
    2476, -4443,  2647, -4443, 79313, -4443, 79313, 79313, 79313, 79313,
    2481, -4443, -4443,  2647,  3322,   160,   160, -4443,  3323,   160,
    2647,  3254,  3427,103929, -4443,   114, -4443, -4443, -4443, -4443,
   -4443, 33761, -4443, -4443,  2111,  1954, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, 71537,  2405, -4443,
    2296, -4443, 79313, -4443,  3408,  3409,  3410,  2647,  3144,  3186,
   79313,  3154, -4443,  2647,   192,  2647,  2704,  2704,  2647,  3144,
  106019,  3564,  3432,   623, -4443,   845,   547,  3366, -4443, -4443,
   -4443, -4443, 58898, -4443, -4443, -4443, -4443, -4443, 79313,   973,
   -4443,   184,  3342,  3161,106019,  3548,   160, -4443, 55489, -4443,
   -4443, -4443,  3239,  3250, 55489,  3354,  3210, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443,  3405, 79313,  2297, -4443,  1963, -4443,
    1976, 33761, 33761,   333, -4443, 12479,  2306, 33761,  3173,  3175,
    2307, -4443, -4443, -4443, -4443, -4443, -4443,  3177,  3459, -4443,
   -4443,  3180,  2312,  2316,  3185,  3187, -4443, -4443,  6298,  3188,
   12516,  3189, 35273, 35273,  1614, -4443, -4443, 35273,  3190, -4443,
    2320, 11549,  3179,  3193,  3201, -4443,  3195,  3202, 12528, 31241,
   33761, 31241, 31241, 12823,  3179,  3203,  2327, 54515,  3352, 13086,
    2342, -4443, 33761, 54515,  7284, 33761, -4443, 33761, 79313,  3207,
    3209, -4443, -4443,  4329, -4443,  3214, -4443, 35273, 35273, -4443,
    2726, 28721, -4443, -4443,  3478, -4443, -4443,   996, -4443,  3205,
   -4443, -4443,  4108,   287, 33761,  2976, 33761,  3274, 47625,  2992,
   33761,  5527,  5019,  5019,  1006,  1006,   158,   158,   158,  1661,
    1835, -4443, -4443, -4443,  3213,  2723, 33761, -4443,  2429,  2433,
   79313,  9086, 10285, 10748, -4443, -4443, -4443, 38759,  3253, 33761,
   33761, 33761,  3217,  3374,  3620, 13810,   890, -4443,  3625, -4443,
   -4443, -4443,   236,  3532,   828, -4443,  1674,  2516,   999,101825,
   -4443, -4443, -4443, 33761, -4443, -4443, -4443, -4443,  2263, -4443,
   -4443, -4443, -4443, -4443,  1886, 33761, -4443, -4443,   621,  2158,
   33761,  2079, -4443, -4443,  3263, -4443, 33761, -4443, -4443, -4443,
    2704, -4443, -4443, -4443, 38759,  3256,  3266, 42680,  3343, -4443,
   -4443, 79313,   297, -4443, -4443, -4443,  3235, -4443, -4443, -4443,
     -92, -4443, -4443, -4443, -4443, -4443, -4443,  3222, -4443,  3224,
   -4443,  3241, -4443, -4443, -4443, -4443,   171,  3231,  3240,  3243,
    1600, -4443, -4443,106437, 79313, 79313, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443,  3450, -4443, 79313, 79313,
    3413, 79313,  3412,  3418, 33761,   794, 79313,  3242,  3261,  1233,
    3494, 79313, -4443,  3531,   160, -4443, -4443,  3312, -4443, 13810,
   -4443, -4443, -4443, -4443, -4443,106437, 79313, -4443,103929, -4443,
    2464, 58898, -4443, -4443, -4443, 79313,  3271, 79313, -4443, 79313,
   79313, 79313,  2481, -4443, -4443, -4443, -4443,  1142, -4443, -4443,
   79313, 79313,   607,  3313,  3315, 79313, -4443,   979,  3037,  8252,
   79313, 79313, 79313,  3495, -4443, -4443, -4443, -4443,  3436, -4443,
   -4443,  2102, -4443, 56950, 59385, -4443, 59385, -4443,  2102,  1633,
   -4443,  2647,  3321,  2827, -4443,  3428,  1300, -4443, -4443, -4443,
   -4443, -4443,  3545,   160,  3547,   160, 79313, 79313, 79313, 79313,
   -4443, -4443, -4443, -4443, -4443, 54515, 54515, 54515,  2352, -4443,
   -4443,  2598, -4443, -4443, -4443,  2367, -4443,   971, -4443, -4443,
   -4443, -4443, -4443, -4443,106437,  8378, 79313, 79313, 79313,  2260,
   -4443,   864, 58898, -4443, 58411,106437, 79313, -4443, -4443,  3477,
    3422, -4443,  2165,  3424, 79313,  3317, -4443, -4443,  3331, -4443,
   -4443,  3338,  2129,  2827,  1279, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,   253,  2131,  2827,  3340, -4443,  3344, -4443,
   -4443, -4443,  3484,  3485,  3486,  3348,  3349,  3384,  3350,  3353,
    3397, -4443,  3355,  3402,  3356,  3403,  3362,   160, 58898,  3482,
    2598,  3396,  3586,   160, -4443,  3367, -4443, -4443,  3686, -4443,
   79313, -4443,  3368,  2154,  2827, -4443, -4443,106437, 79313, -4443,
   -4443, -4443,  2044, 58898,  3534,  2044,  2044, 79313, 79313,  2044,
   -4443, -4443, -4443,  3535,  3536,  2044, -4443, -4443, -4443, -4443,
    2759,  3298, -4443,  2203, 45130,  7772,  3302,  3108,  3300,  2516,
   41210,  1384,  3508,  3305, -4443, -4443, 54515, 45130,  1751,  3524,
    3320,  3320,  3320,  3320,  3320,  3320,  3320, -4443,  1531,   111,
    2650,103929, 79313,103929, -4443,   775,  3428, 79313, 79313,  3316,
    3301, -4443, -4443, -4443, -4443, 79313,    99, 79313,  2516, -4443,
   -4443,  3379, -4443, 79313,  2111,  3709,  3018,   210,  3454,  2110,
    3656, -4443, -4443, -4443, -4443, -4443, 79313, 79313,  1305,  2598,
   -4443,  3325,  3326, -4443, 79313, 79313, 79313, 79313,  1886,  3327,
    3332, 58898,    22,  3505,  3506,  2824,  3723,  1886,  3165,  3406,
   79313, -4443,  2373,   116, -4443,  2598,103929, 57437, -4443,  4370,
   -4443, -4443,   703,  3596, -4443, 79313, -4443, -4443, 42190,   160,
   58898, 79313, -4443,   160,   114,  3380,   160,  3383,   160,   160,
   79313, -4443, -4443, 79313, -4443, 79313,104765,   160, -4443, 13810,
    3619, -4443, -4443, -4443, -4443,  3455,  3456,  3457, 79313,  2647,
   55489, -4443,  3337,106437,  1451, -4443, -4443,  3514, -4443, -4443,
   -4443, -4443, -4443,  3639,  3640, -4443, -4443, -4443, -4443,  3678,
   79313, 66677,   159,106437, -4443,  2464, -4443, -4443,  2476,   192,
   -4443, 79313,  3583, -4443, -4443, -4443,  3359,  2377, 13280, 33761,
   -4443,  3651, 58898, -4443,  7916, -4443, -4443, -4443, -4443, 33761,
   -4443, -4443, -4443, -4443, -4443, 33761, -4443, 33761,  3630, -4443,
    3778,  3778, 58898, 35273,  1773,  2708, 35273, 35273, 35273, 35273,
   35273, 35273, 35273, 35273, 35273, 37765,   507, -4443, -4443, 33761,
   33761,  3644,  3630, -4443, -4443,   410,   410, 58898,  3361,  3179,
    3363,  3365, 33761, -4443, -4443,  2382, 36771,  3370, 54515, -4443,
   33761, 12149,  2398,  3414, 13543,  1912,  8049, -4443,  3733,  2598,
   33761,  1566,  2280, 33761,  2403, 33761,  3643, -4443, -4443, -4443,
    3372, -4443, -4443, 58898, 33761, 35273, 35273,  6316, -4443,  6625,
   33761,  3373,  6695, 28721, -4443,  1074,  1074,  1074,  1074, -4443,
   79313, 79313, 79313, 39249, 38269, 76397,  3364,  2016, -4443, 76397,
   76883, -4443,  3375,  1912, 33761,  3648,   -23,   -23,  3377,  3374,
   44150, -4443, 33761,  1565, 31745,  3385, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443,  3378, -4443,  3381, -4443, -4443,   791,  3387, -4443, -4443,
   11030,   171, -4443,  3388, -4443,  3390, -4443,  2158, -4443, -4443,
   -4443,  8317,  3565, -4443, -4443,  3364, 32249,  3343, -4443,  2408,
   -4443, -4443, 29729, -4443, -4443,  2412, 43660,  3256, 30233,  1912,
    2516,  3416, -4443,  2405,   236, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,  3320,  2647,  2647,   739,  2647,  3672,   739,
    8840, -4443, -4443, 39739, 79313, 79313, -4443, 79313,  2421,  1317,
   79313, -4443, 79313, -4443, -4443, -4443, -4443,  3791, -4443, 79313,
   -4443, -4443,  3445,  3446, -4443, 79313, 79313, 79313, 79313, -4443,
   -4443,  2440, -4443, -4443,106437, 79313, -4443, -4443, -4443,   263,
    2231,  2827, -4443,  3469, -4443, -4443,  3645,  1754, -4443, -4443,
   -4443,  3462, 79313,  3423, -4443,  1246,  2824,   929, -4443, -4443,
    3464, 79313, -4443, 79313, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, 55002, -4443, -4443, -4443, 54515, 45130, 54515,
   -4443,   331,  2255,  2827, -4443,  3474, -4443,  3475,  3480,  3523,
    1334,   124,  3481,  3483,  3527,  3426,  3429,  3437, -4443, -4443,
     139,  2598, -4443, -4443,  2598,  2647,  2598, 79313, 79313, 79313,
   79313, 79313, 79313, 79313, 79313,  3695,   781,  1919,106437, 79313,
   79313,106437, 79313, 79313, 79313, 79313, 79313, 79313, 79313, -4443,
    3782,  3721,  2137,  3748,  3498, 79313, -4443, 79313,  3037, 79313,
   79313, -4443, -4443, -4443,  3438,  2044, -4443, -4443,  3668,  3674,
   -4443,  2044,  2044, -4443,  1124, 54515, -4443,  1675, -4443,  3115,
    3390,  2516,  1769, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    2516,  2251,  3441, -4443, 41700, -4443, -4443, -4443,  2247,   999,
   -4443, -4443, 79313,  3320, -4443,  1899,  2447,  2518,  2539, 77369,
   77855, 78341,  3443, 79313, 79313, 35273, -4443,  1515,   163, -4443,
    3679, 79313,  3471, -4443, -4443, -4443,  3597, 79313, -4443, -4443,
   -4443, -4443, -4443,  3451, -4443,  3555, 62789,  2647, 79313, 79313,
    2647, -4443, 58898,  3452,  3165,106437,   210,  1569, 90491,  3487,
    3458,  3739, -4443,  3463,  3467, -4443, -4443, 79313,  3428,  2425,
     596,  2080,  2995, 64733,  2172,  3713, -4443, -4443, -4443,  3815,
    3542, -4443,  1886,  2995,  3542,  2598,  3099, -4443, 56950, 33761,
   33761, -4443,  3468, -4443,  3466,  5317, -4443,  2619, -4443, -4443,
   -4443, -4443, -4443, -4443,  3541, 79313,  3895, -4443, -4443, -4443,
    3476,   160, -4443, -4443, 79313, -4443, 79313, -4443, -4443,   160,
     160, -4443,  3585, -4443,  1886, 79313, 79313, 79313,  2647, -4443,
     192, -4443,  3751,106019, -4443, -4443, -4443, -4443, -4443,   284,
    3758, -4443, -4443,  3720,  3724,  3726,  3727,  2174, -4443, -4443,
   33761, 13810, -4443,  3488, -4443, 13810,  8980, 13810,  3644, -4443,
    1937,  3762, -4443,  1624,  3490,  1937,  2707,  2707,   243,   243,
     117,   117,   117,  3778,   507, 13810, 13810, -4443, -4443, -4443,
   -4443,  3493, -4443, -4443, -4443,  3179, -4443, 34265,  3626,  3874,
   -4443, -4443, -4443,  3538,  3543,  3497, -4443, 33761, 34769,  3496,
   59872, -4443, -4443,   999,  1143, 35273, 35273,  2564, -4443,   755,
   33761, 58898,  2442,  2564,  2371,  3360, 33761, 33761,  7132,   259,
   33761,  9114, 79313, 79313, 79313, 79313, -4443, -4443, -4443, 76397,
   76883, 40719,  2016,  3500, 79313, -4443, -4443,  3516, 38759,  3741,
    3680, -4443, 38759,  3680,  1802,  3680,  3744, -4443, 44640, -4443,
   -4443,  3517, 26225,  1753, 13810,  3901,  3789, 33761,  3519, -4443,
    3520,  3374, -4443, 97781, -4443, -4443, 13810, -4443, -4443, 33761,
   -4443,  3374,   236,   551,  2598, -4443, -4443, -4443, 47625, -4443,
   -4443, -4443,  3710, 13810, -4443,  1886, 79313,  1912,   620,  3539,
   79313, -4443,  3343, -4443, -4443, 16076, -4443, -4443, -4443,   139,
   -4443, -4443, -4443, -4443,  3599, 65705,  3803, -4443, 33761,  2445,
   -4443,  3561,  3894,    96,  2450,  2454,  1317, -4443,  3471, -4443,
    1527,  3785,   218, -4443,   160, -4443, 58898, -4443, 79313, 79313,
   -4443, -4443, -4443, -4443,  2783, -4443, -4443, 79313, 79313, 79313,
   79313, -4443,  3598, -4443, -4443, 54515,  1531,  3725, -4443, -4443,
    3728,   139, 79313, -4443, 58898,   160,   160, -4443, -4443, -4443,
    3549, 79313, 79313, 79313, 79313,106437, 79313, 79313,  2516,  2516,
   58898,  3529, -4443,  2516,  2516,  3540, -4443,106437, 79313, 79313,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443,  3609, -4443, -4443, -4443, 79313, 79313, 79313, 79313,  3834,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, 79313, -4443, -4443,  2598,  2598, 58898,   160,   160, -4443,
   -4443, -4443,  3779, -4443,  2044,  2044, -4443, -4443,   346,  2458,
   -4443,100134, -4443, -4443,  3017,  2598,  3017,  1548, -4443, -4443,
    3017, -4443,  3017, -4443,  1317,  3546,  1623,  3817, -4443,  2188,
   41700, 41700, 41700, 41700, 41700, -4443, -4443,  3821,   139, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, 33761, -4443,  1408,  1937, -4443, -4443,
   -4443, -4443,  3471,  2111,  3594, 55489,  1139, -4443,  3806,   556,
   62789,   966, 79313, -4443,  2647,  2647,  3600, 79313,  3949, -4443,
     858, 79313,  3860,  3589, -4443,  2598, -4443, -4443,  3165, 79313,
   62789,  2995, -4443,  2462, -4443, -4443, -4443,  3588,  3506,  3556,
    2172,  1447, 79313, -4443,  3595, -4443, -4443,  3835,  3563, -4443,
   13810, 13810,  2598, 60359,  4370, -4443, 79313,  3819, 79313, -4443,
     160, -4443,   160,   160, -4443, -4443, 79313,  2647,  2647,  2647,
   -4443,  3747, -4443,   160,106019,  2174,  2174,  2174,  2174, -4443,
   -4443, -4443, 13810, -4443, -4443, -4443, 35273,  3849, -4443,  3572,
   58898, -4443,  3573,  2491,  2494, 36281,  3717, -4443, -4443, -4443,
    9867,  3628, 13810,  3676,  3582,  3584, -4443,   969,   969,   755,
    2498, -4443, 35273, 35273,  2564,  2564, 33761,  2564, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, 76397,  3587, 79313,  2016, 38759,
   -4443, -4443,  1380, -4443, 38759,  3820, -4443, 38759, 79313,  3590,
   79313,  1012, 33761, 33761,  3624,  3374,  3374, -4443,  3757, -4443,
    3591, -4443, -4443,  1769, -4443, -4443, -4443, -4443,   999,  3592,
   71537, -4443, -4443, -4443,  1277, -4443, -4443, -4443, -4443,106019,
    3776,106019,  1317,  9937,  3471, 39739, 48623, 79313, 78827, 78827,
    3737,  3471,  3594, -4443, -4443, -4443, -4443, -4443, -4443,  3603,
   -4443, -4443, -4443,  3671, -4443, -4443, -4443,  2499, -4443, -4443,
   -4443, -4443, -4443,  3782, -4443, -4443, 45130, -4443,  3673, -4443,
   -4443, -4443, -4443, -4443, 40229, 47625, -4443,  1334,  3601,  3605,
     124, -4443, -4443, -4443, 79313,  1532,   -32,  3641,  2647,  3891,
   -4443, -4443, -4443,  3782, -4443, -4443,  2044, -4443, -4443, -4443,
    2650,  3930, -4443, 54515, -4443,102251, -4443, -4443, -4443,  2598,
   -4443,  2598,  3801, 50584,  2598,  2598, -4443, 55489,  4011,  4011,
   -4443,  2051,  2051, -4443, -4443, -4443, 79313, -4443, -4443, 10067,
    3805, -4443,  3594,  3831,  3879, -4443,  3631, 79313,  3771,  3632,
    3623,   361,   361,  3428, 79313,  2505,  1886,   210, 62789,  3428,
   -4443,  1526,  3633,  3922, -4443,  4026,  3327,  3627, -4443, -4443,
   64733,  3808,  3542, 79313,  3506,  3756, -4443,  3759, -4443,  1082,
   -4443, 79313, 39739, -4443, 59385, -4443,  2508, -4443, -4443,  3253,
   79313,   785, -4443,  3649, -4443, -4443, -4443, -4443, -4443, -4443,
     159, -4443, -4443, -4443, -4443,   669, 35273, 58898,  2511, 33761,
   -4443, 33761, -4443,  4018, -4443, -4443, -4443,   879, -4443, -4443,
   -4443,   969,   969,  2564, -4443, 79313,  2512, -4443, 33761,  3642,
   -4443, -4443, 38759,  1380,  2520, 79313,  2525, 58898,  3374,  3179,
   13810, 79313, -4443, -4443, -4443,  4022,  3816,  3374, -4443, -4443,
   -4443, -4443, -4443, -4443,  1451,   739,   159,  3894,  3594, -4443,
    3646, -4443, -4443, 79313, -4443,   768,   768, 79313,  3594, -4443,
   -4443, 79313, -4443, 54515,  3693, -4443, 79313, 58898,  2476,    75,
   -4443, 58898, 58898, -4443, -4443, 79313, 79313, 79313, 79313, 79313,
     160, -4443,  3298,  2598, -4443, -4443,  2531, -4443, -4443, -4443,
   79313, -4443,  3458, -4443, -4443,  4011,  1049, -4443, -4443, -4443,
    2047,  3841, -4443,  1436,  3826,  3729,  3647, -4443, 55489,  4071,
    3761, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    3939,  3165,  3595, -4443, -4443, -4443, -4443, 33761,  3804,  1886,
    2172,  3713, -4443, -4443, -4443,  2534,  3542, -4443, -4443,  4021,
    3837,  4023, -4443,  2535, -4443, -4443,  5317, 60359,  3975, -4443,
    3711, 79313, -4443, -4443,  2641,  4084, -4443,   669,  2538, -4443,
    2541,  2544,  3809,  3716, -4443,  2548, -4443, 13810, 79313, -4443,
   -4443, -4443,  2549, -4443,  3661, -4443,  4066, 33761,  1570, -4443,
   -4443,  3950, -4443, 78827,  3708, 47625, -4443,  2158,  2158,  2111,
   -4443,  1317, -4443, -4443, 33761, -4443, -4443,  2565, -4443,    40,
    3822,  3958,  2570,  2573,  3144,  3714,  3144, -4443,  2647, -4443,
   -4443, -4443, -4443,102251,  3458, -4443, -4443, -4443,  3985,  3931,
   -4443, -4443, -4443, -4443,   363, -4443,  3859,  3861, 79313, -4443,
    3682, -4443,  2574, 79313, 79313,  4083,  4087, -4443, 10432, 55489,
   -4443,  3506,  2172,  1531, -4443, -4443,  3868, -4443,  3872,  3165,
   39739,  4370, -4443,   213, -4443, -4443, -4443, -4443, -4443, 79313,
   -4443, -4443, -4443, -4443, -4443, -4443,  2577, -4443, 79313,  3694,
    3179, 32753, 32753,  3697,106019,   768,  3699, -4443,  3701, -4443,
   -4443,  3831,  1317, 13810, 55489,  4078, -4443, -4443, -4443,  3822,
   -4443, -4443, 79313, -4443,  3823, -4443,  1183,  1183,  4019, -4443,
    3763, -4443, -4443,  3702, -4443,  4130,  3428, -4443,  1334,  1886,
   -4443,  3706,  3542,  3506, -4443, -4443,  3542, -4443, -4443, -4443,
   -4443,  2057, -4443, -4443, -4443, -4443, 35777,  3839,   207, 11879,
   -4443, -4443, -4443, -4443,   159,  2158, 33761,  1317, -4443,  3826,
    2476, 79313, -4443, -4443,  3589, -4443,  4122, -4443,  1066, -4443,
   -4443, -4443, -4443, -4443,  3529, -4443, 54028, -4443,  3542,  3253,
   -4443,  2036, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  4114,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, 10548, -4443, -4443,
   -4443,  4014, -4443, -4443, -4443,  2584, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,  1581, -4443, -4443,  1619,  2284, 33257, -4443,
    1317,  3869, -4443, 54028, -4443,  2036, -4443, 55489, -4443, -4443,
    3731, 54028,  2587, -4443
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4443, -4443,  3856, -4443, -1181,    65,  2375, -1116, -4443, -4443,
   -4443,  3005, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  3029,
   -4443, -4443,  1567, -2545, -4443, -4443,   -45, -1589,  1579,  2637,
    1238, -4443, -1395, -4443, -4443,  -890,    14, -1040, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -1060,  1716,  1065,  1636,
   -2841, -4443, -1655, -3273, -4443,   467, -4443, -4443,  1659, -4443,
   -4443, -4443,   928,   395,  -522, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443,  -340, -4443, -4443,  -648,   167,  -106, -2555,  -388,
   -4443, -4443,   343,  -390, -1603, -4443, -3599, -4443,   -85, -4443,
   -4443, -4443,  -370, -1704,  1168, -4443,  -991, -1379,  1483,  -707,
   -4443,  -257, -4443,  -760,  -647,  -644,  -714,  -546, -3774, -4198,
   -3785, -3145,  1177, -4443, -3734,   222, -4443, -4443,   324,   337,
   -4443, -4443, -1783, -1707, -4443,  -866, -4443, -4443, -4443, -3046,
   -4443, -4443, -4443, -4443,   -97, -4443, -4443, -4443, -4443,   369,
   -4443, -4443, -4443, -4443, -4443, -4443, -2806,  1622,  1625, -4443,
   -4443, -3265, -4443, -1197, -4443,   508, -3086,  1086, -4443, -4443,
   -4443,  2328, -4443, -4443, -4443, -4443, -4443, -4443, -1870, -4443,
   -4443,   350, -4443,  1635,   897, -4443, -4443, -4443,  -746,  -811,
    -802, -4443, -3565, -4443, -4443, -4443, -4443,  -333, -4443, -4443,
   -4443, -4443, -4443, -4443, -1264, -4443,   960, -3211, -1232, -4443,
   -4443,   974, -4443, -4443, -4443, -4443, -4443,  -700,  -267,  2353,
   -4443,  -589,  -676, -4443, -4443, -4443,  -266, -4443, -4443, -4443,
   -4443, -4443, -4443, -1342,  8981, -1842, -4443, -4443, -4443, -4443,
   -2542, -4443, -4443, -4443, -2114, -4443,  4118,    26,   145,   362,
   -4443,  -202,   -81,  2870, -1398, -2738,   303,  -426, -4443, -2060,
   -4443, -4443, -4443, -2662, -4443, -4443, -4443, -4443, -3538,   368,
   -4443, -4443, -4443,   353, -4443, -4382, -3994, -4268, -4281, -3539,
   -4443, -4443, -1337, -4443, -4443, -4443, -1648,  1823, -1733, -4443,
   -2429,   354, -3798, -1020, -3306, -4443, -3743,  -523, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -1354,  -884, -4443, -4443,  3382,
   -4443, -4271, -4443, -4443, -4443, -4443,  1298, -4443, -1703,  1035,
   -4443, -4443, -4443, -4443, -4443,  -693,  -775, -4443, -4443, -4443,
     376, -4443, -4443, -4443, -4443,  2436, -1202, -1005,  3248,   383,
    -491, -4443, -4443, -4443, -4443, -3111, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -1903, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443,  2028,  2029,  -104,  -209, -4443, -4443, -1529, -4443,  -822,
   -4443,  2270, -4443, -4443, -4443, -4443,  1311,   415,   385,   -67,
   -4443, -4443,   172, -3473,   -57, -4443, -4443, -4443, -4443,  1995,
     -56, -4443,   656, -4443, -4443, -2891, -4443,   417,   -80,  2948,
    1571,   -65,   419,  -246,  -227,  -219,   -69,  3264,  2709, -4443,
   -4443, -4443,  -204,  1966, -4443, -1110,  -362, -4443,  1318,  -929,
    2000,  2695,  2698, -4443,  1319, -4443, -4443,  1316, -4443, -4443,
   -4443,  -928,  2011, -4443,  2700, -4443, -4443, -4443,  1306,  1313,
   -3452,   745, -3446, -3411,   250,   241, -1007,  -359,  -140,  3272,
    2712,   754, -4442,   674, -4443, -3506, -2448,  4677, -2167, -1859,
   -4443, -4443, -1432,  4651, -4443, -4443, -4443,  5627, 10677, -4443,
   -4443, 11044, 14829, -4443, -1257,   790, 16568,  3760, -1465, -1890,
   -1547, 17948, -1720,  2582, -2880, -4443, -4443, -4443,  -329,   806,
      12, -4443, -4443, -4443, -4443,  -591, -2894,  -587, -4443, -4443,
   -4443,  -594, -3408, -2073, -4443,  -823, -4443, 19790,  1352, -4443,
   -1320, -2822, -2832, -1402, -2016, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -1672, -3346,  -315,  1429, -4443, -4443,  1520, -4443,
   -4443, -4443, -1556, -1146, -2750,  1432, -2191, -4443, -1106,   704,
    2147, -1061,  5640,  3268, 16120,  -126, -2368, -1537, -1786, -4443,
    1894, -4443,  2122,  3696,  -139,  -926,  4951,  3877,  4551, -3191,
   -4443, -4443,   418, -4443, -4443, -4443,  3752,   955, -4443,  3053,
   -4443,  1669,  2397, -4443, -4443,  2026,  -952,   -59, -4443,  -562,
   -4443,  -123, -4443, -4443, -4443,   156, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443,  2732, -4443, -4443, -1476, -4443,
   -4443, -4443, -4443, -4443,  4008,  -305, -4443,  3430,  -282, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  2739,  2048,
   -4443,  3215, -4443, -4443, -4443,   -51,  2950, -4443, -4443, -4443,
   -1220,  -597,  3267,  3273,  2018, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,  2030, -4443, -4443,  1404, -2144,  2027, -4443,
   -4443,   720, -4443, -4443,   264, -4443,   721, -4443,  2835, -4443,
   -4443, -4443,   757, -4443, -4443, -4443,  -502, 13348,   -48,   -94,
     149,  1194, -4443,  7795,  7690,   165,  2748,   -14, 10966, 18244,
     -17, -4443,  3996,  2032,  1634, -1030, -4443,  1568,  2333, 17250,
   -4443, -1022,   146,  1870, -4443,    -2,  -683, -1210,  3038,  -758,
   -1997, -4443,  4409, -4443, -3620, -4443, -1064,  3419, -1201
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2633
static const yytype_int16 yytable[] =
{
      81,  1102,  1111,  1649,  1580,  2057,  1338,  2017,  1052,   366,
    1303,   356,  1655,   361,  2011,  2007,   719,  1602,  1432,  1433,
    1434,   357,   359,   818,  1438,  1087,   725,   913,  1005,  1220,
     408,   925,  1831,  2792,  2418,   706,   408,  1721,  2645,  1950,
    2487,  1159,  1337,  1808,   908,  1870,  2759,  2113,  1005,  1970,
    1401,  2085,  1895,  2637,  2288,  2174,  1857,  3165,  3167,  2147,
    2148,   979,   871,   964,   409,  2125,  1361,  1594,   818,   408,
     409,  1220,  2046,   706,  2497,  1121,   410,   927,  2163,  2505,
    1026,   867,   410,  3316,  1084,  2605,  3482,   674,  2646,  3621,
    1013,  3912,   262,  2886,   917,   924,   366,  3611,  1122,  3736,
     825,  2697,  2301,  2992,   924,  3359,  3012,  2886,  1938,  3769,
    1998,  3771,  1943,  3968,   408,   410,  2849,  1947,  4149,  2560,
    2352,  2354,  2355,  3377,  1953,  2485,  3881,  1220,  1163,  1053,
    1704,  2569,  3277,  3867,  1972,  3954,  2518,   818,  1706,  1113,
    3468,  4186,  1338,  1105,   924,   825,  3867,  1114,    79,  3618,
    3674,   919,  4102,  1396,  3611,  4216,  2967,  3616,  3617,  4354,
     410,  4176,  2751,  3221,  4119,  2288,  3565,  4404,  1825,  4396,
    4388,  1836,  1074,  2047,  2042,  2496,  2473,  3050,  1587,  1862,
    1771,  1642,  1645,   408,  2573,  2574,  2346,  2346,  2396,  4529,
    4652,  2701,  1048,  1002,  4154,  4047,  2712,  1858,  4117,  1154,
    1048,  3685,  1048,  1682,  1683,  3522,  2246,  1049,  4382,  1385,
    1969,   417,  2072,  1002,   825,  1049,  3066,  1049,  2191,  4395,
    3070,   877,   417,  2140,  2141,    45,   417,  4838,  2194,   410,
    3886,  3887,  3888,  3889,  3890,  3891,    45,  1332,  2289,  4527,
     413,  2580,  1999,  2506,  3626,   271,  2200,  3627,  3628,  2160,
   -1578, -1578, -1578, -1578,  4319,   972,  1695, -1578,  3629,  3630,
    3631,  4746,  3632,  3633,   417, -1797,   819,  3634,  3635,  3636,
    2499,  2203, -1797,    43,   973,  1674,  1999,  3299,    45,  1696,
    4834,  2105,   821, -1903, -1903, -1903, -1903,  1999,  1999,   868,
   -1903,  1891,   130,   131,  2585,  3372,  3959,  3679,  4889,  1092,
     272,  2205,  1421,   366,  4314,   356,   974,   361,  2921,  1108,
   -1578,   819,  2231,  5009,   417,   357,   359,    37,    38,    39,
      40,  2704,  3906,    43,    44,  1470,  1697,   821,    45,  2049,
    1176,  3522,   408,  2943,  1164,  3918,  2961,  1464,  4788,  1797,
    1867,  3737,  4766,  2962,  2926,  4350,   675,  3946,    37,    38,
      39,    40,  2664,  2468,  4243,    44,     3,  1150, -1813,  1436,
    2253, -1588, -1588, -1588, -1588, -1813,   409,   408, -1588,  3436,
    2669,  3438,  4975,  -139, -1588, -1588, -1588, -1588,   410,  1573,
     819, -1588,  -139,  1885,  3128,  2499,   262,  -139, -2631, -2631,
   -2631, -2631,  1870,  2192,  2694, -2631,   821,  1747,  2499,  2926,
    4536,   409,   273, -2631, -2632, -2632, -2632, -2632,  2499,  3637,
    1448, -2632,  3480,   410,  3330,   274,  1613,  2237,  1614, -2632,
    1589,  3680,  2254, -2629, -2629, -2629, -2629,  1198,   294,  5061,
   -2629,  4976, -2628, -2628, -2628, -2628,  1437,  2469, -2629, -2628,
     314,  2257,  4767,  2670,  1220,  4532,   319, -2628,   416,  2499,
    2174,  1338,  4244,  1584,   334,  2665,  4826,  2567,  2944,  2290,
    4801,   338,  2945,   206,  4877,  4878, -2223, -2223, -2223, -2223,
    3327,  2147,  2148, -2223,  1338,  5010,  2499,  3113,  2163,  2009,
    4351, -2223,  3919, -1578, -1578, -1578, -1578,  2035,  4127,   216,
   -1578,  1868,  2000,   355,  2234,   360,   371,   362,  2424,  1748,
    2946, -2055, -1573, -1573, -1573, -1573,   913,  2705,  4802, -1573,
   -1545, -1545, -1545, -1545,  4905,  4803,  2507, -1545,  2825,   224,
   -1558, -1558, -1558, -1558,  1934,  2977,  2000, -1558,  2508,  1178,
    2517,  2616,  3499,  -375,  2059,  2280,  2281,  2000,  2000,   271,
    3638,  1338,  4804,  2612,  2106,  1460,   835,  2803,  4986,  3737,
    2695,   928,  1122,  1157,  1158,  5062,  2232,   234,  5007,  3150,
    1685,  1688, -1573, -1585, -1585, -1585, -1585,  4229,   879,   237,
   -1585,  1148,  1165,   917,  3300, -1797,   676,  2129,  1093,  2509,
    2061,  3907,  4169,  1802,   362,  3639,   836,  3867,  2581,    37,
      38,    39,    40,  2106,   272,  3522,    44,    37,    38,    39,
      40,  2195,  1607,   247,    44,  4965,  1608,  5082,   247,  4622,
    1935,  3960,  4522,  4805,  2586,  1691,  4654,   924,   924,  2947,
    1437,  3534,  2637,   417,  2041,  2037,    37,    38,    39,    40,
     919,  2635,    43,    44,  1155,  2565,  2288,    45,   999,  1000,
    2135,  2556,  2608,  2558,  2140,  2141,  2963,  4648,  3169,   999,
    1000,  4368,  2160,  2927,  4119,  1615,  4478,  2247,  3020,  2009,
    4482,  4668,  2224,  1338,  2804,  1150,  1101,  2604, -1813,  1738,
    4003,  1338,  1338,  4377,  3216,  1717,  4537,  3330,  1199,  3640,
    1156,  2288,  4435, -1578,  5025,  2991,  1294,  3810,  4473,  4516,
    1449,   999,  1673,  2459,  2755,  1437,   273,  4207,  2696,  2259,
    4611,  4612,  4613,  4614,  4615,  2780,  1207, -2055,  3585,   274,
      37,    38,    39,    40,  1607,  1191, -1903,    44,  1608,  1231,
    2333,  2334,   294,  3611,  3611,  4132,  2264,  3318,  3702,  2368,
    1102,  2277,  2277,  5002,   314,  3749,   818,  3750,  2568,  2529,
     319,  1698,  1699,  4873,  3531,  3532,  3533,  3534,   334,  2788,
    3114,  1650,  2476,  3164,  3151,   338,  1749,  3522,  2799,  1289,
    3843,  2169,  3244,  3846,  3847,  4231,  2538,  3850, -2055,  2541,
    1402,  1739,  4328,  3853,  2169,  1733,  3524,  1279,  4806,  2425,
    2170,  4738,   408, -2055,  3351,  1112,   408,   355,  4748,   360,
     371,   362,  4140,  2170,  2171,  2009,  1163, -2359,   929,  1334,
    -139,  -139,  4589,  2852,  1935,  5048,  3036,  2173,  3676,  2886,
    2886,  2846,  2848,   825,  2886,  1347,   831,  4987,   832,  1349,
     409, -2631,  2856,  4182,  3217,  1421,  2860,  1115,   410,  2763,
    2042,  3926,   410,  3469,  2872,  2873,  1187, -2632,  1878,  2805,
    3651,  3126,  3154,  2200,  3732,  1187,   674,  2890,  2892,  1403,
    3645,  1409,   674,  1414,  2886,  2886, -2629,  2806,  2906,  1418,
    3079,  1150,   674,   924,  2770, -2628,  1394,  4824,  2203,  3052,
    2773,  3052,  1397,  2135,  1747,  1571,  1113,  3016,  1187,   930,
    1439,   931,  1409,  1414,  1114,  2169,  2473,  1421,  3970,  2461,
     674,  3174,  1106,  1395,   674,  3865,  2308,  2467,  2205, -2223,
     417,  2876,  2877,  1116,  2170,   674,   366,  1664,  3865,  1596,
    1408,  1390,  1413,  1740,    45,   924, -1578,  1841,  4379, -1371,
    2536,  4157,  1427,  2789,  1335, -1374,  3155,   724,  2426,  4407,
     674,  2412,  3473,  3319,  1187, -1573,  1572,  1295, -2633,  3848,
    3849,  1442,  1444,  2146,  1187,  3352,  1741,  1439,  2546,  3655,
    1107,  2549,  2550,  2152,  1323,  1842,  3017,   417,   993,  3790,
      37,    38,    39,    40,  3971,    81,    43,    44,  1470,  1697,
    4170,    45,  3210,  1242,   674,  1742,  1748,  1653,   994,   819,
    2487,  1220,  4714,  2762,  4716,  2309, -2359,  2707,  3966,  1618,
    1684,  2965, -1371,  1687,  2560,  1167, -1585, -2005, -1374,   130,
     131,  3474,  2414,  1150,  4266,   706,  3529,  3530,  3531,  3532,
    3533,  3534,  3141,  1577,  1422,  2613,  1407,  1108,  1412,  2415,
     216,  1583,  2197,  3353, -2633,  1591,  3470,  4707,  1846,  4704,
    2235,  1961,  4711,  1743,  1847,  4713,  2796,  2797,  4941, -1545,
     408,  4935, -2359,  2192,   872,   993,  4931,  1441,  1443,  1048,
     224,  4503,  4790,  1048,  1472,  3471,   972,  3522,  1187,  1753,
    2427,  3791,  1243,  2025,  1049,   994,   674,  3733,  1049,  1962,
    1350,   993,    35,   417,  1612,   973,    37,    38,    39,    40,
      41,    42,    43,    44, -2037,  3142,   410,    45,   234,  1879,
     833,   994,  3127,  1187,  2200,  4840,  1117,  3972,  3968,  1135,
     237,  2026,  4219,  1244,  4380,  4645,  1843,   974,  3648,  2426,
   -2056,  1324, -1545,    79,  2966,  1597,  1210,  1211,  1212,  2203,
    1213,  1214,  1215,  1216,  1217,  1218,  1429,  1401,  1421,  4548,
    1848,  2232,  2740,  1109,  3037,  4171,  1410,  2428, -1371,   993,
    1415,  1416,  1417,  2997, -1374,  1665,  3478,  2416,  2790,  2205,
    1428,  1775,  1245,   674,   674,  4267,  3211,  3973,  5003,   994,
    4906,  2641,  3520,  3521,  4172,  1136,  1325,  3536,  3529,  3530,
    3531,  3532,  3533,  3534,  2641,  4631,  1598,  2784, -2081,  1422,
    2704,  2261,  1422,  4173,  4881,  1029, -2005,  2619,  3576,  4853,
    3577,  1460,  2617,  1220,  1844,  2269,  2551,  4871,  5008,    37,
      38,    39,    40,  3792,  2499,  1735,    44,  3571,  3572,  4862,
    3088,  4829,  2504,  3578,  3334,  4632,  3141,  5047,  3000,  4830,
    1963,  5049,  1108,  1137,  4933,  2620,  1138,  1136,  3611,  1985,
    2766,  2200,  3611, -1371,  2270,  3145,  3793,  4497,  3524, -1374,
    1136,  4220, -2005,  2417,  4627,  4841,  5073,  4501,  3472,  2618,
    1187,  1735,  2027,   874,  2219,  2220,  2221,  2222,  2223,  2224,
    4859,  1187,  1030,  5081,   206,  3794,  1058,  1907, -1371,  4515,
    3030, -1371,  1849, -2037, -1374,  3262,  2818, -1374,  1992,  1430,
    2879,  3263,  3089,  3479,  1933,  1137,  2205,  1677,  2642,  3142,
     216,  2262,  1102,  3725,   826,  4140,  4907,  3525,  1137, -2056,
    4491,  2642,  1869,  4293,   827,  1850,  1707,  4500,  1964,  4296,
    4297,  5035,  3271,  3579,  2238,  4972,  1139,  1160,  3580,  3747,
     224,  1187,  2552,   891,  2553,  2063,  3169,  2065,  1993, -2037,
    2069,  3726,  2071,   366,  1851,  2074,  2075,  2076,  4969,  4970,
    2028,  1220,  2785,  4221,  1108,  4755,  4222,  4423,  2083,  3865,
    4628,  1677,  1704,  2009,  -780, -2056,   969,  2412,   234,  1059,
    1706,  2108,   975,  2109,   417,  3867,  4638, -2081,  4809,  4854,
     237,  2786,  4831,  2413,  4813,   674,  2621,  3264,  1139,    81,
      81,   893,    81,  5074,  1698,  1699,  3439,  4749,  -501,  1390,
    1187,  1139,  3434,  3433,   362,  1101,  3100,  1028,   674,  3623,
    3999,  3624,  5027,   828,   976,  1814,  2383,  2302,  2303,  2358,
    2307,  2295,  2359,  1140, -1900,  1114,  1114,  1994,  1114,  3382,
    3383,  3384,  3385, -2081,  3236,  1089,  2421, -1545,  2414,  1122,
    2487,  3390,  1141,  3173,  1031,  1032,  3581,  2517, -1545,  3145,
    2146, -1545,  1725, -1545,  2502,  2415,  3582,  1933,  3101,  3321,
    2886,  1815,  1163,  2886,  2886,  2886,  2886,  2886,  2886,  2886,
    2886,  2886,  2886,  1725,  2622,   674,  3778,  1995,  3529,  3530,
    3531,  3532,  3533,  3534,  1638,  2643,  1187,  4792,  3236,  3652,
    4018,  3779,  3727,  2886,  3141,  3243,  5066,  4163,  2643,  4376,
    2688,  -597,  3429,  5036,  2644,  2503,  3055,  3755,  1019,  4189,
     999,  1673,  2360,  5090,  3186,  1187,  3255,  2221,  2222,  2223,
    2224,  1653,  2886,  2886,   818,  3748,   706,   706,   900,  3265,
     901,  4718,  1112,  3624,  2251,  2252,  3096,    79,    79,  1816,
      79,  3497,   829,  1187,  1187,  3294,  1187,  2560,  4926,  2628,
    2629,  4109,  1640,   906,  2420,  3892,  1677,  1996,  2062,  2228,
    3811,  2064,  3266,  1187,  2068,  3187,  2070,  3142,  4217,  2073,
     408,  5037,  3132,  2077,  4238,  2043,  2689,   818,  1638,  2044,
    3728,  2421,  4190,  2416,    35,  3188,  3992,  1817,  -944,  1818,
    3549,  3267,    41,    42,  5038,  2801,  3143,   674,  3895,  2559,
    2267,   825,  1632,  4874,  1607,   674,   674,   875,  1608,  3611,
    1992,  4723,  4724,  4880,  3611,  1187,   410,  3611,  5059,  4110,
    2534,  3574,  1805,   408,   408,   408,  4412,  1820,  4413,  3144,
     706,   884,  2009,  1220,  4839,  2350,  3189,  4191,  2365,  4192,
    1788,   818,  4655,  1027,  1187,  3968,  1640,  4111,  1187,  1187,
      37,    38,    39,    40,  4656,  4182,  2191,    44,   409,   409,
    2765,  1472,  4112,  2454,  3522,  3229,  1822,   671,  1128,   410,
     410,   410,  4239,   408,  4113,  4911,  5006,  4883,  3892,  2417,
     408,  4075,  2535,  1641,  3893,  1965,  3756,   408,  1129,   674,
    5096,   835,  3245,  2351,  3894,  1633,  4680,  4114,  1130,  3100,
    3248,  1824,  3250,  2566,  3064,  1966,   122,   409,  4348,  1472,
     891,  3757,  3522,  2422,  2387,  3230,  4708,  3145,   825,   410,
    4533,  3895,  4754,  3896,   126,  1048,   410,  1933,  3408,  -938,
    4620,   836,  3708,   410,  2353,  3899,    37,    38,    39,    40,
    1049,  5043,  1057,    44,   891,  1006,  1807,  3334,  1677,  1994,
    -161,  3705,  4770,  1677,  1677,  1242,  2690,  3947,  1048,  2200,
    3951,  4240,  4587,  4588,  2430,  1006,  3231,   819,   893,  2691,
    4349,  3900,  4115,  1049,  2431,  -161,  2934,  1082,  2935,  2406,
    2078,  1933,  4534,  2287,  2203,  3901,  1139,  4912,  3724,  2407,
    1054,  4734,  4182,  4736,  2352,  1095,  3897,  1131,  1042,  1995,
    1338,  2936,   893,  2079,  2408,  4945,  4302,  4657,  1081,  3378,
    1933,   891,  2349,  4030,  2205,  4630,  4035,  4036,  4037,  4038,
    4039,  4040,  4041,  4042,  4043,  4044,  4437,  1139,  4438,  2361,
    1735,   362,  2886,  1735,  4637,  4647,  3423,  1338,   417,  3272,
    4540,  4541,  3611,  4869,  1243,  3524,  4709,  4303,  1733,  1048,
    1967,   818,  4913,  3898,  2379,  2381,  4028,  3232,  3899,  1132,
      43,  1104,   674,  4607,  1049,    45,  1242,  3902,  3273,   893,
    4602,  4304,  3523,  3447,   835,  4084,  4085,  -398,  2350,  1996,
    4048,  3288,    80,  1933,   819,  1244,  4305,  1847,  2727,  3268,
    4306,  4608,  1730,  3524,  3900,  3339,  2937,   408,  3716,  4204,
    2287,  2938,  2634,  2133,  3525,   900,  2939,   901,  3901,  4307,
    3620,  1677,  4308,  2432,   836,  1118,   903,  4603,  3274,  1677,
    1933,  4814,  3269,  2150,  4309,  1731,  1133,   905,   825,   209,
    1951,  4187,  2822,  2200,  1245,  4002,  2351,  2409,  3461,   900,
    4961,   901,   835,   410,  3340,   993,  2433,  3275,  1933,  4815,
   -2423,  3270,  3525,  2177,  1732,  1243,  4439,  3387,  2203,  1397,
    3233,  3738,  3388,   674,  1951,   994,  4962,  2189,  3234,   673,
    1677,  3235,  4003,  1677,  1677,  4031,  2808,  4032,  2563,   674,
    -398,  1593,   836,  1848,    37,    38,    39,    40,  2205,  3759,
    3902,    44,  2768,   366,  2769,    45,  1244,  3007,  2771,  4326,
    2772,  3646,  4310,  2774,  1125,  1187,   900,  2775,   901,  4504,
    4311,  1933,  2886,  2886,  1187,  1695,  4765,  3930,  2242,  2991,
    1122,  2243,  3341,  3342,  2940,  2311,  3939,  1733,  2666,  1139,
    2032,  1951,  1472,   918,  2941,  3522,  3343,  1677,  1696,   935,
     674,  4110,  1160,  2844,  4312,  1245,  4208,  2698,    81,     8,
    2033,    81,  2821,  2009,  4771,   366,   209,  2814,  1935,  2817,
    2311,   674,  2312,  1112,  1112,  1018,  1112,  2815,  2816,  4111,
    4182,  3526,  3527,  3528,  3591,  3529,  3530,  3531,  3532,  3533,
    3534,  1856,  3344,  1338,  4484,  1177, -1383,  3882,  4232,  4329,
    4049,  4050,  3388,  4010,   819,  4033,  4113,  2312, -1383,  3741,
    5094,  1187, -1383,  5095,  3451,  4034,    37,    38,    39,    40,
    2651,  4218,  4223,    44,  2208,  2209,  3330,  1166,   818,  3526,
    3527,  3528,  3689,  3529,  3530,  3531,  3532,  3533,  3534,    37,
      38,    39,    40,  2991,    74,  1220,    44,  3865,  1629,  1187,
    1187, -1371,  2551,  2277, -1383,  1168,  3751,  1187,  2313,  2169,
    1187,  2146,  4268,  2397,  1187,  2314,  1192,  1169,  1170,  2870,
    2212,  4014,  1187,  1187,   408,  3783, -1383,  1194,  2170,  3345,
    1187,  3346,  4269,  1187,  1187,  1187,  1187,  1171,  4517,  3908,
    1172,  3022,  2171,  1187,  1187,  4347,  1187,  4109,  1187,  1187,
    2314,  4082,  1187,  4456,  4115,   825,    79,  1638,  1205,    79,
    1618,  1639,  1338, -1383,  2912,  3656,  2315,  2915,  1933,  1187,
     410, -1383,  2158,  2159,  1187,  3090,  3524,  3093,  1187,  1389,
     417,  4455,  1187,  2511,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187, -1418,  1187,  2487,  5024, -1418,  3715,  4189,
    1187,  2315,  4055,  1187,  4284,  4835,  1722,  1788,  2519,  4386,
      37,    38,    39,    40,   408,  4110,  1828,    44,  1811,    37,
      38,    39,    40,  4013,  4285,  1640,    44,  4212,  2552,  1607,
    2553, -1903,  2146,  1608,  2397,  3525,  4810,  2557,  2598,  1723,
    4908,  3039,  1206,  4111,    35,  2169,  3084,  1240,   409,  1829,
     216,  1812,    41,    42,  1173,  1283,  2520,  2521,  4112,  1004,
     410, -1418,  1641,  1286,  2170,  1187,   932,   408,  1724,   408,
    4113,  2599,  4190,   818,  2519,  2342,  2343,  2570,  2173,  1004,
     224,  4681,  4682,  4683,  4684,  3334,  3149, -1383,  1150,  1233,
    2517,  1174,  1296,  4114,  1297,  4184,  4185,  1241, -1418,  2597,
    1106,   409,   216,   409,  2219,  2220,  2221,  2222,  2223,  2224,
    1727,  1288, -1419,   410,  2519,   410, -1419,  1316,   234,   408,
     192,   819,  2520,  2521,  2390,  4457,  4458,  4191,  1291,  4192,
     237,  3310,   224,  2886,   674,  1472,  2519,  2924,  3522,  2600,
    5050,   192,  2886,  1728,  1830,  1607,  1311,  1317,  1629,  1608,
     825,  2601,    81,  3924,    81,  4076,  2517,  2391,  1107,  2886,
    2886,   674,  2520,  2521,   247,   410,   674,  1304,  4115,   674,
     234,  4599,  1729,  4601,  -500,  2602,  1318,  4604,  3152,  4605,
   -1419,  3227,  1320,  2043,  2520,  2521,  2392,  2758,  1607,  1322,
     818,   674,  1608,   818,  1187,  1338,  2517,  1338,  2720,  2721,
     216,  3218,  3526,  3527,  3528,  1187,  3529,  3530,  3531,  3532,
    3533,  3534,  1187,  1321,  1870,  2519,   247, -1419,  2517,  1855,
    1319,   216,  1299,   209,  1300,  1108,  1472,  1327,  1048,  3522,
     224,  3909,   674,  3911,  3027,  3028,   408,  4123,  2519,   408,
    3494,   362,  1330,  1049,  2761,  1316,  4462,   417,  1856,  1933,
    1344,   224,  3802,  3495,  1933,  1933,  2052,  3496,  2053,   674,
    1338,  4429,  1348,  2520,  2521,  1356,  1933,   825,   234,  1362,
     825,  3656,   918, -1442, -1442,  1317,  4128,  4130,  1677,  2132,
     237,   247,   410,   674,  3656,   410,  2520,  2521,  3809,   234,
    3812,  1357,    37,    38,    39,    40,  3963,  2517,  1707,    44,
      79,   237,    79,   362,  3928,  2342,  3048,   674,  3237,  1371,
    2293,   674,  2294,  3840,   247, -1164,   819,  4785, -1164,  3524,
    2517,  1733,  4322,  4323,  4324,  2519,  1006,  2519,  1006,   674,
    1006,   818,  2287,  3379,   837,  5051,  1006,  2288,    35,   674,
    1377,  1109,    37,    38,    39,    40,    41,    42,  1319,    44,
    2519,   967,   674,   876,  3548,  1445,  3550,  3551,  1392,  1006,
    1006,   674,  3237,    37,    38,    39,    40,   966,  1837,  3787,
      44,  2991,    45,  2520,  2521,  2520,  2521,   408,  3525,  2296,
    2146,  2297,  1725,  2886,    37,    38,    39,    40,  4730,  1431,
    4209,    44,  1457,  4015,  3625,  1435,  2932,  4332,  2520,  2521,
    1452,  1838,  3788,  1458,  1187,  1839,  1933,  2517,   825,  2517,
    3524,  4289,  1451,  2760,  4233,  2761,  3402,  3403,  1055,  2199,
    3658,  3659,  2200,   410,  2781,  1459,  2782,  2519,  1461,  3237,
    1840,  3789,  2517,   819,  3237,  2783,   819,  2782,  1462,  1754,
    4664,  1460,  2861,    37,    38,    39,    40,  2203,  1466,  4460,
      44,  2519,  3207,  2204,  2811,  1102,  2812,  4320,  4321,  4322,
    4323,  4324,  1463,  3013,  1677,  2009,  3237,  4610,  4334,  3525,
    1467,  1755,  1677,  4405,  1677,  2520,  2521,  2205,  3072,  1006,
    2812,  1933,    35,   417,   674,  3162,  4685,  3163,  1150,  4336,
      41,    42,  1469,   671,   671,  4316,  4317,    45,  1705,  2520,
    2521,  1592,  1179, -1549, -1549, -1549, -1549,  4444,  2862,  2517,
   -1549,  1201,  4701,  4702,  1595,  1281,  4320,  4321,  4322,  4323,
    4324,   674,  2119,  2120,  4325,   362,  1600,  1756,  3223,  1187,
    3224,  1599,  3322,  2517,  3323,  1606,  1601,  3600,  3601,  3602,
    2146,  1627,  2397,  1006,  1284,  3526,  3527,  3528,  1619,  3529,
    3530,  3531,  3532,  3533,  3534,  3335,  1626,  3336,  1757,  1636,
    1629,  1102,  1472,  1630,  1651,  3522,  2863,  1652,   674,  2864,
    1656,  1658,  1339,   935,   819,  3453,  3493,  2782,  2761,  1666,
    1933,  2199,  2207,   818,  2200,  3503,  3507,  2761,  2761,   818,
    3349,  3511,   674,  2761,  1758,  3512,  1187,  2761,  1662,  3538,
    1342,  2761,  1187,  2208,  2209,  1663,  3554,    80,  2761,  2203,
    1352, -1556, -1556, -1556, -1556,  2204,  1671,  1667, -1556,  1187,
    1187,  3559,  1668,  3560,  1759,  1187,  3595,  1669,  3596,   408,
    3597,  3772,  3598,  3773,  1670,   408,  3526,  3527,  3528,  2205,
    3529,  3530,  3531,  3532,  3533,  3534,  3776,  1672,  3777,  2212,
    1187,  1187,  3957,  1678,  3958,  1187,  4019,  1679,  2761,  2865,
     825,  4056,  2213,  4057,  1681,  1447,   825,  1187,  1187,  1187,
    1187, -1547, -1547, -1547, -1547,   410,  4596,  4066, -1547,  4067,
    1187,   410,  4078,  1187,  2761,  1187,  1710,  4155,   209,  4156,
    2474,  4159,  1762,  4160,  1465,  1187,  1187,  1713,  1763,  1187,
    4188,  3573,  2782,  1574,  4378,  1764,  2782,  1586,  1339,  1588,
    1677,  1711,  1187,  2475,  1187,   366,  4386,  2814,  1187,  2817,
    1725,  4461,  1766,  2812,  4524,  3656,  4525,  2815,  2816,  4530,
    1767,  2782,  1746,  4531,  1187,  2782,  4847,  4592,  1006,  4593,
   -2633,  4649,  1719,  4650,  2207,  1187,  3524,  1187,  1187,  1187,
   -1550, -1550, -1550, -1550,  1773,  1777,  2866, -1550,  4635,  1802,
    1751, -1548, -1548, -1548, -1548,  2208,  2209,   674, -1548,  1804,
    4690,  1187,  4691,  4692,  2023,  2761,  1805,  4700,  4752,  2812,
    4753,  1768, -2633,  1187,  4811,  2038,  2782,  4836,  1187,  4837,
    4849,  4856,  2812,  2009,  1187,   673,   673,  1810,  1813,  4861,
    1708,  3937,  1187,  1833,  4863,  3525,  3937,  1721,  4688,  1845,
    4902,  2212,  4903,  4934,  4939,  2256,  4940,  4950,  1854,  2812,
    4951,  1859,  3560,  4952,  2213,  2761,   819,  4955,  4957,  2009,
    3937,  1865,   819,  2219,  2220,  2221,  2222,  2223,  2224,  1864,
    1866,   674,  3555,  1635,  4974,  1637,  2812,  2199,  3562,  4980,
    2200,  2812,  4981,  4994,  2812,  4995,  5013,  1871,  2009,    74,
    1873,  1875,  1187,  5092,  4513,  5093,  5103,  2201,  5093,  1877,
    1882,   818,   818,   818,  4664,  2203,  4483,  1881,  4486,  1887,
    1004,  2204,  1004,   674,  1004,  1889,   674,  1892,  1894,  1933,
    1004,  1419,  1420,  1897,  1733,  1939,  1942,  1935,  1944,  1954,
    1955, -2633,  1957,  -181,  4420,  2205,  1959,  1971,  1973,  1979,
    1981,   853,  1989,  1004,  1004,  1677,  1874,   408,   408,   408,
    1997,  2002,  2003,  2004,  2005,  2006,  2008,  1880,  2009,  2016,
    1006,  1933,  1933,  2019,  1933,  1006,  1006,  2020,  2021,  2022,
    2024,  2029,  4719,  2030,  2031,  2036,  2050,  2084,   825,   825,
     825,  2114,  2121,  2130,  2117,  2149,  2131,  2123,  2124,  2139,
    2142,  2143,  2144,   410,   410,   410,  2145,  2229,   247,  2151,
    4775,  2154,  2155, -2633, -2633,  2156,  3529,  3530,  3531,  3532,
    3533,  3534,   674,  2157,  2162,  2256,  2164,  1983,  2165,  2166,
    1933,  2260,  1933,   674,  4782,  2219,  2220,  2221,  2222,  2223,
    2224,  2167,  2168,  2175,  2272,  2176,  2206,  2178,  2179,  2180,
    2207,  2181,   818,  2182,  2183,  2184,  2185,  1339,  1421,   671,
    2300,    80,    80,  2292,    80,  2282,  1639,  1641,  2329,  2331,
    2339,  2208,  2209,  1004,  4509,  2348,  2341,  1139,  2356,  2364,
    1339,  2362,  2374,  2366,  2377,    35,  1933,  2375,  2210,  2382,
    2384,  2395,  1700,    41,    42,  4848, -2575,  2393,   408,  2386,
    2394,  2400,  2398,  2397,  2399,   674,  2401,  2402,  2423,   913,
    3365,  1933,  2429,  2456,  2211,  3978,  2435,  2212,  2460,  2463,
    2464,  2462,  2465,  2466,  2491,  2110,  2499,  2501,  2511,   825,
    2213,  3859,  1933,  1006,  2492,  1220,  2512,  1004,  2514,  2515,
    2516,  1006,  2517,  3942,   410,  1933,  2523,  1339,  2524,  2525,
    2526,  2530,  3953,  2531,   819,   819,   819,  1102,  2537,   674,
    2189,   674,  2547,  2539,  2543,  4887,  3229,  2544,  1102,  4892,
    4893,  2554,  4623,  3977,  2932,  2555,  2561,  1788,  2562,   924,
    2571,  4851,  2582,  2583,  2572,  1338,  2584,  2587,  2588,  2593,
    2596,  2610,  1006,  3594,  2611,  1006,  1006,  2623,  2625,  2626,
    2636,  4092,  4093,  4094,  4095,  2135,  3605,  2215,  2146,  1933,
    2638,  4904,  2152,  2639,  2652,  4891,  3230,  2655,  4733,  4772,
    2193,  2656,  2659,   886,   674,  1933,  2660,  2663,  2667,  1830,
    2198,  4888,  2682,  4894,  2687,  4896,  2702,  2703,  1933,  2713,
    2236,  2710,  2715,   362,  2716,  4598,  2717,  2723,  2734,  2737,
    2736,  2738,  2752,  2739,   674,  1472,  2753,  2777,  3522,  1006,
    2800,  2794,  3366,  3605,  2809,  2852,  1101,  3231,  1187,  1339,
    2778,   674,  2266,  2268,   818,  4463,  2824,  1339,  1339,  2819,
    1677,  2894,  2907,  2913,  2200,  2851,  2918,  2857,  2925,  2950,
    2895,   674,  2917,  1677,  2931,   819,  2948,  2216,  2217,  2218,
    2977,  2219,  2220,  2221,  2222,  2223,  2224,  1187,  2994,  2996,
    1933,  2651,  3001,    74,    74,  2993,    74,  1187,  4775,  2999,
     408,  3004,  3005,  1187,  3014,  1187,  1107,  3024,  3015,  3023,
    1933,  1187,  1004,  3025,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  3026,  3034,  3057,  1187,  1187,  3054,
    3056,   825,  2246,  3071,  3073,  1933,  3074,  4960,  3232,  3075,
    1187,   673,  3086,  3091,  1187,  3096,   410,  3094,  1187,  3098,
    3099,  3115,  3105,  3110,  3121,  3116,  3118,  3137,  1187,  3129,
    3140,  1187,  3125,  1187,  3153,  3158,  1589,  3209,  1593,  3214,
    3160,  1933,  1187,  1187,  1187,  3222,  3225,  3367,  1187,  3226,
    3238,  1187,  4825,  3276,  3279,  3290,  3297,  3298,  3301,  3302,
    3303,  1187,  1187,  3305,  3306,  3309,  3307,  3308,  3315,  3317,
    3324,  3326,  1187,  3329,  3330,  3331,  4868,  3337,  3332,  3357,
    1187,  3371,  1187,  3373,  3380,  3386,  3368,  3396,  3389,  3524,
    3394,  3395,  3397,  3407,  2725,  1677,  3410,  3422,  3425,  3405,
    3428,  3426,  4741,  2731,  3427,  3430,  3431,  2735,  3440,  3443,
    3446,  3233,  3445,  2741,  2742,  2037,  3455,  3456,  3457,  3234,
    3467,  4253,  3235,  3458,  1187,  3460,  2825,  3475,  3481,  1338,
    1187,  2754,  1437,  3483,  3487,  3489,  1187,  3486,  3490,   818,
    3491,  4759,  3505,   818,  3506,   818,  3508,  3509,  3525,  3510,
    2761,  2828,  3544,  5069,  3513,  3556,  3514,  3516,  3519,  3537,
    2564,  1187,  3543,  1220,  3545,  3570,  3575,   819,  3590,  3620,
    3622,  3546,  3553,  3583,  1004,  -984,  3568,  3663,  3569,  1004,
    1004,  3593,  3672,  4061,  3614,   408,  3619,  3666,  3668,   408,
    3678,   408,   674,  3656,  3682,  3683,  3684,  3693,  2829,  3696,
    3687,  3698,  1220,  3710,  3699,  3707,  3712,  3734,  3719,  3735,
    3703,  2043,  3688,  3746,  3745,  3752,   825,  3761,  3753,  3763,
     825,   818,   825,  2631,  3800,  3807,  3801,  2830,  3804,  3704,
    3806,   410,  3808,  3820,  3813,   410,  1933,   410,  3814,  3815,
    3816,  3817,  3818,  3819,  3821,   664,  3823,  3822,  2831,  3824,
    3826,  3825,  3827,  2357,  3831,  1420,  3828,  3833,  3835,  2832,
    2580,  3837,  3839,  3845,  3851,  3852,  3855,   408,  3870,  3871,
    2359,  3883,  3916,  2371,  3879,  3884,   674,   362,  2833,   674,
    2378,  2380,  3922,  2834,  3925,  3915,   362,  2678,  3927,  3929,
    3948,  3952,  3949,  3975,  3936,  3943,  3984,  3937,   825,  3986,
    3955,  3945,  3994,  4005,  3995,  3996,  3997,   362,  4000,  4006,
    4007,  4008,  4017,   410,  4022,  3526,  3527,  3528,  3540,  3529,
    3530,  3531,  3532,  3533,  3534,  2132,  3522,  3539,  2194,  2835,
    4052,  4080,  4053,  2437,  4054,  4108,  4143,  1004,  1006,  4060,
    4081,  4068,  4089,  4122,  4125,  1004,  4131,  4394,  4971,  4142,
    2836,  2724,  4151,  1187,  4141,  4175,  4144,  4147,  4148,  4196,
    2730,  4198,  4199,  4210,  4211,  4213,  2438,  4224,  4234,  4235,
      80,  4165,  4237,    80,  4236,  4247,  4249,  4248,  4265,  2439,
    1933,  4219,   819,   674,  1677,  4281,   819,  3006,   819,  3977,
    1006,  4215,  2440,  4283,   671,  4250,  1004,  4294,  4251,  1004,
    1004,  4286,  3207,  4295,  4230,  3967,  4252,  4292,  4318,   853,
    1705,  4344,  4352,  4362,  4355,   369,  1933,  1187,  1187,  4360,
    4367,   369,  4372,  4391,  4371,  1778,   667,  4389,  4392,  2782,
    2441,  1779,  4374,  4520,  4403,  4406,  2837,  1338,  4375,  4402,
    4408,  2442,  2838,  4416,  4421,  4410,  4424,  1201,  2839,  4425,
    4436,  4968,  4445,  4426,   369,  4427,  4428,  4433,  4440,  4446,
    2443,   674,  4441,  1004,   819,  2444,  4449,  4453,  2361,  4475,
    4447,  1780,  2189,  4479,  4480,  4448,  4487,  2840,  1187,  2841,
    4301,  2869,  4099,  4101,  4477,  4490,  4492,  4493,  4495,  4496,
    4518,  4521,  4510,  4519,  4514,  4526,  2842,  4527,  4535,   369,
    4567,  4546,  4549,  4574,  4556,  4550,  4579,  4609,  4586,  4616,
    4624,  4570,  1220,  4606,  4629,  1187,  4634,  4636,  4640,  4642,
    1781,  2843,  4651,  4661,  4653,  1187,  1187,  1782,  1933,  4659,
    1783,  4662,  2445,  1187,  1187,  4670,  4678,  4686,  1187,  1933,
    4687,  4689,  4551,  4694,  1187,  1187,  1044,  4697,  1187,  4696,
    4511,  4698,  4712,  4699,  1044,  4705,  1044,  4721,  4715,  4725,
    4727,  4731,  4735,  2446,  4747,  4751,  1187,  4756,   369,  4761,
    1187,  2718,  4750,  4762,  4769,  4768,  1006,  4773,  4780,  4786,
    1187,   818,  4351,  1784,  1006,  1187,  1006,  4793,  4798,  3625,
    4795,   853,  4800,  4818,  4819,  2998,  4821,  1187,  4823,  4796,
    4799,  4817,  4827,  4852,  4844,  4828,  1677,  4867,  1108,  4884,
    4858,  4909,  4914,  4921,  4875,  4918,  4919,  4924,  4936,  4923,
    4938,  4929,    74,    81,  2447,    74,  4937,   408,  4943,  4949,
    2448,  4944,  4958,  2449,  4959,  4953,  1187,  4954,  4964,  4966,
    1785,  4889,  1786,  4984,  4985,  4988,  4977,  4990,  4982,  4618,
    4993,  4998,  1787,  2199,  1933,  4999,  2200,  5004,   825,  2450,
    1788,  5005,  4133,  5031,  4986,  2451,  5023,  5026,  5034,  1789,
    5028,  5041,  5042,   410,  5046,  1354,  5072,  4987,  2452,  5088,
    1364,  2203,  1933,  2322,  5060,  5091,  5097,  2204,  1120,  1809,
    1376,  1776,  2594,   674,  3375,  2279,   673,  3649,  1933,  5101,
    3213,  3758,  1790,  2453,  4228,   674,  1791,  3289,  3854,  4298,
    4900,  2205,  1708,  4774,    80,  4983,    80,   369,  4820,  4363,
    4822,  4621,  4808,  3701,  5029,  3454,  2858,  2859,  4739,  5068,
    4991,  1792,  4989,  5040,  2871,  4932,  3706,  4359,  2874,  2875,
    3355,  4227,  3770,  3356,  1933,  3932,  2679,  3338,  5071,  4506,
    5102,  5098,   369,  2896,  4797,  2897,  3880,  3858,  5044,   674,
    4760,  2662,  4979,  5032,  4763,  1023,  4422,  2104,  4870,  4398,
    3166,    79,  4399,  3584,  4942,  1340,  3834,  2919,  5053,  2920,
    5099,  4927,  3009,  2767,  3010,  3653,  4381,  3031,  4512,  1793,
    1603,  3120,  4161,  3654,  3033,  2298,  3450,  3662,  1201,  2326,
    1588,  2325,  1187,  2051,  3032,  3664,  2330,  3665,  3677,  4103,
    4474,  4162, -2633,  1187,  4860,  4485,  2207,  4100,  4072,  1611,
    4850,  1625,  1006,  2335,   819,  3432,  4062,  5014,  5022,  2371,
    3657,   362,  5015,  3500,  3588,  3586,  4158,  2208,  2209,  2976,
    3976,  3441,  3442,  1991,  1153,  3444,  3424,  5012,  2719,  1123,
    3049,  3448,  3058,  1718, -2633,  2347,  2340,  3644,  2111,  1388,
    3065,  1933,  3063,  4167,  3062,  4168,  4502,  2245,  4146,  2344,
    1146,    83,  3452,   362,  2199,  2779,     0,  2200,  3069,  2040,
    1426,     0,   674,  2212,     0,  1689,     0,     0,     0,     0,
    4732,  1690,  1004,     0,  1187,     0,  2213,     0,  1933,     0,
       0,     0,  2203,  1187,     0,     0,  1778,  1677,  2204,     0,
       0,     0,  1779,     0,     0,     0,     0,     0,     0,     0,
    1187,  1187,  3484,     0,  1187,     0,     0,     0,     0,     0,
       0,     0,  2205,     0,     0,     0,     0,  1187,  3415,     0,
       0,     0,  1187,     0,  1004,  1187,     0,  3312,     0,     0,
    1187,  1187,  1780,     0,     0,  3312,     0,  1754,     0,   818,
       0,     0,     0,     0,  1700,     0,    74,     0,    74,     0,
       0,     0,     0, -2633,     0,     0,     0,   674,     0,   674,
       0,     0,     0,  1187,     0,     0,     0,  3605,     0,  1755,
       0,  3605,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1781,     0,     0,  1202,   408,     0,     0,  1782,     0,
    1224,  1783,  3381,     0,  1933,     0,     0,     0,     0,     0,
    1237,     0,  1187,     0,     0,     0,     0,  1006,     0,     0,
       0,  4812,     0,  2206,   362,     0,   825,  2207,     0,     0,
    3409,     0,     0,     0,     0,  1756,  1339,     0,  1298,     0,
       0,   410,  1305,   674,     0,     0,     0,     0,  2208,  2209,
       0,     0,     0,  1315,  1784,  1187,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,  2210,  1757,     0,     0,  1778,
       0,     0,     0,  1339,     0,  1779,     0,     0,     0,   370,
    2018,     0,     0,     0,     0,   370,     0,     0,     0,     0,
     668,  2211,     0,     0,  2212,  3416,     0,     0,     0,  4729,
       0,     0,  1758,     0,     0,     0,     0,  2213,     0,   818,
    1187,  1785,  1933,  1786,     0,  1780,     0,     0,   370,     0,
    1004,     0,     0,  1787,     0,     0,     0,     0,  1004,     0,
    1004,  1788,  1759,     0,  1187,  1933,     0,  1187,     0,  1187,
    1789,     0,     0,     0,     0,     0,     0,  1778,     0,     0,
       0,     0,  1677,  1779,  2103,   408,  1187,   369,     0,     0,
    1187,   369,     0,   370,  1781,  1933,     0,     0,     0,  2115,
       0,  1782,  3485,  1834,  1783,   667,     0,  1791,  3488,     0,
       0,   667,  2126,     0,  2215,     0,   825,     0,     0,     0,
    3711,   667,   819,  1780,     0,     0,   209,     0,  2885,     0,
    1762,   410,  1835,     0,  4930,  1933,  1763,     0,  4301,  1933,
    1933,     0,  2908,  1764,     0,     0,  3333,     0,  1754,   667,
       0,  2475,     0,   667,     0,     0,     0,  1784,     0,     0,
    1766,     0,   370,     0,   667,     0,     0,     0,  1767,     0,
       0,     0,  1781,     0,     0,     0,  1187,     0,     0,  1782,
    1755,     0,  1783,     0,     0,  5087,     0,     0,     0,   667,
    1793,     0,     0,     0,     0,  1187,     0,     0,     0,  3762,
       0,  3764,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,  1785,  1933,  1786,     0,     0,  1768,
       0,     0,  4948,  3418,  3967,     0,  1787,     0,     0,     0,
       0,   664,   664,   667,  1788,  1784,  1756,     0,     0,     0,
       0,     0,     0,  1789,     0,  1187,     0,     0,     0,  1339,
       0,  3612,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1187,     0,     0,     0,     0,  1757,     0,     0,
       0,     0,  1006,     0,     0,  2299,  1860,     0,  3605,     0,
    1791,   674,   819,  3605,     0,  1006,  3605,     0,     0,     0,
       0,     0,  1785,  3829,  1786,     0,  1004,     0,     0,  3836,
       0,     0,     0,  1758,  1787,  1861,     0,  1187,  3612,     0,
       0,   370,  1788,     0,  5045,     0,     0,     0,  1187,     0,
       0,  1789,   366,  1044,  5055,   667,  5058,  1044,     0,     0,
       0,     0,   818,  1759,  5056,  5057,     0,     0,     0,  1187,
    1187,     0,   674,     0,     0,   369,   370,     0,     0,     0,
       0,     0,  1187,     0,  2457,     0,     0,     0,  1791,     0,
    1760,     0,   366,  1793,  5055,     0,  5058,     0,  1339,     0,
       0,     0,     0,     0,  5056,  5057,     0,     0,   408,   818,
       0,     0,     0,  2458,     0,     0,     0,   818,     0,     0,
       0,     0,     0,  1761,  1187,     0,     0,   209,     0,     0,
       0,  1762,     0,     0,  1187,     0,   366,  1763,  5055,   825,
    5058,     0,   667,   667,  1764,     0,     0,     0,  5056,  5057,
     666,     0,  1765,     0,   410,   408,  1928,     0,     0,     0,
       0,  1766,     0,   408,     0,   362,     0,  1006,     0,  1767,
       0,  1793,     0,     0,     0,  3979,     0,     0,   816,  3982,
    3983,  3775,  3985,     0,  3987,  3988,   825,     0,     0,     0,
       0,     0,     0,  3993,   825,     0,  1187,     0,     0,  2199,
       0,   410,  2200,     0,     0,  1187,     0,     0,     0,   410,
       0,     0,  3803,     0,  2199,     0,     0,  2200,     0,  2201,
    1768,     0,     0,   816,     0,     0,  2371,  2203,  4011,  3647,
       0,  1004,     0,  2204,     0,     0,  3415,     0,     0,     0,
       0,  3605,  2203,     0,     0,     0,     0,     0,  2204,     0,
       0,     0,     0,     0,     0,  1754,     0,  2205,     0,     0,
    3832,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1043,     0,  2205,     0,     0,     0,     0,     0,  1043,     0,
    1043,     0,  3312,     0,     0,  3312,  3312,  1755,     0,  3312,
       0,     0,   816,     0,     0,  3312,     0,     0,     0,     0,
       0,     0,  5079,     0,  3868,   819,     0,     0,     0,     0,
    3877,     0,     0,     0,     0,     0,     0,  3868,     0,  1928,
       0,  5078,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1339,     0,  1339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1756,     0,     0,     0,     0,   362,  5079,
       0,     0,   819,     0,     0,     0,     0,  5079,  2206,     0,
     819,     0,  2207,     0,   667,     0,     0,     0,  5078,  3935,
       0,     0,     0,  2206,  1757,     0,  5078,  2207,     0,     0,
       0,     0,     0,  2208,  2209,     0,  2732,   667,     0,     0,
       0,     0,     0,     0,     0,  3962,  1339,  2743,  2208,  2209,
    2210,     0,     0,  3416,     0,     0,     0,     0,     0,  2750,
    1758,     0,     0,     0,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1759,     0,  2213,     0,  2212,  2214,     0,     0,     0,     0,
       0,     0,     0,     0,   667,     0,  1006,  2213,     0,     0,
       0,     0,  2265,     0,  1201,     0,     0,     0,  2787,     0,
       0,     0,  2793,     0,  2795,     0,     0,  2798,  1006,     0,
       0,     0,     0,     0,     0,     0,     0,   664,     0,     0,
       0,   370,     0,     0,     0,   370,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,  3417,   668,
       0,     0,     0,     0,  1763,   668,     0,     0,     0,  2215,
       0,  1764,     0,     0,     0,   668,     0,     0,   362,  2475,
       0,     0,     0,     0,  2215,  3415,     0,     0,  1766,     0,
     362,     0,     0,     0,     0,     0,  1767,     0,     0,  4073,
       0,     0,  1778,   668,  1754,     0,  1004,   668,  1779,     0,
       0,  3872,  3875,     0,     0,     0,     0,     0,   668,  1004,
       0,     0,     0,     0,  2885,  2885,   667,     0,     0,  2885,
    5086,     0,     0,     0,   667,   667,  1755,     0,     0,  1928,
       0,     0,     0,   668,     0,   369,     0,  1768,  1780,     0,
    3921,  3418,     0,  4138,     0,     0,     0,  3612,  3612,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,  2885,
    2885,  3002,     0,     0,   362, -2633, -2633,  3003,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,   668,     0,     0,
       0,     0,  1756,  1928,     0,     0,     0,  1781,   369,   369,
     369,     0,     0,     0,  1782,     0,     0,  1783,     0,     0,
    2592,     0,     0,     0,     0,     0,     0,     0,   667,     0,
       0,     0,  1928,  1757,     0,     0,     0,     0,  1006,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   369,     0,
       0,     0,  3416,     0,     0,   369,     0,  3612,     0,  1758,
    1784,     0,   369,     0,     0,     0,     0,     0,     0,  1044,
       0,  1004,  2199,     0,     0,  2200,     0,  4411,     0,   668,
       0,     0,     0,     0,     0,  4414,  4415,     0,     0,  1759,
       0,     0,     0,     0,     0,  1928,     0,     0,     0,   370,
    2203,    35,  1044,     0,     0,     0,  2204,     0,  3868,    41,
      42,  2668,     0,     0,  1928,  2199,     0,  1785,  2200,  1786,
       0,     0,     0,     0,     0,     0,     0,  2592,     0,  1787,
    2205,  4254,  1928,     0,  4255,  2201,  4256,  1788,  2202,     0,
       0,     0,     0,  2203,     0,     0,  1789,     0,     0,  2204,
       0,     0,     0,   209,     0,     0,     0,  1762,     0,  1778,
    1928,     0,     0,  1763,     0,  1779,   668,   668,     0,     0,
    1764,     0,     0,  2205,     0,  3312,     0,     0,  2475,  2527,
       0,  3312,  3312,  1791,  2631,     0,     0,  1766,  2592,     0,
    1814,   667,     0,  1044,     0,  1767,     0,  1006,     0,     0,
       0,     0,     0,     0,  3877,  1780,     0,     0,  2528,     0,
       0,     0,     0,     0,     0,  4331,  4333,  4335,  4337,     0,
    3171,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,  1815,     0,     0,     0,
       0,   816,     0,     0,     0,     0,  1768,     0,     0,  1006,
    3418,     0,     0,     0,  1781,     0,  2208,  2209,     0,   666,
       0,  1782,  4164,     0,  1783,   666,  1793,     0,     0,     0,
       0,     0,   369,  2210,  2206,   666,     0,     0,  2207,     0,
       0,     0,     0,     0,     0,  4397,     0,     0,     0,     0,
    4538,     0,   667,     0,     0,     0,     0,     0,     0,  2208,
    2209,     0,  2212,   666,     0,     0,     0,   666,   667,     0,
       0,     0,     0,     0,  1816,  2213,  2210,  1784,   666,     0,
       0,  4554,  4555,     0,     0,     0,     0,     0,     0,  1006,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2211,   666,     0,  2212,     0,  4431,     0,     0,
       0,     0,     0,     0,     0,     0,  1006,     0,  2213,     0,
    1004,  2214,  1817,     0,  1818,     0,     0,     0,     0,   667,
       0,     0,     0,     0,  1819,     0,  1786,     0,     0,     0,
       0,     0,  1004,  4584,  4585,     0,  1787,   666,   668,     0,
     667,     0,  2215,     0,  1788,     0,     0,  1920,     0,     0,
       0,     0,  1820,  1789,     0,     0,     0,     0,     0,     0,
       0,   668,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,  1917,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2215,  1821,     0,     0,     0,
    1791,  1822,     0,  1419,  1420,     0,     0,     0,     0,     0,
       0,     0,  4315,     0,     0,     0,  3875,     0,     0,     0,
       0,     0,  3612,     0,     0,  1823,  3612,  4330,     0,     0,
       0,     0,     0,  4507,  4508,     0,  1824,  1043,   668,   666,
       0,  1043,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0,    80,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4674,     0,  4675,  4676,
       0,     0,     0,     0,     0,     0,     0,     0,  3459,  4679,
       0,     0,   664,  1793,     0,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,   369,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3076,
       0,     0,     0,     0,  3080,     0,     0,  3083,     0,     0,
    1920,     0,     0,     0,     0,  2885,   666,   666,  2885,  2885,
    2885,  2885,  2885,  2885,  2885,  2885,  2885,  2885,     0,  3106,
       0,     0,  1004,     0,  1006,     0,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4059,     0,
     668,     0,     0,     0,     0,     0,     0,     0,   668,   668,
       0,     0,     0,     0,  4581,  4582,     0,     0,     0,   370,
    3156,     0,     0,     0,  3312,  3312,     0,  2885,  2885,   369,
       0,  1339,     0,     0,     0,  4600,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3170,     0,     0,
    3877,  3877,  3877,  3877,  3877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3203,   370,   370,   370,     0,     0,     0,     0,     0,
       0,     0,   369,     0,   369,     0,     0,     0,     0,     0,
       0,     0,   668,     0,     0,  3228,     0,     0,     0,  3239,
       0,  1928,     0,   667,     0,  4644,  1928,  1928,     0,  4626,
       0,     0,     0,     0,     0,     0,     0,  3251,  1928,     0,
       0,     0,   370,     0,     0,  2371,     0,  3260,     0,   370,
     667,     0,  4663,     0,   369,   667,   370,     0,   667,     0,
    3284,     0,     0,     0,     0,     0,     0,    74,     0,  3291,
       0,  1004,     0,     0,     0,  4431,  4431,  4431,  4431,     0,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4846,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   666,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   667,     0,  1004,     0,     0,     0,     0,     0,     0,
       0,   666,  1044,     0,     0,     0,  3694,  3695,     0,  3697,
    4564,  4565,     0,     0,     0,  4568,  4569,     0,   667,     0,
    1920,     0,  4872,  3612,     0,     0,     0,     0,  3612,     0,
       0,  3612,     0,  2199,     0,     0,  2200,     0,     0,     0,
       0,   369,   667,     0,   369,     0,  2112,     0,  1928,     0,
       0,  2199,     0,  2201,  2200,   668,  4899,     0,     0,     0,
       0,  2203,  4947,     0,     0,     0,   667,  2204,   666,  3612,
     667,     0,     0,  1004,  1920,     0,  3868,     0,     0,  2203,
       0,     0,     0,     0,     0,  2204,     0,     0,   667,     0,
       0,  2205,  3875,  3875,  3875,  3875,  3875,     0,   667,     0,
    1004,     0,     0,  1920,     0,     0,  3312,     0,  4758,  2205,
       0,   667,     0,     0,     0,  1339,     0,     0,     0,  4778,
     667,  4779,     0,  1928,  4783,  4784,     0,  2885,     0,  2533,
       0,     0,     0,     0,     0,     0,   370,     0,     0,  1204,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,  1201,  3805,     0,     0,  1239,   668,     0,     0,     0,
       0,     0,     0,  1249,     0,     0,     0,     0,  1282,     0,
       0,  4086,   668,     0,     0,     0,  1920,     0,     0,     0,
       0,     0,   369,     0,     0,     0,     0,     0,     0,     0,
     666,     0,  2206,     0,  1778,  1920,  2207,     0,   666,   666,
    1779,     0,  2609,     0,     0,     0,  3612,     0,     0,   816,
   -2633,     0,     0,  1920,  2207,     0,     0,  2208,  2209,     0,
       0,  2112,  1928,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,   668,  2210,  2208,  2209,     0,     0,     0,
    1780,  1920,     0,   667,     0,     0,     0,     0,     0,     0,
       0,     0, -2633,     0,   668,     0,  3612,     0,     0,     0,
    2211,     0,   816,  2212,     0,     0,     0,  2654,     0,     0,
       0,  1815,     0,     0,     0,  4728,  2213,     0,     0,  2214,
     667,  2212,   666,  3917,     0,  3920,     0,     0,     0,  1781,
       0,     0,     0,  4901,  2213,     0,  1782,     0,     0,  1783,
       0,     0,     0,     0,  1920,     0,     0,  2885,  2885,     0,
    5065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,   816,   667,  1004,     0,
    2726,     0,     0,  1043,     0,     0,     0,     0,     0,     0,
       0,     0,  4920,     0,     0,     0,     0,     0,     0,  1816,
       0,   667,  1784,  2215,     0,  1581,     0,     0,     0,     0,
    2199,     0,     0,  2200,     0,     0,  1043,     0,     0,     0,
       0, -2633,     0,  1605,     0,     0,  3998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2203,     0,
       0,     0,     0,     0,  2204,  1631,     0,  1817,  4009,  1818,
       0,     0,     0,   370,     0,     0,     0,     0,     0,  1819,
       0,  1786,     0,     0,     0,     0,     0,     0,  2205,  3690,
       0,  1787,     0,  1339,     0,     0,     0,     0,     0,  1788,
    2199,     0,     0,  2200,   369,     0,     0,  1820,  1789,     0,
     369,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,   666,     0,  1043,  2203,  3515,
       0,  3713,     0,     0,  2204,  2219,  2220,  2221,  2222,  2223,
    2224,  3241,     0,  5001,     0,  1791,  1822,     0,     0,     0,
    4087,     0,     0,     0,  3612,     0,     0,     0,  2205,     0,
       0,     0,     0,   370,     0,     0,  1799,     0,     0,     0,
    3242,  1920,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1824,     0,     0,     0,     0,     0,     0,  5030, -2633,
       0,     0,     0,  2207,     0,     0,   667,  2922,     0,     0,
       0,  1928,     0,     0,     0,     0,   816,     0,     0,     0,
       0,     0,     0,     0,  2208,  2209,   370,     0,   370,     0,
    4090,     0,     0,     0,     0,     0,   666,     0,  1793,     0,
    3780, -2633,     0,  1922,     0,     0,  5080,   668,     0,     0,
       0,  3798,   666,  1928,  1928,     0,  1928,     0,     0,     0,
       0,     0,     0,     0,     0,  1946,     0,     0,     0, -2633,
    2212,     0,     0,  2207,   668,     0,     0,     0,   370,   668,
     667,     0,   668,  2213,     0,     0,     0,  1974,  1977,  1978,
       0,     0,     0,  5080,  2208,  2209,  4946,     0,     0,     0,
       0,  5080,     0,     0,   668,     0,     0,     0,     0,     0,
       0, -2633,  1928,   666,  1928,     0,     0,     0,     0,     0,
       0,  5100,   667,  3841,     0,   667,     0,     0,     0,     0,
       0,     0,     0,     0,   666,     0,     0,     0,     0,     0,
    2212,     0,     0,     0,  1778,   668,     0,     0,  2885,     0,
    1779,     0,     0,  2213,     0,     0,     0,  4693,     0,     0,
   -2633,     0,     0,     0,     0,     0,     0,     0,  1928,     0,
       0,     0,   668,     0,  2885,  2885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1780,  1778,     0,  1928,     0,   370,   668,  1779,   370,     0,
       0,     0,   369,   369,   369,  1581,  1922,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
     668,   667,  2116,     0,   668,     0,     0,  1928,     0,     0,
   -2633,     0,   667,  1581,     0,     0,     0,  1780,     0,  1781,
       0,     0,   668,     0,     0,     0,  1782,     0,     0,  1783,
       0,     0,   668,     0,  2219,  2220,  2221,  2222,  2223,  2224,
       0,     0,  1920,     0,     0,   668,     0,  1920,  1920,     0,
       0,     0,  2592,     0,   668,     0,     0,     0,     0,  1920,
       0,     0,     0,   816,     0,     0,  1781,     0,     0,  4001,
       0,  1928,     0,  1782,     0,     0,  1783,     0,  5077,     0,
       0,     0,  1784,     0,   667,  3175,     0,  1928,  1778,  4012,
       0,     0,     0,     0,  1779,     0,  4364,  4365,     0,     0,
    1928,     0,     0,     0,  2219,  2220,  2221,  2222,  2223,  2224,
       0,     0,     0,     0,     0,     0,   370,     0,     0,     0,
       0,     0,     0,   369,     0,  5077,     0,  2199,     0,  1784,
    2200,     0,     0,  5077,  1780,     0,     0,     0,   667,  1785,
     667,  1786,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1787,     0,     0,  2283,  2203,     0,     0,     0,  1788,
       0,  2204,     0,     0,     0,     0,     0,     0,  1789,     0,
       0,     0,  1928,  4417,  4418,  4419,     0,   668,  2885,     0,
       0,     0,     0,  1781,     0,  2205,  1785,     0,  1786,     0,
    1782,     0,  1928,  1783,     0,     0,     0,     0,  1787,  1920,
       0,  3172,  2336,   667,     0,  1791,  1788,     0,     0,     0,
       0,     0,     0,     0,   668,  1789,     0,  1928,     0,     0,
       0,     0,     0,     0,     0,  3328,     0,   666,     0,     0,
    1792,     0,     0,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1784,  4466,  3253,     0,
     667,     0,  1791,  1928,   666,     0,  1922,     0,   816,   666,
       0,   668,   666,     0,     0,     0,     0,     0,     0,     0,
     667,     0,     0,     0,  1920,     0,     0,  3254,     0,  2199,
       0,     0,  2200,     0,   666,   668, -2633,     0,  1793,     0,
    2207,     0,     0,     0,     0,     0,     0,     0,     0,  2201,
       0,     0,     0,  1785,     0,  1786,     0,  2203,     0,     0,
    1922,  2208,  2209,  2204,     0,  1787,     0,     0,     0,     0,
       0,     0,     0,  1788,     0,   666,     0,  2493, -2633,     0,
       0,     0,  1789,     0,  2510,  1793,  1043,  2205,     0,  1922,
    4205,     0,     0,     0,     0,   369,     0,     0,     0,     0,
       0,     0,   666,     0,     0,     0,     0,  2212,     0,     0,
    2542,     0,     0,  2545,     0,  3292,     0,     0,   370,  1791,
    2213,     0,     0,  1920,   370,   816,   666,     0,   816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3293,  2579,     0,     0,     0,  3476,
     666,     0,     0,     0,   666,     0,     0,     0,     0,  2595,
       0,     0,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   666,  2607,  4270,     0,     0,  4273,     0,     0,
       0,  1922,   666,     0,     0,     0,     0,     0,  2206,     0,
       0,     0,  2207,  4575,  4576,   666,  4578, -2633,  1928,  1922,
       0,     0,  1793,     0,   666,     0,     0,     0,     0,     0,
     668,     0,     0,  2208,  2209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1922,     0,     0,
    2210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,   816,     0,     0,     0,
       0,   667,  2213,  2699,     0,  2214,     0,     0,     0,  2709,
       0,  4369,     0,     0,   668,   936,     0,     0,     0,     0,
    1922,  2219,  2220,  2221,  2222,  2223,  2224,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     369,     0,     0,     0,   369,     0,   369,     0,   938,     0,
       0,     0,     0,     0,     0,     0,   668,   666,     0,   668,
       0,   939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,   940,     0,     0,     0,     0,  2215,
    2764,     0,     0,     0,     0,   667,     0,     0,   667,     0,
       0,   941,     0,     0,   666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1928,     0,
       0,     0,   942,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   369,   943,     0,     0,     0,  1581,  1581,     0,
       0,   944,     0,     0,     0,     0,   370,   370,   370,     0,
       0,   666,   945,     0,     0,     0,     0,   946,     0,     0,
       0,     0,     0,   947,     0,   668,     0,     0,     0,     0,
       0,     0,  1920,     0,     0,   666,   668,     0,   948,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
       0,     0,     0,     0,     0,  3563,     0,     0,  3717,     0,
       0,  2199,   667,     0,  2200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1920,  1920,     0,  1920,     0,     0,
       0,  2201,     0,     0,   949,     0,     0,  1922,     0,  2203,
    1928,     0,     0,     0,     0,  2204,     0,     0,     0,     0,
       0,  1928,     0,     0,     0,     0,     0,     0,   668,     0,
       0,     0,     0,     0,     0,   950,     0,  2199,   816,  2205,
    2200,     0,     0,     0,   816,   951,     0,     0,     0,     0,
       0,  2975,     0,  1920,     0,  1920,     0,  2201,     0,     0,
     667,     0,     0,   853,     0,  2203,     0,   370,     0,   712,
       0,  2204,     0,     0,     0,     0,  2995,     0,     0,  3795,
       0,  3797,   668,     0,   668,     0,     0,     0,     0,     0,
     952,     0,     0,     0,   953,  2205,   954,     0,     0,     0,
       0,     0,   955,     0,     0,   956,     0,   712,     0,  1920,
       0,  4561,     0,  3008,     0,  3011,     0,     0,     0,     0,
       0,     0,     0,  4571,     0,     0,     0,     0,   712,     0,
     666,   957,     0,   958,  1920,  3830,  1928,   959,     0,     0,
    2206,     0,     0,     0,  2207,   960,  1015,   668,     0,     0,
     961,  1581,     0,  4855,     0,  1920,     0,     0,     0,  1016,
    3844,     0,   962,  4855,  1928,  2208,  2209,  1024,  1920,     0,
       0,     0,     0,     0,     0,   963,     0,   668,     0,     0,
    1928,  2199,  2210,  1035,  2200,  1015,     0,     0,     0,  1056,
       0,     0,     0,     0,   668,     0,  2206,     0,     0,  1086,
    2207,  2201,     0,     0,   666,     0,     0,  1091,  2211,  2203,
       0,  2212,     0,     0,   668,  2204,     0,  4898,     0,     0,
       0,  2208,  2209,     0,  2213,     0,  1928,  2214,     0,     0,
       0,     0,  1920,     0,     0,     0,     0,     0,  2210,  2205,
       0,     0,     0,     0,     0,     0,   666,     0,  1920,   666,
       0,     0,     0,     0,     0,     0,     0,     0,  3175,     0,
       0,  1920,     0,     0,  2211,     0,     0,  2212,     0,     0,
       0,     0,   369,     0,     0,     0,     0,     0,     0,     0,
    2213,     0,     0,  2214,     0,     0,     0,  3980,  1922,   370,
       0,     0,   667,  1922,  1922,     0,     0,     0,     0,     0,
       0,  2215,     0,     0,   667,  1922,  4956,     0,     0,     0,
       0,     0,     0,     0,  2199,     0,     0,  2200,     0,     0,
       0,     0,     0,     0,     0,     0,   816,   816,   816,     0,
       0,  3194,     0,  1920,  2201,     0,     0,     0,     0,     0,
    2206,     0,  2203,     0,  2207,   666,  3215,     0,  2204,     0,
       0,     0,     0,  1920,     0,     0,   666,  2215,   667,  4023,
       0,     0,     0,     0,     0,  2208,  2209,     0,     0,     0,
       0,     0,  2205,     0,     0,     0,     0,     0,  1920,  4029,
    1928,     0,  2210,     0,     0,     0,     0,     0,     0,     0,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,     0,     0,  4051,  2916,     0,     0,  2211,     0,
       0,  2212,     0,     0,  1920,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2213,     0,     0,  2214,   666,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2112,     0,     0,     0,     0,  1922,     0,  2216,  2217,  2218,
       0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,     0,
       0,  3869,     0,     0,     0,   668,     0,   816,     0,     0,
       0,     0,     0,  2206,     0,     0,     0,  2207,     0,     0,
       0,   667,   666,     0,   666,  3374,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1928,     0,  2208,  2209,
       0,  2215,     0,     0,   370,     0,     0,     0,   370,     0,
     370,     0,     0,     0,     0,  2210,     0,     0,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,  1778,     0,     0,
       0,     0,     0,  1779,     0,     0,     0,     0,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,   666,     0,   668,
       0,     0,   668,     0,     0,     0,     0,  2213,     0,     0,
    2214,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1780,     0,     0,   667,   666,   667,     0,
       0,     0,  2199,     0,     0,  2200,   370,     0,     0,     0,
       0,  2216,  2217,  2218,   666,  2219,  2220,  2221,  2222,  2223,
    2224,     0,  2201,     0,  1928,  4024,     0,   712,     0,  1920,
    2203,     0,     0,     0,   666,     0,  2204,     0,     0,  1922,
       0,     0,  1781,     0,     0,     0,     0,  1928,     0,  1782,
       0,     0,  1783,     0,  2215,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     369,     0,   667,  1778,     0,     0,   668,  1928,     0,  1779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1784,     0,     0,     0,   816,
       0,     0,     0,     0,     0,     0,     0,  1928,     0,  1780,
       0,  1928,  1928,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,   668,     0,     0,     0,  4071,     0,
       0,  2206,  1785,     0,  1786,  2207,     0,     0,  1781,     0,
       0,     0,     0,  1920,  1787,  1782,     0,     0,  1783,     0,
       0,     0,  1788,     0,     0,     0,  2208,  2209,     0,     0,
       0,  1789,     0,     0,     0,     0,     0,     0,     0,  4366,
       0,     0,     0,  2210,     0,     0,     0,     0,     0,  1920,
    3599,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3739,     0,     0,     0,  1791,  2211,
     369,  1784,  2212,  1183,  1189,  1189,   712,     0,  1189,     0,
    1197,     0,  1183,     0,  1086,  2213,     0,  1222,  2214,     0,
       0,     0,  1086,  3740,  1086,     0,     0,     0,  1189,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,  1086,     0,  1183,     0,     0,  1189,     0,
     712,     0,  1189,     0,     0,   666,     0,  1778,  1785,  1222,
    1786,     0,  1308,  1779,     0,     0,     0,     0,     0,  1189,
    1787,     0,     0,     0,     0,     0,     0,     0,  1788,     0,
       0,  1793,     0,     0,     0,     0,     0,  1789,     0,     0,
       0,  1920,  2215,     0,   816,     0,     0,     0,   816,     0,
     816,  1183,  1920,  1780,     0,     0,   712,     0,     0,     0,
       0,  1183,     0,     0,     0,  1222,     0,     0,  1922,     0,
    3781,     0,     0,     0,  1791,     0,     0,     0,  2112,     0,
    1189,     0,     0,     0,     0,     0,   370,     0,     0,   666,
       0,     0,   666,     0,     0,     0,     0,     0,     0,  3782,
     667,     0,  1781,     0,     0,     0,   668,     0,     0,  1782,
    1922,  1922,  1783,  1922,     0,     0,     0,     0,   668,     0,
       0,     0,     0,     0,     0,     0,   816,     0,     0,     0,
       0,     0,  2216,  2217,  2218,  1086,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0,     0,  4150,     0,  1086,  1456,
       0,     0,     0,     0,     0,     0,     0,  1793,     0,     0,
       0,   667,     0,     0,     0,  1784,     0,  1920,     0,  1922,
       0,  1922,   668,     0,     0,  1563,     0,     0,     0,   712,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4539,     0,  1920,   666,     0,  1086,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
    1563,  1920,     0,     0,     0,     0,     0,     0,     0,     0,
    1086,  4553,  1785,     0,  1786,  1922,     0,     0,     0,     0,
       0,     0,  1086,     0,  1787,     0,     0,  4566,     0,     0,
       0,     0,  1788,   369,     0,  2199,     0,     0,  2200,     0,
    1922,  1789,     0,     0,     0,     0,     0,  1920,     0,     0,
       0,     0,     0,     0,     0,  2201,     0,     0,     0,     0,
       0,  1922,     0,  2203,   666,     0,     0,     0,     0,  2204,
       0,     0,     0,  4583,  1922,     0,     0,     0,  1791,     0,
     369,     0,     0,     0,     0,   668,  1930,     0,   369,     0,
       0,     0,     0,  2205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1792,  1086,     0,     0,  3913,  3914,     0,
       0,  1086,     0,  1189,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,  3923,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3931,  1922,     0,
       0,     0,     0,     0,     0,     0,  3940,     0,     0,     0,
       0,     0,     0,     0,  1922,     0,     0,  1183,     0,     0,
    3956,  1793,     0,     0,     0,     0,     0,  1922,  1183,     0,
       0,     0,  1222,     0,     0,  2199,     0,     0,  2200,     0,
     668,     0,   668,     0,     0,  1189,     0,     0,     0,     0,
       0,     0,     0,     0,  2206,  2201,     0,     0,  2207,     0,
    1086,  1920,     0,  2203,     0,     0,  1189,  1189,     0,  2204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2208,
    2209,     0,  1086,  1086,  1086,     0,  1189,  2112,  1183,     0,
       0,  1581,  1988,  2205,     0,     0,  2210,     0,     0,  1922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1930,
       0,     0,     0,     0,   370,     0,   668,     0,     0,  1922,
       0,  1189,  2211,  1189,  1189,  2212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   816,     0,  2213,     0,
       0,  2214,     0,     0,  1922,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   666,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   666,  2199,
       0,     0,  2200,     0,     0,     0,     0,  1920,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,  2201,
       0,     0,     0,     0,  2206,  2087,  2087,  2203,  2207,     0,
    1086,     0,  1015,  2204,     0,     0,     0,     0,     0,     0,
    4096,  4097,  4098,     0,     0,  2215, -2139,  1086,     0,  2208,
    2209,     0,   666,     0,     0,  2122,     0,  2205,  1086,     0,
       0,  2128,     0,     0,     0,     0,  2210,     0,     0,     0,
       0,     0,     0,  1563,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2211, -2139,     0,  2212,     0,     0,     0,     0,
       0,     0,  1563,     0,   370, -2139,     0,     0,  2213, -2139,
       0,  2214,     0,     0, -2139,  1920,     0,     0,     0, -2139,
       0,     0, -2139,     0, -2139,     0,     0,     0,     0,     0,
    1563,  1563,     0,  1563,     0,  2216,  2217,  2218,  1920,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,  4177,
    1563, -2139,     0,     0,     0,     0,     0,     0,  2206,     0,
       0,     0,  2207,     0,  2112,     0,     0,     0,  1920,     0,
     712,   712,     0, -2139,     0,   666,     0,     0,     0,     0,
       0,     0,     0,  2208,  2209,  2215,     0,     0,     0,     0,
       0,     0,     0,     0,  3830,     0,     0,     0,     0,  1086,
    2210,     0,  1563,     0,     0,  1922,     0,     0,  1920,  1930,
   -2139,     0,  1920,  1920,     0,     0,     0,     0, -2139,     0,
       0,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,  1563,     0,     0,  2112,  1563,  1563,     0,  2112,  2112,
       0,     0,  2213,     0,     0,  2214,  1086,  1086,  2338,     0,
       0,     0,     0,     0,   668,     0,     0,     0,     0,     0,
       0,     0,     0,  2490,     0, -2139,     0,     0,     0,     0,
     666,     0,   666,     0,   712,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,  4434,
       0,     0,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1019,     0,     0,     0,     0,   668,     0,     0,     0,  2215,
       0,     0,  4327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2139,     0,     0,     0,     0,     0,
       0,  4353,     0,     0,   816,     0,   666,     0,     0,  1922,
       0,     0,     0,     0,     0,     0,     0, -2139,     0, -2139,
   -2139,     0,     0,     0,     0,  1930,     0,     0,  4370,     0,
       0,     0,  1086,  2498,     0,     0,     0,     0,     0,  1086,
       0,     0,  1189,     0,  1930,  1922,     0,     0,     0,     0,
       0,     0, -2139,     0,     0, -2139, -2139,   370, -2139,  1222,
       0,     0,  1930,     0,     0,  1086,     0,     0,  1086,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
       0,     0,     0,  4468,     0,     0,     0,     0,  1086,     0,
    1930,     0,     0,     0,     0,     0,  1189,  1189,  1189,  1189,
    1086,     0,     0,     0,   370,     0,     0,     0,     0,     0,
       0,     0,   370,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2606,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1189,  1189,
       0,     0,     0,     0,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,  1930,     0,     0,     0,  1922,     0,     0,
       0,     0,     0,     0,   816,     0,     0,     0,  1922,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
       0,     0,  4469,  4470,  4471,  4472,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1189,  1189,  1189,  1189,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,  1086,     0,     0,  2606,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1183,     0,     0,     0,     0,     0,     0,   712,
       0,  1183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1222,     0,     0,     0,     0,  1189,     0,     0,     0,
    1188,  1190,     0,  1922,  1193,  1189,  1195,     0,     0,     0,
       0,  1189,  1189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,  1086,     0,     0,     0,     0,
       0,  1922,     0,     0,   666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1287,     0,     0,  1922,  1290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2087,
       0,     0,     0,     0,     0,  1313,  1189,     0,  1183,     0,
    1930,     0,  1086,  1086,     0,  1189,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1922,     0,   666,     0,     0,  1015,  1015,
       0,     0,  2827,     0,     0,  2988,  1563,  1563,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,  1563,     0,     0,
       0,  1563,     0,     0,     0,     0,     0,     0,     0,  1563,
    1563,     0,  2199,     0,     0,  2200,     0,  1563,     0,  1222,
    1563,  1563,  1563,  1563,     0,     0,     0,     0,     0,     0,
    1563,  1563,  2201,  1563,     0,  1563,  1563,     0,     0,  1563,
    2203,     0,     0,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1563,   816,     0,     0,
    1189,  1563,     0,     0,     0,  1563,     0,     0,     0,  1563,
    2205,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,
       0,  1563,  2199,     0,     0,  2200,  1086,  1563,     0,     0,
    1563,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2201,     0,   816,     0,  4669,     0,     0,     0,
    2203,  1086,   816,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
    1086,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,  3040,     0,  3047,     0,  2208,  2209,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2199,  2210,     0,  2200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3161,  2201,     0,     0,     0,  2490,  3168,     0,  2211,
    2203,  2206,  2212,  1922,     0,  2207,  2204,     0,  1930,  1800,
    1801,     0,     0,     0,     0,  2213,     0,   712,  2214,     0,
       0,     0,  1015,     0,  1015,     0,  2208,  2209,     0,     0,
    2205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1563,     0,  2210,     0,     0,     0,     0,     0,     0,
       0,     0,  1183,     0,  1189,  1189,  1189,     0,     0,  1183,
       0,  1222,     0,  1189,     0,  1189,     0,  1189,  1189,  2211,
       0,  1086,  2212,     0,     0,     0,  4789,     0,     0,     0,
       0,  1890,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,     0,  2215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1948,  1949,     0,     0,     0,     0,     0,  2498,
       0,  1922,     0,  1581,     0,  3176,     0,     0,     0,     0,
    3185,     0,  1980,     0,     0,     0,  1086,     0,     0,     0,
       0,  2206,     0,     0,  1922,  2207,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,  3220,  3220,     0,  1930,     0,
       0,     0,   712,     0,     0,     0,  2208,  2209,     0,  2013,
    2015,     0,  2215,     0,  1922,     0,     0,     0,     0,  1189,
       0,     0,     0,  2210,     0,     0,     0,     0,     0,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0,  3278,  4695,  3281,  3283,  2211,
       0,     0,  2212,     0,  1922,     0,     0,  4879,  1922,  1922,
       0,     0,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,     0,     0,  2490,     0,  1189,     0,     0,     0,     0,
       0,     0,     0,  1189,     0,     0,     0,     0,  1189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1563,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0, -2141,  4737,     0,     0,     0,
       0,     0,     0,     0,     0,  2498,     0,     0,  3220,     0,
    1086,     0,  3376,     0,     0,  1015,     0,     0,     0,     0,
       0,     0,  2215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3278, -2141,     0,     0,     0,     0,     0,     0,  1189,
    3401,     0,  1930,     0, -2141,     0,     0,     0, -2141,     0,
       0,     0,  1988, -2141,     0,     0,     0,  2199, -2141,     0,
    2200, -2141,     0, -2141,     0,     0,     0,     0,     0,  1189,
       0,  1189,  3220,  1189,  3220,     0,     0,  2201,     0,     0,
       0,     0,     0,     0,     0,  2203,     0,     0,     0,     0,
   -2141,  2204,     0,     0,     0,     0,  1563,     0,     0,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224, -2141,     0,     0,  2205,  4791,  2087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2141,
       0,     0,     0,     0,     0,     0,     0, -2141,     0,     0,
       0,     0,     0,  1183,     0,     0,     0,     0,     0,  1183,
       0,     0,     0,  2199,     0,     0,  2200,     0,     0,     0,
    1189,     0,     0,     0,     0,     0,  1563,  1563,     0,     0,
       0,     0,  1563,  2201,     0,     0,     0,     0,     0,     0,
       0,  2203,     0,     0, -2141,     0,     0,  2204,     0,  2988,
    2988,  2988,     0,     0,     0,     0,  2206,  1563,  1563,     0,
    2207,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,  2205,     0,     0,  1563,  1563,  1563,  1563,     0,     0,
       0,  2208,  2209,     0,     0,     0,     0,  1563,     0,  1019,
    1563,     0,  1563,  3567,     0,     0,     0,     0,  2210,     0,
       0,     0,  1563,  1563,     0,     0,  1563,     0,     0,     0,
       0,     0,     0, -2141,     0,     0,     0,     0,     0,  1563,
       0,  1563,     0,  1222,  2211,  1563,     0,  2212,     0,     0,
       0,     0,     0,     0,     0,     0, -2141,     0, -2141, -2141,
    2213,  1563,     0,  2214,     0,  1086,     0,     0,  2513,     0,
       0,     0,  3613,     0,  1563,  1563,  1563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2141,  2206,     0, -2141, -2141,  2207, -2141,  1563,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1563,  1930,     0,     0,     0,  1563,     0,  2208,  2209,     0,
       0,  1563,  2575,  2576,  2577,  2578,     0,     0,     0,  3613,
       0,     0,  3671,     0,  2210,     0,  3047,  2215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2490,  3168,     0,  3168,     0,     0,     0,
    2211,     0,     0,  2212,  2614,  2615,     0,     0,     0,     0,
    2624,     0,     0,     0,     0,     0,  2213,     0,     0,  2214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
       0,  3220,     0,     0,     0,     0,  2087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2154,     0,
       0,     0,  1930,     0,  1930,  2648,     0,     0,     0,     0,
       0,     0,  1189,     0,  1189,  1189,  1189,  2216,  2217,  2218,
       0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,     0,
       0,  5000,  2683,  2684,  2685,  2686,     0,     0,     0,     0,
       0,     0,     0,  2215,     0, -2154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2154,  1930,     0,
       0, -2154,     0,     0,     0,     0, -2154,     0,     0,     0,
       0, -2154,     0,     0, -2154,     0, -2154,     0,     0,     0,
       0,     0,     0,  1930,     0,     0,     0,     0,     0,     0,
       0,     0,  2745,     0,     0,     0,     0,     0,     0,     0,
       0,  2749,     0, -2154,  3168,     0,     0,     0,  2756,     0,
       0,     0,     0,     0,     0,     0,     0,  3168,     0,     0,
       0,     0,     0,     0,     0, -2154,     0,     0,     0,  2199,
       0,     0,  2200,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,     0,     0,  5089,     0,  2201,
       0,     0,     0,  3016,     0,     0,     0,  2203,     0,     0,
       0,     0, -2154,  2204,     0,     0,     0,     0,     0,     0,
   -2154,     0,     0,   824,     0,     0,     0,     0,     0,     0,
       0,  1930,     0,     0,     0,     0,     0,  2205,     0,     0,
       0,     0,  3220,  3220,     0,     0,     0,  3168,     0,     0,
       0,     0,     0,     0,     0,  2199,     0,     0,  2200,     0,
    1930,     0,     0,     0,     0,  3876,     0, -2154,   824,     0,
       0,     0,     0,     0,     0,  2201,     0,     0,     0,     0,
       0,     0,  3017,  2203,     0,     0,     0,     0,     0,  2204,
       0,     0,  1086,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,  1019,  2205,     0,  1047,     0,     0,     0,     0,
       0,  2087,  1086,  1047,     0,  1047,  2929,     0,     0,     0,
    2087,  1086,  1930,     0,     0,     0, -2154,   824,  2206,     0,
       0,     0,  2207,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,  1930,     0,     0,     0,     0,     0,     0, -2154,
     712, -2154, -2154,  2208,  2209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1189,     0,  1930,  1189,     0,
    2210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2154,  1183,     0, -2154, -2154,     0,
   -2154,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,     0,     0,  1930,  2206,     0,  1086,     0,  2207,     0,
       0,     0,  2213,     0,     0,  2214,  1189,     0,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,     0,     0,  2208,
    2209,     0,     0,     0,  1563,     0,     0,     0,     0,     0,
    1563,     0,  1563,     0,  2988,     0,  2210,     0,  1563,     0,
       0,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,
    1563,     0,     0,     0,  1563,  1563,     0,     0,     0,     0,
       0,     0,  2211,     0,     0,  2212,     0,  1563,     0,     0,
       0,  1563,     0,     0,     0,  1563,     0,     0,  2213,  2215,
       0,  2214,     0,     0,     0,  1563,     0,     0,  1563,     0,
    1563,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
    1563,  1563,     0,     0,     0,  1563,     0,     0,  1563,     0,
       0,     0,     0,     0,     0,  1086,  1086,  1086,  1183,  3613,
    4107,     0,     0,     0,  4107,  4121,     0,     0,     0,  1563,
    3018,     0,     0,     0,     0,  4135,     0,  1563,     0,  1563,
    3122,  3123,  3124,     0,     0,     0,     0,     0,     0,  3134,
       0,  3136,     0,  3138,  3139,  2215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
       0,  1563,     0,     0,     0,     0,     0,  1563,  3168,     0,
       0,  3047,     0,  1563,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4183,  2087,
    2087,     0,  2606,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1189,  1189,  1189,  1189,     0,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,  3246,     0,  4145,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4226,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3304,     0,     0,     0,     0,     0,     0,     0,  3313,
       0,     0,     0,     0,  3314,     0,     0,     0,     0,     0,
       0,     0,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4287,     0,     0,     0,  2199,     0,     0,  2200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2490,     0,
       0,     0,     0,     0,  2201,     0,     0,     0,     0,     0,
       0,     0,  2203,     0,     0,     0,     0,     0,  2204,  3876,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,  3399,     0,     0,  1189,     0,
    1563,     0,  2205,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,  4358,     0,     0,     0,     0,     0,     0,     0,
       0,  2498,     0,     0,     0,     0,     0,  3435,     0,  3437,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,  3278,     0,     0,     0,     0,     0,  4387,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,  1563,     0,     0,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1930,  3539,     0,     0,     0,     0,  3540,     0,  3220,
       0,  3220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2206,     0,     0,   824,  2207,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,  2988,  1185,     0,  1563,     0,  2988,  2208,  2209,
       0,     0,     0,     0,     0,     0,  3492,     0,     0,  2988,
       0,     0,     0,     0,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,  2211,  1563,  1563,  2212,     0,     0,     0,     0,     0,
    1563,  1563,     0,     0,     0,  1563,     0,  2213,     0,     0,
    2214,  1563,  1563,     0,     0,  1563,  1930,  1086,  1086,  1086,
    1086,     0,     0,     0,  4107,  4121,  4107,     0,     0,  4476,
       0,     0,  1185,  3613,     0,     0,     0,  3613,     0,     0,
       0,     0,  1185,  4489,  1930,     0,     0,  1563,     0,     0,
       0,     0,  1563,     0,     0,     0,     0,     0,  4499,     0,
    1930,     0,     0,     0,  1563,     0,     0,     0,     0,     0,
       0,     0,     0,  1222,     0,     0,     0,     0,     0,     0,
       0,  3671,     0,     0,  2215,  3047,     0,     0,     0,     0,
       0,     0,     0,  1923,  2199,     0,     0,  2200,     0,     0,
    1015,     0,     0,  1563,     0,     0,  1930,     0,     0,     0,
       0,     0,     0,     0,  2201,     0,     0,     0,     0,     0,
       0,     0,  2203,  3220,  3220,     0,     0,     0,  2204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4552,     0,     0,
       0,     0,  2205,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1047,     0,     0,     0,  1047,     0,     0,     0,
       0,     0,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,     0,
       0,  1185,  1189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1189,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4667,     0,     0,     0,     0,     0,     0,
       0,  5063,     0,     0,     0,     0,     0,     0,  3720,     0,
    3721,  3722,  3723,     0,     0,  3876,  3876,  3876,  3876,  3876,
       0,     0,     0,  2206,     0,     0,  1923,  2207,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
       0,     0,     0,     0,     0,     0,     0,     0,  2208,  2209,
    1183,     0,     0,     0,     0,  2498,     0,     0,     0,     0,
       0,     0,  2087,     0,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,  1189,  2498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,     0,     0,     0,
       0,  1086,     0,  4673,     0,     0,     0,  2213,     0,     0,
    2214,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,  5064,     0,  1185,
       0,  1563,     0,     0,  2199,     0,     0,  2200,     0,     0,
    1563,     0,     0,     0,     0,     0,  3168,     0,     0,     0,
       0,     0,  1931,     0,  2201,     0,     0,  1563,  1563,     0,
       0,  1563,  2203,     0,     0,     0,     0,     0,  2204,     0,
    4107,     0,     0,     0,  3613,     0,     0,     0,     0,  3613,
       0,     0,  3613,  3278,  2215,  4717,     0,  1563,  1563,  1185,
       0,     0,  2205,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4183,  1222,  1189,  1189,  1189,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3168,     0,     0,     0,  1185,  1183,
    1222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,  2217,  2218,  1930,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2206,     0,     0,  1923,  2207,  2087,     0,
       0,     0,  1183,     0,     0,     0,     0,  1930,     0,     0,
       0,  1086,     0,     0,     0,  1931,     0,     0,  2208,  2209,
       0,  3989,  4358,     0,  3990,     0,     0,     0,     0,  3220,
       0,     0,     0,  2498,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,  4387,     0,  1930,  1086,     0,
    1923,  1930,  1930,     0,     0,     0,  1189,  4183,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,     0,     0,     0,
       0,     0,  4016,  1185,     0,     0,     0,  2213,     0,  1923,
    2214,  1563,     0,     0,  1563,     0,  1563,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,  4063,
       0,  1185,  1185,  1563,  1185,     0,     0,  3613,     0,     0,
    4717,     0,     0,     0,     0,     0,  4866,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,  4667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1189,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1923,     0,  2215,     0,     0,     0,     0,     0,
    1189,  1189,  1189,  1189,  2199,     0,     0,  2200,  4064,     0,
       0,  1923,     0,  1185,   824,  2087,     0,     0,     0,     0,
       0,     0,     0,     0,  2201,     0,     0,  3502,     0,  1923,
       0,     0,  2203,  1183,     0,     0,     0,     0,  2204,     0,
       0,  2199,  1185,     0,  2200,     0,  1185,  1185,     0,     0,
       0,     0,  1563,  2199,     0,     0,  2200,  1923,     0,     0,
       0,  2201,  2205,     0,     0,     0,     0,     0,     0,  2203,
       0,     0,     0,  2201,     0,  2204,  3547,     0,     0,     0,
       0,  2203,     0,     0,  2216,  2217,  2218,  2204,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,  2205,
       0,     0,  1563,     0,     0,     0,     0,     0,  1189,     0,
    1222,  2205,     0,     0,     0,     0,     0,     0,     0,  1563,
    1923,     0,     0,     0,     0,  1931,     0,     0,     0,     0,
       0,   824,     0,     0,     0,     0,     0,     0,  1047,     0,
       0,     0,     0,     0,     0,     0,  4200,  4201,  4202,  4203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
       0,     0,     0,  2206,  1183,     0,     0,  2207,     0,     0,
       0,  1047,     0,     0,     0,  4183,     0,     0,     0,  1931,
       0,     0,     0,     0,  4673,     0,     0,     0,  2208,  2209,
       0,     0,     0,  4866,     0,     0,  1563,  1563,     0,     0,
    2206,     0,     0,  1925,  2207,  2210,     0,     0,  1931,  1183,
       0,     0,  2206,     0,     0,     0,  2207,  1189,     0,     0,
       0,     0,     0,     0,     0,  2208,  2209,     0,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,  2208,  2209,     0,
       0,     0,  2210,     0,     0,     0,     0,  2213,     0,     0,
    2214,  1563,     0,     0,  2210,     0,     0,  1925,     0,     0,
       0,  1563,  1047,     0,     0,     0,  1189,     0,  2211,     0,
       0,  2212,     0,     0,     0,     0,     0,     0,     0,     0,
    2211,  1931,     0,  2212,  2213,     0,  1925,  2214,     0,     0,
       0,     0,     0,     0,     0,     0,  2213,     0,     0,  2214,
    1931,  3517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4345,     0,     0,  1923,  1931,     0,
       0,     0,     0,  1563,  2215,     0,     0,     0,     0,     0,
       0,     0,  1183,     0,     0,     0,     0,     0,     0,     0,
       0,   824,     0,     0,     0,     0,  1931,     0,  2199,     0,
       0,  2200,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,  2215,     0,     0,     0,     0,     0,     0,  2201,     0,
       0,     0,     0,  2215,     0,     0,  2203,     0,  1925,     0,
       0,     0,  2204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,  2205,     0,     0,  1931,
       0,     0,  1185,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,  1925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,  3552,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,  2206,     0,     0,
       0,  2207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2208,  2209,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,  1185,  2210,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
    1185,  1185,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,  1185,  1185,  1185,  1185,  2211,     0,     0,  2212,     0,
       0,  1185,  1185,     0,  1185,     0,  1185,  1185,     0,     0,
    1185,  2213,     0,     0,  2214,     0,     0,     0,  1923,     0,
       0,     0,     0,  1923,  1923,     0,  1931,  1185,   824,     0,
       0,  2199,  1185,     0,  2200,  1923,  1185,     0,     0,     0,
    1185,     0,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  2201,  1185,     0,  3558,     0,     0,     0,  1185,  2203,
       0,  1185,     0,     0,     0,  2204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2215,  2205,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,     0,  4577,     0,
       0,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,     0,  4580,  1185,     0,     6,     7,     0,     0,     0,
       0,     8,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,    36,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,  1923,    45,     0,  2216,  2217,
    2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,
    2206,     0,     0,     0,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2208,  2209,     0,     0,     0,
    4646,     0,     0,   824,    46,  2199,     0,     0,  2200,     0,
       0,     0,  2210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2201,     0,     0,     0,     0,
    1923,     0,  1185,  2203,     0,     0,     0,     0,  2211,  2204,
       0,  2212,     0,  1185,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,     0,  2205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,     0,     0,
       0,  1047,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,    48,  1931,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
     824,     0,     0,   824,     0,     0,     0,     0,     0,  1923,
       0,  2215,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4742,  4744,
    4744,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2206,  1925,     0,     0,  2207,    51,
    1925,  1925,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,    53,     0,  2208,
    2209,     0,     0,     0,     0,     0,     0,  1045,     0,     0,
       0,     0,     0,     0,     0,  1045,  2210,  1045,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,  2211,     0,     0,  2212,     0,     0,     0,     0,
       0,     0,  1185,     0,  1931,     0,     0,     0,  2213,     0,
       0,  2214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   824,    54,     0,     0,     0,     0,     0,  2199,     0,
       0,  2200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4832,     0,     0,     0,     0,     0,  2201,     0,
       0,  4070,     0,     0,     0,     0,  2203,     0,     0,     0,
       0,     0,  2204,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,  1931,
       0,     0,  1925,     0,     0,  2215,  2205,     0,     0,     0,
       0,     0,     0,    57,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4020,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,  4876,    59,     0,  1185,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,    67,    68,
       0,    69,    70,    71,    72,    73,     0,  4895,     0,  4897,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2216,  2217,  2218,  1931,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,  2206,     0,     0,
       0,  2207,     0,     0,  1185,     0,     0,     0,  1923,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2208,  2209,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,  2210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,  1923,     0,  1923,     0,     0,     0,     0,  1185,  1185,
       0,     0,     0,  1185,  4744,  2211,  1925,     0,  2212,     0,
       0,     0,     0,     0,     0,  1185,  1185,  1185,  1185,     0,
       0,  2213,     0,   824,  2214,     0,     0,     0,  1185,   824,
       0,  1185,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,  1185,  2199,     0,  1185,  2200,  1923,
       0,  1923,     0,     0,     0,  4997,     0,     0,     0,     0,
    1185,     0,  1185,     0,     0,  2201,  1185,     0,     0,     0,
       0,     0,     0,  2203,     0,     0,     0,     0,     0,  2204,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,  1185,  1185,  1185,  2215,     0,
       0,     0,     0,  2205,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,  5033,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,  1185,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
    1185,  1923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5070,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2216,  2217,
    2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,
       0,     0,     0,     0,  2206,     0,     0,     0,  2207,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,  2208,
    2209,     0,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,  1923,     0,  2210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,     0,   880,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   881,  2211,     0,     0,  2212,     0,     0,     0,  1931,
    1931,     0,  1931,     0,     0,     0,     0,     0,  2213,     0,
       0,  2214,   882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   883,     0,     0,     0,     0,
       0,   824,   824,   824,   884,  1925,     0,     0,  -736,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1923,
       0,     0,     0,     0,     0,   885,  1181,     0,  1931,     0,
    1931,   886,     0,     0,     0,  1181,     0,     0,     0,  1923,
       0,     0,     0,     0,     0,     0,   887,  1925,  1925,     0,
    1925,     0,     0,     0,     0,  2215,     0,   888,     0,     0,
       0,     0,     0,     0,  1923,   889,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,   890,     0,     0,     0,
       0,     0,     0,   891,  1931,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,     0,  -938,     0,     0,     0,  1925,     0,  1925,  1931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,   893,   824,  1931,     0,  2216,  2217,  2218,  -501,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
       0,     0,   895,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1931,  1925,     0,
       0,     0,     0,     0,     0,     0,  -398,     0,     0,     0,
       0,  1925,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   896,     0,  1931,     0,     0,     0,
     897,     0,     0,     0,     0,     0,  -398,     0,  1181,   898,
       0,     0,     0,     0,  1045,     0,     0,     0,  1045,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,  -398,     0,   899,   900,     0,
     901,   902,     0,  1181,     0,  1925,     0,     0,     0,   903,
       0,     0,     0,     0,   904,  1923,     0,     0,     0,     0,
     905,  1925,     0,   906,     0,  1185,   907,     0,  1931,     0,
       0,     0,     0,     0,  1925,  1185,     0,     0,     0,  -398,
       0,  1185,     0,  1185,     0,     0,     0,     0,  1931,  1185,
       0,     0,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,     0,     0,     0,  1185,  1185,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,  1185,     0,
       0,     0,  1185,     0,   824,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,  1185,
       0,  1185,     0,     0,     0,     0,  1925,     0,     0,  1931,
    1185,  1185,  1185,     0,     0,     0,  1185,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,  1185,
    1185,     0,     0,     0,     0,     0,     0,     0,   838,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
    1185,  1925,     0,     0,     0,     0,     0,     0,     0,  1923,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   839,     0,     0,  1925,     0,     0,
       0,     0,  1185,     0,  1929,  1923,     0,   840,  1185,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   841,     0,     0,     0,     0,     0,
     842,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,  1181,     0,     0,     0,   843,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   844,     0,     0,     0,
       0,     0,     0,     0,   845,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   846,     0,     0,     0,     0,
     847,     0,     0,     0,     0,     0,   848,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   849,     0,     0,     0,     0,     0,     0,     0,   824,
    1181,     0,     0,   824,  1931,   824,     0,  1923,     0,     0,
       0,     0,     0,     0,     0,     0,   850,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   824,  1925,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   853,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,  1185,     0,   854,     0,     0,     0,   855,     0,   856,
       0,     0,     0,  1923,     0,   857,     0,     0,   858,     0,
       0,     0,     0,  1181,  1181,     0,  1181,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,  1181,   859,     0,   860,     0,     0,     0,
     861,     0,     0,     0,     0,     0,     0,  1923,   862,     0,
       0,     0,     0,   863,  1931,  1185,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,   864,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   865,     0,
       0,     0,     0,     0,  1252,  1181,     0,     0,     0,     0,
       0,     0,     0,  1923,     0,     0,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,  1185,  1253,  1181,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1254,  1255,  1925,     0,     0,     0,     0,     0,     0,  1256,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  1185,  1185,     0,  1931,     0,     0,     0,
       0,  1185,  1185,     0,     0,     0,  1185,  1931,     0,     0,
       0,  1259,  1185,  1185,     0,     0,  1185,     0,     0,     0,
       0,     0,  1260,     0,     0,     0,     0,  1929,     0,     0,
    1261,     0,     0,     0,  1185,     0,     0,     0,  1185,     0,
    1045,  1262,     0,     0,     0,     0,  1263,     0,  1185,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,  1264,     0,     0,
       0,     0,     0,  1045,  1925,     0,     0,  1923,     0,     0,
       0,  1929,     0,     0,     0,  1925,     0,     0,     0,     0,
       0,     0,  1265,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
    1929,     0,     0,  1266,     0,     0,     0,     0,     0,     0,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   824,     0,     0,  1267,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1045,     0,  1931,     0,     0,     0,
       0,     0,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1923,     0,     0,     0,     0,     0,  1268,
    1925,     0,  1929,  1269,     0,  1270,     0,     0,     0,     0,
       0,  1271,  1931,     0,  1272,     0,     0,     0,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1273,     0,  1274,     0,  1925,     0,  1275,     0,  1929,     0,
       0,     0,     0,     0,  1276,     0,     0,     0,     0,  1277,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,  1278,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,  1929,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,  1931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,  1931,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,  1185,
       0,     0,  1185,     0,  1923,     0,     0,     0,  1923,  1923,
       0,  1181,     0,     0,     0,  1185,     0,     0,     0,     0,
    1185,     0,     0,  1185,     0,     0,     0,     0,  1185,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,     0,     0,  1925,     0,     0,  1181,     0,     0,
    1181,  1185,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,  1181,  1181,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,  1181,  1181,  1181,  1181,     0,     0,     0,
       0,     0,  1931,  1181,  1181,     0,  1181,     0,  1181,  1181,
    1185,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,  1181,
       0,     0,     0,     0,  1181,     0,     0,     0,  1181,   824,
       0,     0,  1181,     0,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1185,  1181,     0,     0,     0,     0,     0,
    1181,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,  1185,  1931,     0,  1185,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,  1185,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   824,
       0,     0,     0,  1931,     0,     0,     0,  1931,  1931,     0,
       0,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,  1181,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,  1931,     0,  1925,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1045,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,  1185,  1929,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,  1181,     0,  1929,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,   824,
       0,  1929,     0,  1185,     0,     0,     0,   824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,     6,     7,     0,     0,  1926,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
    1929,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,   720,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,     0,     0,
    1181,  1181,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,  1181,  1181,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,   720,  1181,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,   923,  1181,  1181,   720,  1926,  1181,
      47,     0,     0,   923,     0,     0,     0,   720,     0,     0,
       0,     0,  1181,     0,  1181,     0,     0,    48,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,    49,     0,     0,
       0,     0,     0,   923,     0,  1181,     0,  1181,  1181,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,  1100,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,  1181,    51,     0,     0,    52,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    54,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      55,  1929,  1929,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
    1929,    59,  1929,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1381,     0,     0,     0,     0,    71,
    1382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1926,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1926,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   923,   923,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,  1181,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,  1181,     0,  1181,     0,     0,     0,     0,
    1929,  1181,     0,     0,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,     0,     0,     0,  1181,  1181,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
    1181,     0,     0,     0,  1181,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,  1181,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,  1929,  1181,  1181,  1181,     0,     0,     0,  1181,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,  1196,     0,     0,     0,     0,
    1181,     0,  1181,     0,     0,  1225,  1226,     0,  1229,     0,
    1232,     0,  1234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1285,     0,     0,     0,     0,     0,     0,     0,  1293,
       0,     0,     0,     0,  1181,     0,     0,     0,  1309,  1310,
    1181,     0,     0,  1312,     0,     0,  1181,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,   923,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,  1343,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1366,     0,     0,  1368,     0,  1370,     0,
    1373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   720,   923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   720,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,     0,     0,  1929,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,   720,     0,     0,     0,     0,     0,     0,  1453,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1100,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       0,     9,    10,  1181,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    1929,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,  1712,     0,
    1714,     0,     0,     0,  1716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,  1181,  1181,     0,
    1926,     0,     0,     0,  1745,  1926,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,   716,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
    1863,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,  1876,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,   716,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,    47,   716,   716,  1181,     0,   716,  1937,     0,
       0,  1941,     0,   716,     0,  1181,  1181,  1007,  1929,    48,
       0,     0,     0,  1181,  1181,     0,     0,     0,  1181,  1929,
       0,     0,     0,     0,  1181,  1181,     0,  1007,  1181,    49,
       0,     0,     0,     0,  1984,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,     0,  1181,     0,     0,     0,
    1181,    50,     0,     0,     0,     0,     0,  1926,     0,     0,
    1181,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   720,  1181,   720,     0,     0,
     720,     0,   720,     0,     0,   720,   720,   720,     0,     0,
       0,     0,  1926,     0,  1929,     0,     0,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   720,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    55,     0,  1929,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,  1181,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,  1181,    65,    66,  1381,  2039,     0,     0,
       0,    71,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1100,     0,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,  1929,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2369,     0,     0,  2369,     0,     0,
    1181,  1181,     0,     0,  1181,  2376,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,  1181,  2385,     0,  1181,     0,     0,     0,     0,
    1181,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2455,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1926,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,  1926,     0,  1926,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,  1929,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,  1929,     0,  1181,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,  1926,     0,     0,  1181,     0,     0,     0,
    1181,     0,     0,     0,  2658,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2681,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,  1926,     0,  1929,
    1929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2729,     0,     0,     0,  2733,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
    2744,     0,  2746,     0,  2747,     0,  1181,     0,     0,  2748,
       0,     0,     0,  1926,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,  1926,     0,     0,  1331,
     716,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   720,  1929,     0,     0,   720,     0,
     720,     0,     0,   720,     0,     0,     0,   720,  2776,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
     716,     0,     0,   716,   716,     0,     0,     0,     0,     0,
    1926,     0,  1181,     0,     0,     0,     0,     0,   672,     0,
    1007,     0,  1007,     0,     0,     0,  1926,     0,   672,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1007,  1007,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,   716,     0,   716,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,  2989,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,  1181,     0,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,   672,     0,     0,  1694,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,  1927,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,  3077,  3078,     0,     0,     0,  3081,
    3082,     0,     0,  3085,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3095,     0,     0,     0,     0,     0,     0,
    3104,     0,     0,     0,  3107,  3108,     0,     0,  3111,  3112,
       0,     0,     0,     0,     0,  3117,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3133,     0,  3135,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3157,     0,     0,     0,     0,
    3159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3177,  3178,  3181,  3183,     0,     0,     0,  3190,  3193,
       0,     0,     0,     0,     0,     0,  3204,     0,     0,  3208,
       0,     0,     0,  3212,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,   716,     0,   716,     0,     0,
     716,     0,   716,     0,  3240,   716,   716,   716,     0,     0,
       0,  2082,     0,     0,     0,  3247,     0,  3249,   716,     0,
       0,     0,  3252,     0,     0,     0,     0,  3256,  3257,  3258,
    3259,   716,  3261,   716,     0,     0,     0,     0,   716,     0,
       0,     0,     0,     0,     0,  3285,  3286,  3287,     0,     0,
       0,     0,     0,     0,     0,     0,  3295,  3296,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,  3350,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2240,     0,     0,     0,
       0,     0,     0,     0,     0,   716,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,   672,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,  1926,
       0,     0,     0,     0,     4,     0,     0,     0,     0,     0,
    1926,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,   716,
       0,   672,     0,     0,     6,     7,     0,     0,  3477,     0,
       0,  2373,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,  1551,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1622,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,  1926,  1927,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,  1927,   672,   672,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,     0,     0,     0,     0,
      48,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,  3691,  3692,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3714,     0,     0,     0,
       0,     0,     0,     0,     0,  3718,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3729,  3731,     0,     0,     0,  3731,     0,     0,     0,  1926,
    3742,  3743,  3744,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,  3765,  3766,  3767,  3768,
       0,     0,   716,     0,   716,     0,     0,     0,   716,     0,
     716,     0,     0,   716,     0,     0,     0,   716,     0,     0,
       0,     0,  2240,    55,     0,     0,  3784,  3785,  3786,  1186,
       0,     0,     0,     0,     0,     0,  3799,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,  1926,     0,     0,    58,     0,
       0,     0,     0,     0,    59,     0,     0,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1381,  2757,     0,
    3838,     0,    71,     0,     0,     0,     0,     0,  3842,     0,
       0,     0,     0,     0,     0,     0,  2137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3910,     0,     0,     0,     0,     0,     0,     0,
       0,  2082,     0,  2186,  2187,     0,  2190,     0,  2990,     0,
       0,     0,     0,  1926,     0,     0,  1186,  2373,     0,     0,
       0,     0,     0,  2230,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,  3938,     0,  1926,  3941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,   923,     0,
       0,  3981,     0,     0,     0,  2284,     0,     0,     0,     0,
     672,     0,     0,     0,     0,  3991,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2306,     0,  1926,     0,  2318,  2321,
    1926,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,   672,     0,     0,     0,
       0,     0,  3061,     0,  1694,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,  1932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,  1927,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
    1186,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,  1927,     0,     0,     0,     0,     0,   672,  1186,
       0,     0,     0,     0,     0,     0,   672,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4194,     0,  4195,     0,     0,     0,     0,     0,     0,  4197,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,  1186,     0,     0,     0,  4206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,  4214,     0,     0,     0,     0,     0,     0,     0,
    1186,  4225,     0,     0,  1186,  1186,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4257,  4258,  4259,
    4260,  4261,  4262,  4263,  4264,     0,     0,     0,     0,  4271,
    4272,     0,  4274,  4275,  4276,  4277,  4278,  4279,  4280,     0,
       0,     0,     0,     0,     0,     0,     0,  4288,     0,  4290,
    4291,     0,     0,  1932,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4339,
    4341,  4343,     0,     0,  4346,     0,     0,  1932,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,  2082,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2855,     0,     0,
    1927,     0,     0,     0,     0,  3731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2878,     0,     0,  2880,     0,  1927,  2891,     0,     0,  1932,
       0,     0,     0,  2898,  2903,     0,     0,     0,     0,  2909,
       0,     0,  2914,     0,     0,     0,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2923,
       0,  1927,     0,     0,  2930,     0,  1932,     0,  2942,     0,
       0,     0,  2949,     0,  2951,  2952,  2953,  2954,  2955,  2956,
    2957,  2958,  2959,     0,  2960,     0,     0,     0,     0,     0,
    1551,     0,     0,  2985,  1932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,  2373,  1622,     0,  1932,     0,   672,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4542,  4543,  4544,
    4545,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,  4557,  4558,  4559,  4560,     0,  4562,  4563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4572,  4573,
       0,     0,     0,     0,  3109,  1186,  1186,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,  1186,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,  1186,  1186,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,  1186,
    1186,  1186,  1186,     0,     0,     0,     0,     0,     0,  1186,
    1186,     0,  1186,     0,  1186,  1186,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1932,  1186,     0,     0,     0,     0,
    1186,     0,     0,     0,  1186,     0,     0,     0,  1186,     0,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,     0,
    1186,     0,     0,     0,     0,     0,  1186,     0,     0,  1186,
       0,     0,  4633,     0,     0,     0,     0,     0,     0,     0,
    1927,  4639,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4677,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3325,     0,     0,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,  4764,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,     0,     0,     0,     0,
    1932,  1932,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3731,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
    3498,     0,     0,     0,     0,  3504,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2903,     0,  2903,
    2903,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
    3561,     0,     0,  3564,     0,  3566,     0,     0,     0,     0,
       0,  4882,     0,     0,     0,     0,  4886,     0,     0,     0,
    1186,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3587,     0,  3589,     0,     0,     0,  3592,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2985,  2985,  2985,
       0,     0,     0,  3061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3650,     0,     0,     0,     0,     0,  1932,     0,     0,
       0,  3731,     0,  2306,     0,     0,     0,     0,  3661,     0,
       0,     0,     0,     0,  2321,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4992,     0,
       0,     0,  3700,  4996,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,     0,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,  1186,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,  1186,  1186,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,  1186,  1186,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,  1186,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,  1186,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
    1186,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,  1186,  1186,  1186,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
     672,     0,     0,     0,     0,  1927,     0,     0,     0,  1186,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,  1927,
    1927,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1932,  1932,     0,
    1932,     0,  2226,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4021,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4025,     0,     0,
       0,     0,     0,  4026,     0,  4027,  1932,     0,  1932,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4045,  4046,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2909,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4074,     0,
       0,  4077,  1932,  4079,     0,     0,     0,     0,     0,     0,
       0,     0,  4083,     0,     0,     0,     0,     0,  4088,     0,
       0,  4091,     0,     0,     0,     0,     0,  1932,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4124,     0,     0,     0,     0,     0,  1932,     0,
    4136,     0,  2985,     0,     0,     0,     0,     0,   672,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4153,     0,     0,     0,     0,     0,
    1551,     0,     0,     0,     0,     0,  1622,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,  1932,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,  1186,
     716,  1186,     0,     0,     0,     0,  1932,  1186,     0,     0,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
       0,     0,     0,  1186,  1186,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,  1186,     0,     0,     0,
    1186,     0,     0,     0,  1186,     0,   672,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,  1186,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,  1932,  1186,  1186,
    1186,     0,     0,     0,  1186,  2226,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,  1186,    85,
       0,     0,     0,     0,     0,    89,     0,     0,     0,    93,
       0,    94,     0,    96,    97,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   106,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4400,  4401,     0,
    1186,   119,   120,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,  2226,     0,     0,     0,     0,  2887,   128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   129,  4432,   130,
     131,     0,     0,     0,     0,     0,  2226,  2226,     0,     0,
    2226,     0,     0,     0,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   141,     0,   142,   143,     0,     0,
       0,     0,   146,     0,   147,  4450,  4452,     0,     0,     0,
    2226,     0,  1932,     0,   149,     0,   150,     0,  4459,     0,
       0,     0,     0,     0,  4464,  4465,     0,     0,  4467,     0,
     153,     0,   154,     0,     0,   157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,   159,
       0,     0,     0,   160,     0,     0,     0,     0,     0,   161,
    2985,     0,     0,     0,  2226,  2985,     0,   163,     0,   165,
       0,     0,     0,     0,     0,   167,     0,  2985,     0,     0,
       0,     0,     0,     0,   672,     0,  2226,     0,     0,   171,
       0,     0,     0,     0,     0,     0,     0,     0,  2226,     0,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,   185,     0,     0,     0,     0,
     186,     0,     0,     0,     0,     0,  1932,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1932,  1186,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   205,
       0,     0,     0,     0,   206,   207,     0,   208,     0,     0,
       0,     0,   209,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,     0,  1186,     0,     0,   217,     0,     0,
     219,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,     0,  4619,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,   229,     0,   230,
       0,  1186,  1186,     0,  1932,     0,     0,   232,     0,  1186,
    1186,     0,     0,   233,  1186,  1932,     0,     0,   234,     0,
    1186,  1186,     0,     0,  1186,     0,     0,     0,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,  1186,     0,     0,   247,     0,     0,     0,  -136,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4703,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,  4720,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2909,     0,     0,
       0,     0,     0,     0,     0,  2226,     0,  1932,     0,     0,
       0,     0,     0,     0,     0,     0,  4857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2226,     0,
    2226,     0,  2887,  2887,  3535,     0,     0,  2887,     0,     0,
    1186,  2226,     0,     0,  1932,     0,     0,     0,  2226,  1186,
       0,     0,     0,  2226,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,  2226,     0,  1186,  1186,     0,     0,
    1186,     0,     0,  2226,     0,     0,     0,  2887,  2887,     0,
    2226,     0,     0,  1186,     0,     0,     0,     0,  1186,     0,
       0,  1186,  2226,     0,     0,     0,  1186,  1186,     0,  2226,
       0,  2226,  2226,  2226,  2226,  2226,  2226,  2226,  2226,  2226,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4928,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,     0,     0,  1186,     0,  1932,  5019,
    5019,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,  1932,     0,  1186,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,  1186,     0,     0,     0,
       0,  1932,     0,     0,  5019,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5067,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,  1932,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5019,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,  1186,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,  2226,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
    1186,     0,     0,     0,     0,   144,     0,   145,     0,     0,
    1186,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,  2226,     0,
     152,     0,     0,     0,  2226,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
    3535,  3535,     0,  2887,     0,     0,  2887,  2887,  2887,  2887,
    2887,  2887,  2887,  2887,  2887,  2887,  3535,   162,     0,     0,
       0,     0,  1186,     0,     0,   164,     0,     0,     0,   166,
       0,  1186,     0,     0,   168,     0,     0,     0,     0,     0,
     169,  2226,   170,     0,  2226,     0,  2226,     0,   172,     0,
       0,  3535,  3535,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,  2887,  2887,  2226,     0,  2226,
     174,   175,  2226,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
    2226,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,  2226,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  2226,     0,     0,     0,  2226,  2226,  2226,     0,     0,
    3535,     0,     0,     0,     0,  3535,  3535,  3535,  3535,  3535,
    3535,  3535,  3535,  3535,  3535,  2226,  2226,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,  2226,  2887,  2887,  2226,   144,  2226,
     145,     0,     0,  2226,  3535,  3535,   148,     0,  2226,     0,
       0,  2226,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2226,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,  2226,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,   221,     0,     0,     0,  3535,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,   227,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
    2226,  2226,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,  2226,     0,     0,     0,  2887,     0,     0,     0,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2226,  3051,  2226,     0,     0,     0,     0,  3535,  3535,  2226,
       5,     0,  2887,  2887,  2226,  2226,     0,  2226,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,  3535,  2887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,  3535,  3535,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,  2226,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1381,     0,     0,     0,     0,    71,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,  2226,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   733,   426,   427,
     428,   734,   735,   736,   737,   738,   739,   740,   429,   430,
     741,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,   742,   436,   437,   438,   439,   440,   743,   744,
     441,   442,   745,   140,   443,   746,   444,   445,   446,   447,
     144,   747,   145,   748,   448,   449,   450,   451,   148,   452,
     749,   750,   453,   454,   455,   456,   457,   458,   751,   151,
     459,   752,   753,   754,   755,   152,   756,   757,   758,   460,
     461,   462,   463,   695,   464,   155,   156,   465,   759,   466,
     760,   467,   468,   469,   470,   471,   761,   472,   473,   474,
     762,   763,   475,   476,   477,   478,   479,   764,   480,   481,
     482,   765,   483,   484,   485,   766,   486,   487,   488,   489,
     164,   490,   491,   492,   166,   767,   493,   768,   494,   168,
     495,   769,   496,   770,   497,   169,   771,   170,   498,   499,
     500,   772,   501,   172,   773,   502,   774,   503,   504,   697,
     505,   506,   173,   507,   508,   509,   775,   510,   511,   512,
     513,   514,   515,   776,   516,   174,   175,   777,   517,   518,
     519,   778,   176,   779,   177,   780,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,   781,   527,   528,   782,
     529,   181,   182,   530,   183,   783,   531,   532,   533,   784,
     785,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
     786,   547,   548,   193,   549,   787,   194,   550,   195,   551,
     552,   553,   788,   554,   789,   790,   555,   556,   557,   791,
     792,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,   793,   565,   201,   566,   202,   567,   568,
     569,   794,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,   795,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   796,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,   797,   604,   605,   606,   607,   608,   798,   609,
     218,   610,   611,   220,   612,   221,   613,   799,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,   800,
     624,   625,   801,   626,   627,   628,   629,   630,   631,   802,
     225,   226,   803,   804,   633,   227,   634,   228,   805,   635,
     636,   637,   638,   639,   640,   641,   806,   807,   642,   643,
     644,   645,   646,   808,   809,   647,   648,   649,   650,   651,
     810,   235,   811,   652,   236,   653,   654,   655,   812,   813,
     656,   814,   815,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      85,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   967,   104,   105,   106,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,   119,   120,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   129,     0,
     130,   131,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,   133,     0,     0,   134,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,   141,     0,   142,   143,   144,
       0,   145,     0,   146,     0,   147,     0,   148,     0,     0,
       0,     0,     0,     0,     0,   149,     0,   150,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,   153,     0,   154,   155,   156,   157,     0,     0,     0,
       0,     0, -1396,     0,     0,     0,     0,     0,   158,     0,
     159,     0,     0,     0,   160,     0,     0,     0,     0,     0,
     161,   162,     0,     0,     0,     0,     0,     0,   163,   164,
     165,     0,     0,   166,     0,     0,   167,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0, -1396,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,   184,   185,     0,     0,     0,
       0,   186,     0,     0,     0,     0,     0,     0,     0,     0,
     187,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,   192,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
     205,     0,     0,     0,     0,   206,   207,     0,   208,     0,
       0,     0,     0,   209,     0,     0,     0,     0,   210,   211,
       0,   212,   213,     0,     0,   214,     0,     0,     0,     0,
     215,   216,     0,     0,     0,     0,     0,     0,   217,   218,
       0,   219,   220,     0,   221,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,   224,     0,     0,     0,     0,     0,     0,     0,   225,
     226,     0,     0,     0,   227,     0,   228,     0,   229,     0,
     230,     0,     0,     0,     0,   231,     0,     0,   232,     0,
       0, -1396,     0,     0,   233,     0,     0,     0,     0,   234,
     235,     0,     0,   236,     0,     0,     0,     0,     0,     0,
       0,   237,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   247,   104,   105,     0,  -136,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,  3053,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  2979,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,  2980,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,  2981,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,  2982,     0,     0,     0,
       0,     0,     0,  1538,  2983,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1475,   137,  1476,  1477,     0,   436,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,   183,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,  1507,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,  1511,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,   220,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,  1524,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,   701,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1535,
    1536,     0,     0,     0,     0,     0,     0,     0,  1538,  2889,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1898,   137,  1899,  1900,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1901,
    1902,   443,     0,   444,   445,   446,   447,     0,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,  1903,  1904,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,     0,   490,   491,
     492,     0,     0,   493,     0,   494,  1905,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
       0,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,  2478,   510,   511,   512,   513,   514,   515,
       0,   516,   174,  2479,     0,   517,   518,   519,  1499,  1906,
       0,  1907,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,     0,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1908,   189,  1909,   545,   546,     0,     0,   547,   548,
     193,   549,     0,     0,   550,  1910,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,  2480,   197,
     198,   199,     0,   558,   559,   560,   561,   562,   563,   564,
       0,   565,     0,   566,     0,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1911,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
       0,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,  2481,   610,   611,
     220,   612,  1913,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,     0,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1914,  1915,     0,
       0,   633,     0,   634,     0,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,  1916,  2482,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,   662,   663,     0,     0,     0,
       0,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,  2483,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,     0,  1898,   137,  1899,  1900,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
    1901,  1902,   443,     0,   444,   445,   446,   447,     0,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,  1903,  1904,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1493,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,     0,   490,
     491,   492,     0,     0,   493,     0,   494,  1905,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,     0,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,  2478,   510,   511,   512,   513,   514,
     515,     0,   516,   174,  2479,     0,   517,   518,   519,  1499,
    1906,     0,  1907,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,     0,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1908,   189,  1909,   545,   546,     0,     0,   547,
     548,   193,   549,     0,     0,   550,  1910,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,  2480,
     197,   198,   199,     0,   558,   559,   560,   561,   562,   563,
     564,     0,   565,     0,   566,     0,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1911,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,     0,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,  2481,   610,
     611,   220,   612,  1913,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,     0,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1914,  1915,
       0,     0,   633,     0,   634,     0,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,  1916,
    2482,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   702,   662,   663,     0,     0,
       0,     0,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,  3411,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1475,   137,  1476,
    1477,  2899,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,  2900,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,  2901,   529,
    1502,   182,   530,   183,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,  1507,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,   220,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,  2902,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,   639,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,  1507,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,   216,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,   224,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,  2188,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,   237,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,     0,     0,     0,     0,
       0,  2132,  2847,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1474,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1475,
     137,  1476,  1477,     0,   436,   437,   438,   439,   440,  1478,
    1479,   441,   442,  1480,  1481,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,  1491,  1492,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1494,   490,   491,   492,  1495,  1496,   493,     0,   494,
    1497,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1499,  1500,     0,  1501,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1505,   189,  1506,   545,   546,
     191,  1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,
     551,   552,   553,     0,   554,     0,     0,  1511,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1514,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1515,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,  1517,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,
     635,   636,   637,   638,   639,   640,   641,     0,  1524,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,  1526,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1535,  1536,
    1537,     0,     0,     0,     0,     0,     0,  1538,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1470,  1471,  1472,    45,
    1473,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1474,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1475,   137,  1476,  1477,     0,   436,   437,
     438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,
       0,   444,   445,   446,   447,  1482,     0,  1483,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,   464,
    1491,  1492,   465,  1621,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1493,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1494,   490,   491,   492,  1495,
    1496,   493,     0,   494,  1497,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1498,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1499,  1500,     0,  1501,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1502,   182,   530,   183,
       0,   531,   532,   533,  1503,  1504,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1505,
     189,  1506,   545,   546,   191,  1507,   547,   548,   193,   549,
    1508,  1509,   550,  1510,   551,   552,   553,     0,   554,     0,
       0,  1511,   556,   557,     0,     0,   196,   197,   198,   199,
    1512,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1513,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1514,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1515,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1516,   609,   218,   610,   611,   220,   612,
    1517,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1518,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1519,  1520,     0,     0,   633,
    1521,   634,  1522,  1523,   635,   636,   637,   638,   639,   640,
     641,     0,  1524,   642,   643,   644,   645,   646,  1525,     0,
     647,   648,   649,   650,   651,   701,  1526,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1535,  1536,     0,     0,     0,     0,     0,     0,
       0,  1538,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,  2316,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1475,   137,  1476,
    1477,     0,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1502,   182,   530,   183,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,  1507,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,   220,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,   639,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,  2900,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,  1507,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,  4139,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,     0,     0,     0,     0,
       0,     0,     0,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1474,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1475,
     137,  1476,  1477,     0,   436,   437,   438,   439,   440,  1478,
    1479,   441,   442,  1480,  1481,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,  4152,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,  1491,  1492,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1494,   490,   491,   492,  1495,  1496,   493,     0,   494,
    1497,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1499,  1500,     0,  1501,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1505,   189,  1506,   545,   546,
     191,  1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,
     551,   552,   553,     0,   554,     0,     0,  1511,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1514,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1515,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,  1517,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,
     635,   636,   637,   638,   639,   640,   641,     0,  1524,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,  1526,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1535,  1536,
       0,     0,     0,     0,     0,     0,     0,  1538,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1470,  1471,  1472,    45,
    1473,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1474,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,  5016,  1475,   137,  1476,  1477,     0,   436,   437,
     438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,
       0,   444,   445,   446,   447,  1482,     0,  1483,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,  5017,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,   464,
    1491,  1492,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1493,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1494,   490,   491,   492,  1495,
    1496,   493,     0,   494,  1497,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1498,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1499,  1500,     0,  1501,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1502,   182,   530,   183,
       0,   531,   532,   533,  1503,  1504,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1505,
     189,  1506,   545,   546,   191,  1507,   547,   548,   193,   549,
    1508,  1509,   550,  1510,   551,   552,   553,     0,   554,     0,
       0,  1511,   556,   557,     0,     0,   196,   197,   198,   199,
    1512,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1513,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1514,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1515,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1516,   609,   218,   610,   611,   220,   612,
    1517,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1518,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1519,  1520,     0,     0,   633,
    1521,   634,  1522,  1523,   635,   636,   637,   638,  5018,   640,
     641,     0,  1524,   642,   643,   644,   645,   646,  1525,     0,
     647,   648,   649,   650,   651,   701,  1526,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1535,  1536,     0,     0,     0,     0,     0,     0,
       0,  1538,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1475,   137,  1476,
    1477,     0,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
    5017,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1502,   182,   530,   183,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,  1507,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,   220,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,  5018,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,  1507,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,  4442,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,     0,     0,     0,     0,
       0,     0,     0,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1474,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1475,
     137,  1476,  1477,     0,   436,   437,   438,   439,   440,  1478,
    1479,   441,   442,  1480,  1481,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,  1491,  1492,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1494,   490,   491,   492,  1495,  1496,   493,     0,   494,
    1497,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1499,  1500,     0,  1501,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1505,   189,  1506,   545,  4451,
     191,  1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,
     551,   552,   553,     0,   554,     0,     0,  1511,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1514,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1515,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,  1517,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,
     635,   636,   637,   638,   639,   640,   641,     0,  1524,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,  1526,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1535,  1536,
       0,     0,     0,     0,     0,     0,     0,  1538,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1470,  1471,  1472,    45,
    1473,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1474,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1475,   137,  1476,  1477,     0,   436,   437,
     438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,
       0,   444,   445,   446,   447,  1482,     0,  1483,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,   464,
    1491,  1492,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1493,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1494,   490,   491,   492,  1495,
    1496,   493,     0,   494,  1497,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1498,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1499,  1500,     0,  1501,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1502,   182,   530,   183,
       0,   531,   532,   533,  1503,  1504,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1505,
     189,  1506,   545,   546,   191,     0,   547,   548,   193,   549,
    1508,  1509,   550,  1510,   551,   552,   553,     0,   554,     0,
       0,  1511,   556,   557,     0,     0,   196,   197,   198,   199,
    1512,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1513,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1514,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1515,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1516,   609,   218,   610,   611,   220,   612,
    1517,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1518,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1519,  1520,     0,     0,   633,
    1521,   634,  1522,  1523,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,  1525,     0,
     647,   648,   649,   650,   651,   701,  1526,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  2882,  2883,     0,     0,     0,     0,     0,     0,
       0,  1538,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435, -2633,  1475,   137,  1476,
    1477,     0,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
    5017,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1502,   182,   530,     0,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,     0,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,     0,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,  5018,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,     0,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,     0,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  1538,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,     0,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,  4058,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,     0,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  1538,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
       0,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,     0,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,     0,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,     0,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,     0,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
       0,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,     0,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,     0,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
       0,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  2882,  2883,     0,     0,     0,     0,
       0,     0,     0,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,  3603,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,  1083,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,   216,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,   224,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,  2188,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,   237,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  3604,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,  3603,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,  1083,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  3604,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,   247,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  4178,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  4757,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,  4104,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
   -1488,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0, -1488,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516, -1488,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521, -1488,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181, -1488,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188, -1488,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594, -1488,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  1629,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,  3873,  3874,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  3874,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,   216,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,   224,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  2188,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,   237,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,   247,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,   216,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,   224,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  2188,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,   237,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,   247,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  1604,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  3041,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  4133,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  4488,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,  1207,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   733,
     426,   427,   428,   734,   735,   736,   737,   738,   739,   740,
     429,   430,   741,   431,   432,   133,   433,   434,   435,     0,
    1898,   137,  1899,  1900,   742,   436,   437,   438,   439,   440,
     743,   744,   441,   442,  1901,  1902,   443,   746,   444,   445,
     446,   447,     0,   747,   145,   748,   448,   449,   450,   451,
     148,   452,   693,   750,   453,   454,   455,   456,   457,   458,
     751,   151,   459,     0,   753,   754,   755,   152,   756,   757,
     758,   460,   461,   462,   463,   695,   464,  1903,  1904,   465,
     759,   466,   760,   467,   468,   469,   470,   471,   761,   472,
     473,   474,   762,   763,   475,   476,  1493,   478,   479,   764,
     480,   481,   482,   765,   483,   484,   485,   766,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   767,   493,   768,
     494,  1905,   495,   769,   496,   770,   497,   169,   771,   170,
     498,   499,   500,   772,   501,     0,   773,   502,   774,   503,
     504,   697,   505,   506,   173,   507,   508,   509,   775,   510,
     511,   512,   513,   514,   515,   776,   516,   174,     0,     0,
     517,   518,   519,  1499,  1906,   779,  1907,   780,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,   781,   527,
     528,   782,   529,     0,   182,   530,   183,   783,   531,   532,
     533,   784,   785,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1908,   189,  1909,   545,
     546,     0,   786,   547,   548,   193,   549,   787,     0,   550,
    1910,   551,   552,   553,   788,   554,   789,   790,  3860,   556,
     557,   791,   792,     0,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,   793,   565,     0,   566,     0,
     567,   568,   569,   794,   570,   571,   572,   573,   574,   575,
     576,   577,  1911,   578,   579,   580,   581,   795,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   796,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,   797,   604,   605,   606,   607,   608,
     798,   609,  2481,   610,   611,   220,   612,  1913,   613,   799,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,   800,   624,   625,   801,   626,   627,   628,   629,   630,
     631,   802,  1914,  1915,     0,   804,   633,     0,   634,     0,
     805,   635,   636,   637,   638,   639,   640,   641,     0,   807,
     642,   643,   644,   645,   646,   808,   809,   647,   648,   649,
     650,   651,     0,  1916,   811,   652,   236,   653,   654,   655,
     812,   813,   656,   814,   815,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,     0,     0,     0,  1210,  1211,  1212,     0,  3861,
    3862,  1215,  1216,  1217,  1218,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1207,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,  1208,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,  1209,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,  1210,  1211,  1212,     0,  1213,  1214,
    1215,  1216,  1217,  1218,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1207,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,  1301,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,  1302,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,
    1216,  1217,  1218,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1207,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,  1358,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,  1359,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1360,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,
    1217,  1218,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1207,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,  1883,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,  1884,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,
    1218,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,     0,     0,
    1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1207,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,  3130,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,  3131,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,     0,     0,  1210,
    1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1207,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,  4740,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,     0,     0,     0,  1210,  1211,
    1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   733,   426,   427,   428,   734,   735,   736,   737,
     738,   739,   740,   429,   430,   741,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,   742,   436,   437,
     438,   439,   440,   743,   744,   441,   442,   745,   140,   443,
     746,   444,   445,   446,   447,   144,   747,   145,   748,   448,
     449,   450,   451,   148,   452,   749,   750,   453,   454,   455,
     456,   457,   458,   751,   151,   459,   752,   753,   754,   755,
     152,   756,   757,   758,   460,   461,   462,   463,   695,   464,
     155,   156,   465,   759,   466,   760,   467,   468,   469,   470,
     471,   761,   472,   473,   474,   762,   763,   475,   476,   477,
     478,   479,   764,   480,   481,   482,   765,   483,   484,   485,
     766,   486,   487,   488,   489,   164,   490,   491,   492,   166,
     767,   493,   768,   494,   168,   495,   769,   496,   770,   497,
     169,   771,   170,   498,   499,   500,   772,   501,   172,   773,
     502,   774,   503,   504,   697,   505,   506,   173,   507,   508,
     509,   775,   510,   511,   512,   513,   514,   515,   776,   516,
     174,   175,   777,   517,   518,   519,   778,   176,   779,   177,
     780,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,   781,   527,   528,   782,   529,   181,   182,   530,   183,
     783,   531,   532,   533,   784,   785,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
     189,   190,   545,   546,   191,   786,   547,   548,   193,   549,
     787,   194,   550,   195,   551,   552,   553,   788,   554,   789,
     790,   555,   556,   557,   791,   792,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,   793,   565,
     201,   566,   202,   567,   568,   569,   794,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
     795,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   796,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,   797,   604,   605,
     606,   607,   608,   798,   609,   218,   610,   611,   220,   612,
     221,   613,   799,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,   800,   624,   625,   801,   626,   627,
     628,   629,   630,   631,   802,   225,   226,   803,   804,   633,
     227,   634,   228,   805,   635,   636,   637,   638,   639,   640,
     641,   806,   807,   642,   643,   644,   645,   646,   808,   809,
     647,   648,   649,   650,   651,   810,   235,   811,   652,   236,
     653,   654,   655,   812,   813,   656,   814,   815,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,  2285,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
    1898,   137,  1899,  1900,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,  1901,  1902,   443,     0,   444,   445,
     446,   447,     0,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,  1903,  1904,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,     0,   490,   491,   492,     0,     0,   493,     0,
     494,  1905,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,     0,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,     0,     0,
     517,   518,   519,  1499,  1906,     0,  1907,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,     0,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1908,   189,  1909,   545,
     546,     0,     0,   547,   548,   193,   549,     0,     0,   550,
    1910,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,     0,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,     0,   565,     0,   566,     0,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1911,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,  1912,   610,   611,   220,   612,  1913,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1914,  1915,     0,     0,   633,     0,   634,     0,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,  1916,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,     0,    86,    87,    88,   678,    90,    91,    92,
     679,  2388,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
      86,    87,    88,   678,    90,    91,    92,   679,  1090,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,    86,    87,    88,
     678,    90,    91,    92,   679,  4781,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,   418,   988,   420,   421,   422,   423,   424,   425,
     989,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   990,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   991,   168,   495,     0,   496,     0,   992,     0,   993,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,   994,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   995,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     996,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   997,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   998,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
     999,  1000,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   418,   988,   420,
     421,   422,   423,   424,   425,   989,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,  1021,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   991,   168,   495,     0,
     496,     0,  1022,     0,   993,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,   994,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   995,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   996,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     997,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   998,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,   999,  1000,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1406,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,   993,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,   994,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
     999,  1000,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  1411,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,   993,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,   994,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,   999,  1000,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,   696,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,  1575,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,  1061,  1576,    86,    87,    88,
     678,    90,    91,    92,   679,  1062,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,  1063,   442,  1037,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,  1064,     0,  1065,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,  1066,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,  1067,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,  1068,   596,   213,   597,   598,   599,
    1069,   601,   602,   700,   603,     0,   604,   605,   606,   607,
    1070,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1071,   226,     0,     0,  1072,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,  1041,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
    1073,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   733,   426,   427,
     428,   734,   735,   736,   737,   738,   739,   740,   429,   430,
     741,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,   742,   436,   437,   438,   439,   440,   743,   744,
     441,   442,   745,   140,   443,   746,   444,   445,   446,   447,
     144,   747,   145,   748,   448,   449,   450,   451,   148,   452,
     749,   750,   453,   454,   455,   456,   457,   458,   751,   151,
     459,   752,   753,   754,   755,   152,   756,   757,   758,   460,
     461,   462,   463,   695,   464,   155,   156,   465,   759,   466,
     760,   467,   468,   469,   470,   471,   761,   472,   473,   474,
     762,   763,   475,   476,   477,   478,   479,   764,   480,   481,
     482,   765,   483,   484,   485,   766,   486,   487,   488,   489,
     164,   490,   491,   492,   166,   767,   493,   768,   494,   168,
     495,   769,   496,   770,   497,   169,   771,   170,   498,   499,
     500,   772,   501,   172,   773,   502,   774,   503,   504,   697,
     505,   506,   173,   507,   508,   509,   775,   510,   511,   512,
     513,   514,   515,   776,   516,   174,   175,   777,   517,   518,
     519,   778,   176,   779,   177,   780,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,   781,   527,   528,   782,
     529,   181,   182,   530,   183,   783,   531,   532,   533,   784,
     785,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
     786,   547,   548,   193,   549,   787,   194,   550,   195,   551,
     552,   553,   788,   554,   789,   790,   555,   556,   557,   791,
     792,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,   793,   565,   201,   566,   202,   567,   568,
     569,   794,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,   795,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   796,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,   797,   604,   605,   606,   607,   608,   798,   609,
     218,   610,   611,   220,   612,   221,   613,   799,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,   800,
     624,   625,   801,   626,   627,   628,   629,   630,   631,   802,
     225,   226,   803,   804,   633,   227,   634,   228,   805,   635,
     636,   637,   638,   639,   640,   641,   806,   807,   642,   643,
     644,   645,   646,   808,   809,   647,   648,   649,   650,   651,
     810,   235,   811,   652,   236,   653,   654,   655,   812,   813,
     656,   814,   815,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   733,   426,   427,   428,   734,   735,
     736,   737,   738,   739,   740,   429,   430,   741,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,   742,
     436,   437,   438,   439,   440,   743,   744,   441,   442,   745,
     140,   443,   746,   444,   445,   446,   447,   144,   747,   145,
     748,   448,   449,   450,   451,   148,   452,   749,   750,   453,
     454,   455,   456,   457,   458,   751,   151,   459,   752,   753,
     754,   755,   152,   756,   757,   758,   460,   461,   462,   463,
     695,   464,   155,   156,   465,   759,   466,   760,   467,   468,
     469,   470,   471,   761,   472,   473,   474,   762,   763,   475,
     476,   477,   478,   479,   764,   480,   481,   482,   765,   483,
     484,   485,   766,   486,   487,   488,   489,   164,   490,   491,
     492,   166,   767,   493,   768,   494,   168,   495,   769,   496,
     770,   497,   169,   771,   170,   498,   499,   500,   772,   501,
     172,   773,   502,   774,   503,   504,   697,   505,   506,   173,
     507,   508,   509,   775,   510,   511,   512,   513,   514,   515,
     776,   516,   174,   175,   777,   517,   518,   519,   778,   176,
     779,   177,   780,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,   781,   527,   528,   782,   529,   181,   182,
     530,   183,   783,   531,   532,   533,   784,   785,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,   189,   190,   545,   546,   191,   786,   547,   548,
     193,   549,   787,   194,   550,   195,   551,   552,   553,   788,
     554,   789,   790,   555,   556,   557,   791,   792,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
     793,   565,   201,   566,   202,   567,   568,   569,   794,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,   795,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   796,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,   797,
     604,   605,   606,   607,   608,   798,   609,   218,   610,   611,
     220,   612,   221,   613,   799,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,   800,   624,   625,   801,
     626,   627,   628,   629,   630,   631,   802,   225,   226,   803,
     804,   633,   227,   634,   228,   805,   635,   636,   637,   638,
     639,   640,   641,   806,   807,   642,   643,   644,   645,   646,
     808,   809,   647,   648,   649,   650,   651,   810,   235,   811,
     652,   236,   653,   654,   655,   812,   813,   656,   814,   815,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,  3195,   423,   424,
     425,   733,   426,   427,   428,   734,   735,   736,   737,   738,
     739,   740,   429,   430,   741,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,   742,   436,   437,   438,
     439,   440,   743,   744,   441,   442,   745,   140,   443,   746,
     444,   445,   446,   447,   144,   747,   145,   748,   448,   449,
     450,   451,   148,   452,   749,   750,   453,   454,   455,   456,
     457,   458,   751,   151,   459,   752,   753,   754,   755,   152,
     756,   757,   758,   460,   461,   462,   463,   695,   464,   155,
     156,   465,   759,   466,   760,   467,   468,   469,   470,   471,
     761,   472,   473,   474,   762,   763,   475,   476,   477,  3196,
     479,   764,   480,   481,   482,   765,   483,   484,   485,   766,
     486,   487,   488,   489,   164,   490,   491,   492,   166,   767,
     493,   768,   494,   168,   495,   769,   496,   770,   497,   169,
     771,   170,   498,   499,   500,   772,   501,   172,   773,   502,
     774,   503,   504,   697,   505,   506,   173,   507,   508,   509,
     775,   510,   511,   512,   513,   514,   515,   776,   516,   174,
     175,   777,   517,   518,   519,   778,   176,   779,   177,   780,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
     781,   527,   528,   782,   529,   181,   182,   530,   183,   783,
     531,   532,   533,   784,   785,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,   189,
     190,   545,   546,   191,   786,   547,   548,   193,   549,   787,
     194,   550,   195,   551,   552,   553,   788,   554,   789,   790,
     555,   556,   557,   791,   792,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,   793,   565,   201,
     566,   202,   567,   568,   569,   794,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,   795,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   796,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,   797,   604,   605,   606,
     607,   608,   798,  3197,   218,   610,   611,   220,   612,   221,
     613,   799,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,   800,   624,   625,   801,   626,   627,   628,
     629,   630,   631,   802,   225,   226,   803,   804,   633,   227,
     634,   228,   805,   635,   636,   637,   638,   639,   640,   641,
     806,   807,   642,   643,   644,   645,   646,   808,   809,   647,
     648,   649,   650,   651,   810,   235,   811,   652,   236,   653,
     654,   655,   812,   813,   656,   814,   815,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1341,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,   189,   190,   545,   546,   191,     0,   547,
     548,   193,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,   220,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1351,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
    1898,   137,  1899,  1900,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,  1901,  1902,   443,     0,   444,   445,
     446,   447,     0,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,  1903,  1904,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,     0,   490,   491,   492,     0,     0,   493,     0,
     494,  1905,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,     0,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,  2478,   510,
     511,   512,   513,   514,   515,     0,   516,   174,  2479,     0,
     517,   518,   519,  1499,  1906,     0,  1907,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,     0,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1908,   189,  1909,   545,
     546,     0,     0,   547,   548,   193,   549,     0,     0,   550,
    1910,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,  2480,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,     0,   565,     0,   566,     0,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1911,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,  2481,   610,   611,   220,   612,  1913,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1914,  1915,     0,     0,   633,     0,   634,     0,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,  1916,  2482,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,     0,  1898,   137,  1899,
    1900,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,  1901,  1902,   443,     0,   444,   445,   446,   447,     0,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,  1903,  1904,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,     0,
     490,   491,   492,     0,     0,   493,     0,   494,  1905,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,     0,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,     0,     0,   517,   518,   519,
    1499,  1906,     0,  1907,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
       0,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1908,   189,  1909,   545,   546,     0,     0,
     547,   548,   193,   549,  2466,     0,   550,  1910,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
       0,   197,   198,   199,     0,   558,   559,   560,   561,   562,
     563,   564,     0,   565,     0,   566,     0,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1911,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,     0,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,  2481,
     610,   611,   220,   612,  1913,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,     0,     0,   624,
     625,  3964,   626,   627,   628,   629,   630,   631,     0,  1914,
    1915,     0,     0,   633,     0,   634,     0,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
    1916,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   702,   662,   663,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,     0,  1898,   137,  1899,  1900,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,  1901,  1902,
     443,     0,   444,   445,   446,   447,     0,     0,   145,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,   695,
     464,  1903,  1904,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,     0,   490,   491,   492,
       0,     0,   493,     0,   494,  1905,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,     0,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,     0,     0,   517,   518,   519,  1499,  1906,     0,
    1907,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,     0,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1908,   189,  1909,   545,   546,  2532,     0,   547,   548,   193,
     549,     0,     0,   550,  1910,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,     0,   197,   198,
     199,     0,   558,   559,   560,   561,   562,   563,   564,     0,
     565,     0,   566,     0,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1911,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,     0,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,  1912,   610,   611,   220,
     612,  1913,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,     0,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1914,  1915,     0,     0,
     633,     0,   634,     0,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,  1916,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   702,   662,   663,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
       0,  1898,   137,  1899,  1900,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,  1901,  1902,   443,     0,   444,
     445,   446,   447,     0,     0,   145,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,   695,   464,  1903,  1904,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,     0,   490,   491,   492,     0,     0,   493,
       0,   494,  1905,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,     0,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,     0,
       0,   517,   518,   519,  1499,  1906,     0,  1907,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,     0,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1908,   189,  1909,
     545,   546,  3796,     0,   547,   548,   193,   549,     0,     0,
     550,  1910,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,     0,   197,   198,   199,     0,   558,
     559,   560,   561,   562,   563,   564,     0,   565,     0,   566,
       0,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1911,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,     0,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,  1912,   610,   611,   220,   612,  1913,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,     0,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1914,  1915,     0,     0,   633,     0,   634,
       0,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,  1916,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,     0,  1898,   137,
    1899,  1900,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,  1901,  1902,   443,     0,   444,   445,   446,   447,
       0,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,  1903,  1904,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1493,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
       0,   490,   491,   492,     0,     0,   493,     0,   494,  1905,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,     0,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,     0,     0,   517,   518,
     519,  1499,  1906,     0,  1907,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,     0,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1908,   189,  1909,   545,   546,     0,
       0,   547,   548,   193,   549,     0,     0,   550,  1910,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,     0,   197,   198,   199,     0,   558,   559,   560,   561,
     562,   563,   564,     0,   565,     0,   566,     0,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1911,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,     0,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
    1912,   610,   611,   220,   612,  1913,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,     0,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1914,  1915,     0,     0,   633,     0,   634,     0,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,  1916,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   702,   662,   663,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1898,   137,  1899,  1900,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1901,
    1902,   443,     0,   444,   445,   446,   447,     0,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,  1903,  1904,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,     0,   490,   491,
     492,     0,     0,   493,     0,   494,  1905,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
       0,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,     0,     0,   517,   518,   519,  1499,  1906,
       0,  1907,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,     0,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1908,   189,  1909,   545,   546,     0,     0,   547,   548,
     193,   549,     0,     0,   550,  1910,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,     0,   197,
     198,   199,     0,   558,   559,   560,   561,   562,   563,   564,
       0,   565,     0,   566,     0,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1911,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
       0,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,  2481,   610,   611,
     220,   612,  1913,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,     0,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1914,  1915,     0,
       0,   633,     0,   634,     0,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,  1916,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,   662,   663,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,     0,  1898,   137,  1899,  1900,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,  1901,  1902,   443,     0,
     444,   445,   446,   447,     0,     0,   145,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,   695,   464,  1903,
    1904,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1493,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,     0,   490,   491,   492,     0,     0,
     493,     0,   494,  1905,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,     0,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
       0,     0,   517,   518,   519,  1499,  1906,     0,  1907,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,     0,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1908,   189,
    1909,   545,   546,     0,     0,   547,   548,   193,   549,     0,
       0,   550,  1910,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,     0,   197,   198,   199,     0,
     558,   559,   560,   561,   562,   563,   564,     0,   565,     0,
     566,     0,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1911,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,     0,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,     0,   610,   611,   220,   612,  1913,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,     0,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1914,  1915,     0,     0,   633,     0,
     634,     0,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,  1916,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,     0,     0,
     137,     0,     0,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,     0,   443,     0,   444,   445,   446,
     447,     0,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,     0,     0,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,     0,   490,   491,   492,     0,     0,   493,     0,   494,
       0,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,     0,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,     0,     0,   517,
     518,   519,     0,     0,     0,     0,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,     0,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,     0,   189,     0,   545,   546,
       0,     0,   547,   548,   193,   549,     0,     0,   550,     0,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,     0,   197,   198,   199,     0,   558,   559,   560,
     561,   562,   563,   564,     0,   565,     0,   566,     0,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,     0,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,     0,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,     0,   610,   611,   220,   612,     0,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,     0,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,     0,     0,     0,     0,   633,     0,   634,     0,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,     0,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   733,   426,   427,   428,   734,   735,
     736,   737,   738,   739,   740,   429,   430,   741,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,   742,
     436,   437,   438,   439,   440,   743,   744,   441,   442,     0,
     140,   443,   746,   444,   445,   446,   447,   144,   747,   145,
     748,   448,   449,   450,   451,   148,   452,   749,   750,   453,
     454,   455,   456,   457,   458,   751,   151,   459,     0,   753,
     754,   755,   152,   756,   757,   758,   460,   461,   462,   463,
       0,   464,   155,   156,   465,   759,   466,   760,   467,   468,
     469,   470,   471,   761,   472,   473,   474,   762,   763,   475,
     476,   477,   478,   479,   764,   480,   481,   482,   765,   483,
     484,   485,   766,   486,   487,   488,   489,   164,   490,   491,
     492,   166,   767,   493,   768,   494,   168,   495,   769,   496,
     770,   497,   169,   771,   170,   498,   499,   500,   772,   501,
     172,   773,   502,   774,   503,   504,     0,   505,   506,   173,
     507,   508,   509,   775,   510,   511,   512,   513,   514,   515,
     776,   516,   174,   175,     0,   517,   518,   519,     0,   176,
     779,   177,   780,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,   781,   527,   528,   782,   529,   181,   182,
     530,   183,   783,   531,   532,   533,   784,   785,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,   786,   547,   548,
     193,   549,   787,   194,   550,   195,   551,   552,   553,   788,
     554,   789,   790,   555,   556,   557,   791,   792,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
     793,   565,   201,   566,   202,   567,   568,   569,   794,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,   795,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   796,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,   797,
     604,   605,   606,   607,   608,   798,   609,   218,   610,   611,
     220,   612,   221,   613,   799,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,   800,   624,   625,   801,
     626,   627,   628,   629,   630,   631,   802,   225,   226,     0,
     804,   633,   227,   634,   228,   805,   635,   636,   637,   638,
     639,   640,   641,     0,   807,   642,   643,   644,   645,   646,
     808,   809,   647,   648,   649,   650,   651,     0,   235,   811,
     652,   236,   653,   654,   655,   812,   813,   656,   814,   815,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,  1152,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
    2412,   444,   445,   446,   447,   144,     0,     0,  2494,   448,
     449,   450,   451,     0,   452,   693,  2413,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,  2495,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,  2415,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,  2416,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,  2417,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,  2412,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,  2413,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,  2495,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,  2415,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,  3358,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,  2416,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,  2417,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,  1050,   424,   425,  1008,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,  1009,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,  1051,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,  1010,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,  1011,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1008,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,  1009,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,  3092,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,  1010,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,  1011,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
    2412,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,  2413,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,  2495,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,  2415,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,  2416,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,  2417,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   691,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   694,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,   696,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  1008,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,  1009,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,  1010,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,  1011,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,   920,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     921,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   922,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,  2089,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,  2090,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,  2091,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,  2092,   497,     0,     0,     0,  2093,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,  2094,  2095,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,  2096,   601,   602,   700,
     603,     0,  2097,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,  2098,   626,  2099,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
    2100,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,  1009,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
    1010,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,  1011,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,  2078,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,  2370,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,  2968,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,  2969,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,  2970,   626,   627,  2971,   629,  2972,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,  2973,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   718,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,   696,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   870,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  1333,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,   130,   131,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  3179,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
    3180,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    3191,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  3192,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   926,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   970,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,  1025,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,  1083,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1230,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,  1083,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  1578,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1752,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,  1083,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,  1986,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,  2078,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,  2370,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,  4104,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,  4118,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,  4338,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,  4340,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,  4342,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,  4743,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,  1034,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  1036,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1037,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,  1038,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1039,   226,     0,
       0,  1040,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,  1041,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1077,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,  1037,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
    1078,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1079,   226,     0,     0,  1080,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,  1041,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,  1097,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1203,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1227,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1238,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1292,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1306,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1346,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1353,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1363,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1365,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1367,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1369,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1372,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1374,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
    1375,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1378,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,  1589,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,  1063,
     442,  1037,   140,  1590,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,  1067,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
    1068,   596,   213,   597,   598,   599,  1069,   601,   602,   700,
     603,     0,   604,   605,   606,   607,  1582,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1071,
     226,     0,     0,  1072,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,  1041,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,  1073,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,  1715,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1798,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1945,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1975,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    2010,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  2012,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  2014,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,  2127,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,  2337,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,     0,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    2728,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  3103,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  3182,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  3184,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  3282,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,  1063,
     442,  1037,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,  1067,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
    1068,   596,   213,   597,   598,   599,  1069,   601,   602,   700,
     603,     0,   604,   605,   606,   607,  1582,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1071,
     226,     0,     0,  1072,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,  1041,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,  1073,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,  1063,   442,  1037,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,  1067,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,  1068,   596,   213,   597,
     598,   599,  1069,   601,   602,   700,   603,     0,   604,   605,
     606,   607,  1582,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,  2403,
     628,   629,   630,   631,     0,  1071,   226,     0,     0,  1072,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,  1041,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,  1073,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,  1063,   442,  1037,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,  1067,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,  1068,   596,   213,   597,   598,   599,  2470,   601,
     602,   700,   603,     0,   604,   605,   606,   607,  2471,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1071,   226,     0,     0,  2472,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,  1041,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,  1073,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,  1063,   442,  1037,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
    1067,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,  1068,   596,
     213,   597,   598,   599,  1069,   601,   602,   700,   603,     0,
     604,   605,   606,   607,  2471,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1071,   226,     0,
       0,  2472,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,  1041,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,  1073,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,     0,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,     0,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,     0,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2387,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
     412,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,     0,     0,     0,   227,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,   231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,   236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2388,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,  1147,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,   227,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,     0,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,     0,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,  2054,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,     0,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
    2055,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,  2056,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    35,   662,   663,     0,     0,     0,     0,
       0,    41,    42,   999,  1673,  4594,     0,     0,     0,     0,
       0,     0,  4595,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,   130,   131,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,   216,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,   224,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   234,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,   237,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   662,   663,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
     247,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,  2273,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
    2054,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,  2055,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,  2056,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663,     0,     0,     0,     0,     0,
      35,   417,   999,  1673,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,  2278,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,  2054,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,  2055,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,  2056,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   662,
     663,     0,     0,     0,     0,     0,    35,   417,   999,  1673,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,  2054,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,  2055,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,  2056,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   662,   663,     0,     0,     0,
       0,     0,    35,     0,   999,  1673,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,  2054,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,  2055,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,  2056,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   662,   663,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,   632,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   662,   663,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,  2258,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
    2034,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,  2589,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
    2590,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,   130,   131,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1223,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,  3463,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
    1236,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,  1314,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4443))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2633))

static const yytype_int16 yycheck[] =
{
       2,   247,   364,  1113,  1065,  1400,   932,  1361,   210,    78,
     894,    78,  1118,    78,  1356,  1352,    96,  1081,  1009,  1010,
    1011,    78,    78,   117,  1015,   229,   106,   153,   167,   852,
      78,   154,  1229,  2093,  1738,    94,    84,  1183,  1928,  1303,
    1773,   724,   932,  1224,   150,  1247,  2043,  1449,   187,  1313,
     976,  1430,  1284,  1912,  1610,  1520,  1237,  2486,  2487,  1491,
    1492,   165,   142,   160,    78,  1463,   950,  1072,   162,   117,
      84,   894,  1392,   132,  1778,   380,    78,   157,  1510,  1782,
     203,   132,    84,  2625,   224,  1871,  2824,    89,  1930,  2983,
     171,  3356,    78,  2166,   153,   154,   165,  2977,   380,  3145,
     117,  1971,  1631,  2247,   163,  2660,  2297,  2180,  1289,  3195,
    1342,  3197,  1293,  3419,   162,   117,  2132,  1298,  3657,  1826,
    1667,  1668,  1669,  2668,  1305,  1773,  3337,   950,   725,   210,
    1160,  1834,  2580,  3324,  1315,  3408,  1791,   231,  1160,   366,
    2802,  3706,  1068,   352,   203,   162,  3337,   366,     2,  2981,
    3041,   153,  3604,   975,  3034,  3754,  2229,  2979,  2980,  3902,
     162,  3699,  2032,  2531,  3610,  1721,  2916,  3965,  1228,  3954,
    3944,  1231,   217,  1393,  1384,  1778,  1765,  2344,  1068,  1239,
    1200,  1110,  1110,   231,  1839,  1840,  1662,  1663,  1725,  4183,
    4388,  1974,   209,   167,  3667,  3541,  1982,  1237,  3609,    21,
     217,    30,   219,  1155,  1156,    88,    10,   209,  3942,   967,
     108,    72,  1413,   187,   231,   217,  2383,   219,  1538,  3953,
    2387,   121,    72,  1480,  1481,    86,    72,  4669,   135,   231,
    3341,  3342,  3343,  3344,  3345,  3346,    86,   920,   156,   143,
      84,   114,   128,   102,     8,    78,    88,    11,    12,  1506,
      75,    76,    77,    78,  3874,   160,    14,    82,    22,    23,
      24,  4529,    26,    27,    72,    99,   117,    31,    32,    33,
     145,   113,   106,    81,   179,  1141,   128,   149,    86,    37,
    4662,   248,   117,    75,    76,    77,    78,   128,   128,   179,
      82,  1282,   103,   104,   114,  2663,   180,  3047,   223,   229,
      78,   143,   267,   372,  3869,   372,   211,   372,  2198,   332,
     135,   162,   267,   100,    72,   372,   372,    75,    76,    77,
      78,   322,   211,    81,    82,    83,    84,   162,    86,  1393,
     832,    88,   380,   119,    25,   236,    99,   228,  4609,  1205,
     327,  3147,   374,   106,   112,   182,    29,   325,    75,    76,
      77,    78,   365,   184,   230,    82,     0,   416,    99,   434,
     183,    75,    76,    77,    78,   106,   380,   415,    82,  2737,
     160,  2739,   332,    72,    75,    76,    77,    78,   380,  1062,
     231,    82,    81,  1267,  2444,   145,   372,    86,    75,    76,
      77,    78,  1594,  1539,   204,    82,   231,    95,   145,   112,
     182,   415,    78,    90,    75,    76,    77,    78,   145,   173,
     228,    82,   228,   415,   506,    78,   227,  1563,   229,    90,
     115,   513,   245,    75,    76,    77,    78,   173,    78,   222,
      82,   391,    75,    76,    77,    78,   511,   268,    90,    82,
      78,   136,   474,   233,  1267,  4188,    78,    90,    14,   145,
    1915,  1377,   328,   180,    78,   468,  4654,   153,   244,   377,
      99,    78,   248,   368,  4745,  4746,    75,    76,    77,    78,
    2637,  1903,  1904,    82,  1400,   262,   145,   102,  1910,   511,
     317,    90,   383,    75,    76,    77,    78,  1377,   511,   394,
      82,   478,   378,    78,  1558,    78,    78,    78,   153,   197,
     286,   228,    75,    76,    77,    78,   632,   508,   147,    82,
      75,    76,    77,    78,  4785,   154,   375,    82,   234,   424,
      75,    76,    77,    78,   228,   228,   378,    82,   387,   834,
     508,  1885,   199,   187,  1400,  1599,  1600,   378,   378,   372,
     304,  1467,   181,  1880,   511,   510,   436,    93,   185,  3355,
     360,    99,   834,   676,   677,   348,   511,   462,  4940,   434,
    1157,  1158,   135,    75,    76,    77,    78,  3778,   149,   474,
      82,   415,   263,   632,   446,   409,   259,  1467,   508,   438,
    1402,   470,  3693,   508,   165,   349,   476,  3778,   461,    75,
      76,    77,    78,   511,   372,    88,    82,    75,    76,    77,
      78,   508,   506,   508,    82,  4873,   510,  5049,   508,  4352,
     508,   495,  4177,   252,   434,   461,  4390,   676,   677,   405,
     511,   504,  2481,    72,  1382,   511,    75,    76,    77,    78,
     632,  1895,    81,    82,   456,  1832,  2192,    86,   499,   500,
     465,  1822,  1874,  1824,  1901,  1902,   409,  4381,  2490,   499,
     500,  3924,  1909,   421,  4100,   466,  4108,   461,   508,   511,
    4112,  4404,   504,  1589,   210,   724,   247,  1869,   409,    95,
     511,  1597,  1598,  3938,   434,  1177,   458,   506,   424,   443,
     502,  2237,  4028,   508,  4965,  2241,   173,   434,  4099,  4162,
     508,   499,   500,  1753,  2036,   511,   372,   434,   508,  1589,
    4320,  4321,  4322,  4323,  4324,  2084,    85,   434,   421,   372,
      75,    76,    77,    78,   506,   841,   508,    82,   510,   859,
    1649,  1649,   372,  3603,  3604,  3619,  1592,   228,  3096,  1681,
     976,  1597,  1598,  4931,   372,  3164,   830,  3166,   434,  1799,
     372,   499,   500,  4737,   501,   502,   503,   504,   372,  2091,
     375,  1113,  1772,  2486,  2457,   372,   454,    88,  2100,   885,
    3302,   475,  2545,  3305,  3306,   434,  1806,  3309,   495,  1809,
     979,   197,  3883,  3315,   475,   474,   269,   874,   417,   434,
     494,  4524,   830,   510,   228,   366,   834,   372,  4531,   372,
     372,   372,  3624,   494,   508,   511,  1393,   267,   346,   922,
     499,   500,   456,   470,   508,  5003,   180,   508,   511,  2882,
    2883,  2131,  2132,   830,  2887,   941,    38,   454,    40,   173,
     834,   508,  2142,  3703,  2527,   267,  2146,   185,   830,  2049,
    2040,  3376,   834,   210,  2154,  2155,   838,   508,   173,   385,
    3007,   173,   184,    88,   237,   847,   848,  2167,  2168,   988,
    2994,   990,   854,   992,  2927,  2928,   508,   403,  2178,   998,
    2397,   920,   864,   922,  2065,   508,   972,  4652,   113,  2345,
    2071,  2347,   976,   465,    95,   434,  1103,   109,   880,   427,
    1020,   429,  1021,  1022,  1103,   475,  2475,   267,   185,  1755,
     892,  2494,   207,   973,   896,  3324,   220,  1763,   143,   508,
      72,  2158,  2159,   261,   494,   907,   975,    25,  3337,   228,
     990,   970,   992,   339,    86,   974,   508,   151,   322,   160,
    1804,  3671,  1002,   173,   926,   160,   268,    14,   180,  3975,
     932,   137,   385,   434,   936,   508,   495,   424,   269,  3307,
    3308,  1021,  1022,   508,   946,   389,   372,  1087,  1814,   328,
     265,  1817,  1818,   508,   230,   189,   188,    72,   228,    95,
      75,    76,    77,    78,   261,   967,    81,    82,    83,    84,
     231,    86,   141,   182,   976,   401,   197,  1117,   248,   830,
    2713,  1804,  4488,  2047,  4490,   309,   456,  1978,  3417,  1093,
     267,   385,   233,   267,  2701,   830,   508,   267,   233,   103,
     104,   454,   208,  1062,   223,  1064,   499,   500,   501,   502,
     503,   504,   237,  1064,   456,  1881,   990,   332,   992,   225,
     394,  1066,   508,   467,   269,  1070,   403,  4479,    95,  4475,
     508,   151,  4484,   459,   101,  4487,  2097,  2098,  4836,   107,
    1088,  4826,   512,  2189,   466,   228,  4820,  1021,  1022,  1066,
     424,   500,  4617,  1070,    85,   210,   160,    88,  1060,  1199,
     312,   197,   271,   151,  1066,   248,  1068,   460,  1070,   189,
     424,   228,    71,    72,  1088,   179,    75,    76,    77,    78,
      79,    80,    81,    82,   267,   310,  1088,    86,   462,   424,
     312,   248,   424,  1095,    88,   310,   454,   394,  4404,   175,
     474,   189,   173,   312,   508,  4378,   340,   211,  2998,   180,
     267,   387,   180,   967,   508,   434,   495,   496,   497,   113,
     499,   500,   501,   502,   503,   504,   355,  2053,   267,  4215,
     197,   511,  2016,   448,   508,   396,   991,   389,   379,   228,
     995,   996,   997,   508,   379,   263,   173,   353,   398,   143,
    1005,   372,   361,  1155,  1156,   374,   325,   454,  4932,   248,
     111,   175,  2882,  2883,   425,   241,   442,  2887,   499,   500,
     501,   502,   503,   504,   175,   209,   495,   231,   267,   456,
     322,   180,   456,   444,  4749,   174,   456,   151,   192,   310,
     194,   510,   269,  2016,   428,   155,   172,  4735,  4941,    75,
      76,    77,    78,   339,   145,  1191,    82,  2927,  2928,  4715,
     383,   129,   153,   217,  2646,   249,   237,  5002,  2282,   137,
     340,  5006,   332,   299,  4823,   189,   302,   241,  4108,  1326,
    2052,    88,  4112,   474,   194,   460,   372,  4131,   269,   474,
     241,   312,   512,   449,   105,   460,   180,  4141,   403,   326,
    1252,  1237,   340,   326,   499,   500,   501,   502,   503,   504,
    4712,  1263,   251,  5048,   368,   401,    99,   266,   509,  4160,
    2331,   512,   339,   456,   509,    95,   434,   512,   121,   508,
    2164,   101,   455,   310,  1286,   299,   143,  1141,   302,   310,
     394,   290,  1538,   151,    25,  4127,   247,   328,   299,   456,
    4122,   302,   511,  3845,    35,   372,  1160,  4139,   428,  3851,
    3852,   128,  2576,   317,    22,  4880,   392,   456,   322,  3161,
     424,  1323,   298,   232,   300,  1405,  3168,  1407,   171,   512,
    1410,   189,  1412,  1402,   401,  1415,  1416,  1417,  4877,  4878,
     428,  2164,   396,   414,   332,  4556,   417,  4009,  1428,  3778,
     211,  1205,  2382,   511,   401,   512,   162,   137,   462,   192,
    2382,  1441,   466,  1443,    72,  4556,   508,   456,  4633,   490,
     474,   425,   290,   153,  4639,  1377,   340,   197,   392,  1381,
    1382,   290,  1384,   317,   499,   500,  2740,  4532,   297,  1448,
    1392,   392,  2734,  2730,   975,   976,   456,   297,  1400,   509,
    3460,   511,  4967,   134,   508,   126,  1711,  1634,  1635,   299,
    1637,  1620,   302,   489,   326,  1634,  1635,   260,  1637,  2683,
    2684,  2685,  2686,   512,  2540,   231,   180,   495,   208,  1711,
    3163,  2695,   508,  2493,   423,   424,   440,   508,   506,   460,
     508,   509,   510,   511,   387,   225,   450,  1449,   508,  2630,
    3523,   172,  2049,  3526,  3527,  3528,  3529,  3530,  3531,  3532,
    3533,  3534,  3535,   510,   428,  1467,   495,   310,   499,   500,
     501,   502,   503,   504,   219,   489,  1478,  4622,  2594,  3008,
    3496,   510,   340,  3556,   237,  2545,  5025,  3678,   489,  3937,
     185,   512,  2724,   310,   508,   438,  2362,   197,   424,   182,
     499,   500,   392,  5068,   387,  1507,  2566,   501,   502,   503,
     504,  1651,  3585,  3586,  1608,  3163,  1575,  1576,   427,   339,
     429,   509,  1103,   511,  1575,  1576,   456,  1381,  1382,   250,
    1384,  2851,   263,  1535,  1536,  2595,  1538,  3244,  4811,   415,
     416,   161,   287,   452,   153,   137,  1400,   390,  1403,  1551,
    3253,  1406,   372,  1555,  1409,   438,  1411,   310,   312,  1414,
    1608,   378,  2446,  1418,   230,   511,   261,  1661,   219,   515,
     428,   180,   255,   353,    71,   387,  3446,   298,   508,   300,
    2900,   401,    79,    80,   401,   474,   339,  1589,   180,   310,
    1592,  1608,    99,  4738,   506,  1597,  1598,   352,   510,  4479,
     121,  4495,  4496,  4748,  4484,  1607,  1608,  4487,  5016,   229,
     339,  2931,   248,  1661,  1662,  1663,  3984,   338,  3986,   372,
    1679,   153,   511,  2446,  4670,   241,   438,   310,  1679,   312,
     330,  1725,   185,   338,  1636,  4941,   287,   257,  1640,  1641,
      75,    76,    77,    78,   197,  4525,  2966,    82,  1662,  1663,
     171,    85,   272,  1750,    88,   152,   377,    89,     5,  1661,
    1662,  1663,   328,  1711,   284,   229,  4939,  4753,   137,   449,
    1718,   105,   401,   324,   143,    97,   376,  1725,    25,  1681,
    5088,   436,  2548,   299,   153,   192,  4424,   307,    35,   456,
    2556,   412,  2558,  1833,  2377,   117,    51,  1711,   183,    85,
     232,   401,    88,   312,  1718,   202,   326,   460,  1725,  1711,
     183,   180,  4553,   182,    69,  1732,  1718,  1719,  2709,   251,
     312,   476,  3101,  1725,   299,   317,    75,    76,    77,    78,
    1732,  4996,   274,    82,   232,   167,   372,  3169,  1592,   260,
     376,   508,  4583,  1597,  1598,   182,   441,  3402,  1765,    88,
    3405,   417,  4294,  4295,   190,   187,   253,  1608,   290,   454,
     245,   353,   382,  1765,   200,   401,   192,   436,   194,   223,
      14,  1773,   245,  1608,   113,   367,   392,   341,  3132,   233,
     352,  4519,  4662,  4521,  3331,   508,   255,   134,   209,   310,
    2716,   217,   290,    37,   248,  4841,   121,   350,   219,   331,
    1802,   232,   175,  3523,   143,  4360,  3526,  3527,  3528,  3529,
    3530,  3531,  3532,  3533,  3534,  3535,   192,   392,   194,  1673,
    1806,  1402,  3895,  1809,  4369,  4380,  2716,  2753,    72,   372,
    4198,  4199,  4712,  4727,   271,   269,   456,   162,   474,  1856,
     262,  1935,   406,   312,  1698,  1699,  3518,   344,   317,   196,
      81,   512,  1854,   230,  1856,    86,   182,   449,   401,   290,
     312,   186,   248,  2753,   436,  3585,  3586,   365,   241,   390,
    3542,    95,     2,  1875,  1725,   312,   201,   101,  2004,   339,
     205,   258,   339,   269,   353,   152,   312,  1935,  3120,  3731,
    1725,   317,  1894,  1474,   328,   427,   322,   429,   367,   224,
     335,  1755,   227,   339,   476,   511,   438,   359,   372,  1763,
    1912,   385,   372,  1494,   239,   372,   263,   449,  1935,   376,
     452,  3707,  2124,    88,   361,   474,   299,   381,  2794,   427,
     360,   429,   436,  1935,   201,   228,   372,   401,  1940,   413,
     514,   401,   328,  1524,   401,   271,   322,   326,   113,  2053,
     447,  3148,   331,  1955,   452,   248,   386,  1538,   455,    89,
    1814,   458,   511,  1817,  1818,   192,  2106,   194,   317,  1971,
     468,   408,   476,   197,    75,    76,    77,    78,   143,  3176,
     449,    82,  2062,  2052,  2064,    86,   312,  2292,  2068,  3879,
    2070,  2996,   317,  2073,   512,  1997,   427,  2077,   429,  4143,
     325,  2003,  4075,  4076,  2006,    14,   474,  3386,   323,  3565,
    2292,   326,   279,   280,   440,   273,  3395,   474,  1953,   392,
     223,   452,    85,   153,   450,    88,   293,  1881,    37,   159,
    2032,   229,   456,  2130,   359,   361,  3739,  1972,  2040,    41,
     243,  2043,  2123,   511,  4586,  2114,   376,  2114,   508,  2114,
     273,  2053,   310,  1634,  1635,   185,  1637,  2114,  2114,   257,
    4940,   495,   496,   497,  2948,   499,   500,   501,   502,   503,
     504,   401,   339,  2999,   272,    16,   207,   326,  3781,   180,
    3545,  3546,   331,  3481,  1935,   312,   284,   310,   219,  3149,
     509,  2093,   223,   512,  2777,   322,    75,    76,    77,    78,
    1935,  3756,  3757,    82,   269,   270,   506,   263,  2202,   495,
     496,   497,   512,   499,   500,   501,   502,   503,   504,    75,
      76,    77,    78,  3679,     2,  2948,    82,  4556,   509,  2131,
    2132,   512,   172,  2999,   265,     7,   503,  2139,   361,   475,
    2142,   508,   223,   510,  2146,   403,   355,    19,    20,  2151,
     315,  3488,  2154,  2155,  2202,  3215,   287,   438,   494,   426,
    2162,   428,   243,  2165,  2166,  2167,  2168,    39,  4165,  3350,
      42,  2310,   508,  2175,  2176,  3895,  2178,   161,  2180,  2181,
     403,  3583,  2184,  4073,   382,  2202,  2040,   219,   321,  2043,
    2294,   223,  3118,   324,  2182,  3018,   454,  2185,  2200,  2201,
    2202,   332,   134,   135,  2206,  2407,   269,  2409,  2210,    71,
      72,  4070,  2214,   253,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,   219,  2226,  3958,  4964,   223,  3118,   182,
    2232,   454,  3552,  2235,    97,  4664,   339,   330,   426,  3943,
      75,    76,    77,    78,  2292,   229,   339,    82,   339,    75,
      76,    77,    78,  3485,   117,   287,    82,   503,   298,   506,
     300,   508,   508,   510,   510,   328,  4634,   389,   339,   372,
     223,  2336,   468,   257,    71,   475,  2402,   275,  2292,   372,
     394,   372,    79,    80,   156,   434,   474,   475,   272,   167,
    2292,   287,   324,   508,   494,  2297,   275,  2345,   401,  2347,
     284,   372,   255,  2397,   426,   511,   512,   389,   508,   187,
     424,  4425,  4426,  4427,  4428,  3747,  2456,   448,  2377,   391,
     508,   193,   427,   307,   429,  3704,  3705,    34,   324,   389,
     207,  2345,   394,  2347,   499,   500,   501,   502,   503,   504,
     339,   438,   219,  2345,   426,  2347,   223,   365,   462,  2397,
     314,  2202,   474,   475,   339,  4075,  4076,   310,   438,   312,
     474,   317,   424,  4436,  2366,    85,   426,  2202,    88,   361,
     313,   314,  4445,   372,   467,   506,   391,   395,   509,   510,
    2397,   373,  2384,  3374,  2386,   105,   508,   372,   265,  4462,
    4463,  2393,   474,   475,   508,  2397,  2398,   374,   382,  2401,
     462,  4304,   401,  4306,   297,   397,   424,  4310,   389,  4312,
     287,  2537,   297,   511,   474,   475,   401,   515,   506,   251,
    2514,  2423,   510,  2517,  2426,  3351,   508,  3353,   474,   475,
     394,   389,   495,   496,   497,  2437,   499,   500,   501,   502,
     503,   504,  2444,   157,  3646,   426,   508,   324,   508,   372,
     468,   394,   427,   376,   429,   332,    85,    85,  2475,    88,
     424,  3351,  2464,  3353,   385,   386,  2514,  3613,   426,  2517,
     507,  2052,   513,  2475,   511,   365,   105,    72,   401,  2481,
     243,   424,   317,   507,  2486,  2487,   509,   511,   511,  2491,
    3416,   317,   438,   474,   475,   150,  2498,  2514,   462,   125,
    2517,  3324,   632,   385,   386,   395,  3616,  3617,  2362,   506,
     474,   508,  2514,  2515,  3337,  2517,   474,   475,   389,   462,
     389,   468,    75,    76,    77,    78,  3416,   508,  2382,    82,
    2384,   474,  2386,  2114,   424,   511,   512,  2539,  2540,   391,
     509,  2543,   511,   389,   508,   509,  2397,  4607,   512,   269,
     508,   474,   501,   502,   503,   426,   988,   426,   990,  2561,
     992,  2655,  2397,  2669,   128,   508,   998,  4123,    71,  2571,
     275,   448,    75,    76,    77,    78,    79,    80,   468,    82,
     426,   514,  2584,   147,  2899,   511,  2901,  2902,   508,  1021,
    1022,  2593,  2594,    75,    76,    77,    78,   161,   339,   339,
      82,  4157,    86,   474,   475,   474,   475,  2655,   328,   509,
     508,   511,   510,  4686,    75,    76,    77,    78,  4508,   508,
     389,    82,   115,  3489,  2986,   326,  2207,   180,   474,   475,
     468,   372,   372,   491,  2636,   376,  2638,   508,  2655,   508,
     269,  3838,   125,   509,   389,   511,   474,   475,   212,    85,
     492,   493,    88,  2655,   509,   271,   511,   426,   329,  2661,
     401,   401,   508,  2514,  2666,   509,  2517,   511,   329,   127,
    4403,   510,   175,    75,    76,    77,    78,   113,   434,  4081,
      82,   426,  2517,   119,   509,  2931,   511,   499,   500,   501,
     502,   503,   326,   509,  2548,   511,  2698,   509,   180,   328,
     223,   159,  2556,  3967,  2558,   474,   475,   143,   509,  1141,
     511,  2713,    71,    72,  2716,   509,  4436,   511,  2777,   180,
      79,    80,   326,  1155,  1156,   474,   475,    86,  1160,   474,
     475,   491,   838,    75,    76,    77,    78,  4057,   241,   508,
      82,   847,  4462,  4463,   329,   875,   499,   500,   501,   502,
     503,  2753,  1454,  1455,   507,  2336,   491,   215,   509,  2761,
     511,   115,   509,   508,   511,   501,   271,  2971,  2972,  2973,
     508,   508,   510,  1205,   880,   495,   496,   497,   227,   499,
     500,   501,   502,   503,   504,   509,   511,   511,   246,   125,
     509,  3037,    85,   509,   228,    88,   299,   267,  2800,   302,
     512,   501,   932,   933,  2655,   509,   509,   511,   511,   263,
    2812,    85,   248,  2907,    88,   509,   509,   511,   511,  2913,
    2655,   509,  2824,   511,   282,   509,  2828,   511,   514,   509,
     936,   511,  2834,   269,   270,   514,   509,   967,   511,   113,
     946,    75,    76,    77,    78,   119,   508,   434,    82,  2851,
    2852,   509,   434,   511,   312,  2857,   427,   434,   429,  2907,
     427,   509,   429,   511,   434,  2913,   495,   496,   497,   143,
     499,   500,   501,   502,   503,   504,   509,   434,   511,   315,
    2882,  2883,   509,   203,   511,  2887,   509,   108,   511,   392,
    2907,   509,   328,   511,   125,  1025,  2913,  2899,  2900,  2901,
    2902,    75,    76,    77,    78,  2907,  4301,   509,    82,   511,
    2912,  2913,   509,  2915,   511,  2917,   263,   509,   376,   511,
     378,   509,   380,   511,  1054,  2927,  2928,   434,   386,  2931,
     509,   205,   511,  1063,   509,   393,   511,  1067,  1068,  1069,
    2794,   269,  2944,   401,  2946,  3014,  4650,  3014,  2950,  3014,
     510,   509,   410,   511,   509,  3778,   511,  3014,  3014,   509,
     418,   511,   401,   509,  2966,   511,  4686,   509,  1400,   511,
     244,   509,   508,   511,   248,  2977,   269,  2979,  2980,  2981,
      75,    76,    77,    78,   508,   212,   489,    82,  4367,   508,
     477,    75,    76,    77,    78,   269,   270,  2999,    82,   510,
     509,  3003,   511,   509,  1368,   511,   248,   509,   509,   511,
     511,   469,   286,  3015,   509,  1379,   511,   509,  3020,   511,
     509,   509,   511,   511,  3026,  1155,  1156,   326,   212,   509,
    1160,   511,  3034,   212,   509,   328,   511,  4183,  4440,   326,
     509,   315,   511,   509,   509,   511,   511,   509,   223,   511,
     509,   212,   511,   509,   328,   511,  2907,   509,   509,   511,
     511,   285,  2913,   499,   500,   501,   502,   503,   504,   512,
     182,  3073,  2907,  1107,   509,  1109,   511,    85,  2913,   509,
      88,   511,   509,   509,   511,   511,   509,   456,   511,   967,
     326,   508,  3094,   509,  4158,   511,   509,   105,   511,   438,
     468,  3195,  3196,  3197,  4837,   113,  4113,   321,  4115,   391,
     988,   119,   990,  3115,   992,   275,  3118,   358,   508,  3121,
     998,   999,  1000,   137,   474,   108,   312,   508,   477,   312,
     115,   405,   443,   115,  4000,   143,   339,   223,   468,   468,
     150,   356,   513,  1021,  1022,  2999,  1252,  3195,  3196,  3197,
     212,   212,   508,   212,   477,   212,   212,  1263,   511,   212,
    1592,  3163,  3164,   212,  3166,  1597,  1598,   212,   326,   212,
     212,   212,  4492,   326,   212,   212,   424,   508,  3195,  3196,
    3197,   108,   285,   326,   224,   349,   508,   223,   223,   508,
     508,   223,   508,  3195,  3196,  3197,   508,   336,   508,   508,
    4595,   508,   508,   496,   497,   508,   499,   500,   501,   502,
     503,   504,  3214,   508,   508,   511,   508,  1323,   508,   508,
    3222,   108,  3224,  3225,  4603,   499,   500,   501,   502,   503,
     504,   508,   508,   508,   163,   508,   244,   508,   508,   508,
     248,   508,  3336,   508,   508,   508,   508,  1377,   267,  1681,
     108,  1381,  1382,   269,  1384,   285,   223,   324,   223,   322,
     401,   269,   270,  1141,  4148,   263,   501,   392,   302,   179,
    1400,   511,   511,   455,    14,    71,  3278,   495,   286,   511,
     508,   389,  1160,    79,    80,  4687,   508,   434,  3336,   508,
     434,   389,   434,   510,   434,  3297,   434,   434,   434,  3425,
      96,  3303,   153,   212,   312,  3428,   389,   315,   326,   282,
     434,   393,   434,   317,   434,  1445,   145,   326,   253,  3336,
     328,  3323,  3324,  1755,   455,  4148,   322,  1205,   508,   434,
     434,  1763,   508,  3398,  3336,  3337,   153,  1467,   511,   339,
     212,   456,  3407,   456,  3195,  3196,  3197,  3593,   174,  3351,
    2931,  3353,   125,   434,   434,  4757,   152,   434,  3604,  4761,
    4762,   125,  4353,  3428,  2945,   434,   434,   330,   434,  3428,
     434,  4691,   114,   114,   434,  4301,   434,   389,   511,   434,
     434,   326,  1814,  2964,   477,  1817,  1818,   326,   269,   474,
     508,  3595,  3596,  3597,  3598,   465,  2977,   405,   508,  3401,
     108,  4780,   508,   107,    97,  4759,   202,   326,  4514,  4590,
    1540,   212,   312,   180,  3416,  3417,   508,   456,   212,   467,
    1550,  4758,   293,  4765,   322,  4767,   312,   108,  3430,   508,
    1560,   223,   108,  3014,   275,  4301,   510,   390,   212,   456,
     212,   212,   212,   456,  3446,    85,   212,    14,    88,  1881,
     434,   321,   248,  3034,   316,   470,  3037,   253,  3460,  1589,
     511,  3463,  1592,  1593,  3558,   105,   228,  1597,  1598,   474,
    3324,   432,   304,   304,    88,   508,   401,   508,   432,   434,
     491,  3483,   511,  3337,   508,  3336,   508,   495,   496,   497,
     228,   499,   500,   501,   502,   503,   504,  3499,   495,   436,
    3502,  3336,   509,  1381,  1382,   511,  1384,  3509,  4903,   511,
    3558,   242,   242,  3515,   508,  3517,   265,   273,   511,   403,
    3522,  3523,  1400,   327,  3526,  3527,  3528,  3529,  3530,  3531,
    3532,  3533,  3534,  3535,   511,   456,    34,  3539,  3540,   509,
     509,  3558,    10,   509,   434,  3547,   434,  4867,   344,   389,
    3552,  1681,   152,   389,  3556,   456,  3558,   508,  3560,   273,
     273,   434,   317,   317,   508,   434,   434,   391,  3570,   468,
     275,  3573,   438,  3575,   317,   326,   115,   325,   408,   434,
     333,  3583,  3584,  3585,  3586,   511,   434,   383,  3590,   389,
     372,  3593,  4653,   372,   243,   398,   434,   434,   361,   269,
     108,  3603,  3604,   269,   269,   269,   456,   456,   269,   325,
     495,   107,  3614,   506,   506,   434,  4726,   495,   434,   212,
    3622,   223,  3624,   468,   225,   322,   422,   212,   508,   269,
     398,   508,   211,   108,  1998,  3489,   326,   326,   502,   474,
     223,   240,  4526,  2007,   240,   108,   212,  2011,   326,   326,
     223,   447,   398,  2017,  2018,   511,   248,   248,   248,   455,
      96,  3800,   458,   477,  3666,   511,   234,   301,   326,  4595,
    3672,  2035,   511,   125,   424,   321,  3678,   438,   468,  3773,
     275,  4565,   509,  3777,   509,  3779,   509,   228,   328,   509,
     511,    98,   491,  5030,   509,   343,   509,   509,   509,   509,
    1830,  3703,   509,  4526,   509,   491,   228,  3558,   434,   335,
      90,   509,   509,   508,  1592,    90,   509,   454,   509,  1597,
    1598,   508,   379,  3558,   471,  3773,   509,   471,   462,  3777,
     495,  3779,  3734,  4556,   512,   511,   495,   287,   145,   326,
     509,   329,  4565,   212,   326,   251,   434,   434,   477,   434,
     508,   511,   509,   317,   259,   434,  3773,   212,   330,   212,
    3777,  3855,  3779,  1893,   287,   434,   344,   174,   344,   508,
     453,  3773,   434,   389,   434,  3777,  3778,  3779,   434,   295,
     295,   295,   434,   434,   434,    89,   389,   434,   195,   434,
     434,   389,   389,  1671,   312,  1673,   434,   401,   212,   206,
     114,   434,   434,   269,   269,   269,   508,  3855,   506,   509,
     302,   287,   511,  1691,   509,   495,  3818,  3398,   225,  3821,
    1698,  1699,   443,   230,   115,   509,  3407,  1957,   374,   173,
     325,   108,   326,   237,   509,   508,   456,   511,  3855,   456,
     434,   509,   223,   329,   389,   389,   389,  3428,   511,   210,
     210,   173,   269,  3855,   203,   495,   496,   497,   228,   499,
     500,   501,   502,   503,   504,   506,    88,   223,   135,   276,
     509,   228,   509,    98,   509,   511,   495,  1755,  2310,   509,
     508,   467,   509,   508,   236,  1763,   509,  3952,  4879,   511,
     297,  1997,   327,  3895,   509,   223,   509,   509,   508,   108,
    2006,   456,   456,   434,   259,   443,   131,   443,   434,   434,
    2040,   495,   389,  2043,   434,   434,   389,   434,   223,   144,
    3922,   173,  3773,  3925,  3778,   143,  3777,  2291,  3779,  3994,
    2362,   508,   157,   212,  2366,   509,  1814,   269,   509,  1817,
    1818,   443,  3777,   269,  3779,   474,   509,   509,   507,   356,
    2382,   508,   273,   398,   357,    78,  3958,  3959,  3960,   508,
     508,    84,   223,   148,   477,    95,    89,   254,   426,   511,
     195,   101,   509,  4175,   508,   434,   383,  4903,   511,   511,
      85,   206,   389,   398,   233,   509,   228,  2093,   395,   269,
     228,  4875,   366,   269,   117,   269,   269,   509,   508,   125,
     225,  4003,   509,  1881,  3855,   230,   509,   511,  3862,   509,
     472,   141,  3593,   272,   334,   472,   272,   424,  4020,   426,
    3855,  2151,  3603,  3604,   508,   508,   125,   238,   509,   509,
    4169,   228,   322,   434,   495,   474,   443,   143,   253,   162,
     511,   443,   317,   434,   495,   317,   212,   230,   269,   228,
     456,   511,  4875,   507,   248,  4057,   456,   108,   198,   470,
     190,   468,   474,   228,   508,  4067,  4068,   197,  4070,   474,
     200,   508,   297,  4075,  4076,   256,   329,   228,  4080,  4081,
     508,   508,  4221,   366,  4086,  4087,   209,   411,  4090,   461,
    4155,   509,   272,   509,   217,   508,   219,   473,   508,   342,
     509,   509,   326,   328,   367,   434,  4108,   434,   231,   508,
    4112,  1989,   509,   508,   223,   474,  2548,   187,   317,   108,
    4122,  4215,   317,   253,  2556,  4127,  2558,   296,   357,  4491,
     251,   356,   509,   211,   108,  2265,   509,  4139,   330,   508,
     508,   508,   386,   125,   495,   386,  4000,   125,   332,   456,
     508,   310,   326,    82,   508,   426,   509,   218,   137,   398,
     137,   357,  2040,  4165,   389,  2043,   329,  4215,   193,    85,
     395,   460,   511,   398,   108,   366,  4178,   461,   228,   471,
     310,   223,   312,   198,   253,   326,   364,   326,   474,  4328,
     508,   108,   322,    85,  4196,   108,    88,   329,  4215,   424,
     330,   329,   508,   125,   185,   430,   509,   508,   385,   339,
     509,   509,    82,  4215,   508,   947,    94,   454,   443,   105,
     952,   113,  4224,  1641,   385,   211,   357,   119,   372,  1224,
     962,  1202,  1857,  4235,  2667,  1598,  2366,  2999,  4240,   508,
    2524,  3176,   372,   468,  3777,  4247,   376,  2588,  3320,  3854,
    4772,   143,  2382,  4593,  2384,  4903,  2386,   380,  4646,  3916,
    4650,  4346,  4632,  3095,  4971,  2782,  2144,  2145,  4525,  5029,
    4917,   401,  4916,  4987,  2152,  4821,  3099,  3908,  2156,  2157,
    2658,  3773,  3196,  2658,  4286,  3388,  1958,  2652,  5034,  4143,
    5101,  5093,   415,  2171,  4627,  2173,  3336,  3323,  4998,  4301,
    4567,  1948,  4891,  4979,  4570,   187,  4003,  1437,  4734,  3956,
    2487,  4165,  3958,   205,  4837,   933,  3281,  2195,  5011,  2197,
    5095,  4812,  2294,  2053,  2295,  3014,  3941,  2332,  4156,   459,
    1082,  2437,  3676,  3015,  2334,  1626,  2765,  3021,  2444,  1644,
    2470,  1643,  4344,  1395,  2333,  3026,  1646,  3034,  3042,  3604,
    4100,  3677,   244,  4355,  4713,  4114,   248,  3603,  3568,  1087,
    4689,  1097,  2794,  1651,  4215,  2729,  3560,  4958,  4962,  2247,
    3018,  3952,  4959,  2853,  2945,  2943,  3672,   269,   270,  2232,
    3425,  2745,  2746,  1330,   632,  2749,  2717,  4949,  1991,   381,
    2342,  2755,  2366,  1178,   286,  1663,  1657,  2993,  1448,   969,
    2382,  4403,  2375,  3683,  2374,  3684,  4142,  1572,  3651,  1661,
     414,     2,  2778,  3994,    85,  2082,    -1,    88,  2386,  1381,
    1001,    -1,  4424,   315,    -1,  1158,    -1,    -1,    -1,    -1,
    4510,  1158,  2310,    -1,  4436,    -1,   328,    -1,  4440,    -1,
      -1,    -1,   113,  4445,    -1,    -1,    95,  4301,   119,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4462,  4463,  2826,    -1,  4466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,  4479,   108,    -1,
      -1,    -1,  4484,    -1,  2362,  4487,    -1,  2617,    -1,    -1,
    4492,  4493,   141,    -1,    -1,  2625,    -1,   127,    -1,  4593,
      -1,    -1,    -1,    -1,  2382,    -1,  2384,    -1,  2386,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,  4519,    -1,  4521,
      -1,    -1,    -1,  4525,    -1,    -1,    -1,  4108,    -1,   159,
      -1,  4112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,   848,  4593,    -1,    -1,   197,    -1,
     854,   200,  2682,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
     864,    -1,  4564,    -1,    -1,    -1,    -1,  2999,    -1,    -1,
      -1,  4636,    -1,   244,  4155,    -1,  4593,   248,    -1,    -1,
    2710,    -1,    -1,    -1,    -1,   215,  2716,    -1,   892,    -1,
      -1,  4593,   896,  4595,    -1,    -1,    -1,    -1,   269,   270,
      -1,    -1,    -1,   907,   253,  4607,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,   286,   246,    -1,    -1,    95,
      -1,    -1,    -1,  2753,    -1,   101,    -1,    -1,    -1,    78,
    1362,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      89,   312,    -1,    -1,   315,   275,    -1,    -1,    -1,  4503,
      -1,    -1,   282,    -1,    -1,    -1,    -1,   328,    -1,  4753,
    4662,   310,  4664,   312,    -1,   141,    -1,    -1,   117,    -1,
    2548,    -1,    -1,   322,    -1,    -1,    -1,    -1,  2556,    -1,
    2558,   330,   312,    -1,  4686,  4687,    -1,  4689,    -1,  4691,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,
      -1,    -1,  4556,   101,  1436,  4753,  4708,   830,    -1,    -1,
    4712,   834,    -1,   162,   190,  4717,    -1,    -1,    -1,  1451,
      -1,   197,  2828,   372,   200,   848,    -1,   376,  2834,    -1,
      -1,   854,  1464,    -1,   405,    -1,  4753,    -1,    -1,    -1,
    3104,   864,  4593,   141,    -1,    -1,   376,    -1,  2166,    -1,
     380,  4753,   401,    -1,  4819,  4757,   386,    -1,  4593,  4761,
    4762,    -1,  2180,   393,    -1,    -1,  2644,    -1,   127,   892,
      -1,   401,    -1,   896,    -1,    -1,    -1,   253,    -1,    -1,
     410,    -1,   231,    -1,   907,    -1,    -1,    -1,   418,    -1,
      -1,    -1,   190,    -1,    -1,    -1,  4798,    -1,    -1,   197,
     159,    -1,   200,    -1,    -1,  5051,    -1,    -1,    -1,   932,
     459,    -1,    -1,    -1,    -1,  4817,    -1,    -1,    -1,  3183,
      -1,  3185,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,   310,  4837,   312,    -1,    -1,   469,
      -1,    -1,  4844,   473,   474,    -1,   322,    -1,    -1,    -1,
      -1,  1155,  1156,   976,   330,   253,   215,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,  4867,    -1,    -1,    -1,  2999,
      -1,  2977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4884,    -1,    -1,    -1,    -1,   246,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,  1627,   372,    -1,  4479,    -1,
     376,  4903,  4753,  4484,    -1,  3337,  4487,    -1,    -1,    -1,
      -1,    -1,   310,  3277,   312,    -1,  2794,    -1,    -1,  3283,
      -1,    -1,    -1,   282,   322,   401,    -1,  4929,  3034,    -1,
      -1,   380,   330,    -1,  4999,    -1,    -1,    -1,  4940,    -1,
      -1,   339,  5011,  1066,  5011,  1068,  5011,  1070,    -1,    -1,
      -1,    -1,  5046,   312,  5011,  5011,    -1,    -1,    -1,  4961,
    4962,    -1,  4964,    -1,    -1,  1088,   415,    -1,    -1,    -1,
      -1,    -1,  4974,    -1,   372,    -1,    -1,    -1,   376,    -1,
     339,    -1,  5051,   459,  5051,    -1,  5051,    -1,  3118,    -1,
      -1,    -1,    -1,    -1,  5051,  5051,    -1,    -1,  5046,  5093,
      -1,    -1,    -1,   401,    -1,    -1,    -1,  5101,    -1,    -1,
      -1,    -1,    -1,   372,  5016,    -1,    -1,   376,    -1,    -1,
      -1,   380,    -1,    -1,  5026,    -1,  5095,   386,  5095,  5046,
    5095,    -1,  1155,  1156,   393,    -1,    -1,    -1,  5095,  5095,
      89,    -1,   401,    -1,  5046,  5093,  1286,    -1,    -1,    -1,
      -1,   410,    -1,  5101,    -1,  4636,    -1,  3489,    -1,   418,
      -1,   459,    -1,    -1,    -1,  3429,    -1,    -1,   117,  3433,
    3434,  3201,  3436,    -1,  3438,  3439,  5093,    -1,    -1,    -1,
      -1,    -1,    -1,  3447,  5101,    -1,  5088,    -1,    -1,    85,
      -1,  5093,    88,    -1,    -1,  5097,    -1,    -1,    -1,  5101,
      -1,    -1,  3232,    -1,    85,    -1,    -1,    88,    -1,   105,
     469,    -1,    -1,   162,    -1,    -1,  2994,   113,  3482,  2997,
      -1,  2999,    -1,   119,    -1,    -1,   108,    -1,    -1,    -1,
      -1,  4712,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,   127,    -1,   143,    -1,    -1,
    3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,   143,    -1,    -1,    -1,    -1,    -1,   217,    -1,
     219,    -1,  3302,    -1,    -1,  3305,  3306,   159,    -1,  3309,
      -1,    -1,   231,    -1,    -1,  3315,    -1,    -1,    -1,    -1,
      -1,    -1,  5046,    -1,  3324,  5046,    -1,    -1,    -1,    -1,
    3330,    -1,    -1,    -1,    -1,    -1,    -1,  3337,    -1,  1449,
      -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3351,    -1,  3353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,  4819,  5093,
      -1,    -1,  5093,    -1,    -1,    -1,    -1,  5101,   244,    -1,
    5101,    -1,   248,    -1,  1377,    -1,    -1,    -1,  5093,  3389,
      -1,    -1,    -1,   244,   246,    -1,  5101,   248,    -1,    -1,
      -1,    -1,    -1,   269,   270,    -1,  2008,  1400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3415,  3416,  2019,   269,   270,
     286,    -1,    -1,   275,    -1,    -1,    -1,    -1,    -1,  2031,
     282,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,   328,    -1,   315,   331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1467,    -1,  3778,   328,    -1,    -1,
      -1,    -1,  1592,    -1,  3460,    -1,    -1,    -1,  2090,    -1,
      -1,    -1,  2094,    -1,  2096,    -1,    -1,  2099,  3800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1681,    -1,    -1,
      -1,   830,    -1,    -1,    -1,   834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   376,    -1,    -1,    -1,   380,   848,
      -1,    -1,    -1,    -1,   386,   854,    -1,    -1,    -1,   405,
      -1,   393,    -1,    -1,    -1,   864,    -1,    -1,  4999,   401,
      -1,    -1,    -1,    -1,   405,   108,    -1,    -1,   410,    -1,
    5011,    -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,  3569,
      -1,    -1,    95,   892,   127,    -1,  3324,   896,   101,    -1,
      -1,  3329,  3330,    -1,    -1,    -1,    -1,    -1,   907,  3337,
      -1,    -1,    -1,    -1,  2882,  2883,  1589,    -1,    -1,  2887,
    5051,    -1,    -1,    -1,  1597,  1598,   159,    -1,    -1,  1719,
      -1,    -1,    -1,   932,    -1,  1608,    -1,   469,   141,    -1,
    3368,   473,    -1,  3623,    -1,    -1,    -1,  3603,  3604,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,  2927,
    2928,   507,    -1,    -1,  5095,   496,   497,   513,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,   976,    -1,    -1,
      -1,    -1,   215,  1773,    -1,    -1,    -1,   190,  1661,  1662,
    1663,    -1,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,
    1854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1681,    -1,
      -1,    -1,  1802,   246,    -1,    -1,    -1,    -1,  4000,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1711,    -1,
      -1,    -1,   275,    -1,    -1,  1718,    -1,  3703,    -1,   282,
     253,    -1,  1725,    -1,    -1,    -1,    -1,    -1,    -1,  1732,
      -1,  3489,    85,    -1,    -1,    88,    -1,  3981,    -1,  1068,
      -1,    -1,    -1,    -1,    -1,  3989,  3990,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,  1875,    -1,    -1,    -1,  1088,
     113,    71,  1765,    -1,    -1,    -1,   119,    -1,  3778,    79,
      80,  1955,    -1,    -1,  1894,    85,    -1,   310,    88,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1971,    -1,   322,
     143,  3801,  1912,    -1,  3804,   105,  3806,   330,   108,    -1,
      -1,    -1,    -1,   113,    -1,    -1,   339,    -1,    -1,   119,
      -1,    -1,    -1,   376,    -1,    -1,    -1,   380,    -1,    95,
    1940,    -1,    -1,   386,    -1,   101,  1155,  1156,    -1,    -1,
     393,    -1,    -1,   143,    -1,  3845,    -1,    -1,   401,   372,
      -1,  3851,  3852,   376,  3854,    -1,    -1,   410,  2032,    -1,
     126,  1854,    -1,  1856,    -1,   418,    -1,  4169,    -1,    -1,
      -1,    -1,    -1,    -1,  3874,   141,    -1,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,  3885,  3886,  3887,  3888,    -1,
    2492,    -1,    -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,   172,    -1,    -1,    -1,
      -1,   830,    -1,    -1,    -1,    -1,   469,    -1,    -1,  4221,
     473,    -1,    -1,    -1,   190,    -1,   269,   270,    -1,   848,
      -1,   197,  3680,    -1,   200,   854,   459,    -1,    -1,    -1,
      -1,    -1,  1935,   286,   244,   864,    -1,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,
    4194,    -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,   269,
     270,    -1,   315,   892,    -1,    -1,    -1,   896,  1971,    -1,
      -1,    -1,    -1,    -1,   250,   328,   286,   253,   907,    -1,
      -1,  4225,  4226,    -1,    -1,    -1,    -1,    -1,    -1,  4301,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,   932,    -1,   315,    -1,  4017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4328,    -1,   328,    -1,
    3778,   331,   298,    -1,   300,    -1,    -1,    -1,    -1,  2032,
      -1,    -1,    -1,    -1,   310,    -1,   312,    -1,    -1,    -1,
      -1,    -1,  3800,  4287,  4288,    -1,   322,   976,  1377,    -1,
    2053,    -1,   405,    -1,   330,    -1,    -1,  1286,    -1,    -1,
      -1,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2200,    -1,    -1,  1286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   405,   372,    -1,    -1,    -1,
     376,   377,    -1,  3861,  3862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3870,    -1,    -1,    -1,  3874,    -1,    -1,    -1,
      -1,    -1,  4108,    -1,    -1,   401,  4112,  3885,    -1,    -1,
      -1,    -1,    -1,  4143,  4144,    -1,   412,  1066,  1467,  1068,
      -1,  1070,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,  4165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4410,    -1,  4412,  4413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,  4423,
      -1,    -1,  2366,   459,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,  2202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,
      -1,    -1,    -1,    -1,  2398,    -1,    -1,  2401,    -1,    -1,
    1449,    -1,    -1,    -1,    -1,  3523,  1155,  1156,  3526,  3527,
    3528,  3529,  3530,  3531,  3532,  3533,  3534,  3535,    -1,  2423,
      -1,    -1,  4000,    -1,  4556,    -1,  1449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,
    1589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1597,  1598,
      -1,    -1,    -1,    -1,  4284,  4285,    -1,    -1,    -1,  1608,
    2464,    -1,    -1,    -1,  4294,  4295,    -1,  3585,  3586,  2292,
      -1,  4301,    -1,    -1,    -1,  4305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2491,    -1,    -1,
    4320,  4321,  4322,  4323,  4324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2515,  1661,  1662,  1663,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2345,    -1,  2347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1681,    -1,    -1,  2539,    -1,    -1,    -1,  2543,
      -1,  2481,    -1,  2366,    -1,  4375,  2486,  2487,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2561,  2498,    -1,
      -1,    -1,  1711,    -1,    -1,  4143,    -1,  2571,    -1,  1718,
    2393,    -1,  4402,    -1,  2397,  2398,  1725,    -1,  2401,    -1,
    2584,    -1,    -1,    -1,    -1,    -1,    -1,  4165,    -1,  2593,
      -1,  4169,    -1,    -1,    -1,  4425,  4426,  4427,  4428,    -1,
    2423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4680,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2464,    -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1400,  2475,    -1,    -1,    -1,  3088,  3089,    -1,  3091,
    4238,  4239,    -1,    -1,    -1,  4243,  4244,    -1,  2491,    -1,
    1719,    -1,  4736,  4479,    -1,    -1,    -1,    -1,  4484,    -1,
      -1,  4487,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,  2514,  2515,    -1,  2517,    -1,  1719,    -1,  2638,    -1,
      -1,    85,    -1,   105,    88,  1854,  4770,    -1,    -1,    -1,
      -1,   113,  4844,    -1,    -1,    -1,  2539,   119,  1467,  4525,
    2543,    -1,    -1,  4301,  1773,    -1,  4556,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,  2561,    -1,
      -1,   143,  4320,  4321,  4322,  4323,  4324,    -1,  2571,    -1,
    4328,    -1,    -1,  1802,    -1,    -1,  4586,    -1,  4564,   143,
      -1,  2584,    -1,    -1,    -1,  4595,    -1,    -1,    -1,  4599,
    2593,  4601,    -1,  2713,  4604,  4605,    -1,  3895,    -1,  1802,
      -1,    -1,    -1,    -1,    -1,    -1,  1935,    -1,    -1,   849,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   857,    -1,    -1,
      -1,  4607,  3234,    -1,    -1,   865,  1955,    -1,    -1,    -1,
      -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,   878,    -1,
      -1,   205,  1971,    -1,    -1,    -1,  1875,    -1,    -1,    -1,
      -1,    -1,  2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1589,    -1,   244,    -1,    95,  1894,   248,    -1,  1597,  1598,
     101,    -1,  1875,    -1,    -1,    -1,  4662,    -1,    -1,  1608,
     244,    -1,    -1,  1912,   248,    -1,    -1,   269,   270,    -1,
      -1,  1894,  2812,    -1,    -1,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2032,   286,   269,   270,    -1,    -1,    -1,
     141,  1940,    -1,  2716,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,  2053,    -1,  4712,    -1,    -1,    -1,
     312,    -1,  1661,   315,    -1,    -1,    -1,  1940,    -1,    -1,
      -1,   172,    -1,    -1,    -1,  4503,   328,    -1,    -1,   331,
    2753,   315,  1681,  3365,    -1,  3367,    -1,    -1,    -1,   190,
      -1,    -1,    -1,  4773,   328,    -1,   197,    -1,    -1,   200,
      -1,    -1,    -1,    -1,  2003,    -1,    -1,  4075,  4076,    -1,
    5024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1033,    -1,    -1,  1725,  2800,  4556,    -1,
    2003,    -1,    -1,  1732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,   250,
      -1,  2824,   253,   405,    -1,  1065,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,  1765,    -1,    -1,    -1,
      -1,   405,    -1,  1083,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,  1105,    -1,   298,  3480,   300,
      -1,    -1,    -1,  2202,    -1,    -1,    -1,    -1,    -1,   310,
      -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,   143,  3073,
      -1,   322,    -1,  4903,    -1,    -1,    -1,    -1,    -1,   330,
      85,    -1,    -1,    88,  2907,    -1,    -1,   338,   339,    -1,
    2913,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,  1854,    -1,  1856,   113,   511,
      -1,  3115,    -1,    -1,   119,   499,   500,   501,   502,   503,
     504,   372,    -1,  4929,    -1,   376,   377,    -1,    -1,    -1,
     205,    -1,    -1,    -1,  4940,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,  2292,    -1,    -1,  1206,    -1,    -1,    -1,
     401,  2200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,  4974,   244,
      -1,    -1,    -1,   248,    -1,    -1,  2999,  2200,    -1,    -1,
      -1,  3121,    -1,    -1,    -1,    -1,  1935,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   269,   270,  2345,    -1,  2347,    -1,
     205,    -1,    -1,    -1,    -1,    -1,  1955,    -1,   459,    -1,
    3214,   286,    -1,  1286,    -1,    -1,  5046,  2366,    -1,    -1,
      -1,  3225,  1971,  3163,  3164,    -1,  3166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1295,    -1,    -1,    -1,   244,
     315,    -1,    -1,   248,  2393,    -1,    -1,    -1,  2397,  2398,
    3073,    -1,  2401,   328,    -1,    -1,    -1,  1317,  1318,  1319,
      -1,    -1,    -1,  5093,   269,   270,  4844,    -1,    -1,    -1,
      -1,  5101,    -1,    -1,  2423,    -1,    -1,    -1,    -1,    -1,
      -1,   286,  3222,  2032,  3224,    -1,    -1,    -1,    -1,    -1,
      -1,  5097,  3115,  3297,    -1,  3118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2053,    -1,    -1,    -1,    -1,    -1,
     315,    -1,    -1,    -1,    95,  2464,    -1,    -1,  4436,    -1,
     101,    -1,    -1,   328,    -1,    -1,    -1,  4445,    -1,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,
      -1,    -1,  2491,    -1,  4462,  4463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    95,    -1,  3303,    -1,  2514,  2515,   101,  2517,    -1,
      -1,    -1,  3195,  3196,  3197,  1435,  1449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,
    2539,  3214,  1452,    -1,  2543,    -1,    -1,  3337,    -1,    -1,
     405,    -1,  3225,  1463,    -1,    -1,    -1,   141,    -1,   190,
      -1,    -1,  2561,    -1,    -1,    -1,   197,    -1,    -1,   200,
      -1,    -1,  2571,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,  2481,    -1,    -1,  2584,    -1,  2486,  2487,    -1,
      -1,    -1,  3446,    -1,  2593,    -1,    -1,    -1,    -1,  2498,
      -1,    -1,    -1,  2202,    -1,    -1,   190,    -1,    -1,  3463,
      -1,  3401,    -1,   197,    -1,    -1,   200,    -1,  5046,    -1,
      -1,    -1,   253,    -1,  3297,  2498,    -1,  3417,    95,  3483,
      -1,    -1,    -1,    -1,   101,    -1,  3918,  3919,    -1,    -1,
    3430,    -1,    -1,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,  2655,    -1,    -1,    -1,
      -1,    -1,    -1,  3336,    -1,  5093,    -1,    85,    -1,   253,
      88,    -1,    -1,  5101,   141,    -1,    -1,    -1,  3351,   310,
    3353,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   322,    -1,    -1,  1604,   113,    -1,    -1,    -1,   330,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,
      -1,    -1,  3502,  3995,  3996,  3997,    -1,  2716,  4686,    -1,
      -1,    -1,    -1,   190,    -1,   143,   310,    -1,   312,    -1,
     197,    -1,  3522,   200,    -1,    -1,    -1,    -1,   322,  2638,
      -1,   372,  1652,  3416,    -1,   376,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2753,   339,    -1,  3547,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2638,    -1,  2366,    -1,    -1,
     401,    -1,    -1,  3446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,   205,   372,    -1,
    3463,    -1,   376,  3583,  2393,    -1,  1719,    -1,  2397,  2398,
      -1,  2800,  2401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3483,    -1,    -1,    -1,  2713,    -1,    -1,   401,    -1,    85,
      -1,    -1,    88,    -1,  2423,  2824,   244,    -1,   459,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   310,    -1,   312,    -1,   113,    -1,    -1,
    1773,   269,   270,   119,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,  2464,    -1,  1777,   286,    -1,
      -1,    -1,   339,    -1,  1784,   459,  2475,   143,    -1,  1802,
    3734,    -1,    -1,    -1,    -1,  3558,    -1,    -1,    -1,    -1,
      -1,    -1,  2491,    -1,    -1,    -1,    -1,   315,    -1,    -1,
    1810,    -1,    -1,  1813,    -1,   372,    -1,    -1,  2907,   376,
     328,    -1,    -1,  2812,  2913,  2514,  2515,    -1,  2517,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   401,  1845,    -1,    -1,    -1,  2812,
    2539,    -1,    -1,    -1,  2543,    -1,    -1,    -1,    -1,  1859,
      -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2561,  1873,  3818,    -1,    -1,  3821,    -1,    -1,
      -1,  1894,  2571,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,   248,  4265,  4266,  2584,  4268,   405,  3778,  1912,
      -1,    -1,   459,    -1,  2593,    -1,    -1,    -1,    -1,    -1,
    2999,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,  2655,    -1,    -1,    -1,
      -1,  3734,   328,  1973,    -1,   331,    -1,    -1,    -1,  1979,
      -1,  3925,    -1,    -1,  3073,    98,    -1,    -1,    -1,    -1,
    2003,   499,   500,   501,   502,   503,   504,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3773,    -1,    -1,    -1,  3777,    -1,  3779,    -1,   131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3115,  2716,    -1,  3118,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3922,    -1,   157,    -1,    -1,    -1,    -1,   405,
    2050,    -1,    -1,    -1,    -1,  3818,    -1,    -1,  3821,    -1,
      -1,   174,    -1,    -1,  2753,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3855,   206,    -1,    -1,    -1,  2097,  2098,    -1,
      -1,   214,    -1,    -1,    -1,    -1,  3195,  3196,  3197,    -1,
      -1,  2800,   225,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   236,    -1,  3214,    -1,    -1,    -1,    -1,
      -1,    -1,  3121,    -1,    -1,  2824,  3225,    -1,   251,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,   511,    -1,    -1,  3121,    -1,
      -1,    85,  3925,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3163,  3164,    -1,  3166,    -1,    -1,
      -1,   105,    -1,    -1,   297,    -1,    -1,  2200,    -1,   113,
    4070,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,  4081,    -1,    -1,    -1,    -1,    -1,    -1,  3297,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    85,  2907,   143,
      88,    -1,    -1,    -1,  2913,   338,    -1,    -1,    -1,    -1,
      -1,  2231,    -1,  3222,    -1,  3224,    -1,   105,    -1,    -1,
    4003,    -1,    -1,   356,    -1,   113,    -1,  3336,    -1,    94,
      -1,   119,    -1,    -1,    -1,    -1,  2256,    -1,    -1,  3222,
      -1,  3224,  3351,    -1,  3353,    -1,    -1,    -1,    -1,    -1,
     383,    -1,    -1,    -1,   387,   143,   389,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,   398,    -1,   132,    -1,  3278,
      -1,  4235,    -1,  2293,    -1,  2295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4247,    -1,    -1,    -1,    -1,   153,    -1,
    2999,   424,    -1,   426,  3303,  3278,  4196,   430,    -1,    -1,
     244,    -1,    -1,    -1,   248,   438,   171,  3416,    -1,    -1,
     443,  2331,    -1,  4705,    -1,  3324,    -1,    -1,    -1,   184,
    3303,    -1,   455,  4715,  4224,   269,   270,   192,  3337,    -1,
      -1,    -1,    -1,    -1,    -1,   468,    -1,  3446,    -1,    -1,
    4240,    85,   286,   208,    88,   210,    -1,    -1,    -1,   214,
      -1,    -1,    -1,    -1,  3463,    -1,   244,    -1,    -1,   224,
     248,   105,    -1,    -1,  3073,    -1,    -1,   232,   312,   113,
      -1,   315,    -1,    -1,  3483,   119,    -1,  4769,    -1,    -1,
      -1,   269,   270,    -1,   328,    -1,  4286,   331,    -1,    -1,
      -1,    -1,  3401,    -1,    -1,    -1,    -1,    -1,   286,   143,
      -1,    -1,    -1,    -1,    -1,    -1,  3115,    -1,  3417,  3118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,    -1,
      -1,  3430,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,   331,    -1,    -1,    -1,  3430,  2481,  3558,
      -1,    -1,  4235,  2486,  2487,    -1,    -1,    -1,    -1,    -1,
      -1,   405,    -1,    -1,  4247,  2498,  4858,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3195,  3196,  3197,    -1,
      -1,  2511,    -1,  3502,   105,    -1,    -1,    -1,    -1,    -1,
     244,    -1,   113,    -1,   248,  3214,  2526,    -1,   119,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,  3225,   405,  4301,  3502,
      -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,  3547,  3522,
    4440,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,  3547,   509,    -1,    -1,   312,    -1,
      -1,   315,    -1,    -1,  3583,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   328,    -1,    -1,   331,  3297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3583,    -1,    -1,    -1,    -1,  2638,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,   509,    -1,    -1,    -1,  3734,    -1,  3336,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,
      -1,  4424,  3351,    -1,  3353,  2665,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,   269,   270,
      -1,   405,    -1,    -1,  3773,    -1,    -1,    -1,  3777,    -1,
    3779,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
    2713,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,
      -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,  3416,    -1,  3818,
      -1,    -1,  3821,    -1,    -1,    -1,    -1,   328,    -1,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,    -1,  4519,  3446,  4521,    -1,
      -1,    -1,    85,    -1,    -1,    88,  3855,    -1,    -1,    -1,
      -1,   495,   496,   497,  3463,   499,   500,   501,   502,   503,
     504,    -1,   105,    -1,  4664,   509,    -1,   632,    -1,  3778,
     113,    -1,    -1,    -1,  3483,    -1,   119,    -1,    -1,  2812,
      -1,    -1,   190,    -1,    -1,    -1,    -1,  4687,    -1,   197,
      -1,    -1,   200,    -1,   405,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4593,    -1,  4595,    95,    -1,    -1,  3925,  4717,    -1,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,  3558,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4757,    -1,   141,
      -1,  4761,  4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,  4003,    -1,    -1,    -1,   509,    -1,
      -1,   244,   310,    -1,   312,   248,    -1,    -1,   190,    -1,
      -1,    -1,    -1,  3922,   322,   197,    -1,    -1,   200,    -1,
      -1,    -1,   330,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3922,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,  3958,
    2970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,   312,
    4753,   253,   315,   838,   839,   840,   841,    -1,   843,    -1,
     845,    -1,   847,    -1,   849,   328,    -1,   852,   331,    -1,
      -1,    -1,   857,   401,   859,    -1,    -1,    -1,   863,    -1,
     865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   873,    -1,
      -1,    -1,    -1,   878,    -1,   880,    -1,    -1,   883,    -1,
     885,    -1,   887,    -1,    -1,  3734,    -1,    95,   310,   894,
     312,    -1,   897,   101,    -1,    -1,    -1,    -1,    -1,   904,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,
      -1,  4070,   405,    -1,  3773,    -1,    -1,    -1,  3777,    -1,
    3779,   936,  4081,   141,    -1,    -1,   941,    -1,    -1,    -1,
      -1,   946,    -1,    -1,    -1,   950,    -1,    -1,  3121,    -1,
     372,    -1,    -1,    -1,   376,    -1,    -1,    -1,  4081,    -1,
     965,    -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,  3818,
      -1,    -1,  3821,    -1,    -1,    -1,    -1,    -1,    -1,   401,
    4903,    -1,   190,    -1,    -1,    -1,  4235,    -1,    -1,   197,
    3163,  3164,   200,  3166,    -1,    -1,    -1,    -1,  4247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3855,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,  1020,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,   509,    -1,  1033,  1034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,  4964,    -1,    -1,    -1,   253,    -1,  4196,    -1,  3222,
      -1,  3224,  4301,    -1,    -1,  1060,    -1,    -1,    -1,  1064,
    1065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4196,    -1,  4224,  3925,    -1,  1083,    -1,
      -1,    -1,  1087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1095,  4240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1105,  4224,   310,    -1,   312,  3278,    -1,    -1,    -1,    -1,
      -1,    -1,  1117,    -1,   322,    -1,    -1,  4240,    -1,    -1,
      -1,    -1,   330,  5046,    -1,    85,    -1,    -1,    88,    -1,
    3303,   339,    -1,    -1,    -1,    -1,    -1,  4286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,  3324,    -1,   113,  4003,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,  4286,  3337,    -1,    -1,    -1,   376,    -1,
    5093,    -1,    -1,    -1,    -1,  4424,  1286,    -1,  5101,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   401,  1199,    -1,    -1,  3357,  3358,    -1,
      -1,  1206,    -1,  1208,  1209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,  3401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3417,    -1,    -1,  1252,    -1,    -1,
    3410,   459,    -1,    -1,    -1,    -1,    -1,  3430,  1263,    -1,
      -1,    -1,  1267,    -1,    -1,    85,    -1,    -1,    88,    -1,
    4519,    -1,  4521,    -1,    -1,  1280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,   105,    -1,    -1,   248,    -1,
    1295,  4440,    -1,   113,    -1,    -1,  1301,  1302,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,
     270,    -1,  1317,  1318,  1319,    -1,  1321,  4440,  1323,    -1,
      -1,  3481,  1327,   143,    -1,    -1,   286,    -1,    -1,  3502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1449,
      -1,    -1,    -1,    -1,  4593,    -1,  4595,    -1,    -1,  3522,
      -1,  1356,   312,  1358,  1359,   315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4215,    -1,   328,    -1,
      -1,   331,    -1,    -1,  3547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4235,  1392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4247,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
    3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,   244,  1430,  1431,   113,   248,    -1,
    1435,    -1,  1437,   119,    -1,    -1,    -1,    -1,    -1,    -1,
    3600,  3601,  3602,    -1,    -1,   405,   160,  1452,    -1,   269,
     270,    -1,  4301,    -1,    -1,  1460,    -1,   143,  1463,    -1,
      -1,  1466,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,  1478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,   207,    -1,   315,    -1,    -1,    -1,    -1,
      -1,    -1,  1507,    -1,  4753,   219,    -1,    -1,   328,   223,
      -1,   331,    -1,    -1,   228,  4664,    -1,    -1,    -1,   233,
      -1,    -1,   236,    -1,   238,    -1,    -1,    -1,    -1,    -1,
    1535,  1536,    -1,  1538,    -1,   495,   496,   497,  4687,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,   509,
    1555,   265,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,   248,    -1,  4687,    -1,    -1,    -1,  4717,    -1,
    1575,  1576,    -1,   287,    -1,  4424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   269,   270,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,  1604,
     286,    -1,  1607,    -1,    -1,  3778,    -1,    -1,  4757,  1719,
     324,    -1,  4761,  4762,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,  1636,    -1,    -1,  4757,  1640,  1641,    -1,  4761,  4762,
      -1,    -1,   328,    -1,    -1,   331,  1651,  1652,  1653,    -1,
      -1,    -1,    -1,    -1,  4903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1773,    -1,   379,    -1,    -1,    -1,    -1,
    4519,    -1,  4521,    -1,  1679,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,   509,
      -1,    -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,   405,
      -1,    -1,  3882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,  3901,    -1,    -1,  4593,    -1,  4595,    -1,    -1,  3922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,    -1,   473,
     474,    -1,    -1,    -1,    -1,  1875,    -1,    -1,  3928,    -1,
      -1,    -1,  1777,  1778,    -1,    -1,    -1,    -1,    -1,  1784,
      -1,    -1,  1787,    -1,  1894,  3958,    -1,    -1,    -1,    -1,
      -1,    -1,   506,    -1,    -1,   509,   510,  5046,   512,  1804,
      -1,    -1,  1912,    -1,    -1,  1810,    -1,    -1,  1813,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,   509,    -1,    -1,    -1,    -1,  1833,    -1,
    1940,    -1,    -1,    -1,    -1,    -1,  1841,  1842,  1843,  1844,
    1845,    -1,    -1,    -1,  5093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5101,    -1,  1859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,  1873,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1883,  1884,
      -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2003,    -1,    -1,    -1,  4070,    -1,    -1,
      -1,    -1,    -1,    -1,  4753,    -1,    -1,    -1,  4081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1934,
      -1,    -1,  4092,  4093,  4094,  4095,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1961,  1962,  1963,  1964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1973,    -1,
      -1,    -1,    -1,    -1,  1979,    -1,    -1,  1982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1997,    -1,    -1,    -1,    -1,    -1,    -1,  2004,
      -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2016,    -1,    -1,    -1,    -1,  2021,    -1,    -1,    -1,
     839,   840,    -1,  4196,   843,  2030,   845,    -1,    -1,    -1,
      -1,  2036,  2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   863,  2050,    -1,    -1,    -1,    -1,
      -1,  4224,    -1,    -1,  4903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   883,    -1,    -1,  4240,   887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2084,
      -1,    -1,    -1,    -1,    -1,   904,  2091,    -1,  2093,    -1,
    2200,    -1,  2097,  2098,    -1,  2100,    -1,    -1,    -1,    -1,
      -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4286,    -1,  4964,    -1,    -1,  2123,  2124,
      -1,    -1,  2127,    -1,    -1,  2235,  2131,  2132,    -1,    -1,
      -1,    -1,    -1,    -1,  2139,    -1,    -1,  2142,    -1,    -1,
      -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2154,
    2155,    -1,    85,    -1,    -1,    88,    -1,  2162,    -1,  2164,
    2165,  2166,  2167,  2168,    -1,    -1,    -1,    -1,    -1,    -1,
    2175,  2176,   105,  2178,    -1,  2180,  2181,    -1,    -1,  2184,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2201,  5046,    -1,    -1,
    2205,  2206,    -1,    -1,    -1,  2210,    -1,    -1,    -1,  2214,
     143,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,
      -1,  2226,    85,    -1,    -1,    88,  2231,  2232,    -1,    -1,
    2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,  5093,    -1,  4406,    -1,    -1,    -1,
     113,  2256,  5101,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,
    2295,    -1,  2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2331,    -1,    -1,    -1,
      -1,    -1,  2337,    -1,  2339,    -1,   269,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,   286,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2481,   105,    -1,    -1,    -1,  2486,  2487,    -1,   312,
     113,   244,   315,  4556,    -1,   248,   119,    -1,  2498,  1208,
    1209,    -1,    -1,    -1,    -1,   328,    -1,  2402,   331,    -1,
      -1,    -1,  2407,    -1,  2409,    -1,   269,   270,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2426,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2437,    -1,  2439,  2440,  2441,    -1,    -1,  2444,
      -1,  2446,    -1,  2448,    -1,  2450,    -1,  2452,  2453,   312,
      -1,  2456,   315,    -1,    -1,    -1,  4616,    -1,    -1,    -1,
      -1,  1280,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1301,  1302,    -1,    -1,    -1,    -1,    -1,  2494,
      -1,  4664,    -1,  4653,    -1,  2500,    -1,    -1,    -1,    -1,
    2505,    -1,  1321,    -1,    -1,    -1,  2511,    -1,    -1,    -1,
      -1,   244,    -1,    -1,  4687,   248,    -1,    -1,    -1,    -1,
      -1,  2526,    -1,    -1,    -1,  2530,  2531,    -1,  2638,    -1,
      -1,    -1,  2537,    -1,    -1,    -1,   269,   270,    -1,  1358,
    1359,    -1,   405,    -1,  4717,    -1,    -1,    -1,    -1,  2554,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,  2580,   509,  2582,  2583,   312,
      -1,    -1,   315,    -1,  4757,    -1,    -1,  4747,  4761,  4762,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,    -1,  2713,    -1,  2610,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2618,    -1,    -1,    -1,    -1,  2623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2636,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,   160,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2660,    -1,    -1,  2663,    -1,
    2665,    -1,  2667,    -1,    -1,  2670,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2696,   207,    -1,    -1,    -1,    -1,    -1,    -1,  2704,
    2705,    -1,  2812,    -1,   219,    -1,    -1,    -1,   223,    -1,
      -1,    -1,  2717,   228,    -1,    -1,    -1,    85,   233,    -1,
      88,   236,    -1,   238,    -1,    -1,    -1,    -1,    -1,  2734,
      -1,  2736,  2737,  2738,  2739,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
     265,   119,    -1,    -1,    -1,    -1,  2761,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,   287,    -1,    -1,   143,   509,  2782,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,  2828,    -1,    -1,    -1,    -1,    -1,  2834,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
    2845,    -1,    -1,    -1,    -1,    -1,  2851,  2852,    -1,    -1,
      -1,    -1,  2857,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,   379,    -1,    -1,   119,    -1,  2979,
    2980,  2981,    -1,    -1,    -1,    -1,   244,  2882,  2883,    -1,
     248,    -1,  2887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,  2899,  2900,  2901,  2902,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,    -1,  2912,    -1,   424,
    2915,    -1,  2917,  2918,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,  2927,  2928,    -1,    -1,  2931,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,  2944,
      -1,  2946,    -1,  2948,   312,  2950,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   471,    -1,   473,   474,
     328,  2966,    -1,   331,    -1,  2970,    -1,    -1,  1787,    -1,
      -1,    -1,  2977,    -1,  2979,  2980,  2981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   244,    -1,   509,   510,   248,   512,  3003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3015,  3121,    -1,    -1,    -1,  3020,    -1,   269,   270,    -1,
      -1,  3026,  1841,  1842,  1843,  1844,    -1,    -1,    -1,  3034,
      -1,    -1,  3037,    -1,   286,    -1,  3041,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3163,  3164,    -1,  3166,    -1,    -1,    -1,
     312,    -1,    -1,   315,  1883,  1884,    -1,    -1,    -1,    -1,
    1889,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,
      -1,  3096,    -1,    -1,    -1,    -1,  3101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,  3222,    -1,  3224,  1934,    -1,    -1,    -1,    -1,
      -1,    -1,  3127,    -1,  3129,  3130,  3131,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,   509,  1961,  1962,  1963,  1964,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   405,    -1,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,  3278,    -1,
      -1,   223,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,   233,    -1,    -1,   236,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2030,    -1,   265,  3324,    -1,    -1,    -1,  2037,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    85,
      -1,    -1,    88,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,   509,    -1,   105,
      -1,    -1,    -1,   109,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,   324,   119,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3401,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,  3307,  3308,    -1,    -1,    -1,  3417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
    3430,    -1,    -1,    -1,    -1,  3330,    -1,   379,   162,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,   188,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,  3357,  3358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3373,    -1,
      -1,    -1,   424,   143,    -1,   209,    -1,    -1,    -1,    -1,
      -1,  3386,  3387,   217,    -1,   219,  2205,    -1,    -1,    -1,
    3395,  3396,  3502,    -1,    -1,    -1,   448,   231,   244,    -1,
      -1,    -1,   248,    -1,    -1,  3410,    -1,    -1,    -1,    -1,
      -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,   471,
    3425,   473,   474,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3440,    -1,  3547,  3443,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,  3460,    -1,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,  3583,   244,    -1,  3481,    -1,   248,    -1,
      -1,    -1,   328,    -1,    -1,   331,  3491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3499,    -1,    -1,    -1,    -1,   269,
     270,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    -1,
    3515,    -1,  3517,    -1,  3624,    -1,   286,    -1,  3523,    -1,
      -1,  3526,  3527,  3528,  3529,  3530,  3531,  3532,  3533,  3534,
    3535,    -1,    -1,    -1,  3539,  3540,    -1,    -1,    -1,    -1,
      -1,    -1,   312,    -1,    -1,   315,    -1,  3552,    -1,    -1,
      -1,  3556,    -1,    -1,    -1,  3560,    -1,    -1,   328,   405,
      -1,   331,    -1,    -1,    -1,  3570,    -1,    -1,  3573,    -1,
    3575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3584,
    3585,  3586,    -1,    -1,    -1,  3590,    -1,    -1,  3593,    -1,
      -1,    -1,    -1,    -1,    -1,  3600,  3601,  3602,  3603,  3604,
    3605,    -1,    -1,    -1,  3609,  3610,    -1,    -1,    -1,  3614,
     456,    -1,    -1,    -1,    -1,  3620,    -1,  3622,    -1,  3624,
    2439,  2440,  2441,    -1,    -1,    -1,    -1,    -1,    -1,  2448,
      -1,  2450,    -1,  2452,  2453,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,  3666,    -1,    -1,    -1,    -1,    -1,  3672,  3778,    -1,
      -1,  3676,    -1,  3678,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3703,  3704,
    3705,    -1,  3707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3725,  3726,  3727,  3728,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,  2554,    -1,   507,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2618,
      -1,    -1,    -1,    -1,  2623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3835,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,  3874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,  3893,    -1,
    3895,    -1,   143,    -1,    -1,    -1,  3901,    -1,    -1,    -1,
      -1,    -1,  3907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3916,    -1,    -1,    -1,    -1,    -1,  2736,    -1,  2738,
      -1,    -1,    -1,  3928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3937,    -1,    -1,    -1,    -1,    -1,  3943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3959,  3960,    -1,    -1,    -1,    -1,
    4070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4081,   223,    -1,    -1,    -1,    -1,   228,    -1,  3984,
      -1,  3986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,   830,   248,    -1,    -1,
      -1,    -1,    -1,    -1,   838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4122,   847,    -1,  4020,    -1,  4127,   269,   270,
      -1,    -1,    -1,    -1,    -1,    -1,  2845,    -1,    -1,  4139,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   880,    -1,    -1,    -1,
      -1,    -1,  4057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,  4067,  4068,   315,    -1,    -1,    -1,    -1,    -1,
    4075,  4076,    -1,    -1,    -1,  4080,    -1,   328,    -1,    -1,
     331,  4086,  4087,    -1,    -1,  4090,  4196,  4092,  4093,  4094,
    4095,    -1,    -1,    -1,  4099,  4100,  4101,    -1,    -1,  4104,
      -1,    -1,   936,  4108,    -1,    -1,    -1,  4112,    -1,    -1,
      -1,    -1,   946,  4118,  4224,    -1,    -1,  4122,    -1,    -1,
      -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,  4133,    -1,
    4240,    -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4156,    -1,    -1,   405,  4160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1286,    85,    -1,    -1,    88,    -1,    -1,
    4175,    -1,    -1,  4178,    -1,    -1,  4286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,  4198,  4199,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4222,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,  1060,    -1,    -1,    -1,
      -1,    -1,  1066,    -1,    -1,    -1,  1070,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1095,  4267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,  3127,    -1,
    3129,  3130,  3131,    -1,    -1,  4320,  4321,  4322,  4323,  4324,
      -1,    -1,    -1,   244,    -1,    -1,  1449,   248,    -1,    -1,
    4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,   270,
    4355,    -1,    -1,    -1,    -1,  4360,    -1,    -1,    -1,    -1,
      -1,    -1,  4367,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4379,  4380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,  4406,    -1,  4408,    -1,    -1,    -1,   328,    -1,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,  1263,
      -1,  4436,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
    4445,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,
      -1,    -1,  1286,    -1,   105,    -1,    -1,  4462,  4463,    -1,
      -1,  4466,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
    4475,    -1,    -1,    -1,  4479,    -1,    -1,    -1,    -1,  4484,
      -1,    -1,  4487,  4488,   405,  4490,    -1,  4492,  4493,  1323,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4525,  4526,  4527,  4528,  4529,    -1,    -1,    -1,    -1,    -1,
    1286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4664,    -1,    -1,    -1,  1392,  4564,
    4565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,  4687,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,  1719,   248,  4603,    -1,
      -1,    -1,  4607,    -1,    -1,    -1,    -1,  4717,    -1,    -1,
      -1,  4616,    -1,    -1,    -1,  1449,    -1,    -1,   269,   270,
      -1,  3440,  4627,    -1,  3443,    -1,    -1,    -1,    -1,  4634,
      -1,    -1,    -1,  4638,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1478,  4650,    -1,  4757,  4653,    -1,
    1773,  4761,  4762,    -1,    -1,    -1,  4661,  4662,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3491,  1507,    -1,    -1,    -1,   328,    -1,  1802,
     331,  4686,    -1,    -1,  4689,    -1,  4691,    -1,    -1,    -1,
      -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,    -1,   350,
      -1,  1535,  1536,  4708,  1538,    -1,    -1,  4712,    -1,    -1,
    4715,    -1,    -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,
      -1,  1555,    -1,    -1,    -1,    -1,    -1,  4837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4743,    -1,
      -1,    -1,  4747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1875,    -1,   405,    -1,    -1,    -1,    -1,    -1,
    4765,  4766,  4767,  4768,    85,    -1,    -1,    88,   419,    -1,
      -1,  1894,    -1,  1607,  1608,  4780,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,  1912,
      -1,    -1,   113,  4798,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    85,  1636,    -1,    88,    -1,  1640,  1641,    -1,    -1,
      -1,    -1,  4817,    85,    -1,    -1,    88,  1940,    -1,    -1,
      -1,   105,   143,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,   105,    -1,   119,   108,    -1,    -1,    -1,
      -1,   113,    -1,    -1,   495,   496,   497,   119,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,  4867,    -1,    -1,    -1,    -1,    -1,  4873,    -1,
    4875,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4884,
    2003,    -1,    -1,    -1,    -1,  1719,    -1,    -1,    -1,    -1,
      -1,  1725,    -1,    -1,    -1,    -1,    -1,    -1,  1732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3725,  3726,  3727,  3728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4924,
      -1,    -1,    -1,   244,  4929,    -1,    -1,   248,    -1,    -1,
      -1,  1765,    -1,    -1,    -1,  4940,    -1,    -1,    -1,  1773,
      -1,    -1,    -1,    -1,  4949,    -1,    -1,    -1,   269,   270,
      -1,    -1,    -1,  4958,    -1,    -1,  4961,  4962,    -1,    -1,
     244,    -1,    -1,  1719,   248,   286,    -1,    -1,  1802,  4974,
      -1,    -1,   244,    -1,    -1,    -1,   248,  4982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,   269,   270,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,   328,    -1,    -1,
     331,  5016,    -1,    -1,   286,    -1,    -1,  1773,    -1,    -1,
      -1,  5026,  1856,    -1,    -1,    -1,  5031,    -1,   312,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,  1875,    -1,   315,   328,    -1,  1802,   331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,
    1894,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3893,    -1,    -1,  2200,  1912,    -1,
      -1,    -1,    -1,  5088,   405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1935,    -1,    -1,    -1,    -1,  1940,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1875,
      -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,   405,    -1,    -1,   113,    -1,  1894,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,
      -1,    -1,    -1,  1997,    -1,    -1,   143,    -1,    -1,  2003,
      -1,    -1,  2006,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,  1940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2003,    -1,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   269,   270,    -1,    -1,    -1,  2131,  2132,    -1,
      -1,    -1,    -1,    -1,    -1,  2139,    -1,    -1,  2142,   286,
      -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2154,  2155,    -1,    -1,    -1,    -1,    -1,    -1,  2162,    -1,
      -1,  2165,  2166,  2167,  2168,   312,    -1,    -1,   315,    -1,
      -1,  2175,  2176,    -1,  2178,    -1,  2180,  2181,    -1,    -1,
    2184,   328,    -1,    -1,   331,    -1,    -1,    -1,  2481,    -1,
      -1,    -1,    -1,  2486,  2487,    -1,  2200,  2201,  2202,    -1,
      -1,    85,  2206,    -1,    88,  2498,  2210,    -1,    -1,    -1,
    2214,    -1,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,   105,  2226,    -1,   108,    -1,    -1,    -1,  2232,   113,
      -1,  2235,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,   143,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2200,    -1,    -1,    -1,  4267,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    -1,  4281,  2297,    -1,    35,    36,    -1,    -1,    -1,
      -1,    41,    -1,    43,    44,    -1,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,  2638,    86,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
     244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
    4379,    -1,    -1,  2397,   134,    85,    -1,    -1,    88,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
    2713,    -1,  2426,   113,    -1,    -1,    -1,    -1,   312,   119,
      -1,   315,    -1,  2437,    -1,    -1,    -1,    -1,    -1,    -1,
    2444,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,  2475,    -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,
      -1,   221,  2486,  2487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2498,    -1,    -1,    -1,    -1,    -1,
      -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2514,    -1,    -1,  2517,    -1,    -1,    -1,    -1,    -1,  2812,
      -1,   405,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4527,  4528,
    4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,  2481,    -1,    -1,   248,   299,
    2486,  2487,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2498,    -1,    -1,    -1,    -1,   317,    -1,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   217,   286,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,
      -1,    -1,  2636,    -1,  2638,    -1,    -1,    -1,   328,    -1,
      -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2655,   392,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,   434,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,  2713,
      -1,    -1,  2638,    -1,    -1,   405,   143,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
      -1,    -1,    -1,    -1,  4743,   495,    -1,  2761,    -1,   499,
     500,   501,   502,   503,    -1,    -1,   506,   507,   508,   509,
      -1,   511,   512,   513,   514,   515,    -1,  4766,    -1,  4768,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   495,   496,   497,  2812,   499,
     500,   501,   502,   503,   504,    -1,    -1,   244,    -1,    -1,
      -1,   248,    -1,    -1,  2828,    -1,    -1,    -1,  3121,    -1,
    2834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   269,   270,    -1,    -1,    -1,  2851,  2852,    -1,
      -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,  2882,  2883,
      -1,    -1,    -1,  2887,  4873,   312,  2812,    -1,   315,    -1,
      -1,    -1,    -1,    -1,    -1,  2899,  2900,  2901,  2902,    -1,
      -1,   328,    -1,  2907,   331,    -1,    -1,    -1,  2912,  2913,
      -1,  2915,    -1,  2917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2927,  2928,    85,    -1,  2931,    88,  3222,
      -1,  3224,    -1,    -1,    -1,  4924,    -1,    -1,    -1,    -1,
    2944,    -1,  2946,    -1,    -1,   105,  2950,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2977,    -1,  2979,  2980,  2981,   405,    -1,
      -1,    -1,    -1,   143,    -1,  3278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4982,    -1,    -1,    -1,    -1,    -1,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3303,  3015,    -1,    -1,    -1,    -1,  3020,    -1,    -1,    -1,
      -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3034,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5031,    -1,  3337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,   248,    -1,
    3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,
      -1,    -1,    -1,    -1,  3417,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   312,    -1,    -1,   315,    -1,    -1,    -1,  3163,
    3164,    -1,  3166,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,   331,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,
      -1,  3195,  3196,  3197,   153,  3121,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3502,
      -1,    -1,    -1,    -1,    -1,   174,   838,    -1,  3222,    -1,
    3224,   180,    -1,    -1,    -1,   847,    -1,    -1,    -1,  3522,
      -1,    -1,    -1,    -1,    -1,    -1,   195,  3163,  3164,    -1,
    3166,    -1,    -1,    -1,    -1,   405,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,  3547,   214,    -1,    -1,   880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,  3278,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3583,    -1,   251,    -1,    -1,    -1,  3222,    -1,  3224,  3303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   936,    -1,    -1,    -1,    -1,    -1,
    3324,    -1,    -1,    -1,   946,    -1,    -1,    -1,    -1,    -1,
      -1,   290,  3336,  3337,    -1,   495,   496,   497,   297,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,    -1,  3303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,  3324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,
      -1,  3337,    -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,    -1,  3430,    -1,    -1,    -1,
     389,    -1,    -1,    -1,    -1,    -1,   395,    -1,  1060,   398,
      -1,    -1,    -1,    -1,  1066,    -1,    -1,    -1,  1070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3460,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   424,    -1,   426,   427,    -1,
     429,   430,    -1,  1095,    -1,  3401,    -1,    -1,    -1,   438,
      -1,    -1,    -1,    -1,   443,  3778,    -1,    -1,    -1,    -1,
     449,  3417,    -1,   452,    -1,  3499,   455,    -1,  3502,    -1,
      -1,    -1,    -1,    -1,  3430,  3509,    -1,    -1,    -1,   468,
      -1,  3515,    -1,  3517,    -1,    -1,    -1,    -1,  3522,  3523,
      -1,    -1,  3526,  3527,  3528,  3529,  3530,  3531,  3532,  3533,
    3534,  3535,    -1,    -1,    -1,  3539,  3540,    -1,    -1,    -1,
      -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,  3552,    -1,
      -1,    -1,  3556,    -1,  3558,    -1,  3560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,  3573,
      -1,  3575,    -1,    -1,    -1,    -1,  3502,    -1,    -1,  3583,
    3584,  3585,  3586,    -1,    -1,    -1,  3590,    -1,    -1,  3593,
      -1,    -1,    -1,    -1,    -1,    -1,  3522,    -1,    -1,  3603,
    3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,
    3614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,
    3624,  3547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3922,
    1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   144,    -1,    -1,  3583,    -1,    -1,
      -1,    -1,  3666,    -1,  1286,  3958,    -1,   157,  3672,    -1,
      -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3703,
      -1,  1323,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,
    1392,    -1,    -1,  3777,  3778,  3779,    -1,  4070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,  4081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3855,  3778,    -1,    -1,    -1,  1478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1507,    -1,    -1,    -1,    -1,
      -1,  3895,    -1,   383,    -1,    -1,    -1,   387,    -1,   389,
      -1,    -1,    -1,  4196,    -1,   395,    -1,    -1,   398,    -1,
      -1,    -1,    -1,  1535,  1536,    -1,  1538,    -1,  3922,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4224,    -1,  1555,   424,    -1,   426,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,  4240,   438,    -1,
      -1,    -1,    -1,   443,  3958,  3959,  3960,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,    -1,
      -1,    -1,    -1,    -1,    98,  1607,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4286,    -1,    -1,  3922,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1636,    -1,  4020,   131,  1640,  1641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,   145,  3958,    -1,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4057,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,  4067,  4068,    -1,  4070,    -1,    -1,    -1,
      -1,  4075,  4076,    -1,    -1,    -1,  4080,  4081,    -1,    -1,
      -1,   195,  4086,  4087,    -1,    -1,  4090,    -1,    -1,    -1,
      -1,    -1,   206,    -1,    -1,    -1,    -1,  1719,    -1,    -1,
     214,    -1,    -1,    -1,  4108,    -1,    -1,    -1,  4112,    -1,
    1732,   225,    -1,    -1,    -1,    -1,   230,    -1,  4122,    -1,
      -1,    -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4139,    -1,   251,    -1,    -1,
      -1,    -1,    -1,  1765,  4070,    -1,    -1,  4440,    -1,    -1,
      -1,  1773,    -1,    -1,    -1,  4081,    -1,    -1,    -1,    -1,
      -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,    -1,    -1,
    1802,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4215,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
    4224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1856,    -1,  4240,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,    -1,   383,
    4196,    -1,  1894,   387,    -1,   389,    -1,    -1,    -1,    -1,
      -1,   395,  4286,    -1,   398,    -1,    -1,    -1,    -1,    -1,
    1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,   426,    -1,  4240,    -1,   430,    -1,  1940,    -1,
      -1,    -1,    -1,    -1,   438,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4355,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
    4286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4664,    -1,    -1,    -1,  1997,    -1,    -1,    -1,    -1,
      -1,  2003,    -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4687,    -1,    -1,    -1,    -1,  4403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4436,    -1,    -1,    -1,  4440,    -1,    -1,    -1,
      -1,  4445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,  4463,
      -1,    -1,  4466,    -1,  4757,    -1,    -1,    -1,  4761,  4762,
      -1,  2093,    -1,    -1,    -1,  4479,    -1,    -1,    -1,    -1,
    4484,    -1,    -1,  4487,    -1,    -1,    -1,    -1,  4492,  4493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2131,
    2132,    -1,    -1,    -1,  4440,    -1,    -1,  2139,    -1,    -1,
    2142,  4525,    -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2154,  2155,    -1,    -1,    -1,    -1,    -1,    -1,
    2162,    -1,    -1,  2165,  2166,  2167,  2168,    -1,    -1,    -1,
      -1,    -1,  4556,  2175,  2176,    -1,  2178,    -1,  2180,  2181,
    4564,    -1,  2184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2200,  2201,
      -1,    -1,    -1,    -1,  2206,    -1,    -1,    -1,  2210,  4593,
      -1,    -1,  2214,    -1,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  4607,  2226,    -1,    -1,    -1,    -1,    -1,
    2232,    -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4662,    -1,
    4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2297,    -1,    -1,    -1,    -1,
      -1,    -1,  4686,  4687,    -1,  4689,    -1,  4691,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,  4712,    -1,
      -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4664,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4753,
      -1,    -1,    -1,  4757,    -1,    -1,    -1,  4761,  4762,    -1,
      -1,  4687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4717,    -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4817,    -1,  2437,    -1,    -1,    -1,    -1,
      -1,    -1,  2444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4757,    -1,  4837,    -1,  4761,  4762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2475,    -1,    -1,    -1,    -1,    -1,  2481,
      -1,    -1,    -1,  4867,  2486,  2487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2498,    -1,    -1,    -1,
    4884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4940,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,  4962,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5016,    -1,  2636,    -1,  2638,    -1,    -1,    -1,
      -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5088,    -1,    -1,    -1,    -1,  5093,
      -1,  2713,    -1,  5097,    -1,    -1,    -1,  5101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2761,
      -1,    35,    36,    -1,    -1,  1286,    -1,    -1,    -1,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
    2812,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2828,    -1,    -1,    -1,
      -1,    -1,  2834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2851,
    2852,    -1,    -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
    2882,  2883,    -1,    -1,    -1,  2887,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,  2900,  2901,
    2902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2912,    -1,   142,  2915,    -1,  2917,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   154,  2927,  2928,   157,  1449,  2931,
     204,    -1,    -1,   163,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,  2944,    -1,  2946,    -1,    -1,   221,  2950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,  2966,    -1,    -1,   241,    -1,    -1,
      -1,    -1,    -1,   203,    -1,  2977,    -1,  2979,  2980,  2981,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3003,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,
      -1,    -1,    -1,  3015,    -1,    -1,    -1,    -1,  3020,    -1,
      -1,    -1,    -1,    -1,  3026,   299,    -1,    -1,   302,    -1,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,  3121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,  3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,   463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,
    3222,   495,  3224,    -1,    -1,   499,   500,   501,   502,   503,
      -1,    -1,   506,   507,   508,    -1,    -1,    -1,    -1,   513,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    -1,    -1,
      -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,  1940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   676,   677,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   724,    -1,    -1,  3499,    -1,    -1,
    3502,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,  3515,    -1,  3517,    -1,    -1,    -1,    -1,
    3522,  3523,    -1,    -1,  3526,  3527,  3528,  3529,  3530,  3531,
    3532,  3533,  3534,  3535,    -1,    -1,    -1,  3539,  3540,    -1,
      -1,    -1,    -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,
    3552,    -1,    -1,    -1,  3556,    -1,    -1,    -1,  3560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,
      -1,  3573,    -1,  3575,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3583,  3584,  3585,  3586,    -1,    -1,    -1,  3590,    -1,
      -1,  3593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3603,  3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3614,    -1,    -1,   845,    -1,    -1,    -1,    -1,
    3622,    -1,  3624,    -1,    -1,   855,   856,    -1,   858,    -1,
     860,    -1,   862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   889,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,   898,   899,
    3672,    -1,    -1,   903,    -1,    -1,  3678,    -1,    -1,  2200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     920,    -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3703,    -1,    -1,    -1,    -1,    -1,   937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   953,    -1,    -1,   956,    -1,   958,    -1,
     960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   973,   974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     990,    -1,   992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1021,  1022,    -1,    -1,    -1,    -1,    -1,    -1,  1029,
      -1,  1031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1097,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,  3895,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
    3922,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,  1168,    -1,
    1170,    -1,    -1,    -1,  1174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3958,  3959,  3960,    -1,
    2481,    -1,    -1,    -1,  1194,  2486,  2487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2498,    -1,    -1,
      -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    89,
      -1,    -1,    -1,    -1,    94,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
    1240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,
      -1,    -1,   132,    -1,    -1,    -1,    -1,    -1,    -1,  1269,
      -1,    -1,   142,    -1,    -1,    -1,  1276,    -1,    -1,    -1,
      -1,    -1,   204,   153,   154,  4057,    -1,   157,  1288,    -1,
      -1,  1291,    -1,   163,    -1,  4067,  4068,   167,  4070,   221,
      -1,    -1,    -1,  4075,  4076,    -1,    -1,    -1,  4080,  4081,
      -1,    -1,    -1,    -1,  4086,  4087,    -1,   187,  4090,   241,
      -1,    -1,    -1,    -1,  1324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   203,    -1,    -1,  4108,    -1,    -1,    -1,
    4112,   263,    -1,    -1,    -1,    -1,    -1,  2638,    -1,    -1,
    4122,    -1,    -1,    -1,    -1,  4127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1405,  4178,  1407,    -1,    -1,
    1410,    -1,  1412,    -1,    -1,  1415,  1416,  1417,    -1,    -1,
      -1,    -1,  2713,    -1,  4196,    -1,    -1,    -1,  1428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1441,    -1,  1443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4240,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,    -1,  4286,    -1,    -1,    -1,    -1,    -1,
      -1,  2812,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   463,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,
      -1,    -1,  4344,   495,    -1,    -1,    -1,   499,   500,   501,
     502,   503,    -1,  4355,   506,   507,   508,   509,    -1,    -1,
      -1,   513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1626,    -1,    -1,    -1,
      -1,  4403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,  4440,    -1,
      -1,    -1,    -1,  4445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1684,    -1,    -1,  1687,    -1,    -1,
    4462,  4463,    -1,    -1,  4466,  1695,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4479,    -1,    -1,
      -1,    -1,  4484,  1713,    -1,  4487,    -1,    -1,    -1,    -1,
    4492,  4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1751,    -1,  4525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   676,   677,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3121,    -1,    -1,    -1,    -1,  4607,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4662,    -1,  4664,    -1,    -1,    -1,    -1,  1449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4686,  4687,    -1,  4689,    -1,  4691,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3222,    -1,  3224,    -1,    -1,  4708,    -1,    -1,    -1,
    4712,    -1,    -1,    -1,  1944,  4717,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1959,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4757,    -1,  3278,    -1,  4761,
    4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,    -1,  2009,
      -1,    -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2020,    -1,  2022,    -1,  2024,    -1,  4798,    -1,    -1,  2029,
      -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4817,  3337,    -1,    -1,   919,
     920,    -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2062,    -1,  2064,  4837,    -1,    -1,  2068,    -1,
    2070,    -1,    -1,  2073,    -1,    -1,    -1,  2077,  2078,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4867,    -1,    -1,    -1,    -1,
     970,    -1,    -1,   973,   974,    -1,    -1,    -1,    -1,    -1,
    3401,    -1,  4884,    -1,    -1,    -1,    -1,    -1,   988,    -1,
     990,    -1,   992,    -1,    -1,    -1,  3417,    -1,   998,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,  3430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1021,  1022,    -1,    -1,    -1,    -1,  4929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,  4940,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,
    4962,    -1,  1062,    -1,  1064,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,  2238,    -1,
      -1,    -1,    -1,    -1,  5016,    -1,    -1,    -1,    -1,    -1,
    1802,    -1,    -1,    -1,  5026,    -1,  3547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1155,  1156,    -1,    -1,  1159,
      -1,    -1,  3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5088,    -1,    -1,    -1,
      -1,    -1,    -1,  1875,    -1,  5097,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1205,    -1,    -1,    -1,    -1,
      -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,
      -1,    -1,    -1,    -1,  2394,  2395,    -1,    -1,    -1,  2399,
    2400,    -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2413,    -1,    -1,    -1,    -1,    -1,    -1,
    2420,    -1,    -1,    -1,  2424,  2425,    -1,    -1,  2428,  2429,
      -1,    -1,    -1,    -1,    -1,  2435,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2447,    -1,  2449,
      -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2465,    -1,    -1,    -1,    -1,
    2470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2501,  2502,  2503,  2504,    -1,    -1,    -1,  2508,  2509,
      -1,    -1,    -1,    -1,    -1,    -1,  2516,    -1,    -1,  2519,
      -1,    -1,    -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,
    1400,    -1,    -1,    -1,    -1,  1405,    -1,  1407,    -1,    -1,
    1410,    -1,  1412,    -1,  2544,  1415,  1416,  1417,    -1,    -1,
      -1,  1421,    -1,    -1,    -1,  2555,    -1,  2557,  1428,    -1,
      -1,    -1,  2562,    -1,    -1,    -1,    -1,  2567,  2568,  2569,
    2570,  1441,  2572,  1443,    -1,    -1,    -1,    -1,  1448,    -1,
      -1,    -1,    -1,    -1,    -1,  2585,  2586,  2587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2596,  2597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1575,  1576,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1592,    -1,    -1,    -1,    -1,  1597,  1598,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,    -1,  4070,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
    4081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,  1679,
      -1,  1681,    -1,    -1,    35,    36,    -1,    -1,  2818,    -1,
      -1,  1691,    43,    44,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1755,    -1,    -1,  1060,    -1,
      -1,    -1,    -1,  1763,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1095,    -1,    -1,    -1,    -1,    -1,  2481,
      -1,    -1,    -1,  4224,  2486,  2487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1814,    -1,  2498,  1817,  1818,  4240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4286,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,   880,    -1,    -1,    -1,    -1,    -1,
      -1,  1881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     946,    -1,    -1,    -1,  3074,  3075,    -1,    -1,   299,    -1,
      -1,   302,    -1,    -1,    -1,    -1,  2638,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3116,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3140,  3141,    -1,    -1,    -1,  3145,    -1,    -1,    -1,  4440,
    3150,  3151,  3152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1060,    -1,  3186,  3187,  3188,  3189,
      -1,    -1,  2062,    -1,  2064,    -1,    -1,    -1,  2068,    -1,
    2070,    -1,    -1,  2073,    -1,    -1,    -1,  2077,    -1,    -1,
      -1,    -1,  2082,   434,    -1,    -1,  3216,  3217,  3218,  1095,
      -1,    -1,    -1,    -1,    -1,    -1,  3226,   448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2812,    -1,    -1,    -1,    -1,  4556,    -1,    -1,   489,    -1,
      -1,    -1,    -1,    -1,   495,    -1,    -1,    -1,   499,   500,
     501,   502,   503,    -1,    -1,   506,   507,   508,   509,    -1,
    3290,    -1,   513,    -1,    -1,    -1,    -1,    -1,  3298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1507,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2231,    -1,  1535,  1536,    -1,  1538,    -1,  2238,    -1,
      -1,    -1,    -1,  4664,    -1,    -1,  1252,  2247,    -1,    -1,
      -1,    -1,    -1,  1555,    -1,    -1,    -1,  1263,    -1,    -1,
      -1,    -1,    -1,    -1,  3394,    -1,  4687,  3397,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4717,    -1,  3428,    -1,
      -1,  3431,    -1,    -1,    -1,  1607,    -1,    -1,    -1,    -1,
    2310,    -1,    -1,    -1,    -1,  3445,    -1,  1323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1636,    -1,  4757,    -1,  1640,  1641,
    4761,  4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2362,    -1,    -1,    -1,  2366,    -1,    -1,    -1,
      -1,    -1,  2372,    -1,  2374,    -1,    -1,  2377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3121,
      -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1535,
    1536,    -1,  1538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3222,    -1,  3224,    -1,    -1,    -1,    -1,    -1,  2548,  1555,
      -1,    -1,    -1,    -1,    -1,    -1,  2556,    -1,  2558,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3710,    -1,  3712,    -1,    -1,    -1,    -1,    -1,    -1,  3719,
      -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    -1,    -1,
      -1,  1607,    -1,    -1,    -1,  3735,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3303,  3752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1636,  3761,    -1,    -1,  1640,  1641,    -1,    -1,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3807,  3808,  3809,
    3810,  3811,  3812,  3813,  3814,    -1,    -1,    -1,    -1,  3819,
    3820,    -1,  3822,  3823,  3824,  3825,  3826,  3827,  3828,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,  3839,
    3840,    -1,    -1,  1719,    -1,    -1,    -1,    -1,    -1,  3401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3889,
    3890,  3891,    -1,    -1,  3894,    -1,    -1,  1773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,  2778,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2794,    -1,  1802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2139,    -1,    -1,
    3522,    -1,    -1,    -1,    -1,  3975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2162,    -1,    -1,  2165,    -1,  3547,  2168,    -1,    -1,  1875,
      -1,    -1,    -1,  2175,  2176,    -1,    -1,    -1,    -1,  2181,
      -1,    -1,  2184,    -1,    -1,    -1,    -1,    -1,  1894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2201,
      -1,  3583,    -1,    -1,  2206,    -1,  1912,    -1,  2210,    -1,
      -1,    -1,  2214,    -1,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,    -1,  2226,    -1,    -1,    -1,    -1,    -1,
    2232,    -1,    -1,  2235,  1940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1997,    -1,    -1,  2994,  2297,    -1,  2003,    -1,  2999,
    2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4207,  4208,  4209,
    4210,    -1,    -1,    -1,    -1,    -1,    -1,  2093,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
      -1,  4231,  4232,  4233,  4234,    -1,  4236,  4237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4248,  4249,
      -1,    -1,    -1,    -1,  2426,  2131,  2132,    -1,    -1,    -1,
      -1,    -1,    -1,  2139,    -1,    -1,  2142,    -1,    -1,    -1,
    2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2154,  2155,
      -1,    -1,    -1,    -1,    -1,    -1,  2162,    -1,    -1,  2165,
    2166,  2167,  2168,    -1,    -1,    -1,    -1,    -1,    -1,  2175,
    2176,    -1,  2178,    -1,  2180,  2181,    -1,    -1,  2184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2200,  2201,    -1,    -1,    -1,    -1,
    2206,    -1,    -1,    -1,  2210,    -1,    -1,    -1,  2214,    -1,
    2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,    -1,
    2226,    -1,    -1,    -1,    -1,    -1,  2232,    -1,    -1,  2235,
      -1,    -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3922,  4371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4416,    -1,    -1,    -1,
      -1,  2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2636,    -1,    -1,  3337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4081,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3428,    -1,
      -1,  2437,    -1,    -1,    -1,    -1,    -1,    -1,  2444,    -1,
      -1,    -1,    -1,    -1,  4574,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,    -1,    -1,
    2486,  2487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3489,
      -1,    -1,  2498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4670,    -1,  4224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2852,    -1,    -1,    -1,    -1,  2857,    -1,    -1,  4240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,    -1,  2901,
    2902,    -1,    -1,    -1,  4286,    -1,    -1,    -1,    -1,    -1,
    2912,    -1,    -1,  2915,    -1,  2917,    -1,    -1,    -1,    -1,
      -1,  4751,    -1,    -1,    -1,    -1,  4756,    -1,    -1,    -1,
    2636,    -1,  2638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2944,    -1,  2946,    -1,    -1,    -1,  2950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2979,  2980,  2981,
      -1,    -1,    -1,  3683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3003,    -1,    -1,    -1,    -1,    -1,  2713,    -1,    -1,
      -1,  4841,    -1,  3015,    -1,    -1,    -1,    -1,  3020,    -1,
      -1,    -1,    -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2761,    -1,    -1,  4440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4918,    -1,
      -1,    -1,  3094,  4923,    -1,    -1,    -1,    -1,    -1,    -1,
    3800,    -1,    -1,    -1,    -1,    -1,  2812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2828,    -1,    -1,    -1,    -1,    -1,  2834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2851,  2852,    -1,    -1,    -1,
      -1,  2857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4556,    -1,  2882,  2883,    -1,    -1,
      -1,  2887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2899,  2900,  2901,  2902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2912,    -1,    -1,  2915,
      -1,  2917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2927,  2928,    -1,    -1,  2931,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2944,    -1,
    2946,    -1,    -1,    -1,  2950,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2977,    -1,  2979,  2980,  2981,    -1,    -1,    -1,    -1,
      -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
    4000,    -1,    -1,    -1,    -1,  4687,    -1,    -1,    -1,  3015,
      -1,    -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,
    3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,
      -1,    -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4757,    -1,    -1,    -1,  4761,
    4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,
      -1,  1551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,  3164,    -1,
    3166,    -1,  1622,    -1,    -1,    -1,    -1,    -1,    -1,  4169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3499,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,  3515,    -1,  3517,  3222,    -1,  3224,    -1,
      -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3539,  3540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,
      -1,  3573,  3278,  3575,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3584,    -1,    -1,    -1,    -1,    -1,  3590,    -1,
      -1,  3593,    -1,    -1,    -1,    -1,    -1,  3303,    -1,    -1,
      -1,  4301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3614,    -1,    -1,    -1,    -1,    -1,  3324,    -1,
    3622,    -1,  3624,    -1,    -1,    -1,    -1,    -1,  4328,    -1,
      -1,  3337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,
    3672,    -1,    -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3499,    -1,    -1,  3502,    -1,    -1,    -1,
      -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    -1,  3515,
    4510,  3517,    -1,    -1,    -1,    -1,  3522,  3523,    -1,    -1,
    3526,  3527,  3528,  3529,  3530,  3531,  3532,  3533,  3534,  3535,
      -1,    -1,    -1,  3539,  3540,    -1,    -1,    -1,    -1,    -1,
      -1,  3547,    -1,    -1,    -1,    -1,  3552,    -1,    -1,    -1,
    3556,    -1,    -1,    -1,  3560,    -1,  4556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3570,    -1,    -1,  3573,    -1,  3575,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3583,  3584,  3585,
    3586,    -1,    -1,    -1,  3590,  2045,    -1,  3593,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3603,  3604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3614,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,  3624,     3,
      -1,    -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    13,
      -1,    15,    -1,    17,    18,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3959,  3960,    -1,
    3666,    45,    46,    -1,    -1,    -1,  3672,    -1,    -1,    -1,
      -1,    -1,  3678,    -1,    -1,    -1,    -1,  2137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3703,    -1,    -1,
      -1,  2161,    -1,    -1,    -1,    -1,  2166,    91,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,  4020,   103,
     104,    -1,    -1,    -1,    -1,    -1,  2186,  2187,    -1,    -1,
    2190,    -1,    -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,   140,   141,    -1,    -1,
      -1,    -1,   146,    -1,   148,  4067,  4068,    -1,    -1,    -1,
    2230,    -1,  3778,    -1,   158,    -1,   160,    -1,  4080,    -1,
      -1,    -1,    -1,    -1,  4086,  4087,    -1,    -1,  4090,    -1,
     174,    -1,   176,    -1,    -1,   179,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,
      -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,
    4122,    -1,    -1,    -1,  2284,  4127,    -1,   211,    -1,   213,
      -1,    -1,    -1,    -1,    -1,   219,    -1,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,  4844,    -1,  2306,    -1,    -1,   233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2318,    -1,
      -1,  2321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   289,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,  3922,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3958,  3959,  3960,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,
      -1,    -1,    -1,    -1,   368,   369,    -1,   371,    -1,    -1,
      -1,    -1,   376,    -1,    -1,    -1,    -1,   381,    -1,    -1,
     384,    -1,    -1,    -1,   388,    -1,    -1,    -1,    -1,   393,
     394,    -1,    -1,    -1,  4020,    -1,    -1,   401,    -1,    -1,
     404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,  4344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4057,    -1,    -1,    -1,    -1,    -1,   441,    -1,   443,
      -1,  4067,  4068,    -1,  4070,    -1,    -1,   451,    -1,  4075,
    4076,    -1,    -1,   457,  4080,  4081,    -1,    -1,   462,    -1,
    4086,  4087,    -1,    -1,  4090,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4108,    -1,    -1,    -1,  4112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,    -1,    -1,
      -1,  4127,    -1,    -1,   508,    -1,    -1,    -1,   512,    -1,
      -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4196,  4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4689,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2855,    -1,  4403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2878,    -1,
    2880,    -1,  2882,  2883,  2884,    -1,    -1,  2887,    -1,    -1,
    4436,  2891,    -1,    -1,  4440,    -1,    -1,    -1,  2898,  4445,
      -1,    -1,    -1,  2903,    -1,    -1,    -1,    -1,    -1,  2909,
      -1,    -1,    -1,    -1,  2914,    -1,  4462,  4463,    -1,    -1,
    4466,    -1,    -1,  2923,    -1,    -1,    -1,  2927,  2928,    -1,
    2930,    -1,    -1,  4479,    -1,    -1,    -1,    -1,  4484,    -1,
      -1,  4487,  2942,    -1,    -1,    -1,  4492,  4493,    -1,  2949,
      -1,  2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,
    2960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4817,    -1,    -1,    -1,  4525,
      -1,    -1,    -1,    -1,    -1,  2985,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3109,
      -1,    -1,    -1,    -1,    -1,    -1,  4662,    -1,  4664,  4961,
    4962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4686,  4687,    -1,  4689,    -1,  4691,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4708,    -1,    -1,    -1,  4712,    -1,    -1,    -1,
      -1,  4717,    -1,    -1,  5016,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4757,    -1,    -1,    -1,  4761,  4762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5088,    -1,    -1,    -1,
      -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4867,    -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4884,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,  4961,  4962,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4974,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,  3449,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
    5016,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
    5026,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,  3498,    -1,
     167,    -1,    -1,    -1,  3504,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3520,  3521,    -1,  3523,    -1,    -1,  3526,  3527,  3528,  3529,
    3530,  3531,  3532,  3533,  3534,  3535,  3536,   204,    -1,    -1,
      -1,    -1,  5088,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,  5097,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,  3561,   229,    -1,  3564,    -1,  3566,    -1,   235,    -1,
      -1,  3571,  3572,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3585,  3586,  3587,    -1,  3589,
     257,   258,  3592,    -1,    -1,    -1,    -1,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,
    3650,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3661,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
    3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,  4021,    -1,    -1,    -1,  4025,  4026,  4027,    -1,    -1,
    4030,    -1,    -1,    -1,    -1,  4035,  4036,  4037,  4038,  4039,
    4040,  4041,  4042,  4043,  4044,  4045,  4046,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,  4074,  4075,  4076,  4077,   142,  4079,
     144,    -1,    -1,  4083,  4084,  4085,   150,    -1,  4088,    -1,
      -1,  4091,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4136,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,  4153,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,
     264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,
      -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,   405,    -1,   407,    -1,    -1,    -1,  4347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
    4400,  4401,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4432,    -1,    -1,    -1,  4436,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4450,   515,  4452,    -1,    -1,    -1,    -1,  4457,  4458,  4459,
      25,    -1,  4462,  4463,  4464,  4465,    -1,  4467,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,  4523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4619,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4685,  4686,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,    -1,
      -1,  4701,  4702,  4703,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4847,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4857,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,  4928,    -1,
     495,    -1,    -1,    -1,   499,   500,   501,   502,   503,    -1,
      -1,   506,   507,   508,    -1,    -1,    -1,    -1,   513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,  5019,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5067,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,   514,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,   115,    -1,    -1,   118,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,   138,    -1,   140,   141,   142,
      -1,   144,    -1,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   158,    -1,   160,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,   176,   177,   178,   179,    -1,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,   191,    -1,
     193,    -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,
     203,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,    -1,    -1,   219,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,
     233,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,   261,    -1,
      -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,   284,    -1,   286,    -1,   288,   289,    -1,    -1,    -1,
      -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     303,    -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,
      -1,   314,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,    -1,   349,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
     363,    -1,    -1,    -1,    -1,   368,   369,    -1,   371,    -1,
      -1,    -1,    -1,   376,    -1,    -1,    -1,    -1,   381,   382,
      -1,   384,   385,    -1,    -1,   388,    -1,    -1,    -1,    -1,
     393,   394,    -1,    -1,    -1,    -1,    -1,    -1,   401,   402,
      -1,   404,   405,    -1,   407,    -1,    -1,    -1,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
     433,    -1,    -1,    -1,   437,    -1,   439,    -1,   441,    -1,
     443,    -1,    -1,    -1,    -1,   448,    -1,    -1,   451,    -1,
      -1,   454,    -1,    -1,   457,    -1,    -1,    -1,    -1,   462,
     463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,   508,    26,    27,    -1,   512,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,   515,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,   501,    -1,    -1,    -1,
      -1,    -1,    -1,   508,   509,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   509,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,    -1,    -1,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   509,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,   506,   507,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
     501,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   509,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,   507,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,   435,   436,    -1,   438,    -1,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,   501,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   501,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   501,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,   501,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,   228,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,   228,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,     4,   495,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
      -1,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,    -1,   348,    -1,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,    -1,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,    -1,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,    -1,   348,    -1,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    -1,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,    -1,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,    -1,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,    -1,   348,
      -1,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,    -1,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,    -1,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,    -1,
      -1,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,    -1,
     348,    -1,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,    -1,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    -1,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
     121,    -1,    -1,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,    -1,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,    -1,    -1,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
      -1,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,    -1,    -1,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,    -1,   309,   310,
      -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,    -1,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,    -1,   348,    -1,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,    -1,   403,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,    -1,    -1,    -1,    -1,   436,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,    -1,   145,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,   225,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,   225,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,   233,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,   233,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,   225,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,   225,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,   327,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,   327,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    74,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,    -1,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,
      -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,
      -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,
      -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
     433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,
      -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,
     264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,
      -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
     326,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,
      -1,    79,    80,   499,   500,   501,    -1,    -1,    -1,    -1,
      -1,    -1,   508,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    -1,   490,   491,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
     508,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,   326,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491,    -1,    -1,    -1,    -1,    -1,
      71,    72,   499,   500,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,   326,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    -1,   490,
     491,    -1,    -1,    -1,    -1,    -1,    71,    72,   499,   500,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,   326,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,   490,   491,    -1,    -1,    -1,
      -1,    -1,    71,    -1,   499,   500,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,   326,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      -1,   490,   491,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    -1,   490,   491,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   517,  1066,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   221,   241,
     263,   299,   302,   317,   392,   434,   448,   463,   489,   495,
     499,   500,   501,   502,   503,   506,   507,   508,   509,   511,
     512,   513,   514,   515,  1058,  1067,  1095,  1097,  1188,  1198,
    1199,  1201,  1207,  1208,  1096,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   221,   227,
     229,   233,   235,   244,   257,   258,   264,   266,   269,   270,
     272,   283,   284,   286,   288,   289,   294,   303,   306,   307,
     308,   311,   314,   315,   318,   320,   333,   334,   335,   336,
     337,   347,   349,   351,   362,   363,   368,   369,   371,   376,
     381,   382,   384,   385,   388,   393,   394,   401,   402,   404,
     405,   407,   412,   420,   424,   432,   433,   437,   439,   441,
     443,   448,   451,   457,   462,   463,   466,   474,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   508,   518,   519,
     525,   526,   528,   529,   530,   531,   532,   533,   534,   536,
     537,   541,   552,   555,   556,   559,   560,   561,   572,   575,
     576,   592,   631,   634,   635,   636,   643,   649,   651,   653,
     654,   657,   660,   661,   665,   666,   675,   679,   680,   681,
     682,   683,   685,   686,   687,   700,   701,   705,   707,   708,
     709,   720,   722,   729,   730,   733,   734,   735,   736,   737,
     742,   744,   747,   751,   755,   756,   766,   767,   770,   775,
     786,   805,   808,   809,   810,   813,   816,   818,   820,   823,
     826,   827,   828,   835,   836,   838,   839,   840,   845,   847,
     848,   852,   853,   856,   857,   858,   860,   861,   862,   863,
     865,   868,   869,   874,   880,   883,   885,   890,   892,   896,
     903,   907,   908,   909,   910,   911,   912,   915,   943,  1063,
    1064,  1068,  1070,  1071,  1088,  1089,  1090,  1091,  1102,  1104,
    1108,  1109,  1110,  1111,  1112,  1114,  1116,  1118,  1119,  1120,
    1121,  1123,  1128,  1129,  1133,  1134,  1143,  1145,  1146,  1147,
    1150,  1155,  1158,  1163,  1165,  1166,  1169,  1171,  1174,  1183,
    1201,  1209,    73,  1091,  1099,  1100,    14,    72,    91,    92,
      93,    94,    95,    96,    97,    98,   100,   101,   102,   110,
     111,   113,   114,   116,   117,   118,   125,   126,   127,   128,
     129,   132,   133,   136,   138,   139,   140,   141,   146,   147,
     148,   149,   151,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   176,   179,   181,   183,   184,   185,
     186,   187,   189,   190,   191,   194,   195,   196,   197,   198,
     200,   201,   202,   204,   205,   206,   208,   209,   210,   211,
     213,   214,   215,   218,   220,   222,   224,   226,   230,   231,
     232,   234,   237,   239,   240,   242,   243,   245,   246,   247,
     249,   250,   251,   252,   253,   254,   256,   260,   261,   262,
     268,   271,   273,   274,   275,   276,   277,   279,   280,   282,
     285,   288,   289,   290,   293,   294,   295,   296,   297,   298,
     300,   301,   303,   304,   305,   309,   310,   313,   314,   316,
     319,   321,   322,   323,   325,   328,   329,   330,   338,   339,
     340,   341,   342,   343,   344,   346,   348,   350,   351,   352,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   380,   381,   383,   384,   386,   387,   388,
     389,   390,   391,   393,   395,   396,   397,   398,   399,   401,
     403,   404,   406,   408,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   422,   423,   425,   426,   427,   428,
     429,   430,   434,   436,   438,   441,   442,   443,   444,   445,
     446,   447,   450,   451,   452,   453,   454,   457,   458,   459,
     460,   461,   465,   467,   468,   469,   472,   475,   476,   477,
     478,   479,   490,   491,  1059,  1061,  1062,  1063,  1064,  1081,
    1082,  1193,  1195,  1199,  1201,    29,   259,  1144,     9,    13,
      15,    28,    45,    46,    50,    51,    56,    65,    67,    69,
      70,    99,   134,   152,   163,   175,   180,   241,   299,   302,
     392,   462,   489,  1051,  1062,  1063,  1083,  1130,  1131,  1173,
    1174,  1175,  1179,  1184,  1185,  1186,  1195,  1201,    99,   904,
    1050,  1083,  1179,  1192,    14,   904,     5,    25,    29,    35,
      36,    43,    44,    99,   103,   104,   105,   106,   107,   108,
     109,   112,   124,   130,   131,   134,   137,   143,   145,   152,
     153,   160,   163,   164,   165,   166,   168,   169,   170,   180,
     182,   188,   192,   193,   199,   203,   207,   217,   219,   223,
     225,   228,   233,   236,   238,   248,   255,   259,   263,   265,
     267,   278,   281,   287,   291,   292,   312,   317,   324,   326,
     327,   331,   332,   345,   353,   367,   379,   394,   400,   409,
     421,   424,   431,   434,   435,   440,   448,   449,   455,   456,
     462,   464,   470,   471,   473,   474,  1062,  1065,  1175,  1176,
    1177,  1181,  1182,  1183,  1184,  1186,    25,    35,   134,   263,
    1170,    38,    40,   312,  1103,   436,   476,   841,    98,   144,
     157,   174,   180,   195,   206,   214,   225,   230,   236,   251,
     276,   297,   328,   356,   383,   387,   389,   395,   398,   424,
     426,   430,   438,   443,   455,   468,   650,  1131,   179,   841,
      99,   904,   466,   870,   326,   352,   841,   121,   583,   908,
      98,   110,   131,   144,   153,   174,   180,   195,   206,   214,
     225,   232,   236,   290,   328,   331,   383,   389,   398,   426,
     427,   429,   430,   438,   443,   449,   452,   455,   593,   633,
     725,   776,   787,  1051,  1072,  1073,  1074,  1083,  1199,  1201,
      14,    99,   351,  1050,  1083,  1087,   413,   904,    99,   346,
     427,   429,   275,   814,   815,  1199,    98,   110,   131,   144,
     157,   174,   195,   206,   214,   225,   230,   236,   251,   297,
     328,   338,   383,   387,   389,   395,   398,   424,   426,   430,
     438,   443,   455,   468,   650,   738,   841,   514,  1113,  1177,
     245,  1087,   160,   179,   211,   466,   508,   631,   634,   869,
     875,   883,   885,   890,   896,   903,   907,  1068,    92,    99,
     116,   220,   226,   228,   248,   277,   309,   354,   370,   499,
     500,   752,   753,   904,  1058,  1060,  1193,  1195,    99,   160,
     367,   394,   757,   758,   759,  1179,  1179,  1055,  1199,   424,
     918,   116,   226,   752,  1179,   436,  1087,   338,   297,   174,
     251,   423,   424,   821,   388,  1179,    99,   134,   399,   432,
     436,   462,   544,  1062,  1063,  1173,  1178,  1184,  1186,  1201,
      96,   233,   757,   758,   352,   841,  1179,   274,    99,   192,
     920,     4,    14,   132,   152,   154,   290,   305,   383,   389,
     399,   432,   436,   479,   542,   543,   544,    99,   399,   432,
     436,   544,   436,   327,   954,  1048,  1179,   918,  1167,  1177,
     501,  1179,   229,   508,   871,   508,  1044,   365,   913,   914,
    1050,   908,   909,   912,   512,   870,   207,   265,   332,   448,
     921,   922,   908,   910,   911,   185,   261,   454,   511,   118,
     518,  1111,  1114,  1110,  1106,   512,  1115,  1117,     5,    25,
      35,   134,   196,   263,  1122,   175,   241,   299,   302,   392,
     489,   508,   985,   986,  1094,  1098,  1188,    73,  1091,  1050,
    1083,  1202,   180,  1072,    21,   456,   502,  1087,  1087,  1202,
     456,  1135,  1136,  1137,    25,   263,   263,  1181,     7,    19,
      20,    39,    42,   156,   193,  1172,  1172,    16,  1111,  1056,
    1064,  1173,  1176,  1179,  1180,  1184,  1185,  1201,   740,  1179,
     740,  1051,   355,   740,   438,   740,  1050,  1179,   173,   424,
     765,  1056,  1059,   243,  1048,   321,   468,    85,   139,   218,
     495,   496,   497,   499,   500,   501,   502,   503,   504,   812,
    1011,  1012,  1179,    99,  1059,  1050,  1050,   243,  1048,  1050,
     243,   954,  1050,   391,  1050,   740,   295,  1059,   243,  1048,
     275,    34,   182,   271,   312,   361,   842,   843,   844,  1048,
    1054,  1179,    98,   131,   144,   145,   153,   157,   174,   195,
     206,   214,   225,   230,   251,   276,   297,   328,   383,   387,
     389,   395,   398,   424,   426,   430,   438,   443,   468,   650,
     745,  1199,  1048,   434,  1056,  1050,   508,   740,   438,  1051,
     740,   438,   243,  1050,   173,   424,   427,   429,  1059,   427,
     429,   139,   218,   812,   374,  1059,   243,   538,  1179,  1050,
    1050,   391,  1050,   740,   295,  1059,   365,   395,   424,   468,
     297,   157,   251,   230,   387,   442,   644,    85,  1075,  1076,
     513,  1195,  1202,    99,  1087,  1201,   905,   551,  1061,  1199,
     815,   243,  1056,  1050,   243,   819,   243,  1051,   438,   173,
     424,   243,  1056,   243,  1049,  1050,   150,   468,   139,   218,
     243,   812,   125,   243,  1049,   243,  1050,   243,  1050,   243,
    1050,   391,   243,  1050,   243,   295,  1049,   275,   243,   739,
     740,   508,   514,  1203,  1204,  1205,  1206,  1208,  1113,    71,
    1083,  1132,   508,   884,   593,   904,   875,   869,   876,   877,
     878,  1061,   870,  1060,   753,   754,    99,   753,   904,  1060,
     754,    99,   753,   904,  1060,   754,   754,   754,  1060,  1058,
    1058,   267,   456,  1137,  1138,  1212,  1213,   904,   754,   355,
     508,   508,   612,   612,   612,   326,   434,   511,   612,   954,
     955,   753,   904,   753,   904,   511,   837,  1199,   228,   508,
     881,   125,   468,  1050,  1050,  1048,  1179,   115,   491,   271,
     510,   329,   329,   326,   228,  1199,   434,   223,   748,   326,
      83,    84,    85,    87,   107,   120,   122,   123,   130,   131,
     134,   135,   142,   144,   164,   165,   166,   167,   168,   169,
     170,   177,   178,   196,   212,   216,   217,   221,   235,   263,
     264,   266,   283,   291,   292,   306,   308,   312,   317,   318,
     320,   328,   337,   347,   362,   385,   400,   407,   420,   432,
     433,   437,   439,   440,   449,   455,   463,   481,   482,   483,
     484,   485,   486,   487,   488,   499,   500,   501,   508,   908,
     966,   969,   972,   973,   974,   976,   977,   978,   979,   982,
     983,   987,   989,   990,  1009,  1013,  1032,  1037,  1045,  1046,
    1056,  1057,  1058,  1179,  1191,  1193,  1195,  1196,  1197,  1198,
    1199,   434,   495,  1202,  1199,   434,   495,  1131,    99,   557,
    1047,  1048,   399,   542,   180,   550,  1199,   551,  1199,   115,
     136,   542,   491,   408,   843,   329,   228,   434,   495,   115,
     491,   271,  1212,   844,   508,  1048,   501,   506,   510,  1038,
    1039,   955,  1183,   227,   229,   466,   866,   867,   869,   227,
     872,   180,   987,  1042,  1043,   913,   511,   508,   873,   509,
     509,  1048,    99,   192,   919,   919,   125,   919,   219,   223,
     287,   324,   925,   927,   928,   937,   939,   940,   941,   921,
     922,   228,   267,   954,   956,  1044,   512,  1105,   501,  1124,
    1125,  1127,   514,   514,    25,   263,   263,   434,   434,   434,
     434,   508,   434,   500,   641,  1060,  1092,  1198,   203,   108,
    1079,   125,  1082,  1082,   267,  1137,  1139,   267,  1137,  1138,
    1139,   461,  1148,  1149,  1195,    14,    37,    84,   499,   500,
    1058,  1140,  1141,  1142,  1191,  1193,  1197,  1198,  1199,  1200,
     263,   269,  1050,   434,  1050,     6,  1050,  1172,  1127,   508,
     714,  1039,   339,   372,   401,   510,   741,   339,   372,   401,
     339,   372,   401,   474,   520,   552,   553,   771,    95,   197,
     339,   372,   401,   459,   564,  1050,   401,    95,   197,   454,
     535,   477,   243,   954,   127,   159,   215,   246,   282,   312,
     339,   372,   380,   386,   393,   401,   410,   418,   469,   552,
     554,   799,   806,   508,   788,   372,   535,   212,    95,   101,
     141,   190,   197,   200,   253,   310,   312,   322,   330,   339,
     372,   376,   401,   459,   562,   563,   669,   641,   243,  1048,
     740,   740,   508,   811,   510,   248,   527,   372,   520,   527,
     326,   339,   372,   212,   126,   172,   250,   298,   300,   310,
     338,   372,   377,   401,   412,   562,   638,   639,   339,   372,
     467,   669,   677,   212,   372,   401,   562,   339,   372,   376,
     401,   151,   189,   340,   428,   326,    95,   101,   197,   339,
     372,   401,   573,   574,   223,   372,   401,   520,   553,   212,
     372,   401,   562,  1050,   512,   285,   182,   327,   478,   511,
     842,   456,   864,   326,  1056,   508,  1050,   438,   173,   424,
    1056,   321,   468,   139,   218,   812,  1050,   391,  1050,   275,
     740,   612,   358,   578,   508,   714,   715,   137,   120,   122,
     123,   134,   135,   177,   178,   221,   264,   266,   306,   308,
     320,   362,   402,   407,   432,   433,   463,   963,   965,   967,
     969,   971,   973,   974,   975,   977,   978,   982,   983,  1173,
    1180,  1184,  1185,  1201,   228,   508,   710,  1050,   520,   108,
     859,  1050,   312,   520,   477,   243,  1048,   520,   740,   740,
     710,   452,   593,   520,   312,   115,   539,   443,   676,   339,
     652,   151,   189,   340,   428,    97,   117,   262,   688,   108,
     710,   223,   520,   468,  1048,   243,   629,  1048,  1048,   468,
     740,   150,   777,  1056,  1050,   650,    74,  1077,  1179,   513,
    1078,  1075,   121,   171,   260,   310,   390,   212,   714,   128,
     378,   565,   212,   508,   212,   477,   212,   788,   212,   511,
     243,   739,   243,   740,   243,   740,   212,   811,  1049,   212,
     212,   326,   212,   565,   212,   151,   189,   340,   428,   212,
     326,   212,   223,   243,   243,   551,   212,   511,   565,   509,
    1204,  1205,  1203,   511,   515,   987,  1016,  1136,  1211,  1212,
     424,   905,   509,   511,   217,   326,   440,   548,   551,   641,
     879,   875,   754,   904,   754,   904,  1213,  1214,   754,   904,
     754,   904,  1214,   754,   904,   904,   904,   754,    14,    37,
    1187,  1190,  1195,   904,   508,   613,   614,  1179,   613,    99,
     174,   195,   225,   230,   275,   276,   389,   395,   424,   426,
     443,   760,  1047,  1049,   759,   248,   511,   893,   904,   904,
    1199,  1132,   963,  1019,   108,  1049,  1048,   224,   822,   822,
     822,   285,  1179,   223,   223,   760,  1049,   388,  1179,   551,
     326,   508,   506,   908,  1020,   465,   980,   987,  1036,   508,
     980,   980,   508,   223,   508,   508,   508,   968,   968,   349,
     908,   508,   508,   970,   508,   508,   508,   508,   134,   135,
     980,   987,   508,   968,   508,   508,   508,   508,   508,   475,
     494,   508,   984,   508,   984,   508,   508,   908,   508,   508,
     508,   508,   508,   508,   508,   508,   987,   987,   462,   908,
     987,  1016,  1039,  1199,   135,   508,   981,   508,  1199,    85,
      88,   105,   108,   113,   119,   143,   244,   248,   269,   270,
     286,   312,   315,   328,   331,   405,   495,   496,   497,   499,
     500,   501,   502,   503,   504,  1011,  1013,  1015,  1201,   336,
     987,   267,   511,   916,  1212,   508,  1199,  1039,    22,  1194,
    1195,  1040,   323,   326,  1164,  1164,    10,   461,  1151,  1152,
    1154,  1131,  1131,   183,   245,   558,   511,   136,   180,   551,
     108,   180,   290,   549,   641,   983,  1199,  1201,  1199,   155,
     194,   996,   163,   180,   545,   546,   548,   641,   180,   545,
    1212,  1212,   285,  1048,   987,   501,  1053,  1181,  1038,   156,
     377,   743,   269,   509,   511,   870,   509,   511,   914,  1049,
     108,   873,   910,   910,   923,   924,   987,   910,   220,   309,
     934,   273,   310,   361,   403,   454,    99,   929,   987,   930,
     932,   987,   989,   937,   938,   928,   927,   925,   926,   223,
     940,   322,   942,   925,   937,   956,  1048,   108,  1179,   401,
    1124,   501,   511,   512,  1182,  1101,  1104,  1101,   263,   175,
     241,   299,   986,   299,   986,   986,   302,  1058,   299,   302,
     392,  1198,   511,  1093,   179,  1131,   455,  1080,  1082,  1050,
      37,  1058,  1153,  1195,   511,   495,  1050,    14,  1058,  1198,
    1058,  1198,   511,  1111,   508,  1050,   508,  1183,   501,  1019,
     339,   372,   401,   434,   434,   389,  1053,   510,   434,   434,
     389,   434,   434,   426,   542,   854,   223,   233,   248,   381,
     772,   773,   137,   153,   208,   225,   353,   449,   609,   610,
     153,   180,   312,   434,   153,   434,   180,   312,   389,   153,
     190,   200,   339,   372,   706,   389,   658,    98,   131,   144,
     157,   195,   206,   225,   230,   297,   328,   389,   395,   398,
     424,   430,   443,   468,   650,  1050,   212,   372,   401,   562,
     326,   641,   393,   282,   434,   434,   317,   641,   184,   268,
     389,   399,   436,   543,   378,   401,   799,   807,   248,   258,
     333,   402,   464,   509,   789,   792,   793,   794,   796,   963,
    1180,   434,   455,  1048,   145,   208,   600,   609,  1179,   145,
     824,   326,   387,   438,   153,   824,   102,   375,   387,   438,
    1048,   253,   322,   740,   508,   434,   434,   508,   568,   426,
     474,   475,   568,   153,   511,   339,   212,   372,   401,   562,
     456,   456,   311,   963,   339,   401,   812,   174,   553,   434,
     522,   553,  1048,   434,   434,  1048,   641,   125,   640,   641,
     641,   172,   298,   300,   125,   434,   520,   389,   520,   310,
     639,   434,   434,   317,  1199,   669,   954,   153,   434,   824,
     389,   434,   434,   568,   568,   740,   740,   740,   740,  1048,
     114,   461,   114,   114,   434,   114,   434,   389,   511,   170,
     455,   684,  1059,   434,   522,  1048,   434,   389,   339,   372,
     361,   373,   397,   547,   842,  1054,  1179,  1048,   714,   963,
     326,   477,   788,   641,   740,   740,   811,   269,   326,   151,
     189,   340,   428,   326,   740,   269,   474,   584,   415,   416,
     579,  1199,   716,   717,  1201,   710,   508,   965,   108,   107,
     964,   175,   302,   489,   508,   985,   741,   968,   740,   711,
     712,  1181,    97,   849,   963,   326,   212,   655,  1050,   312,
     508,   521,   725,   456,   365,   468,   521,   212,  1059,   160,
     233,   540,   592,   635,   687,   755,   775,   845,  1199,   677,
     678,  1050,   293,   740,   740,   740,   740,   322,   185,   261,
     441,   454,   689,   690,   204,   360,   508,   684,   521,  1048,
     637,   638,   312,   108,   322,   508,   612,   612,   632,  1048,
     223,   778,  1054,   508,   790,   108,   275,   510,  1058,  1078,
     474,   475,   906,   390,  1056,   565,   963,  1051,   243,  1050,
    1056,   565,  1049,  1050,   212,   565,   212,   456,   212,   456,
     812,   565,   565,  1049,  1050,   740,  1050,  1050,  1050,   740,
    1049,   684,   212,   212,   565,   739,   740,   509,   515,  1206,
     509,   511,  1212,  1136,  1048,   171,   875,   877,   904,   904,
    1214,   904,   904,  1214,   904,   904,  1050,    14,   511,  1194,
     613,   509,   511,   509,   231,   396,   425,  1049,   739,   173,
     398,   764,   765,  1049,   321,  1049,  1047,  1047,  1049,   739,
     434,   474,   768,    93,   210,   385,   403,   894,   954,   316,
     895,   509,   511,   882,   885,   890,   896,   907,   434,   474,
     630,   758,   757,   758,   228,   234,   769,  1179,    98,   145,
     174,   195,   206,   225,   230,   276,   297,   383,   389,   395,
     424,   426,   443,   468,   650,   749,  1016,   507,  1016,  1020,
    1021,   508,   470,  1033,  1034,   987,  1016,   508,  1058,  1058,
    1016,   175,   241,   299,   302,   392,   489,  1022,  1023,  1199,
    1201,  1058,  1016,  1016,  1058,  1058,   980,   980,   987,   812,
     987,  1024,   499,   500,   988,   989,  1009,  1013,  1026,   509,
    1016,   987,  1016,  1027,   432,   491,  1058,  1058,   987,   124,
     228,   281,   435,   987,  1016,  1030,  1016,   304,   989,   987,
     994,   995,   996,   304,   987,   996,   509,   511,   401,  1058,
    1058,   985,   963,   987,  1181,   432,   112,   421,  1041,   740,
     987,   508,   908,  1031,   192,   194,   217,   312,   317,   322,
     440,   450,   987,   119,   244,   248,   286,   405,   508,   987,
     434,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,    99,   106,   409,  1010,   385,   508,  1009,   232,   290,
     424,   427,   429,   452,   917,  1048,  1046,   228,   944,    99,
     192,   464,   501,   509,   794,   987,  1017,  1018,  1180,  1050,
    1195,  1038,  1153,   511,   495,  1048,   436,   508,  1199,   511,
    1212,   509,   507,   513,   242,   242,   565,  1111,  1048,   867,
     868,  1048,  1042,   509,   508,   511,   109,   188,   456,   784,
     508,   931,  1060,   403,   273,   327,   511,   385,   386,   933,
    1047,   895,   938,   926,   456,   891,   180,   508,   886,   907,
    1179,   508,   897,   898,   899,   900,   901,  1179,   512,  1125,
     964,   515,  1104,   515,   509,   641,   509,    34,  1081,  1156,
    1157,  1195,  1149,  1154,  1202,  1140,   964,  1189,  1205,  1189,
     964,   509,   509,   434,   434,   389,  1059,  1050,  1050,  1053,
    1059,  1050,  1050,  1059,  1051,  1050,   152,   855,   383,   455,
     757,   389,   233,   757,   508,  1050,   456,   779,   273,   273,
     456,   508,   628,   243,  1050,   317,  1059,  1050,  1050,   987,
     317,  1050,  1050,   102,   375,   434,   434,  1050,   434,   659,
    1056,   508,   740,   740,   740,   438,   173,   424,   765,   468,
     139,   218,   812,  1050,   740,  1050,   740,   391,   740,   740,
     275,   237,   310,   339,   372,   460,   662,   663,   664,   954,
     434,   824,   389,   317,   184,   268,  1059,  1050,   326,  1050,
     333,  1180,   509,   511,   794,   796,   793,   796,  1180,   741,
    1059,  1049,   372,   562,   600,   963,  1179,  1050,  1050,    99,
     455,  1050,   243,  1050,   243,  1179,   387,   438,   387,   438,
    1050,    99,   455,  1050,  1048,    95,   197,   401,   670,   671,
     672,   673,  1181,  1059,  1050,   570,   571,  1181,  1050,   325,
     141,   325,  1050,   563,   434,  1048,   434,   824,   389,  1052,
    1179,  1052,   511,   509,   511,   434,   389,  1051,  1059,   152,
     202,   253,   344,   447,   455,   458,   523,  1201,   372,  1059,
    1050,   372,   401,   562,   638,   641,   740,  1050,   641,  1050,
     641,  1059,  1050,   372,   401,   562,  1050,  1050,  1050,  1050,
    1059,  1050,    95,   101,   197,   339,   372,   401,   339,   372,
     401,   710,   372,   401,   372,   401,   372,   962,  1179,   243,
     721,  1179,   243,  1179,  1059,  1050,  1050,  1050,    95,   574,
     398,  1059,   372,   401,   562,  1050,  1050,   434,   434,   149,
     446,   361,   269,   108,   740,   269,   269,   456,   456,   269,
     317,   746,  1199,   740,   740,   269,   746,   325,   228,   434,
     577,   520,   509,   511,   495,   987,   107,   964,   963,   506,
     506,   434,   434,  1058,   968,   509,   511,   495,   689,   152,
     201,   279,   280,   293,   339,   426,   428,   850,   602,  1181,
    1050,   228,   389,   467,   656,   663,   664,   212,   286,   594,
     596,   598,   600,   606,   609,    96,   248,   383,   422,   523,
     524,   223,  1052,   468,  1048,   538,  1179,   539,   331,   593,
     225,  1199,   710,   710,   710,   710,   322,   326,   331,   508,
     710,   960,   961,   962,   398,   508,   212,   211,  1069,   740,
     594,  1179,   474,   475,   624,   474,   569,   108,   612,  1199,
     326,   509,   791,   792,   797,   108,   275,   380,   473,   798,
     799,   800,   326,   551,  1077,   502,   240,   240,   223,   714,
     108,   212,   565,   788,   739,   740,  1052,   740,  1052,   811,
     326,   565,   565,   326,   565,   398,   223,   551,   565,   987,
     906,  1202,  1190,   509,   614,   248,   248,   248,   477,  1049,
     511,   641,   642,   236,   761,   762,  1059,    96,   769,   210,
     403,   210,   403,   385,   454,   301,   963,  1050,   173,   310,
     228,   326,   761,   125,   565,  1056,   438,   424,  1056,   321,
     468,   275,   740,   509,   507,   507,   511,  1016,   987,   199,
    1034,  1035,   108,   509,   987,   509,   509,   509,   509,   228,
     509,   509,   509,   509,   509,   511,   509,   345,  1025,   509,
     988,   988,    88,   248,   269,   328,   495,   496,   497,   499,
     500,   501,   502,   503,   504,  1013,   988,   509,   509,   223,
     228,  1028,  1029,   509,   491,   509,   509,   108,  1030,  1016,
    1030,  1030,   228,   509,   509,  1181,   343,   998,   108,   509,
     511,   987,  1181,   511,   987,  1040,   987,  1179,   509,   509,
     491,   988,   988,   205,  1016,   228,   192,   194,   217,   317,
     322,   440,   450,   508,   205,   421,  1041,   987,  1031,   987,
     434,   812,   987,   508,   908,   427,   429,   427,   429,  1048,
     918,   918,   918,   278,   508,   908,   945,   946,   947,   954,
     957,   990,  1056,  1179,   471,   958,  1017,  1017,  1018,   509,
     335,  1002,    90,   509,   511,   922,     8,    11,    12,    22,
      23,    24,    26,    27,    31,    32,    33,   173,   304,   349,
     443,  1159,  1160,  1162,  1152,  1153,   843,  1058,   985,   546,
     987,   964,   873,   882,   924,   328,  1011,  1014,   492,   493,
     785,   987,   933,   454,   930,   945,   471,   959,   462,   887,
     888,  1179,   379,   889,   901,   902,   511,   944,   495,  1040,
     513,  1107,   512,   511,   495,    30,  1168,   509,   509,   512,
    1059,  1050,  1050,   287,  1049,  1049,   326,  1049,   329,   326,
     987,   610,  1052,   508,   508,   508,   628,   251,   613,   698,
     212,   565,   434,  1059,  1050,   551,   714,   963,  1050,   477,
     740,   740,   740,   740,   811,   151,   189,   340,   428,  1050,
     645,  1050,   237,   460,   434,   434,   645,   662,   669,   372,
     401,   562,  1050,  1050,  1050,   259,   317,   741,   792,   796,
     796,   503,   434,   330,   667,   197,   376,   401,   564,   669,
     825,   212,   565,   212,   565,  1050,  1050,  1050,  1050,   672,
     673,   672,   509,   511,   674,  1199,   509,   511,   495,   510,
    1059,   372,   401,   562,  1050,  1050,  1050,   339,   372,   401,
      95,   197,   339,   372,   401,   963,   311,   963,  1059,  1050,
     287,   344,   317,  1199,   344,  1049,   453,   434,   434,   389,
     434,   824,   389,   434,   434,   295,   295,   295,   434,   434,
     389,   434,   434,   389,   434,   389,   434,   389,   434,   565,
     963,   312,  1199,   401,   825,   212,   565,   434,  1050,   434,
     389,  1059,  1050,   746,   963,   269,   746,   746,  1052,  1052,
     746,   269,   269,   746,   578,   508,   580,   581,   717,  1201,
     328,   499,   500,   641,   713,   796,  1014,  1065,  1199,   509,
     506,   509,  1058,   507,   508,  1058,  1179,  1199,  1210,   509,
     712,   713,   326,   287,   495,   851,   851,   851,   851,   851,
     851,   851,   137,   143,   153,   180,   182,   255,   312,   317,
     353,   367,   449,   603,   604,   605,   211,   470,   520,   551,
    1050,   551,   667,  1048,  1048,   509,   511,  1049,   236,   383,
    1049,  1058,   443,  1048,   612,   115,   539,   374,   424,   173,
     613,  1048,   690,   718,   719,  1199,   509,   511,  1050,   613,
    1048,  1050,   907,   508,   595,   509,   325,   568,   325,   326,
     625,   568,   108,   907,   569,   434,  1048,   509,   511,   180,
     495,   801,  1199,   551,   424,   795,   796,   474,   800,   802,
     185,   261,   394,   454,   833,   237,  1073,   907,  1087,   565,
     963,  1050,   565,   565,   456,   565,   456,   565,   565,   740,
     740,  1050,   684,   565,   223,   389,   389,   389,  1049,   765,
     511,  1059,   474,   511,   763,   329,   210,   210,   173,  1049,
     760,   565,  1059,   714,   788,   641,   740,   269,  1020,   509,
     431,   987,   203,   963,   509,   987,   987,   987,  1028,   963,
     988,   192,   194,   312,   322,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   987,   987,  1029,  1028,   984,
     984,   963,   509,   509,   509,  1016,   509,   511,   125,   989,
     509,  1181,   995,   350,   419,   997,   509,   511,   467,   991,
     108,   509,   981,  1199,   987,   105,   105,   987,   509,   987,
     228,   508,  1019,   987,   988,   988,   205,   205,   987,   509,
     205,   987,   918,   918,   918,   918,  1048,  1048,  1048,   908,
     957,   908,   946,   947,   108,   948,   949,  1179,   511,   161,
     229,   257,   272,   284,   307,   382,   951,   949,   108,   948,
     950,  1179,   508,  1039,   987,   236,   935,   511,   921,   922,
     921,   509,  1002,   508,  1003,  1179,   987,  1002,  1199,   464,
    1018,   509,   511,   495,   509,   507,  1168,   509,   508,   785,
     509,   327,   163,   987,   889,   509,   511,  1040,  1045,   509,
     511,   898,   959,  1042,  1058,   495,  1126,  1157,  1162,   851,
     231,   396,   425,   444,   774,   223,   774,   509,   508,   616,
     617,   781,   990,  1179,   613,   613,   698,  1054,   509,   182,
     255,   310,   312,   699,  1050,  1050,   108,  1050,   456,   456,
     740,   740,   740,   740,   741,  1059,  1050,   434,   824,   389,
     434,   259,   503,   443,  1050,   508,   602,   312,   568,   173,
     312,   414,   417,   568,   443,  1050,  1179,   671,   571,   713,
    1181,   434,   824,   389,   434,   434,   434,   389,   230,   328,
     417,   723,   724,   230,   328,   731,   732,   434,   434,   389,
     509,   509,   509,  1060,  1199,  1199,  1199,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,   223,   223,   374,   223,   243,
    1059,  1050,  1050,  1059,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,   143,   566,   212,    97,   117,   443,  1179,  1050,   669,
    1050,  1050,   509,   746,   269,   269,   746,   746,   579,   587,
     588,  1181,   121,   162,   186,   201,   205,   224,   227,   239,
     317,   325,   359,   582,   698,  1058,   474,   475,   507,  1210,
     499,   500,   501,   502,   503,   507,   985,  1048,   851,   180,
    1058,  1199,   180,  1199,   180,  1199,   180,  1199,   180,  1050,
     180,  1050,   180,  1050,   508,   740,  1050,   988,   183,   245,
     182,   317,   273,  1048,   802,   357,   702,   703,  1179,   655,
     508,   607,   398,   598,  1049,  1049,   963,   508,   569,  1059,
    1048,   477,   223,   691,   509,   511,   962,   667,   509,   322,
     508,   884,   630,   597,   599,   601,   609,  1179,   624,   254,
     623,   148,   426,   626,   907,   630,   626,  1199,   779,   797,
     987,   987,   511,   508,   798,   710,   434,   645,    85,  1084,
     509,   565,  1052,  1052,   565,   565,   398,  1049,  1049,  1049,
     641,   233,   762,   769,   228,   269,   269,   269,   269,   317,
     750,  1199,   987,   509,   509,  1029,   228,   192,   194,   322,
     508,   509,   480,   993,  1016,   366,   125,   472,   472,   509,
     987,   310,   987,   511,   992,   965,   985,   988,   988,   987,
    1019,   509,   105,   105,   987,   987,   205,   987,   509,  1048,
    1048,  1048,  1048,   949,   950,   509,  1179,   508,   946,   272,
     334,   952,   946,   952,   272,   951,   952,   272,   508,  1179,
     508,  1017,   125,   238,   936,   509,   509,  1002,  1004,  1179,
    1018,  1002,  1160,   500,  1153,  1161,  1198,  1199,  1199,   812,
     322,   907,   888,  1212,   495,   901,   889,  1206,  1060,   434,
     757,   228,   698,   987,   509,   511,   474,   143,   782,   782,
     509,   509,   802,   183,   245,   253,   182,   458,   565,   963,
    1052,  1052,  1050,  1050,  1050,  1050,   443,   668,   672,   317,
     317,  1060,  1179,   963,   565,   565,   495,  1050,  1050,  1050,
    1050,  1059,  1050,  1050,  1058,  1058,   963,   511,  1058,  1058,
     511,  1059,  1050,  1050,   434,  1049,  1049,   740,  1049,   212,
     740,  1199,  1199,   963,   565,   565,   269,   746,   746,   456,
     585,   586,   509,   511,   501,   508,   548,   589,   641,   859,
    1199,   859,   312,   359,   859,   859,   507,   230,   258,   230,
     509,  1210,  1210,  1210,  1210,  1210,   228,   697,  1060,   987,
     312,   604,   802,   612,   456,   627,  1056,   105,   211,   248,
     594,   209,   249,  1050,   456,   613,   108,   539,   508,  1050,
     198,   692,   470,   694,  1199,   569,   740,   594,   630,   509,
     511,   474,   625,   508,   624,   185,   197,   350,  1050,   474,
     846,   228,   508,  1199,   794,   803,   804,  1180,   802,  1048,
     256,   646,  1085,  1179,   565,   565,   565,  1050,   329,   565,
     761,   750,   750,   750,   750,   988,   228,   508,  1019,   508,
     509,   511,   509,   989,   366,   509,   461,   411,   509,   509,
     509,   988,   988,   987,   948,   508,  1049,   946,   326,   456,
     953,   946,   272,   946,   961,   508,   961,  1179,   509,  1016,
     987,   473,   999,  1002,  1002,   342,  1005,   509,  1058,  1198,
     985,   509,   904,  1044,   761,   326,   761,   509,   802,   617,
     328,   812,   740,   456,   740,   783,   783,   367,   802,   627,
     509,   434,   509,   511,   566,   713,   434,   508,  1056,   812,
     724,   508,   508,   732,  1050,   474,   374,   474,   474,   223,
     566,   746,   520,   187,   588,   548,   590,   591,  1199,  1199,
     317,   501,   613,  1199,  1199,   765,   108,   817,   817,  1048,
     698,   509,   627,   296,   615,   251,   508,   703,   357,   508,
     509,    99,   147,   154,   181,   252,   417,   608,   608,   667,
    1052,   509,   907,   667,   385,   413,   693,   508,   211,   108,
     595,   509,   599,   330,   626,  1047,   625,   386,   386,   129,
     137,   290,   740,   780,   781,   796,   509,   511,   958,   645,
     310,   460,   647,   648,   495,  1086,   565,   988,  1019,   509,
     994,  1016,   125,   310,   490,  1049,   509,   987,   508,   946,
     953,   509,   961,   509,  1000,  1001,  1179,   125,   921,  1002,
     763,   774,   565,   782,   627,   508,   740,   784,   784,  1048,
     627,   698,  1050,   672,   456,   567,  1050,  1019,   788,   223,
     727,   811,  1019,  1019,   739,   740,   739,   740,  1049,   565,
     580,  1199,   509,   511,   613,   817,   111,   247,   223,   310,
     611,   229,   341,   406,   326,   619,   620,   621,   426,   509,
    1056,    82,   704,   398,   218,   726,   569,   846,   987,   357,
     907,   624,   623,   602,   509,   626,   137,   329,   137,   509,
     511,   798,   803,   193,   460,   645,  1058,  1193,  1201,    85,
     509,   509,   509,   366,   461,   509,  1049,   509,   511,   108,
    1016,   360,   386,  1006,   228,   783,   471,   618,   812,   785,
     785,   612,   698,   987,   509,   332,   391,   364,   728,   727,
     509,   509,   474,   591,   198,   253,   185,   454,   326,   621,
     326,   620,  1050,   508,   509,   511,  1050,   740,   108,   108,
     509,  1056,   625,   624,   329,   329,   569,   781,   802,   100,
     262,   834,  1085,   509,  1001,  1003,   119,   163,   445,   987,
    1007,  1008,  1007,   509,   761,   784,   508,   698,   509,   615,
    1056,   125,   728,   740,   385,   128,   310,   378,   401,   622,
     622,   509,    82,   667,   723,   907,   508,   626,   625,   626,
     313,   508,   829,   831,   836,   885,   890,   896,   907,  1008,
     385,   222,   348,   222,   348,   565,   785,   987,   619,   788,
     740,   694,    94,   180,   317,   695,   696,  1058,  1181,  1198,
    1199,   626,   958,   830,   831,   832,   908,   909,   105,   509,
     698,   211,   509,   511,   509,   512,  1008,   357,   696,   832,
    1056,   508,   695,   509
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1481 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1483 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1485 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1487 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1489 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1491 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1493 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1495 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1497 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1499 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1501 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1503 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1505 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1507 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1509 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1511 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1513 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1515 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1517 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1519 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1521 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1523 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1525 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1527 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1529 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1531 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1533 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1535 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1553 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1555 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1557 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1559 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1563 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1565 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1567 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1569 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1571 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1573 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1575 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1577 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1579 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1581 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1583 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1585 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1587 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1589 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1591 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1593 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1595 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1597 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1599 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1601 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1603 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1605 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1607 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1609 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1611 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1613 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1617 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1619 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1621 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1623 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1625 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1627 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1629 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1631 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1633 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1635 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1637 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1639 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1641 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1643 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1645 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1647 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1649 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1651 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1653 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1655 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1657 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1659 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1661 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1663 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1665 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1667 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1669 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1671 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1673 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1675 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1677 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1679 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1681 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1683 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1685 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1692 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1694 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1696 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1698 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1700 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1702 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1704 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1706 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1708 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1710 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1712 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1714 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1720 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1722 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1724 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1726 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1728 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1730 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1732 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1734 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1736 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1742 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1752 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1756 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1762 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1766 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1776 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1785 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1787 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1801 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1808 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1814 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1825 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1831 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1840 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1847 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1853 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1862 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1869 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1876 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1882 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1890 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1894 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1901 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1905 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1916 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1931 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1935 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1943 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1955 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1963 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1967 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1983 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1991 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1999 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 2007 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 2010 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 2018 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 2022 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 2030 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 2038 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 2046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 2050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 2058 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 2062 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 2070 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 2078 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 2086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 2090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 2098 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 2102 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2110 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2114 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2118 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[(6) - (9)].str),mm_strdup("authorization"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2123 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2136 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2143 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2147 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2154 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2158 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2162 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2166 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2170 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2174 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2182 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2186 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2190 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2198 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2202 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2206 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2214 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2218 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2230 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 2234 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2238 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2243 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2247 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2251 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2255 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 2263 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2267 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2275 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2279 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2287 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2291 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2303 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2321 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2325 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2329 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2337 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2345 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2349 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2357 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2361 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2365 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2369 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2377 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2389 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2397 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2404 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2408 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2416 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2440 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2444 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2452 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2456 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2464 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2480 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2489 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2501 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2509 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2513 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2521 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2529 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2533 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2553 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2557 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2561 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2565 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2569 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2573 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2581 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2585 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2593 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2597 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2605 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2609 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2613 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2617 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2621 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2625 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2629 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2633 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2637 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2641 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2645 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2649 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2653 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2657 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2661 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2665 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2669 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2677 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2681 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2685 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2689 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2693 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2697 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2701 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2705 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2709 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2713 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2717 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2721 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2725 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2729 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2733 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2737 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2741 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2745 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2749 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2757 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2761 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2765 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2769 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2777 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2781 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2789 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2793 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2797 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2804 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2808 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2819 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2834 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2838 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2845 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2849 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2857 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2861 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2865 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2869 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2877 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2885 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2897 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2901 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2905 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2909 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2917 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2930 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (11)].str), "from") == 0 &&
			   (strcmp((yyvsp[(7) - (11)].str), "stdin") == 0 || strcmp((yyvsp[(7) - (11)].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[(2) - (11)].str),(yyvsp[(3) - (11)].str),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2938 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[(2) - (7)].str),mm_strdup("to"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2962 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2969 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2973 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2977 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2985 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2989 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2997 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 3001 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 3008 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 3012 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 3016 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 3020 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 3024 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 3028 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 3032 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 3036 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 3040 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 3044 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 3048 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 3052 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 3056 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 3064 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 3068 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 3075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 3079 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 3086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3090 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3097 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3101 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3108 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3112 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3136 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3140 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3144 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3151 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3155 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3163 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3171 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3175 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3179 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3183 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3219 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3230 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3237 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3241 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3248 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3252 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3260 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3264 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3272 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3276 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3280 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3288 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3292 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3300 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3308 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3316 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3320 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3327 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3335 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3339 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3355 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3359 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3363 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3367 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3371 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3411 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3415 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3450 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3454 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3462 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3466 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3470 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3474 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3482 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3486 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3498 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3505 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3509 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3516 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3520 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3528 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3540 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3545 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3549 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3556 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3560 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3568 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3572 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3580 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3584 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3591 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3595 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3599 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3603 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3607 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3658 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3665 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3669 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3677 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3692 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3696 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3707 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3718 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3725 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3733 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3741 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3745 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3749 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3756 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("materialized view"),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3764 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3772 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3776 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("refresh materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3799 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3803 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3811 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3815 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3826 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3834 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3850 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3854 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3866 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3870 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3878 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3886 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3890 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3901 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3913 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3917 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3925 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3929 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3941 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3948 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3952 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3964 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3987 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3994 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3998 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 4006 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 4010 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 4017 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 4025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 4029 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 4036 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 4040 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 4048 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 4052 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4060 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4064 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4071 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4075 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4079 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4087 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4095 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4099 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4106 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4114 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4118 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4122 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4126 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4130 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4134 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4138 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4142 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4146 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4150 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4154 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4158 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("event trigger"),(yyvsp[(7) - (7)].str));
}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4162 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4166 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4170 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4174 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4178 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4182 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4186 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4190 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("materialized view"),(yyvsp[(7) - (7)].str));
}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4194 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4198 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4202 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4206 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4214 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4230 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4242 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4254 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4258 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4265 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4277 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4281 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4293 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4304 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4312 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4320 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4324 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4332 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4336 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4340 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4344 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4352 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4360 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4368 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4376 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4384 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4388 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4395 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4407 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4411 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4418 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4422 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4430 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4434 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4438 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4446 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[(4) - (10)].str),mm_strdup("("),(yyvsp[(6) - (10)].str),mm_strdup(") server"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4450 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("("),(yyvsp[(9) - (13)].str),mm_strdup(") server"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4458 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4462 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4470 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4486 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4494 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4498 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4506 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4514 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4518 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4542 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4566 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4578 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4582 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4589 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4593 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4600 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4604 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4612 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4616 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4623 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4627 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4631 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4642 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4646 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4650 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4658 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4662 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4669 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4672 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4680 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4692 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4696 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4700 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4708 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4712 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4720 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[(4) - (11)].str),mm_strdup("on"),(yyvsp[(6) - (11)].str),mm_strdup("execute procedure"),(yyvsp[(9) - (11)].str),mm_strdup("( )"));
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4724 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[(4) - (13)].str),mm_strdup("on"),(yyvsp[(6) - (13)].str),mm_strdup("when"),(yyvsp[(8) - (13)].str),mm_strdup("execute procedure"),(yyvsp[(11) - (13)].str),mm_strdup("( )"));
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4732 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4736 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4744 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("in ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4752 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sconst");
}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4756 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup(", sconst"));
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4764 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4772 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4776 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable replica");
}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4780 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable always");
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4792 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4801 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4810 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4814 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4818 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4822 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4826 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4830 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4834 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4838 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4862 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4870 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4878 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4890 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4910 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4914 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4918 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4926 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4938 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4950 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4958 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4966 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4970 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4977 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4981 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4989 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[(3) - (7)].str),mm_strdup("add value"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4993 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("before"),(yyvsp[(9) - (9)].str));
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4997 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("after"),(yyvsp[(9) - (9)].str));
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5005 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if not exists");
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5009 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5016 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5024 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5028 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5036 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5040 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5044 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5048 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5052 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5064 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5071 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5075 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5082 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5086 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5090 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5097 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5102 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5109 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5117 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5121 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5129 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5133 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5141 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5145 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5153 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5157 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5165 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5169 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5177 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5185 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5193 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5197 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5201 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5205 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5213 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5217 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5221 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5225 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5229 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5237 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5249 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5253 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5257 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5261 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5265 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5285 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5297 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5301 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5309 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5313 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5321 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5329 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5333 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5337 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5344 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5348 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5352 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5356 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5360 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5364 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5368 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5372 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5376 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5380 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5384 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5388 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5392 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5400 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5404 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5412 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5444 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5448 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5452 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5456 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5460 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5480 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5488 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5496 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5500 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5508 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5512 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5516 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5520 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5524 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5532 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5536 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5599 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5611 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5615 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5619 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5623 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5629 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5635 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5641 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5647 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5653 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5659 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5665 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5675 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5686 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5697 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5708 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5719 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5730 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5741 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5757 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5773 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5789 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5800 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5816 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5827 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5843 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5870 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5874 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5881 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5889 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5893 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5901 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5905 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5913 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5917 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5925 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5929 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5937 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5945 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5957 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5961 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5965 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5969 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5977 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5981 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5985 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5993 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5997 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 6001 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6005 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6009 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6013 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6017 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6029 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6037 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6041 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6049 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6053 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6060 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6064 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6072 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6080 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6088 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6092 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6100 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6104 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6111 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6115 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6122 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6130 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6134 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6141 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6145 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6149 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6157 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6161 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6165 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6173 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6177 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6181 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6185 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6193 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6201 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6205 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6212 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6216 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6223 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6227 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6245 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6249 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6257 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6261 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6265 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6273 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6277 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6284 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6288 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6292 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6307 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6322 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6329 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6333 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6337 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6345 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6349 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6356 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6360 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6368 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6372 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6380 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6392 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6396 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6404 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6408 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6412 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6416 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6420 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6444 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6452 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6460 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6468 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6472 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6476 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6484 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6488 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6492 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6500 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6504 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6512 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6516 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6520 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6544 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6548 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6552 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6556 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6560 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6564 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6568 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6576 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6580 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6584 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6588 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6596 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6600 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6608 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6612 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6627 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6631 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6639 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6647 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6663 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6670 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6674 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6682 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6694 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6698 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6706 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6710 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6714 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6718 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6730 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6746 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6750 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6758 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6762 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6770 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6774 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6778 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6794 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6801 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6809 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6813 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6820 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6824 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6828 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6836 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6840 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6848 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6852 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6859 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6863 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6867 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6871 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6875 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6879 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6883 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6887 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6891 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6895 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6899 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6903 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6907 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6911 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6915 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6919 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6923 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6927 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6931 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6935 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6939 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6943 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6947 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6951 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6955 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6959 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 6963 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 6967 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 6971 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 6979 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 6987 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 6991 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 6999 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7011 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7015 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7027 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7031 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7035 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7043 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7055 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7066 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7073 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7077 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7081 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7085 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7089 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7093 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7097 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7101 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7105 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7109 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7113 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7117 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7121 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7125 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7129 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7133 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7137 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7141 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7145 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7149 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7153 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7157 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7161 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7165 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7173 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7177 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7181 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7185 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7189 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7193 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7197 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7201 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7205 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7209 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7213 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7217 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7221 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7225 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7229 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7233 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7237 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7241 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7245 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7253 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7261 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7277 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7281 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7289 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7293 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7297 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7301 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7305 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7313 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7317 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7324 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7332 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7336 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7344 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7348 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7352 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7359 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7363 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7371 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7379 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7383 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7390 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7398 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7410 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7414 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7418 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7422 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7426 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7430 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7434 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7438 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7442 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7446 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7450 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7454 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7458 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7462 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7478 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7485 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7501 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7509 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7513 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7517 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7525 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7529 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7536 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7540 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7544 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("recursive view"),(yyvsp[(5) - (11)].str),mm_strdup("("),(yyvsp[(7) - (11)].str),mm_strdup(")"),(yyvsp[(9) - (11)].str),mm_strdup("as"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7548 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create or replace"),(yyvsp[(4) - (13)].str),mm_strdup("recursive view"),(yyvsp[(7) - (13)].str),mm_strdup("("),(yyvsp[(9) - (13)].str),mm_strdup(")"),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7556 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7561 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7566 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7571 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7586 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7594 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7598 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7605 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7609 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7613 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7617 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7621 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7625 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7629 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7633 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7637 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7641 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7645 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7649 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7653 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7657 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7665 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7677 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7684 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7688 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7696 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7704 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7708 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7723 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7727 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7735 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7755 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7759 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7763 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7767 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7779 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7786 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7794 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7798 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7802 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7806 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7810 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7814 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7822 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7830 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7834 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7838 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7846 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7850 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7857 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7861 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7865 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7869 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7873 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7881 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 7885 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 7893 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 7897 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 7901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 7905 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 7913 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 7917 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 7925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 7929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 7937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 7941 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 7948 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 7952 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 7959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 7963 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 7970 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 7974 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 7981 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 7985 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 7993 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8009 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8013 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8017 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8021 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8041 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8045 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8053 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8061 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8065 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8073 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8077 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8081 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8088 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8094 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8104 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8108 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8115 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8119 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8123 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8135 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8137 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8149 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8156 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8164 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8168 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8172 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8180 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8200 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8204 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8211 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8219 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8223 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8230 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8242 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8249 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8253 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8257 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8261 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8265 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8285 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8289 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8296 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8304 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8308 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8316 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8320 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8328 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8336 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8344 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8352 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8356 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8364 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8421 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8436 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8440 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8444 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8448 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8456 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8475 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8487 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8491 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8499 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8507 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8511 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8515 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8523 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8527 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8535 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8547 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8551 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8559 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8563 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8567 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8575 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8579 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8587 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8591 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8599 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8607 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8611 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8618 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8622 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8624 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8631 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8635 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8639 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8643 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8647 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8651 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8655 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8659 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8663 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8675 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8690 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8697 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8705 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8709 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8716 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8720 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8727 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8735 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8747 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8759 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8783 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8794 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8799 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8811 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8831 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8843 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8847 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8854 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8866 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8886 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8890 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8897 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8901 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8908 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8912 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8920 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8924 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8931 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8935 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8943 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for update");
}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for no key update");
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for share");
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for key share");
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 8971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 8975 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 8982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 8986 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 8994 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 8998 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9005 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9009 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9017 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9021 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9025 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9029 "preproc.y"
    { 
	if ((yyvsp[(2) - (2)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9036 "preproc.y"
    { 
	if ((yyvsp[(3) - (3)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9043 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9047 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9055 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9059 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9063 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9067 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9071 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9075 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9083 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9087 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9091 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9103 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9107 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9114 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9118 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9122 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9126 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9130 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9137 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9141 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9145 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9149 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9157 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9161 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9168 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9172 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9180 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9184 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9188 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9192 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9200 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9212 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9220 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9228 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9236 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9240 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9247 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9251 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9256 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9263 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9267 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9286 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9294 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9296 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9298 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9302 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9310 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9318 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9328 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9338 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9348 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9352 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9356 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9360 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9364 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9368 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9372 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9380 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9384 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9388 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9392 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9400 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9404 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9412 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9416 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9451 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9455 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9459 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9471 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9475 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9482 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9486 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9494 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9498 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9506 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9514 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9522 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9526 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9534 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9538 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9546 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9554 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9566 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9574 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9582 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9594 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9601 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9605 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9612 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9616 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9620 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9624 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9648 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9675 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9691 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9707 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9718 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9730 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9734 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9738 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9742 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9746 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9754 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9758 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9762 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9766 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9770 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9774 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9778 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9782 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9786 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9794 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9802 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9810 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9814 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9818 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9822 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9830 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9834 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9838 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9846 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9854 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9858 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9862 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9866 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9870 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9874 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9878 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 9886 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 9890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 9894 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 9898 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 9902 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 9906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 9910 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 9914 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 9918 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 9922 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 9926 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 9930 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 9934 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 9938 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 9942 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 9946 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 9950 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 9959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 9971 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 9975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 9979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 9983 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 9987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 9991 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 9995 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 9999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 10003 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 10007 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 10011 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 10015 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10019 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10023 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10027 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10035 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10043 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10047 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10051 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10063 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10067 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10079 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10083 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10087 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10091 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10095 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10099 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10103 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10111 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10115 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10119 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10123 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10127 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10131 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10135 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10139 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10143 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10155 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10163 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10171 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10207 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10215 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10219 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10223 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10227 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10231 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10235 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10239 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10243 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10247 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10251 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10255 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10259 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10267 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10271 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10275 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10279 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10283 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10287 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10291 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10295 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10299 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10303 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10307 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10327 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10331 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10335 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10339 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10346 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10354 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10358 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10366 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10370 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10398 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10409 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10413 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10425 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10429 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10436 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10440 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10448 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10456 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10460 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10464 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10471 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10483 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10490 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10494 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10501 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10506 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10510 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10517 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10521 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10529 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10533 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10541 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10545 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10553 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10557 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10561 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10569 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10573 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10577 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10585 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10589 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10597 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10601 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10605 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10609 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10613 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10625 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10637 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10641 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10649 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10653 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10661 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10665 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10669 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10677 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10681 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10689 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10693 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10701 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10705 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10713 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10717 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10729 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10737 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10745 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10753 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10757 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10765 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10769 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10776 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10780 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10792 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10796 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10800 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10804 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10812 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10816 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10824 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10832 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10836 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10843 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10851 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10859 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10863 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10870 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10878 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10886 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10922 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 10953 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 10957 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 10964 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 10968 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 10976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 10980 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 10984 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 10988 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 10996 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 11000 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 11008 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 11011 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 11019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 11023 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 11030 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 11034 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 11042 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 11046 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 11054 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 11062 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 11066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 11074 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 11078 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 11082 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 11086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 11094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 11098 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 11106 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 11110 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 11118 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 11122 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 11130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 11138 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 11146 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 11154 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 11162 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 11170 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 11178 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 11182 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 11190 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 11194 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 11198 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 11202 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 11206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 11210 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 11214 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 11218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 11222 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 11226 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 11230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 11234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 11238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 11241 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11242 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11248 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11254 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11262 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11265 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
}
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event");
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 11779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized");
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 11783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 11787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 11791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 11795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 11799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 11803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 11807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 11811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 11815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 11819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 11823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 11827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 11835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
}
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 11847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 11851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 11855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 11867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 11879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 11887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 11899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 11903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 11907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 11911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 11915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 11919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 11923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 11927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 11931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 11935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 11939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 11943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 11947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 11951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
}
    break;

  case 2093:

/* Line 1806 of yacc.c  */
#line 11955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("refresh");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 11959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
}
    break;

  case 2095:

/* Line 1806 of yacc.c  */
#line 11963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
}
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 11967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
}
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 11971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
}
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 11975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
}
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 11979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 11983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 11987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 11991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 11995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 11999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
}
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 12003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
}
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 12007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 12011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 12015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 12019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 12023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 12027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 12031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 12035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 12039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 12043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 12047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 12051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 12055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 12059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
}
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 12063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
}
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 12067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 12071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
}
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 12075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
}
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 12079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
}
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 12083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 12087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
}
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 12091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
}
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 12095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
}
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 12107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 12115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 12131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 12143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
}
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 12159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
}
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
}
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
}
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
}
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
}
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
}
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
}
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
}
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
}
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
}
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
}
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
}
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
}
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
}
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
}
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
}
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
}
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
}
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
}
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
}
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
}
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
}
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
}
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
}
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
}
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
}
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
}
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
}
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
}
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
}
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
}
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
}
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
}
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
}
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
}
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 2261:

/* Line 1806 of yacc.c  */
#line 12639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 2263:

/* Line 1806 of yacc.c  */
#line 12647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
}
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
}
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
}
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
}
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
}
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
}
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
}
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
}
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
}
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
}
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lateral");
}
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
}
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
}
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
}
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 12755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 12759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
}
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 12763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 12767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
}
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 12771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
}
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 12775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
}
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 12779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
}
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 12783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
}
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 12787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
}
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 12791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
}
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 12795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 12799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 12803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 12807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
}
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 12811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 12815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
}
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 12819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
}
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 12823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 12827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 12831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 12835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 12839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 12843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
}
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 12847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
}
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 12851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 12855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 12868 "preproc.y"
    { connection = NULL; }
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 12871 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				}
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 12877 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 12878 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 12879 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 12881 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 12893 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 12894 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 12903 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 12918 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 12920 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 12923 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); }
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 12925 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); }
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 12929 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		}
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 12941 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		}
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 12957 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 12961 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 12971 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 12972 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 12976 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 12988 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 12996 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 12997 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13000 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13001 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13002 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13005 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13006 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13009 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13010 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13013 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13014 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); }
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13018 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); }
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13020 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13022 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13024 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13028 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13035 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13042 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13058 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13092 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13101 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13105 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			}
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13109 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13121 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2365:

/* Line 1806 of yacc.c  */
#line 13123 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13125 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13127 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13131 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		}
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13144 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13152 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13213 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13223 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13224 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13227 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13229 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13230 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13233 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13234 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); }
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13235 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); }
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13236 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); }
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13237 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); }
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13244 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13246 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13253 "preproc.y"
    {}
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13255 "preproc.y"
    {}
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13257 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13258 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13261 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13262 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13263 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13264 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13267 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13268 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13272 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13278 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13288 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13298 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		}
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13302 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13312 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		}
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13316 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		}
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13321 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13322 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13326 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13327 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13328 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13331 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13332 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13333 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13334 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13337 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13338 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13342 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13350 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13367 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13375 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13398 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13504 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13540 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2421:

/* Line 1806 of yacc.c  */
#line 13542 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13546 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13549 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13556 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13599 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13601 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13607 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13616 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13622 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13629 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13634 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		}
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13639 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13640 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13643 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13644 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13645 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13646 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13647 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13648 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13650 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13658 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13665 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13668 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13669 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13670 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13671 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13672 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13674 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13682 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13689 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13690 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13691 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13699 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13701 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13705 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13792 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13794 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13800 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13801 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13802 "preproc.y"
    { (yyval.str) = mm_strdup("**"); }
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13809 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13817 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13820 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13821 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13822 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); }
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13823 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13826 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13827 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13828 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13832 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13834 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13841 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13842 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13849 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13856 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13857 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13860 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13861 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13865 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13870 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2483:

/* Line 1806 of yacc.c  */
#line 13877 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13882 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13889 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13898 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13904 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13905 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13908 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13909 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13910 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13911 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13912 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13913 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13914 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13915 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13916 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13923 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13930 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2502:

/* Line 1806 of yacc.c  */
#line 13942 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13948 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13955 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13962 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 13963 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 13976 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 13987 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 13998 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 14006 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 14011 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 14019 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 14025 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 14033 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 14038 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 14046 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 14053 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 14057 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 14065 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 14071 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 14080 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 14085 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 14095 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 14105 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 14116 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 14117 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2535:

/* Line 1806 of yacc.c  */
#line 14118 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 14119 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 14120 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 14121 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 14122 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 14124 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 14126 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 14130 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 14138 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 14141 "preproc.y"
    { (yyval.str) = mm_strdup("on"); }
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = mm_strdup("off"); }
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 14150 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 14158 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 14164 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		}
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 14174 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); }
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 14175 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2559:

/* Line 1806 of yacc.c  */
#line 14182 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 14188 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		}
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 14252 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 14258 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		}
    break;

  case 2563:

/* Line 1806 of yacc.c  */
#line 14264 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 14272 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 14278 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 14284 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 14290 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2568:

/* Line 1806 of yacc.c  */
#line 14296 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2569:

/* Line 1806 of yacc.c  */
#line 14302 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2570:

/* Line 1806 of yacc.c  */
#line 14308 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
    break;

  case 2571:

/* Line 1806 of yacc.c  */
#line 14314 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2572:

/* Line 1806 of yacc.c  */
#line 14320 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2573:

/* Line 1806 of yacc.c  */
#line 14330 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2574:

/* Line 1806 of yacc.c  */
#line 14331 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2575:

/* Line 1806 of yacc.c  */
#line 14334 "preproc.y"
    { (yyval.str) = mm_strdup("break"); }
    break;

  case 2576:

/* Line 1806 of yacc.c  */
#line 14335 "preproc.y"
    { (yyval.str) = mm_strdup("call"); }
    break;

  case 2577:

/* Line 1806 of yacc.c  */
#line 14336 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); }
    break;

  case 2578:

/* Line 1806 of yacc.c  */
#line 14337 "preproc.y"
    { (yyval.str) = mm_strdup("count"); }
    break;

  case 2579:

/* Line 1806 of yacc.c  */
#line 14338 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
    break;

  case 2580:

/* Line 1806 of yacc.c  */
#line 14339 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
    break;

  case 2581:

/* Line 1806 of yacc.c  */
#line 14340 "preproc.y"
    { (yyval.str) = mm_strdup("found"); }
    break;

  case 2582:

/* Line 1806 of yacc.c  */
#line 14341 "preproc.y"
    { (yyval.str) = mm_strdup("go"); }
    break;

  case 2583:

/* Line 1806 of yacc.c  */
#line 14342 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); }
    break;

  case 2584:

/* Line 1806 of yacc.c  */
#line 14343 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); }
    break;

  case 2585:

/* Line 1806 of yacc.c  */
#line 14344 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); }
    break;

  case 2586:

/* Line 1806 of yacc.c  */
#line 14345 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); }
    break;

  case 2587:

/* Line 1806 of yacc.c  */
#line 14346 "preproc.y"
    { (yyval.str) = mm_strdup("length"); }
    break;

  case 2588:

/* Line 1806 of yacc.c  */
#line 14347 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); }
    break;

  case 2589:

/* Line 1806 of yacc.c  */
#line 14348 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); }
    break;

  case 2590:

/* Line 1806 of yacc.c  */
#line 14349 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); }
    break;

  case 2591:

/* Line 1806 of yacc.c  */
#line 14350 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); }
    break;

  case 2592:

/* Line 1806 of yacc.c  */
#line 14351 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); }
    break;

  case 2593:

/* Line 1806 of yacc.c  */
#line 14352 "preproc.y"
    { (yyval.str) = mm_strdup("section"); }
    break;

  case 2594:

/* Line 1806 of yacc.c  */
#line 14353 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); }
    break;

  case 2595:

/* Line 1806 of yacc.c  */
#line 14354 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); }
    break;

  case 2596:

/* Line 1806 of yacc.c  */
#line 14355 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); }
    break;

  case 2597:

/* Line 1806 of yacc.c  */
#line 14356 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); }
    break;

  case 2598:

/* Line 1806 of yacc.c  */
#line 14357 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); }
    break;

  case 2599:

/* Line 1806 of yacc.c  */
#line 14360 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); }
    break;

  case 2600:

/* Line 1806 of yacc.c  */
#line 14361 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); }
    break;

  case 2601:

/* Line 1806 of yacc.c  */
#line 14362 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); }
    break;

  case 2602:

/* Line 1806 of yacc.c  */
#line 14363 "preproc.y"
    { (yyval.str) = mm_strdup("open"); }
    break;

  case 2603:

/* Line 1806 of yacc.c  */
#line 14364 "preproc.y"
    { (yyval.str) = mm_strdup("var"); }
    break;

  case 2604:

/* Line 1806 of yacc.c  */
#line 14365 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); }
    break;

  case 2605:

/* Line 1806 of yacc.c  */
#line 14369 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2606:

/* Line 1806 of yacc.c  */
#line 14370 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2607:

/* Line 1806 of yacc.c  */
#line 14371 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2608:

/* Line 1806 of yacc.c  */
#line 14372 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2609:

/* Line 1806 of yacc.c  */
#line 14373 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2610:

/* Line 1806 of yacc.c  */
#line 14374 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2611:

/* Line 1806 of yacc.c  */
#line 14375 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2612:

/* Line 1806 of yacc.c  */
#line 14378 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2613:

/* Line 1806 of yacc.c  */
#line 14381 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2614:

/* Line 1806 of yacc.c  */
#line 14382 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2615:

/* Line 1806 of yacc.c  */
#line 14383 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2616:

/* Line 1806 of yacc.c  */
#line 14384 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2617:

/* Line 1806 of yacc.c  */
#line 14385 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2618:

/* Line 1806 of yacc.c  */
#line 14386 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2619:

/* Line 1806 of yacc.c  */
#line 14387 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2620:

/* Line 1806 of yacc.c  */
#line 14388 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2621:

/* Line 1806 of yacc.c  */
#line 14401 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2622:

/* Line 1806 of yacc.c  */
#line 14402 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2623:

/* Line 1806 of yacc.c  */
#line 14403 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2624:

/* Line 1806 of yacc.c  */
#line 14404 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2625:

/* Line 1806 of yacc.c  */
#line 14405 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2626:

/* Line 1806 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2627:

/* Line 1806 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2628:

/* Line 1806 of yacc.c  */
#line 14412 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2629:

/* Line 1806 of yacc.c  */
#line 14413 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2630:

/* Line 1806 of yacc.c  */
#line 14414 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2631:

/* Line 1806 of yacc.c  */
#line 14415 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2632:

/* Line 1806 of yacc.c  */
#line 14416 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2633:

/* Line 1806 of yacc.c  */
#line 14417 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2634:

/* Line 1806 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2635:

/* Line 1806 of yacc.c  */
#line 14424 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2636:

/* Line 1806 of yacc.c  */
#line 14425 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2637:

/* Line 1806 of yacc.c  */
#line 14426 "preproc.y"
    { (yyval.str) = mm_strdup("current"); }
    break;

  case 2638:

/* Line 1806 of yacc.c  */
#line 14427 "preproc.y"
    { (yyval.str) = mm_strdup("input"); }
    break;

  case 2639:

/* Line 1806 of yacc.c  */
#line 14428 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2640:

/* Line 1806 of yacc.c  */
#line 14429 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2641:

/* Line 1806 of yacc.c  */
#line 14430 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2642:

/* Line 1806 of yacc.c  */
#line 14431 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2643:

/* Line 1806 of yacc.c  */
#line 14432 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2644:

/* Line 1806 of yacc.c  */
#line 14433 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2645:

/* Line 1806 of yacc.c  */
#line 14436 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2646:

/* Line 1806 of yacc.c  */
#line 14437 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2647:

/* Line 1806 of yacc.c  */
#line 14438 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2648:

/* Line 1806 of yacc.c  */
#line 14439 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2649:

/* Line 1806 of yacc.c  */
#line 14440 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2650:

/* Line 1806 of yacc.c  */
#line 14443 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2651:

/* Line 1806 of yacc.c  */
#line 14444 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2652:

/* Line 1806 of yacc.c  */
#line 14445 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2653:

/* Line 1806 of yacc.c  */
#line 14446 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2654:

/* Line 1806 of yacc.c  */
#line 14449 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2655:

/* Line 1806 of yacc.c  */
#line 14450 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2656:

/* Line 1806 of yacc.c  */
#line 14451 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2657:

/* Line 1806 of yacc.c  */
#line 14452 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2658:

/* Line 1806 of yacc.c  */
#line 14453 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2659:

/* Line 1806 of yacc.c  */
#line 14454 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2660:

/* Line 1806 of yacc.c  */
#line 14455 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2661:

/* Line 1806 of yacc.c  */
#line 14472 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2662:

/* Line 1806 of yacc.c  */
#line 14473 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2663:

/* Line 1806 of yacc.c  */
#line 14474 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2664:

/* Line 1806 of yacc.c  */
#line 14477 "preproc.y"
    { (yyval.str) = mm_strdup("day"); }
    break;

  case 2665:

/* Line 1806 of yacc.c  */
#line 14478 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2666:

/* Line 1806 of yacc.c  */
#line 14479 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2667:

/* Line 1806 of yacc.c  */
#line 14480 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2668:

/* Line 1806 of yacc.c  */
#line 14481 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2669:

/* Line 1806 of yacc.c  */
#line 14482 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2672:

/* Line 1806 of yacc.c  */
#line 14489 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2673:

/* Line 1806 of yacc.c  */
#line 14495 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2674:

/* Line 1806 of yacc.c  */
#line 14496 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2675:

/* Line 1806 of yacc.c  */
#line 14500 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2676:

/* Line 1806 of yacc.c  */
#line 14502 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2677:

/* Line 1806 of yacc.c  */
#line 14507 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2678:

/* Line 1806 of yacc.c  */
#line 14517 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2679:

/* Line 1806 of yacc.c  */
#line 14528 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2680:

/* Line 1806 of yacc.c  */
#line 14534 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2681:

/* Line 1806 of yacc.c  */
#line 14535 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2682:

/* Line 1806 of yacc.c  */
#line 14536 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2683:

/* Line 1806 of yacc.c  */
#line 14540 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2684:

/* Line 1806 of yacc.c  */
#line 14572 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2685:

/* Line 1806 of yacc.c  */
#line 14574 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2686:

/* Line 1806 of yacc.c  */
#line 14576 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2687:

/* Line 1806 of yacc.c  */
#line 14580 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2688:

/* Line 1806 of yacc.c  */
#line 14590 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2689:

/* Line 1806 of yacc.c  */
#line 14600 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2690:

/* Line 1806 of yacc.c  */
#line 14609 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2691:

/* Line 1806 of yacc.c  */
#line 14610 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2692:

/* Line 1806 of yacc.c  */
#line 14613 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2693:

/* Line 1806 of yacc.c  */
#line 14615 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2694:

/* Line 1806 of yacc.c  */
#line 14616 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2695:

/* Line 1806 of yacc.c  */
#line 14617 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2696:

/* Line 1806 of yacc.c  */
#line 14621 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2697:

/* Line 1806 of yacc.c  */
#line 14623 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); }
    break;

  case 2698:

/* Line 1806 of yacc.c  */
#line 14630 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2699:

/* Line 1806 of yacc.c  */
#line 14631 "preproc.y"
    { (yyval.str) = mm_strdup("()"); }
    break;

  case 2700:

/* Line 1806 of yacc.c  */
#line 14633 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2701:

/* Line 1806 of yacc.c  */
#line 14636 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2702:

/* Line 1806 of yacc.c  */
#line 14638 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2703:

/* Line 1806 of yacc.c  */
#line 14641 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2704:

/* Line 1806 of yacc.c  */
#line 14642 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2705:

/* Line 1806 of yacc.c  */
#line 14645 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2706:

/* Line 1806 of yacc.c  */
#line 14646 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2707:

/* Line 1806 of yacc.c  */
#line 14649 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2708:

/* Line 1806 of yacc.c  */
#line 14650 "preproc.y"
    { (yyval.str) = mm_strdup("("); }
    break;

  case 2709:

/* Line 1806 of yacc.c  */
#line 14651 "preproc.y"
    { (yyval.str) = mm_strdup(")"); }
    break;

  case 2710:

/* Line 1806 of yacc.c  */
#line 14652 "preproc.y"
    { (yyval.str) = mm_strdup(","); }
    break;

  case 2711:

/* Line 1806 of yacc.c  */
#line 14653 "preproc.y"
    { (yyval.str) = mm_strdup(";"); }
    break;

  case 2712:

/* Line 1806 of yacc.c  */
#line 14656 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2713:

/* Line 1806 of yacc.c  */
#line 14657 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2714:

/* Line 1806 of yacc.c  */
#line 14658 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2715:

/* Line 1806 of yacc.c  */
#line 14659 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2716:

/* Line 1806 of yacc.c  */
#line 14660 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2717:

/* Line 1806 of yacc.c  */
#line 14661 "preproc.y"
    { (yyval.str) = mm_strdup("+"); }
    break;

  case 2718:

/* Line 1806 of yacc.c  */
#line 14662 "preproc.y"
    { (yyval.str) = mm_strdup("-"); }
    break;

  case 2719:

/* Line 1806 of yacc.c  */
#line 14663 "preproc.y"
    { (yyval.str) = mm_strdup("/"); }
    break;

  case 2720:

/* Line 1806 of yacc.c  */
#line 14664 "preproc.y"
    { (yyval.str) = mm_strdup("%"); }
    break;

  case 2721:

/* Line 1806 of yacc.c  */
#line 14665 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2722:

/* Line 1806 of yacc.c  */
#line 14666 "preproc.y"
    { (yyval.str) = mm_strdup("+="); }
    break;

  case 2723:

/* Line 1806 of yacc.c  */
#line 14667 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); }
    break;

  case 2724:

/* Line 1806 of yacc.c  */
#line 14668 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2725:

/* Line 1806 of yacc.c  */
#line 14669 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2726:

/* Line 1806 of yacc.c  */
#line 14670 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2727:

/* Line 1806 of yacc.c  */
#line 14671 "preproc.y"
    { (yyval.str) = mm_strdup("--"); }
    break;

  case 2728:

/* Line 1806 of yacc.c  */
#line 14672 "preproc.y"
    { (yyval.str) = mm_strdup("/="); }
    break;

  case 2729:

/* Line 1806 of yacc.c  */
#line 14673 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); }
    break;

  case 2730:

/* Line 1806 of yacc.c  */
#line 14674 "preproc.y"
    { (yyval.str) = mm_strdup("=="); }
    break;

  case 2731:

/* Line 1806 of yacc.c  */
#line 14675 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2732:

/* Line 1806 of yacc.c  */
#line 14676 "preproc.y"
    { (yyval.str) = mm_strdup("++"); }
    break;

  case 2733:

/* Line 1806 of yacc.c  */
#line 14677 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); }
    break;

  case 2734:

/* Line 1806 of yacc.c  */
#line 14678 "preproc.y"
    { (yyval.str) = mm_strdup("->"); }
    break;

  case 2735:

/* Line 1806 of yacc.c  */
#line 14679 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); }
    break;

  case 2736:

/* Line 1806 of yacc.c  */
#line 14680 "preproc.y"
    { (yyval.str) = mm_strdup("%="); }
    break;

  case 2737:

/* Line 1806 of yacc.c  */
#line 14681 "preproc.y"
    { (yyval.str) = mm_strdup("*="); }
    break;

  case 2738:

/* Line 1806 of yacc.c  */
#line 14682 "preproc.y"
    { (yyval.str) = mm_strdup("!="); }
    break;

  case 2739:

/* Line 1806 of yacc.c  */
#line 14683 "preproc.y"
    { (yyval.str) = mm_strdup("||"); }
    break;

  case 2740:

/* Line 1806 of yacc.c  */
#line 14684 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2741:

/* Line 1806 of yacc.c  */
#line 14685 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); }
    break;

  case 2742:

/* Line 1806 of yacc.c  */
#line 14686 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2743:

/* Line 1806 of yacc.c  */
#line 14687 "preproc.y"
    { (yyval.str) = mm_strdup("-="); }
    break;

  case 2744:

/* Line 1806 of yacc.c  */
#line 14688 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2745:

/* Line 1806 of yacc.c  */
#line 14689 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2746:

/* Line 1806 of yacc.c  */
#line 14690 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2747:

/* Line 1806 of yacc.c  */
#line 14691 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); }
    break;

  case 2748:

/* Line 1806 of yacc.c  */
#line 14692 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2749:

/* Line 1806 of yacc.c  */
#line 14693 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2750:

/* Line 1806 of yacc.c  */
#line 14694 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2751:

/* Line 1806 of yacc.c  */
#line 14695 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2752:

/* Line 1806 of yacc.c  */
#line 14696 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2753:

/* Line 1806 of yacc.c  */
#line 14697 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2754:

/* Line 1806 of yacc.c  */
#line 14698 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2755:

/* Line 1806 of yacc.c  */
#line 14699 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2756:

/* Line 1806 of yacc.c  */
#line 14700 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2757:

/* Line 1806 of yacc.c  */
#line 14701 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2758:

/* Line 1806 of yacc.c  */
#line 14702 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2759:

/* Line 1806 of yacc.c  */
#line 14703 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2760:

/* Line 1806 of yacc.c  */
#line 14704 "preproc.y"
    { (yyval.str) = mm_strdup("float"); }
    break;

  case 2761:

/* Line 1806 of yacc.c  */
#line 14705 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2762:

/* Line 1806 of yacc.c  */
#line 14706 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2763:

/* Line 1806 of yacc.c  */
#line 14707 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); }
    break;

  case 2764:

/* Line 1806 of yacc.c  */
#line 14708 "preproc.y"
    { (yyval.str) = mm_strdup("["); }
    break;

  case 2765:

/* Line 1806 of yacc.c  */
#line 14709 "preproc.y"
    { (yyval.str) = mm_strdup("]"); }
    break;

  case 2766:

/* Line 1806 of yacc.c  */
#line 14710 "preproc.y"
    { (yyval.str) = mm_strdup("="); }
    break;

  case 2767:

/* Line 1806 of yacc.c  */
#line 14711 "preproc.y"
    { (yyval.str) = mm_strdup(":"); }
    break;

  case 2768:

/* Line 1806 of yacc.c  */
#line 14714 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2769:

/* Line 1806 of yacc.c  */
#line 14715 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2770:

/* Line 1806 of yacc.c  */
#line 14716 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2771:

/* Line 1806 of yacc.c  */
#line 14717 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2772:

/* Line 1806 of yacc.c  */
#line 14720 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2773:

/* Line 1806 of yacc.c  */
#line 14721 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2774:

/* Line 1806 of yacc.c  */
#line 14722 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2775:

/* Line 1806 of yacc.c  */
#line 14723 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2776:

/* Line 1806 of yacc.c  */
#line 14724 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2777:

/* Line 1806 of yacc.c  */
#line 14725 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2778:

/* Line 1806 of yacc.c  */
#line 14726 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2779:

/* Line 1806 of yacc.c  */
#line 14727 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2780:

/* Line 1806 of yacc.c  */
#line 14728 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2781:

/* Line 1806 of yacc.c  */
#line 14731 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2782:

/* Line 1806 of yacc.c  */
#line 14732 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2783:

/* Line 1806 of yacc.c  */
#line 14733 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2784:

/* Line 1806 of yacc.c  */
#line 14734 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2785:

/* Line 1806 of yacc.c  */
#line 14735 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2786:

/* Line 1806 of yacc.c  */
#line 14738 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2787:

/* Line 1806 of yacc.c  */
#line 14739 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2788:

/* Line 1806 of yacc.c  */
#line 14742 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2789:

/* Line 1806 of yacc.c  */
#line 14744 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2790:

/* Line 1806 of yacc.c  */
#line 14754 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2791:

/* Line 1806 of yacc.c  */
#line 14755 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 52988 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 14758 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

